InfoQube User Manual

This manual has been automagically generated by dump2chm.pl on Oct 6 2019.

It is a (rough) conversion of the online InfoQube User Manual and may contain some bad links, you've been warned.


InfoQube Documentation: Main Page

InfoQube Documentation

The InfoQube documentation is available in a number of forms:

1. Online Manual

  • Main Table of Contents or Detailed Table of Contents
  • Documentation Recent Updates
  • Release Notes

2. Welcome to InfoQube File

The Welcome to InfoQube file now contains the full User Manual (do File > Welcome to InfoQube to open it)
  • Use the Welcome or IQDoc grids for a tree view of pages
  • The Doc Updates grid shows a flat list of recently updated pages
  • The Related Items links are used as "See also" links. Great to explorer the various features
  • The Welcome to IQ file can even synchronize with this community website to retrieve documentations updates. Details here

3. Windows Help File

The Windows help file is normally installed as part of the installation process.
A more up to date version may be available in the Downloads section of the main website. To use it:
  1. Click here to download.
  2. Unzip the downloaded file to a folder
  3. To link InfoQube to this help file (so that pressing F1 brings up the help file), follow these steps:
    1. Start IQ
    2. Do Tools > Help > About > Support Info and note the location of the AppData folder
    3. Close IQ
    4. Using Windows Explorer, copy the InfoQube.chm file to this AppData folder
    5. Start IQ
    6. Press F1. The offline manual should open, showing the main User Manual page
If the help file does not show any content, the file needs to be "unblocked":
  1. Close IQ and the help file.
  2. Right click on InfoQube.chm and select "Properties"
  3. In the properties dialog select the "General" tab
  4. Below the Advanced button at the bottom right, click on "Unblock" (note that this disappears once the file is unblocked)
  5. Click on "Apply" or "OK"
While in InfoQube, access the help file with Tools > Help > User Manual (local) or press F1. The Windows Help file is currently significantly out of date.

4. Chapter by chapter Offline MHT file

This section contains snapshots of each of the main sections of the Online Manual. Click to download it.
To enable offline reading on your mobile device, copy it to a Dropbox folder and use the Dropbox app on your mobile to set it to offline access
  1. Introduction
  2. InfoQube User Interface
  3. InfoQube Data: Items, Field-values and Links
  4. Searching, Filtering & Sorting
  5. Importing
  6. Exporting and Printing
  7. Synchronizations
  8. All Menu Commands

Notes

  • These manuals are written and maintained by Pierre and IQ User volunteers...thanks a zillion.
  • The Windows help file format is updated by users, on a volunteer basis, so some information may not be as current as that in the online manual.
  • And thanks to Jibz for making it available offline and therefore right from the application!
  • Tips and tools to generate the Offline User Manual
Click here to view online page with discussion and ability to update


1. Introduction

A Quick Introduction to InfoQube

InfoQube is an Information Management System that provides all the tools you need to simplify your life:

  • Calendar
  • Multi-column Outliner Grids
  • Gantt and Timeline Charts
  • 2-D Surface
  • MapView
  • Pivot Table and Charts (when Office 2000+ is installed)
  • WYSIWYG Rich-Text, Markdown and Handwriting pane
  • Live-Search
Rather than forcing you to accept predefined categories, InfoQube gives you the tools to create your own organizational structure:
  • Record and view information in one of the many InfoQube views
  • Use InfoQube to cross-reference information and associate values with this information
  • Use InfoQube to collect Web clippings and use the built-in rich-text editor to edit this content
  • Share this information with other users

Increase Your Productivity with InfoQube

InfoQube can be used to easily perform many daily tasks which are complicated with current main-stream office-like suites:

  • Manage your appointments and meetings and add an infinite amount of notes specific to that item, using one of the 3 built-in features:
    • User-defined Fields: Add text, numbers and dates values to each item
    • Rich-text Outliner: Add multi-level outlining notes using the built-in advanced rich-text outliner
    • WYSIWYG Word Processor: Add fully formatted text to each item (including support for bullets, images and tables)
  • Manage your contacts and sale leads using the Address Book:
    • Enter as little or as much details as you wish for each contact. No limits to the number of email adresses and phone numbers
    • Organize your contacts in hierarchy (Company > Contact).
      Doing it this way, you only need to enter the Company phone numbers once and the built-in phone dialer will find this info for all contacts under the company.
      Contact specific phone numbers will be presented first, followed by Company ones.
    • Quickly find contacts using any combination of:
      • One-click alpha-numeric filter (e.g. to only show contacts starting with the letter F)
      • Search box: enter part of a name and hit enter to get a filtered list
      • Easy grid and column filters. Hit CTRL-G to filter
      • Auto-Search: Just type in whatever column and matching items will come in focus. F3 will move to the next item. CTRL-F3 to toggle
      • User-defined fields (Work, Personal, Due, Hot, etc)
    • Sort your contacts by (all methods support multi-key sorts)
      • Clicking on the column header
      • Drag a column header to the Sort bar
      • The Sort criteria
    • Assign user-defined values to your contacts, to be used in filtering and sorting
    • Use field equations to automatically flag contacts:
      • Compute a value based on when the contact was last contacted
      • Flag contacts those in due of a follow up (i.e. x days after last call)
      • Flagged contacts can be shown in a separate list and/or color highlighted
      • Enter the new call (or email) information and automatically have the contact removed from this "flagged" list (if desired)
    • Enter outlining notes regarding this specific call to this contact
    • Assign tasks, appointments related to this call
    • Assign these to yourself or to co-workers
  • Manage your tasks more effectively:
    • In a work-group environment, view only your tasks, tasks you've assigned to others, etc
    • Use the Gantt Chart display to graphically view your tasks and:
      • Move tasks, change duration
      • Add dependencies simply by dragging a link between the two using the mouse (e.g. one task must be completed before starting another one)
      • Only show tasks that you can do now (hide tasks that have non-completed dependent
      • Show work-load graph (helps getting extra resources and/or move tasks to avoid overtime and better predict delivery dates)
      • In multi-user environments, view how tasks and info must move from one worker to another (using the Group By features)
    • Enter Due Date, Duration, Effort Required and %Done
    • Compute earliest delivery and critical path
    • Get tasks flagged when due date is approaching / passed (color coded)
    • See tasks start and / or stop in the Calendar
  • Manage all other types of info using InfoQube Grids:
    • Use InfoQube fields to organize information into virtual folders
    • Specify which folders are displayed in each grid
    • Organize the information in collapsible outlines
    • Hoist to focus on one or more branches
    • You can even put an item under many parent items
  • Use the new Surface View to emphasize specific items in 2-D:

  • If MS Office 2000+ is installed, you can use Pivot tables and charts to:
    • Compute monthly totals, project totals, etc
    • View aggregate info from different dimensions
    • Create visually pleasant charts
    • Export these to HTML files to share with others and/or publish


InfoQube Program Install and Set-up

InfoQube Program Install and Set-up

InfoQube (IQ) comes in 2 flavors:
  1. Installable (Win XP and up, Mac, Linux in Windows emulation)
  2. Portable (Win XP and up)
The portable flavor is identical to the installable one, not a scaled down / limited one. It works in even the most secured / locked down work environments / Internet cafés.
It can run from a USB drive, does not write to the registry or to any local file. It leaves absolutely no traces behind.
The portable flavor is in fact more immune to PC setup, so it will, in some cases, work correctly when the installable will not. These cases are rare though and both flavors generally work correctly.

1. Using the Installable flavor

  1. Uninstall any previous versions (using the control panel Add/Remove Programs)
  2. Download the InfoQube Installer
  3. Unzip and run setup.exe.
  4. When upgrading from a previous version, simply run setup and your settings will remain intact

2. Using the Portable flavor

  1. Download the Portable InfoQube Zip file
  2. Extract to any non-protected folder (local HD or portable). So do not copy IQ Portable to the Program Files folder !!! (e.g. Use c:\SomeFolder, MyDocuments\SomeFolder, etc)
  3. If you wish to have a desktop shortcut:
    1. Right-click on the file InfoQube.exe, select - Send To > Desktop
    2. You can drag this shortcut to the Quick Launch section of the Windows Start Menu
  4. If you wish to add it to the Start Menu:
    1. Right-click on the file InfoQube.exe and select Copy.
    2. Right-click on the “Start” button and select either “Open” or “Open All Users” Then, open the “Programs” folder.
    3. Right click on a blank space in the “Programs” folder and select “Paste Shortcut”
  5. If you receive a security warning when starting or using InfoQube, run the batch file UnblockIQPortable.bat
  6. When upgrading from a previous version, simply paste the content of the zip file to the previous version folder and overwrite the files. Your settings will remain intact.
Once installed, the following folder structure should be present (folder "InfoQube" may be named differently, depending on where you installed it):
  • InfoQube
    • AppData
    • AppFiles
    • Controls
    • Icons
    • Users
Installing patches
Between versions, patches are sometimes available. To install these:
  1. Download from the patch (same link as above)
  2. Since the file is less common, browsers will likely flag it as suspicious. Click Keep (or Open) :
  3. Locate the main program folder (use Tools > Help > About > Support Info to find the program folder)
  4. Close IQ if it is running
  5. Open the zip file (which was most likely saved in your Downloads folder)
  6. Copy paste the InfoQube.exe file from the zip file to the main program folder

3. Installing Visual C++ 2008 redistributable

Both flavors required that Visual C++ 2008 redistributable package be installed (VC++ 9.0). The VC++ 9.0 runtime is typically already pre-installed on Windows computers, but for older computers it may not be. If not, you'll receive a registration error message (Installable flavor) or a program lockup (Portable flavor).
To fix, download and install the VC9 redist from here: http://www.microsoft.com/en-us/download/details.aspx?id=29

4. Installing the IQ:// URI Protocol

InfoQube has support for universal links (a.k.a URI protocol links) in both direction (from other apps to IQ and from IQ to other apps).
To link to specific IQ items and views, the following key is added to the registry: HKEY_CLASSES_ROOT\IQ
Windows Registry Editor Version 5.00
[HKEY_CLASSES_ROOT\IQ]
@="URL:InfoQube Folders"
"URL Protocol"=""
[HKEY_CLASSES_ROOT\IQ\DefaultIcon]
@="\"C:\\IQAPPFolder\\InfoQubeClipper.exe\""
[HKEY_CLASSES_ROOT\IQ\shell]
@="open"
[HKEY_CLASSES_ROOT\IQ\shell\open]
@=""
[HKEY_CLASSES_ROOT\IQ\shell\open\command]
@="\"C:\\IQAPPFolder\\InfoQubeClipper.exe\" /select %1"
The setup package includes a utility to make these changes automatically. Run IQURIProtocolInstall.exe to install the IQ:// protocol.

5. Installing the Help File

To install a local copy of the Help file, follow these instructions: InfoQube Documentation: Main Page

6. Installing Microsoft Web Components

If you have Microsoft Office installed (2000 - 2003 and up), InfoQube can use its Pivot Tables and Charts. These are great for data analysis and reporting.
2 cases:
  • Office 2000, 2002 (XP) or 2003 is installed: The Office Web Components are already installed
  • Office 2007 and up: The Office 2003 Web Components can be downloaded here (local copy)
See Pivot Tables and Charts on how to use Pivot Tables and Charts

7. Installing Support Programs

InfoQube can make use of external programs, such as:
  • Microsoft Word, BlockNote and WizHTMLEditor to edit MHT documents
  • StylusLabs Write to edit Ink documents
  • Inkscape to edit drawings (SVG documents)

7.1 Install MHT Editors

  • InfoQube lets you use any 2 MHT editors
  • To edit an MHT document with these, click on the corresponding button on the toolbar or press the shortcut key (Ctrl + W and Ctrl + Shift + W)
  • Download and install any of these free MHT editors and enter the paths in Tools > Options > General > Document pane > MS Word / Alternate MHT Editor:
    • BlockNote can be downloaded here and here (local copy)
    • WizHTMLEditor can be downloaded here and here (local copy)
    • Kingsoft Write Free 2013 can be downloaded here

7.2 Install Ink Document Editor

InfoQube uses StylusLabs Write (free) as its Ink editor. Write is described as a Word processor for handwriting. Its support for ink is outstanding. See Using Ink Documents (handwriting) to learn more on the Ink Editor
To install the Ink Editor:
  1. Download zip file. 2 versions are available: v2.02 (link) and v2.09 (link). v2.09 has a few issues, so it is recommended to use v2.02. Both can be installed at once, in different folders
  2. Write is a portable App. It is therefore recommended to:
    1. Create a folder C:\PortableApps
    2. Create a sub-folder StylusLabsWrite
    3. Extract the content of the zip file into this folder
  3. In InfoQube, do Tools > Options > General > Document pane > Ink Editor path. Point to the above path and select Write.exe. Click OK
  4. Write is also available as an installable program, so instead of steps 1 and 2 above, you can download and install the setup available here. It is however the most recent version, which has a issue with the "single file" mode. So this is not the recommended approach.

Configuring the Ink Editor

To configure Write, start the program and click on the 3 vertical dots on the right of the window and select Preferences. Select "Show advanced preferences". The dialog will now show the following sections:
  1. Input
  2. User Interface: see below
  3. Document List
  4. General
  5. Ruled Tools
  6. Performance
  7. Advanced
Recommended settings if you have an active pen are:
  1. Input: Mouse Input=Pan, Single-touch=Ignore, Multi-touch=Pan, Smoothing=10
  2. User Interface: Return to previous tool: uncheck
    Click on Edit Toolbar and drag-drop icons to customize the Toolbar, typically adding:
    • Save
    • Create Link
    • Full Screen
    • Pan
    • Pen Color
    • Create Whiteboard and Open Whiteboard (if you plan to use the new real-time collaboration on Ink documents)
  3. Document List: Uncheck Prompt before saving and Reopen last
  4. General: Check all except Auto grow page right and Display time range. Set View mode=Vertical scrolling
  5. Rules Tools: Check all. Column detection=Normal. Minimum reflow=0.30
  6. Performance:
  7. Advanced: Check all except Check for updates. Set File extension=shtml
Additional settings
  • Write defaults to saving files with images down sampled (to reduce file size). So if you later on increase the image size, you'll notice significant image quality degradation.
    You can change this by adding this setting in the Write.xml config file: <int name="savePicScaled" value="0" />.
    The file is typically located in c:\users\YourUserName\AppData\Roaming\Stylus Labs
  • The toolbar customize UI is missing Zoom In/Out commands. These can nevertheless be added by editing the Write.xml file: In the toolbar section, add actionZoom_In and actionZoom_Out

7.3 Install Inkscape (SVG document editor)

  • Inkscape latest version can be downloaded here (official site)
  • In InfoQube, do Tools > Options > General > Document pane > SVG Editor path. Point to the above path and select Inkscape.exe. Click OK

7.4 Viewing PDF files

To display PDFs in the Document pane, Adobe Acrobat Reader must be installed. Version X 10.1.4 or 10.1.16 works fine. Steps are:
  • Download Acrobat Reader X from here
  • Install it
  • Open Acrobat Reader
  • Edit > Preferences > Internet: Check Display PDF in browser (should be checked by default):

  • Edit > Preferences > Reading: In Screen Reader Options > Page vs Document, select Only read the currently visible page (Ref link)
  • When in IQ, if showing PDF documents brings up a dialog about Reading Order every time, close IQ and open the file in Acrobat Reader. Select the above reading options and check to save this setting:
InfoQube is also compatible with more recent versions of Acrobat Reader (such as version DC). For such versions, the setting to view PDF documents in browsers is with Internet Explorer:
  • Open Internet Explorer
  • Choose Tools > Manage Add-ons
  • In the list of add-ons, select Adobe PDF Reader
  • Click the Enable button
  • Additional info here: https://helpx.adobe.com/acrobat/using/display-pdf-in-browser.html

It is also possible to use Foxit PDF Reader instead of Acrobat. Download it here.

8. Installing the Extensions

Whether you're using the installable or portable flavors, you may want to install the extensions. These allow 1-click clipping into IQ.
If you choose not to install the extensions, the Universal Clipper can still be used to clip content into IQ. See 1. Clipping Content from other Apps for details

8.1 Install the Internet Explorer Extension

  1. Close all instances of IE
  2. In Windows Explorer, double-click on the file InfoQubeIEExtensionInstall.exe. The file is in the same folder as the main InfoQube executable (InfoQube.exe). Alternatively, it can be downloaded here (unzip downloaded file and place content in the IQ folder).
  3. Click Yes to confirm modification to the registry (you'll need admin priviledges to do this).

8.2 Install the Firefox Extension

  1. Open Firefox (up to v56. Clipper is incompatible with v57+)
  2. Navigate to this page: https://addons.mozilla.org/fr/firefox/addon/infoqube-firefox-extension/
  3. Click Install.
  4. Click on Restart Firefox

8.3 Install the Thunderbird Extension

  1. In Thunderbird, Tools > Add-ons and browse to the file InfoQubeTBExtension.xpi. The file is in the same folder as the InfoQube program

9. Registry Settings

IQ comes with a few registry tweaks files:
  1. EMLRegistryFix.reg: Use this if EML files are not displayed correctly in the Document pane.
  2. OutlookProtocol2007.reg, OutlookProtocol2010.reg, OutlookProtocol2013.reg, OutlookProtocol2016.reg: Use this if hyperlinks using the Outlook protocol do not work (Outlook:UUID).
    See this reference on how to tune this depending on the exact version of Outlook
To apply these: Right-click on this file and select Run as Administrator.

10. Copying user settings and IQ configuration files

Whether installing onto a new drive/folder (USB or other) or moving from Installable to Portable flavors, users will want to move their settings with them. All settings are saved in the following folder:
  • Installable:
    • C:\Documents and settings\YourUserName\Application Data\InfoQube (XP)
    • C:\Users\YourUserName\AppData\Roaming\InfoQube (Vista and up)
  • Portable: Your IQ folder\Users\YourUserName
This folder contains the following files:
File | Description
Dock.dat | Configuration of the docked panels
HomePage.htm | IQ's HomePage
HTMLClipperTemplate.HTM | Used by content clippers. See Configuring the Clipping Footer
Menu.dat | Your customization of the main menu
MenuHTML.dat | Your customization of the Document pane menu
NewHTML.htm | Default template for new HTML documents
NewInk.slink | Default template for new Ink documents
NewMHT.mht | Default template for new MHT documents
NewSVG.svg | Default template for new SVG documents
Options.ini | IQ options (Tools>>Options>>Program Settings)
Settings.ini | Window sizes, Dialog settings and values, etc
User.vb | User specific VBScript code: View>>Visual Basic Editor>>User Code
You may choose to copy all or only certain of these files


Getting Started

Getting Started Guide

1. Creating an IQBase

InfoQube is a file-based application, so the first step is naturally creating a new file (i.e. IQBase). Two options:
  • File > New > New IQBase (with sample data) -- Recommended
  • File > New > New Blank IQBase

2. Entering Information

Typically, the first thing you'll want to do is to start entering information.
If you started with the sample IQBase, there are already a large number of grid available (Inbox, AdrsBook, Project, etc). To open an existing grid:
  • View > Grids >

  • This list can be detached by grabbing the (.............) header and docking to a side of the main window.
    If you're just starting, it may already be docked to the left side
Let's open the Inbox grid:
You'll see a flat list of items, with a set of properties:
  • Above the grid, the source says that items are coming from Inbox. Inbox is a field and any items with this field checked will show here (unless another filter is applied).
  • 4 items are shown
  • The main item text is stored in the Item field
  • The next column is the Inbox field. All items have this checked or otherwise they would not be shown. To remove an item, uncheck this field
  • DueDate has a dropdown to select a date (and other options)
  • The next 4 columns show check boxes and are linked (using their field properties):
    • Today and Tomorrow are mutually exclusive
    • ThisWeek is checked if either Today or Tomorrow is checked
    • Checking NextWeek will unselect all 3 other fields

1. Creating a Shopping List

If you started from the sample IQBase, there is already a Shopping List grid created for you. Otherwise do:
  • View > Grids > New Grid:
  • We'll call it "Shopping list"
You'll then be presented with a blank page (i.e. a grid). Notice how the grid tab will show the grid name, and the number of items in the grid.
You are now ready to enter your information. Simply start typing and hit enter to create the item and move onto the next.
IQ auto-switches to edit mode as soon as you start typing. Alternatively, you can click on some text or press F2 to start editing
Next, you'll want to add some additional columns. There are many ways to add fields as column. We'll use the Column > Add / Remove Column command (or right-click on a column header)
  • Go to "Done" and check it, then click OK.
  • The grid now shows 2 columns
To mark items as done, do Item > Mark as Done (Ctrl + M)
In the sample, 2 items are already marked as done. Done items can be shown with a different color, in this case it is set to a pale grey background:
Last step of this tutorial is that you may want to hide items that are done. There are many ways to do this, but the simplest is to use the column filters:
  • Hover over the column header and click on the column filter button (right edge of the column header) and click on (blank)

  • Notice that a filter icon is displayed on the Done column to remind you that a filter is applied.
  • There is also a yellow band at the bottom of the grid, showing the current filter

  • To turn off the column filter, you can click on the X on the yellow band or on the Column Filter button (main toolbar and Grid menu)
  • The Column filter button is a toggle button (split button), so you can toggle between filtered and non-filtered view by pressing on this button


An overview of IQ's main components: Items, Fields, Grids, Forms, Panes

An overview of IQ's main components: Items, Fields, Grids, Forms, Panes

1. Items

In InfoQube, the information is centered on items. The term item is generic and can refer to:
  • a person
  • a thing
  • a task
  • a thought
  • a file
  • notes
  • or just about anything...
This means that InfoQube does not try to decide for you how you enter your information. You are in control.
This is not the same behavior as in other applications! For example: if you are in Outlook, you can create a contact using the contact form... a task using the task form, etc.
In Outlook a contact item is different than a task item... but this is not the case in InfoQube .
All items are equal - regardless of where created. An item is an item.
There is no "contact item" or "task item". There are items.
Each item has a unique ID number. What also differentiates items are their field values: (see next).

2. Fields

What differentiates a contact from a task in InfoQube is which fields (or properties) have values:
  • If you put a check-mark in the Contact field, it will be displayed in your contact list.
  • Put a date in the ToDo field, and it will be displayed in your ToDo list.
  • Assign it to a project, it will be displayed in your project grid.
You give them properties (in fields) to categorize them.

3. Grids

As you put more and more information in InfoQube it becomes crucial to be able to show just the section that you want to see. The Grid is the primary working window.
A Grid displays selected items and selected fields -- items correspond to lines, and fields are shown in columns.
InfoQube grids are very flexible in the way they presents your information. Details here: 1. Grid Display Modes
One of the most important InfoQube principles to learn and remember is :
An item doesn't "belong" to a grid; a grid shows any item that meets certain filter criteria
In other words, items shown in a grid are selected from all the ones in the database using filters. How ? Using the edit boxes at the top of the grid, in what is called the source bar (Grid > Source Bar). Each grid uses those filters to define the content.

This screenshot shows some of the built-in features of InfoQube. 2 windows are shown here:
  • The left window is the grid (or notepad). This shows the various items, organized in a tree-outline. Any number of fields can be defined and displayed in the grid.
  • The right window is the properties pane. It shows useful information about the selected item: the item properties
You are of course free to arrange/hide windows as desired.
You can have as many grids as you want, and even display several at the same time.
Filters can be applied to grid to further limit the items shown. See 2. Filtering for details
  • Expand/Collapse buttons: Information is organized into items and sub-items. To open (expand) or close (collapse) an item, simply click the + / - to the left of the item.
  • Auto-numbering: The left-most column displays the item / sub-item number
  • Fields support Row Equations. So entering a value in a field can fill another. In the above example, Nb Days is set from the start / end dates
  • Fields also support Column Equations: It is hierarchy based. Notice how the main project Nb Days is the sum of the sub-items.
  • Circular equations are no problem in InfoQube. In the above example, TaskActEnd can be inputted (which calculates Nb Days) but it can also be computed from TaskActStart and Nb Days. Try doing that in Excel and you'll get an error !
  • Text Formatting: 5 types of text formatting are supported by InfoQube.
    • Conditional Format: See Conditional Formatting for details
    • In-item. Use the Formatting toolbar to format parts of the text
    • Item. Choose font, size, color attributes to be applied to the item. It will be applied to all fields or just those you want (as defined by View>Grids)
    • Outline: Choose from a list of outline style (or create your own) to apply formatting based on hierarchy (text font, size, color)
  • Number and Date Formatting: User-defined formats are supported. InfoQube uses a Microsoft-standard format string (both named and user-defined). More info from this Microsoft reference .

4. Forms

  • Forms are another way to display fields values. If grids display fields from left to right, forms displays them from top to bottom, in a vertical list.
  • In addition, forms can be used to apply values to items
  • Forms are displayed in the Properties pane
  • See 4. Forms for details

5. Panes

Panes are windows that can be:
  • Left open (non-modal)
  • Docked to any edge of the main IQ window
  • Floating, either over the main IQ window or outside it
  • Minimized (i.e. collapsed)
There are quite a few panes in InfoQube (Grids can even be shown in a pane), but the two key ones are:
  1. Properties pane: This is where all item information is shown. Details here: 6. Properties Pane
  2. HTML pane: This page is for large text contents. It supports many formats, including handwriting. Details here: ]node:64]


2. InfoQube User Interface

InfoQube User Interface

The InfoQube User Interface is composed of a number of UIs to view items and Dialogs :


1. Grids (Outliner with Columns)

Using Grids

Grids are the primary method to view and edit the information in your IQBase.
  • A grid does not "contain" any items (unlike a conventional document or spreadsheet), rather, it displays items, typically a sub-set of all the items in the IQBase.
  • Items have a Home, which is where the item was created. If the item was created in grid XYZ, that will be its Home. Details here: Item Home
  • Grids have Properties:
    • Which items are displayed
    • If extra filters are applied (text, date, advanced SQL)
    • Which fields are displayed as columns
    • How items are sorted and grouped
    • Display mode: Outline or flat list
    • Whether or not the Gantt portion is shown
    • Background color, tree and grid line types and color
    • How item fonts and colors are applied
    • Level-based labeling and formatting styles

1. Creating and Opening Grids

There are many ways to create and open grids:
  • View > Grids and select from the list or click New Grid
  • View > Grids > Recent Grids (sorted list, most recent first)
  • Click on the + tab
  • Press Ctrl + F to access the Omnibox and enter the grid name
  • View > Home Page and click on a grid
In some cases, the Open Grid dialog will show:
Select an existing grid from the first list of use the middle area to create a new grid. When creating a new grid:
  • Enter a unique grid name
  • Click OK
  • Click Options to:
    • Set the grid to display existing items
    • Copy an existing grid

2. Viewing a grid

Opening a grid to view it can be done in many different ways
  • View > Grids: Select from the list
  • View > Grids > Recent Grids: Shows recently viewed grids first
  • Click the " + " tab
  • Open the Manage Grids dialog, right-click on a grid and select View Grid (or double-click)
  • In the Properties pane, click a grid group or on the grid link arrow:
  • View > Home Page and click on a grid


1. Grid Display Modes

Grid Display Modes

InfoQube has many display modes to help you manage your information in the most efficient manner.
Items can be displayed in grids of course, but also in the Calendar, in Map Views, Pivot Tables and Charts, Gantt Charts and Timelines.
Grids can display items using one of 3 modes:
  1. Outline (Normal)
    Shows the outline (or hierarchy) of items and sub-items.
    If a parent item does not meet the grid source, it can still be shown (for context) if Grid > Context Parents is set
  2. Source items (Flat List)
    Sometimes the hierarchy gets in the way. For example when sorting items. A flat list is then very useful.
    Only items meeting the grid source (i.e. source, filter, etc.) are shown. If items have sub-items, a + expand button is shown.
  3. Source items (Tree View)
    This somewhat hybrid view shows the same list of items as the flat list, but arranged in a hierarchy whenever possible.
To set the grid display mode use one of:
  • Grid menu > Display Mode section,
  • Right-click on the grid tab or,
  • Use the dropdown button on the standard toolbar:

    The dropdown button icon shows the currently selected display mode
In addition, for each mode, context parents can be shown or not, making a total of 6 displays. We'll look into each of these and their typical use-case.
Consider the following items shown in the AdrsBook grid in Outline mode:

Flat List View

When viewing your address book, you sometimes want to see just your contacts. It is then easier to find a contact than if other information is also shown (calls, meetings, notes, etc).
Select Flat list. All contacts will be shown as top level items, even if they are at a different level in the Outline view. Notice for example how Albert Sung is now shown at the same level as other contacts.
Another advantage of Flat list view is easy sorting and filtering. Use the Sort Bar to sort and Column filter buttons to filter.

Tree View

When dealing with lots of contact, or when working with many organisations, it can be useful to arrange contacts in hierarchy with companies as top level item (TLI) and its employees as sub-items.
The flat view hides this hierarchy. To view the contact hierarchy, use the Tree View:

Context Parents

As seen on the first sample screenshot, the CallDate field has a hierarchy equation and shows the most recent call to a given person and company. This is convenient for CRM type applications.
Assuming that CallDate did not have this equation, it would be more difficult to quickly see the call history and know when to call back, etc
Shown below is the Calls grid, in Flat View (which shows all items that have a CallDate value):
This list is perfectly sorted, showing most recent calls first. What is missing is context information, that is "Who was called". To show this, the ItemParent field could be added in the grid. The information is also available in the Properties Pane. Alternatively, one can show Context Parents:
In this view (Flat View with Context Parents), the list is still perfectly sorted but with the immediate parent shown (Up to 9 levels of context parents can be shown).
Notice that because of the sort, the same contact is shown more than once (e.g. John Dow is shown three times).
When actually calling the person, it would certainly be more convenient to see the calls to that person grouped together, such as shown here:
In this view (Tree View with Context Parents), calls to each person is still shown in the right order (most recent first), but grouped by person. The person's phone number is shown to speed things up ! Multi-level Context parents are also shown since sometimes only the phone extension is entered, so having the company main number is handy (e.g. see Mary Smith).
Each view is complementary and aims at helping you be more efficient at managing your information !
Notes:
  1. Context parent displays the main parent. If an item has multiple parents, other parents can be viewed in the properties pane (and a single-click on a parent will display it in the Scratch grid).
    The main parent is changeable in the properties pane by right clicking on a another parent (if available, in the parents section) and selecting "Set as main parent".
    If you change an item's parent, the changes won't be reflected in grids and other outline UIs. Press F5 to refresh the display
  2. The Context parent is a dropdown. Choose between (none) and 9 level deep. Setting to 1 shows only the immediate parent for example
  3. To view sub-items which may be hidden use: Item > Show all sub-items (or Ctrl + Click on the outline/hierarchy bullet in the grid)
    Grid settings may hide "non-relevant" sub-items, such as those not meeting filter criteria (items marked done for example)


2. Outline Labels

Outline Labels

Outline Styles and Labels provides a quick way to automatically format your outlines.
With Outline Labels, heading items get numbered automatically based on the item hierarchy level (i.e. heading level) and any change in the hierarchy is immediately updated:

1- Managing Outline Labels

The Manage Outline Labels dialog is used to define labels:
  • The left pane shows the list of defined label sets
    • Right-click to Add / Delete Label sets
    • Click the down arrow to import / export sets
    • Click OK to save or Cancel
  • The right pane is used to modify the properties of the current set:
    • Name
    • Format
    • 1 or more items per level can be shown
    • Live-preview

2- Specifying the Labeling Format

The labeling format uses a simple defining string:
  • Each level is defined using the following flags RP[F]S and separated by | (a space, vertical bar, another space)
  • R: Indicated the level is recursive, 1 character, optional
    • Uses the label of the parent level as a prefix to the current level
    • The suffix characters of the parent level are not included
  • P: Prefix before the numbering. 1 or more characters, optional. Can include formatting and icons.
  • [F]: Format code, optional, 1 of the following characters, enclosed in square brackets:
    • 1: Numeric
    • a: Alphabetic
    • A: Alphabetic, capitals
    • i: Roman
    • I: Roman, capitals
  • S: Suffix, 1 or more characters, optional. Can include formatting and icons.
The format text box is similar to the Popup Editor. Right-click to format and add icons:

3- Using Outline Labels

Using outline labels is really simple:
  • Use Grid > Outline Labels menu (or toolbar dropdown button) to select the label or "(none)"

  • Use this to instantly switch between different types of labels (see section 5 below for sample)

3.1 Heading vs Normal Items

When using InfoQube as a writing tool, it is important to distinguish between Headings and paragraphs (i.e. actual content):
  • Use the H or N command buttons to toggle between the two states
    (an item is either a heading or a normal text item, never both)
  • By default, all items are Headings
  • Adding an item after a paragraph (normal item) creates a new paragraph
How Heading / Normal items affect Outline Labels
  • The rule is very simple: Only Heading items get outline labels
  • More details here: 2. Export Outlines (Print-ready)

4- Import / Export Outline Labels

Click the down arrow to import / export label sets

4.1 Export

  • A dialog is shown to select export of the current label set or all label sets:
  • Select the export file name as click Save

4.2 Import

  • Select the import file and click Open
  • Selected file must come from a previous Export, from the current IQBase or from any other one
  • If a label set has the same name as an existing one, the existing one will be replaced by the new one.

5- Sample Outline Labels

Notes :

  • Outline labels can be combined with styles. See 3. Outline Styles for details on using Outline Styles
  • To make a copy of a label set, simply save it under a different name
  • The [F] format specifier is actually optional. If not present, the labels will be shown but not numbered, hence will be the same for all items (of that level).
    This can be used to add bullets and other formatting (i.e. such as back color) to all items or items of any given level (such as red for level 1, blue for level 2, etc):


3. Outline Styles

Outline Styles

REMINDER
  • InfoQube supports Rich-text formatting for grids, items and the HTML editing pane.
  • Editing in the HTML pane is similar to word-processors. See 4. Document Pane.
  • In grids, formatting is structured as a hierarchy. In increasing order of precedence, these are:
    1. Overall default font: set in Tools>Options>General>View: Grid font and Grid font size settings
    2. Grid specific font: set in Grid>Properties>Options: Default Font
    3. Item format: Applies to the whole item or to specific columns. See Item Formatting.
    4. Outline style. See 3. Outline Styles
    5. Embedded format: See Embedded Formatting
    6. Conditional format. See Conditional Formatting
Outline Styles and Labels provides a quick way to automatically format your outlines.
With Outline Styles, the font face, size, bold, underline, color, etc are automatically set based on the item hierarchy level (i.e. heading level) and any change in the hierarchy is immediately updated:
Combined with Outline Labels, this provides great visual feedback when writing many types of documents.

1- Managing Styles

Styles are just regular items with the field OutlineStyles checked.
To manage styles, the simplest way is to create a grid with OutlineStyles as its source:
  • The OutlineStyles grid can be renamed Styles if desired. IQ will search for either of these grids to manage styles
    If such a grid does not exist, it will open the Scratch grid and show the style items.
  • To create styles, create a hierarchy of items
  • The first level is the style name
  • For other levels, the actual item text is not used. Using Level x is a good choice
  • Use the formatting toolbar to format each level
  • All item level formatting are allowed:
    • Font face and size
    • Bold, italic, underline, strikethrough attributes
    • Text foreground color
    • Item background color
  • Using Copy / Paste, one can transfer styles from one IQBase to another
In this example, 3 styles are defined: First Level Bold, Standard and Fancy.

2- Using Styles

Using styles is quite simple:
  • Use Grid > Outline Style menu (or toolbar dropdown button) to select the style or "(none)"
  • Override Item Settings allows to choose from:
    • Checked: Outline style is applied to all items. Grid and Item formatting are completely ignored.
    • Unchecked: item format merges grid, item and style formats

2.1 Heading vs Normal Items

When using InfoQube as a writing tool, it is important to distinguish between Headings and paragraphs (i.e. actual content):
  • Use the H or N command buttons to toggle between the two states
    (an item is either a heading or a normal text item, never both)
  • By default, all items are Headings
  • Adding an item after a paragraph (normal item) creates a new paragraph
How Heading / Normal items affect Outline Styles
  • The rule is very simple: Only Heading items get outline styles
  • More details here: 2. Export Outlines (Print-ready)

3- Samples

Using such styles it is possible to switch between these 3 views in seconds !
(left: no style, middle: Standard, right: Fancy)

Notes :

  • Override Item Settings is useful to hide item specific formatting. Useful when printing or sending the outline to a colleague.
  • When using Outline styles, Zoom in / out may not do anything (if the style specifies the font size).
    Also, item formatting is possible, however if Override Item Settings is checked, the grid will not show the item format of course.
  • To properly manage styles, avoid applying an outline style to the OutlineStyles grid !
  • After changes to a style, switch to the grid which uses it and either (1) re-apply the style or (2) press F5 to refresh.
  • The same item hierarchy can generate more than one style.
    In the above example, if under the Fancy style, the Level 3 item has OutlineStyles field checked, it will also appear in the menu, and it's sub-items will be used (rename it to something more meaningful if desired)


4. Grid Columns and Column Sets

Using Grid Columns and Column Sets

When an item is selected, in any of InfoQube's views, the properties pane can be used to view / edit item values and properties. It shows the information for the selected item.
One advantage of a grid, is that it can show columns which can be used to display and edit item values.
The Column menu (or right-click on a column header) contains commands to work effectively with columns:

1- Column menu commands

  1. Show Columns: Toggles the display of columns. When turned off, only the Tree column is show. Ideal when you want to focus on entering text in the outline
  2. Add Columns: Shows a dialog where you can add and remove fields shown in the grid columns.

    • Current grid columns are shown first, followed by an alphabetical list of all fields
    • Click Add New to show a column based on a new field
    • Tabular list supports auto-search, sorting and filtering
    • Drag-drop to reposition columns in the grid. Support for multiple selections

    • Hint: To add a column to a grid, you can also drag-drop a field to the grid, from:
      • Properties pane
      • Field Management dialog
  3. Remove Column: Removes the current column(s) from the grid. Supports multiple column selection
  4. Column Sets: See below for details
  5. Hide Column: Hides the current column(s) from the grid. Supports multiple column selection. A hidden column is still part of the grid, but not displayed. It can still be used to sort, filter and parameter in conditional formatting. To show a hidden column, use the Hidden Columns command (below)
  6. Hidden Columns: Shows the list of currently hidden columns :

    Select a column in the list to un-hide it or "Show all Hidden Columns" to un-hide all
  7. Column Header: Change the following column header properties :

    • Caption: Change the header caption. Headers can be rich-text formatted (bold, etc) and icons inserted anywhere in the text. (uses the Popup Editor):

    • Alignment: Change the column header text alignment (left, centered, right)
    • Move Left / Right: Move the current column(s) left or right. Supports multiple column selection. Drag-drop can also be used to change the order of columns in a grid.
    • Move the header up / down: Grids support multiple levels for headers. This is particularly useful for checkbox columns or columns with long captions :

    • Group Columns: Select 2 or more columns to group them. Column groups have a + expand / collapse button:

      (on the left, the column group is collapsed, hiding the End and Days columns)

      If a column is grouped, the Group Column command button will be checked. Uncheck it to ungroup
    • Ungroup All: Ungroups all grid columns
  8. Alignment > Left / Center / Right: Sets the alignment for values in this column. This effectively sets the field alignment (Field > Properties), so any change is reflected in all other grids. Supports multiple column selection.
  9. Color: Sets the Field color. The field color is shown on the column header and / or the column cells. Setting in Tools > Options > General > Grids. Supports multiple column selection.
  10. Width...: Sets the width of selected column(s). Shows the Column Width dialog:

  11. Auto Column Widths: When set, the grid will adjust the column widths to fill the available horizontal space
  12. Wordwrap: Toggles word wrap for text and dates columns. Setting is grid specific, so for the same field, grids can have a different setting
  13. Is Tree Column: Normally, the Item column is used to show the outline. InfoQube however lets you choose any other column.
  14. Use WYSIWYG Editor: For text columns, toggles the use of the WYSIWYG editor.

  15. Select Column: Selects the current column
  16. Show HTML Codes: InfoQube supports HTML-based rich text formatting.
    Normally, these are shown in a WYSIWYG way, so codes are hidden, but sometimes it is useful to see the actual formatting codes.
    Use this command in such situations. If the WYSIWYG editor is turned off (see below), you can see the codes when editing. Another way is to use the pop-up editor which can also show HTML codes.
  17. Nb of locked columns: Sets the number of locked columns. Locked columns do not scroll when grids are scrolled left and right.
    To lock columns, place these on the left of grid and select one or more locked columns. Particularly useful for grids that have many visible columns.
  18. Sort items ascending / descending: Use this command to sort items / sub-items
  19. Column Properties...: Displays the Manage Fields dialog. Use this to make changes to fields. See Field Management Dialog for details.

2- Using Column Sets

Each grid has a set of columns, which are typically chosen to best describe the items in the grid. Sometimes however, one wants to see other item values. The Properties pane can be used for this but as an alternative, it is also possible to load / unload column sets.
This allow a dynamic grid display with easily interchangeable sets of columns. Grid native columns are still available (for sorting and conditional formatting purposes), but made invisible, except for locked and tree columns (which remain visible, no matter what).
Column sets can come from forms or grids. To learn more about forms, see 4. Forms. By default, grids are not shown in the Properties pane, to show a specific grid, use Manage grids > Options > Show this grid in the Properties pane.

2.1 Loading a Column Set

Use Columns > Column Sets to switch column sets:
The columns in the grid will instantly change:

2.2 Unloading a Column Set

To unload a column set, do one of:
  • Select Native Column Set
  • Close the grid

2.3 Saving a Column Set

After loading a column set you can set the grid to use it by default. To do so, do one of:
  • Click Save Grid with this column set...
  • Click Grid > Save
Either way, a dialog will be shown:

2.4 Using the Properties pane to load column sets

Column sets can also be loaded / unloaded using the Properties pane
To load a column set, right-click on the form or grid in the Properties pane:
Hints:
  • You can keep some of the grid's native column if so desired. Simply lock then before loading the column set (see below on how to lock columns).
  • To restore the native grid columns, right-click on the column set (or the Current Grid entry under the Grid heading) and select "Unload Column Set".
  • Multiple uses, but in particular, when viewing items in the search or scratch grid, users can then load column sets to view pertinent information.


6. Manage Grids Dialog

Manage Grids Dialog

The Manage grids dialog is used to view / edit / delete grids.
To open the dialog, you can:
  • Use Tools > Manage Grids...
  • Right-click on a workspace tab and select Manage Grids...
The dialog is divided into left and right panes:

1. The Left Pane

Left pane shows the list of grids, also shown are:
  • The grid source (i.e. which items are shown in this grid)
  • Keyboard shortcut key
  • Whether to show or not the grid in the grids list toolbar
  • Date the grid was last opened
  • Grid ID, a unique number identifying the grid
The tabular list allows auto-search, sort and filtering of the list:
  • Auto-search: In the Name or Source columns, start typing to find a grid
  • Sort: Click any column header to sort
  • Filter: Click on the column header filter button to filter the list of grids shown
  • Drag-drop grids from one position to another
Right-click on items in this list to:
  • Create a new grid
  • Open the selected grid
  • Copy the grid
    Once copied, you can:
    • Paste it as a pane (dashboard-type grids)
    • Paste the grid format, from one grid to another
    • Paste hyperlinks to grids
  • Delete the selected grid
  • Save the order of grids
The left pane support multiple selections. This is useful to
  • Open multiple grids at once
  • Delete multiple grids
  • Copy multiple grids. In a grid, do Edit > Paste Special > IQ View to create items that will be hyperlinks to grids

2. The Right Pane

The right pane shows the properties of the selected grid (left pane).
The pane is divided into the following sections:
  1. General
  2. Data
  3. Gantt Chart
  4. Options

2.1 General

  1. Grid name: 50 characters max. All characters are valid except " . | ~ * ! ` ? [ ]
  2. Description: 255 characters max.

2.2 Data

  1. Source: Field or SQL defining the items to show in the grid
  2. Filter: Field or SQL further filtering the list of item shown in the grid
  3. Sort: Field or list of field (comma separated) setting the order of items displayed in the grid. By default, sort is Ascending. use the DESC suffix to sort Descending
  4. Auto-assign field list for all top level items: Based on the grid source, this give the list (read-only) of fields that will be automatically assigned a value for all TLI items in the grid
  5. Keep source field values when demoting TLI: When an item is moved from TLI to a sub-item, should the automatically assigned value be kept or not
    • Date fields always keep their value
    • Number and Text field always keep their value unless they have were automatically assigned (" " for text and 0 for number fields)
  6. Auto-assign field list for all items added in this grid: Comma separated list of fields

2.2.1 Defining the Grid Source and Filter

Together, the Grid Source and Filter specify what items are shown in the grid. Items displayed in the grid will be those that meet both the Source and the Filter.
  • The reason why Source and Filter are kept separate is so you can keep the Source constant as you tweak the Filter.
    Also, the Filter can be turned On / Off which is not the case for the Source.
  • When a Grid is first created its Source is set to be the field that matches the Grid's name (unless specified otherwise in the New Grid dialog)
  • When the Source has only one field then any new top-level-items created in the Grid will automatically have a value for this field. The grid is said to have a "Simple Source".
  • If the source field name(s) contains spaces or other special characters, it needs to be enclosed with [ ]

2.2.2 Sample Grid Sources

  • AddressBook: All items with the field AddressBook checked
  • AddressBook AND Archived is Null: Shows un-archived contacts
  • Project = "Somiro": All items that have the value "Somiro" in field Project
  • Wikitag like "*{IQ}*": All items with Wikitag "{IQ}"
  • More examples here: Source Filter Editbox

2.3 Gantt Chart

See Gantt Chart Properties of Grid for details

2.4 Options

  1. Grid Background Color: Overrides the setting in Tools > Options
  2. Default Font: Grids use the font specified in Tools > Options unless specified here. Format: Font Name | Font Size
  3. Grid Line Properties: A set of grid line settings. Overrides the same setting in Tools > Options
  4. Maximum item height: In pixels, 0=none
  5. Show Done Check Mark: Show / hides a checkbox on the tree column to mark items as done
  6. Show Hierarchy on the # column: If checked, the # column will show the item hierarchy (i.e. 1.3.2), otherwise a flat list of numbers
  7. Shortcut (Alt + ): Enter shortcut key. Valid is 1 through 9
  8. Wordwrap column headers: If checked, the grid header caption will wordwrap
  9. Column(s) showing the text font/color: By default the item font is applied to all columns. Enter a comma separated list of fields to limit this (use # for the first column)
  10. Column(s) showing the item color: By default the item color (i.e. background color) is applied to all columns. Enter a comma separated list of fields to limit this (use # for the first column)
  11. Is the XXX grid: There are 3 special grids in InfoQube. Scratchpad, Search results and In-Box.
  12. Grid auto-updates: Grids auto-update is improving with every InfoQube version. Currently:
    • Grids automatically update on item field values changes and on item deletion
    • This flag only affects items added elsewhere (in another view or in another instance of this grid). If the flag is set and the new item meet the grid criteria, it will be added
    • If auto-update is checked, the grid will also background load sub-items under collapsed items (when the display mode is Outline)
  13. Grid visible to other applications: IQ uses MS Jet as its database engine. If this flag is set, a visible query will be generated which enables other applications, such as MS Word or Excel to view the items in the grid (read-only).
    What these applications will see is however not the outline (since they do not support this), but rather the same list as the Grid > Display Mode > Flat List
  14. Show this list in the Properties Pane: If checked, the grid and its columns will be listed in the Properties Pane, under the Grids heading.
    With the grid columns visible in the Properties pane, it becomes like a form (see 4. Forms for details)
  15. Groups: Enter the list of groups this grid belongs to (comma separated). See 7. Grid Groups for details

3. Saving changes

Changes to grid parameters are buffered, so nothing is saved until you press the "Save" button. If you close the dialog without saving a dialog appears:


Gantt Chart Properties of Grid

Gantt Chart Properties of Grid

Grids that show a Gantt chart have an additional section in the Manage Grids dialog:
1 | Start Date Field | Date field for the start of the bar. May be empty if the End Date field is not empty, in which case, all bars will be milestones
2 | End Date Field | Date field for the end of the bar. May be empty if the Start Date field is not empty, in which case, all bars will be milestones
3 | Duration Field | Calculated duration (End - Start) will be saved in this field
4 | Percent Done Field | If not empty, a Percent Done bar (black line, vertically centered) will be available. To change, either edit value or hover near the bar start until tbe icon changes to %>
5 | Bar caption field | If not empty, a text string will be shown just right of the bar and move with it. Could be any text field, typically it is a note field or the item field
6 | Effort (in days) Field | Used to compute the histogram
7 | Bar color field | Field to save item bar color (custom color)
8 | Bar default color | Color of all bars that don't have custom colors
9 | Overview shows Gantt bars | The Overview is a re-sizable navigation pane, shown above the Gantt. Select this to show miniature Gantt bars in this pane
10 | Overview shows Gantt date range | Toggles the display of the current Gantt viewing window
11 | Show Histogram | Toggles the display of the Histogram. The Histogram is displayed below the Gantt and can display resource loading
12 | Non working Days | Picklist of days which are non-working. Non-working days are used in duration calculation, so if non-working days are Sat and Sun, a 3 day task which starts on a Friday will finish on Tuesday
13 | Non working hours | Similar to non-working days


7. Grid Groups

Grid Groups

As your information in InfoQube grows in size, so will the number of grids (typically used to show this information).
It is possible to group grids and show these groups in home pages and the Properties pane.
Examples of groups could be:
  • Projects at work, each project specific grids, plus some general ones can be grouped
  • Home related info
  • If the IQBase is shared with other family member or office co-workers, users can select which grids are pertinent to them

1. Grouping Grids

Groups are easily managed using the Grid management dialog:
  • In Other > Groups, enter the list of groups that each grid belongs to (comma separated list)
    For example, grid Invoice could have the following groups: Somiro, Projects, John
  • For every grid that you want in a group, enter the group name in the grid properties
    For example, if you want group Somiro to include grids Invoices, Projects and AdrsBook, ensure that these 3 grids have Somiro (along with other groups if desired) in Other > Groups
That's it. Groups are automatically generated, based on the values entered.

2. Using Grid Groups

Grid groups can be used in home pages and in the Properties Pane

2.1 Grid Groups in Home Pages

As described in 8. Home Pages, to list grids in a group, enter the following token:
  • [GridGroup:Somiro]: All grids that belong to grid group Somiro
You can also show all grid groups, using the token [GridGroups]

2.2 Grid Groups in the Properties Pane

Grid groups are listed under the Grids section of the Properties pane:
Either way, the grid is shown as a hyperlink. Click this link to open the grid.
Hint : Dashboard type grids can also be used to group related grids in a single view, the advantage being that all UIs (grid, surface, calendar, etc) all open at once


8. Sub-Views

Sub-Views

IQ also has other means to view your data. These views are called sub-views as they are alternate display of grids. That is, one typically opens a grid and then selects an alternate view:
  1. Map View
  2. TimeLine View
  3. Pivot Table View
  4. Pivot Chart View
These sub-views are linked to a given instance of a grid. This means that if you have 2 instances of a grid opened, showing different sets of items (with say different filters), each sub-view use the items in those grids. For Pivot tables and charts, note however that to have multiple pivot for the same grid, the source of items must be set to "Use Items displayed in the grid" (and not "Use items from the grid source")


Map View

Map View

Map view is an alternative display to grids. Open a grid, select an item and do View>Map View:
Grid View | Map View
  • Map View shows a central item, its parents and it children (sub-items)
  • Layout is automatic (as opposed to the IQ Surface, which is more of a 2-D free-form sheet where items can be placed)
  • Double-click to open the Popup Editor to edit the item text
  • Shift+double-click to explore from the selected item
  • Item parents are shown above the explored item.
  • Right-click on an empty to select overall layout to toggle between Horizontal and Vertical layouts
  • Right-click on an item to toggle between Normal Fan-out and Vertical Tree layout:
    • Normal Fan-out | Vertical Tree

  • Properties and HTML panes are enabled to view / edit other item information
  • Icon shown to indicate that the item has HTML content or linked to a web page (separate icons for each)
  • Item rich-text is shown
  • Item backcolor is shown
  • The Item dropdown menu is available to add / remove / modify items and sub-items with the same keyboard shortcuts as grids, namely:
    • Insert key to add a first level items
    • Enter to add an item at the current level
    • Ctrl + Enter to enter a sub-item
  • Supports Drag-Drop to move an item from one parent to another
  • Ctrl+Wheel: Zoom in / Zoom out
See also: Concept Maps


Pivot Tables and Charts

Using Pivot Tables and Charts

If Microsoft Office 2002 and up is installed, InfoQube can use the built-in Pivot Tables and Charts.
(more to come !)
Other resources:
  • Great video on using Pivot Tables and Charts in Excel: https://www.youtube.com/watch?v=9NUjHBNWe9M


Gantt Charts and Project Management

Gantt Charts and Project Management

When it comes to Project Management, InfoQube is not as sophisticated as specialized tools like Microsoft Project or Primavera, but it nevertheless provides extensive project management tools. One of which is sophisticated Gantt charts:
Being fully integrated with the rest of InfoQube, its Gantt Charts are in some ways even move useful than those of the "big guys" !

1. Gantt Specific Features

  1. MS Project look
  2. Multiple Gantt charts per IQBase (related or unrelated)
  3. Customizable time scale, from hours to years
  4. Configurable to use "stock" fields or your own set of fields
  5. Task Start, Task End, Percent Done fields
  6. Option to use Bar Caption, Task Effort, Bar Color fields
  7. Optional Overview to show the whole project, for easy navigation
  8. Optional work load profile below the Gantt
  9. Non-working days support. Either shown in grey or hidden from view.
    Tasks duration is maintained (So a 3 day task will take 5 calendar days if it crosses a week-end for example)
  10. Arbitrary non-working days: Set any day as a non-working day (i.e. statutory holidays)
  11. 3 bar types: Task, Milestones, Summary
  12. All standard Task Link types (dependencies): FS (default), SS, FF, SF (See Wikipedia def.)
  13. Full support for Lags between tasks (+ve and -ve lags). So a task can be set to start 2 days after another one completes, or 3 days prior
  14. Inside-Zoom and Zoom-on-Fly to show more details for certain tasks:

  15. 3 modes to manage linked tasks: Visual display only, Enforce Task Dependencies, Locked
  16. Show / hide link lines
  17. Option to freeze started tasks, so they cannot be moved
  18. Automatically rearrange tasks based on tasks, links and lags to calculate the earliest delivery (PDM / CPM optimization)
  19. Critical Path display: Find where the bottlenecks are to deliver on-time:

  20. Compact TimeLine view to quicky see what should happen when:

2. It's a Grid too, so...

Being a standard grid, all of these can also be used to optimize project management:
  1. Unlimited number of columns
  2. Unlimited number of sub-items
  3. Multiple Parents
  4. Filter by any column
  5. Hoist specific items
  6. View tasks in other grids
  7. Print Preview
  8. Save as PDF, Image

3. Tasks are items

Each task is just an IQ item, so like any other item, you can:
  • View task start and task end in the Calendar, color coded (green=start, red=end)

  • Late or near late tasks can change color (see the built-in Urgency field). This color code is shown everywhere in IQ, not just in the Gantt
  • Add associated rich text notes, Web pages, Drawings, Ink documents, etc. in the HTML pane
    Perfect for brainstorming, design notes and other handwritten content. Details here: Using Ink Documents (handwriting)
    And the Ink editor now supports real-time remote multi-user collaboration (web server based)
  • View the whole project, or sections of, on the new 2-D IQ Surface !

4. Multi-User and Dropbox Sync Ready

  • Finally, IQ is multi-user ready when used in a LAN environment, so it supports team work.
  • And with Dropbox-sync, you can have your projects at work and at home.

5. How-To:

  • Create a bar: 2 ways:
    • On an existing item, enter a value for the task start and / or task end fields
    • In the chart area, click and drag from the start to the end date. If done on a blank area of the chart, a new item will be created
  • Create a milestone: Clear the task end date or set it to the start date
  • Create a summary bar: Right-click on an existing bar and select "Is Summary Bar"
  • Link 2 tasks: 2 ways:
    • Enter a taskID in the NextTaskID field
    • Click on the first bar and move down to the second bar. A dialog will be shown:

    • Select the link type and lag
    • Uncheck "Show this dialog" to automatically created a FS type link
  • Delete a bar or a milestone: Click to select 1 or more bars / milestones. Right-click and select Cut (or press Delete)
  • Delete a link: Any of:
    • Delete the NextTaskID value
    • Right-click on the link and either select Delete Link or Link Properties > Delete
  • Change the bar color: Right-click on a bar and select "Bar Color"
  • Change the Gantt Scale: Any of:
    • Drag the Zoom scrollbar in the Gantt menu
    • On the Overview bar, click on one of the scale button
    • Ctrl + Mouse wheel while over the chart
    • Drag the top level separator line left / right (=zoom out / zoom in)
  • Show the Zoom-on-Fly window: Press Ctrl and Shift and hover over a bar
  • Set a day as non-working: Right-click on the day in the chart header and select "Is a non-working day"
  • Move the focus between the Grid and Gantt panes:
    • Ctrl + Alt + right arrow moves focus to the Gantt
    • Ctrl + Alt + left arrow moves focus to the Grid
  • Scroll the chart: Any of:
    • Shift + Mouse wheel while over the chart
    • To show a specific task: Select the task
    • With focus on the chart, use the left / right arrows to intelligently scroll from task to task in chronological order
      A vertical line is drawn in green for task start and in red for task end
      The status bar show the number of days between tasks
      Press Escape to return to the blue vertical indicating the current date
  • Bar start and end dates,duration information:
    • Shown on the main status bar. Click a bar to view it
    • Shown as a tooltip on mouse over while holding the Ctrl key.

6. Notes

  • InfoQube also supports non Gantt-based task dependencies. See 2. Task Dependencies for details


2. IQ Calendar

Using the IQ Calendar

The IQ Calendar is like no other because of its feature set and deep integration with other InfoQube's components.
With it, you'll be able to view and edit date related items and tasks in the familiar calendar metaphor.
The Calendar provides you with day, multi-day, week, month and year views.
The left panel show a mini-calendar, current events and the list of available calendars:

The IQ Calendar Concept

The IQ Calendar concept is similar to other calendars. This is essential to ensure fluid exchange between IQ and other calendar applications (Outlook, Google Calendar, etc):
  • Events can be all-day or have start / end times
  • Events can span more than 1 day
  • Events can be repeating
There are however important differences:
  • Events can be scheduled or not. Non-scheduled events are shown in the upper part of the Calendar, along with the all-day events.
    An unscheduled event has a duration but no associated time:
    • Event duration of the item in hours
    • Moving the event from the scheduled to the non-scheduled areas preserves the event duration value
    • The event / item duration field is handled like any other item field values (can be shown in a grid, be used in equations, etc)
  • Any date field can be shown shown in the Calendar. (by default, the Appointment field is used)
    • Show Anniversaries and birthdays
    • Show task due dates
    • Show project milestones
    • Show both Task Start and Task End in the calendar, in different colors
    • etc.
  • Event date and duration can be modified using grids and the Properties pane
    (in addition to drag / move and other Calendar specific actions)
  • Calendar events are like regular items, so they can:
    • Have any number of field values
    • Have rich text content (Document pane)
    • Be shown in other views (Grid, Gantt, Surface, Map view, etc)
    • Be arranged in hierarchies:
      • Have any number of sub-items
      • Have multiple parents

1.0 The Calendar UI Elements

The Calendar UI is divided in three sections:
Top toolbar: Contains command buttons to:
  1. Show / hide the left pane
  2. Add / edit / delete events
  3. Today button: Scrolls the Calendar to ensure that today is shown. Appears checked whenever today is shown
  4. Choose the Calendar date (day / month / year dropdown buttons)
  5. Set the display options
    • Number of days shown: One of 1, 2, 3, 5, 7 days, month and year
    • Display type: Month view, Horizontal and Vertical scrolling lists
    • Show / hide the time scale (unless auto-show is On)
Left pane:
  1. Mini-calendar: Dates currently shown in the calendar will be highlighted. Click to select specific dates, weeks and month
  2. Current events (today, tomorrow, shown). Double-click an event to view / edit its details
  3. List of calendars in this IQBase. Each calendar can be shown / hidden separately or use the main toggle to show all
  4. List of Google linked calendars. Each calendar can be shown / hidden separately or use the main toggle to show all
  5. Drag the splitter bar to resize the left pane
Right pane:
  • Day time scale
  • Main Calendar window
  • See section 3 below for more details
In addition, other IQ components can be used:
  • Grids to view / edit date item text and date values
  • Grids, namely the AdrsBook grid, can be used to drag an item, such as a contact, to the Calendar to create an appointment for this contact. Appointments will appear under the contact, as sub-items.
  • Gantt Chart, typically for project related items
  • Properties pane to view / edit item text and date values
  • Document pane can be used to associate rich text content to any calendar item
  • Fields can operate on calendar items (through equations and auto-assigns)
  • VB Script can also operate on calendar items

2.0 Navigating the Calendar

Navigating inside your calendar can be done in a number of ways:
  1. Mini-calendar
  2. Top toolbar
  3. Cursor keys
  4. Direct Calendar interactions: mouse click, mouse wheel, touchpad, screen touch
The mini-calendar selection (i.e. highlighted dates) are always updated to reflect dates currently shown in the main Calendar window

2.1 Using the Mini-calendar

Selecting dates in the mini-calendar will show these in the Calendar. For example, click on:
  • a day
  • a day and drag to select multiple days
  • (hold Ctrl to select a rectangular region)
  • a week number
  • a day header
  • the month header
The Calendar will automatically set the display type based on your selection
In above example, Tuesdays and Wednesdays are selected and 2 weeks will be shown at a time.

2.2 Using the Top toolbar

The top toolbar is another way to navigate the calendar:
  • Press Today to show the current day, while keeping the current display scope
  • Navigate using the up / down arrows for day, month and year
  • Press the day, month, year buttons for dropdown selection
  • You can set the number of days shown: 1, 2, 3, 5, 7, month or full year
  • Select from one of the 3 display modes, each optimized for a particular use-case. See section 3 below for more details

2.3 Using Cursor keys

The up / down / left / right / page up / page down keys will scroll the calendar. The exact effect depends on the display mode and can range from one day to one month scroll

2.4 Direct Calendar interactions

Unlike say Google calendar, IQ's calendar supports direct interactions to move and zoom the display
  • Scroll in any direction:
    • Click on a blank area and drag
    • On a touch screen, touch and drag
  • Scroll up / down:
    • Mouse wheel
    • Two finger up / down swipe on a touchpad
  • Scroll left / right:
    • Shift + Mouse wheel
    • Shift + two finger up / down swipe on a touchpad
    • Two finger left / right swipe on a precision touchpad
  • Zoom:
    • Ctrl + mouse wheel
    • Mouse wheel press and drag
    • Ctrl + two finger swipe up / down on a touchpad
    • Pinch zoom on precision touchpad
    • View > Zoom > Zoom In / Out / Reset (or equivalent toolbar command buttons)

3.0 The main Calendar window

The main Calendar window is where events are shown. In addition it can be used to create events, navigate and set display options

3.1 Calendar Display Modes

The Calendar has 3 display modes. All 3 modes are touch-screen friendly.
  1. Normal
    In this mode, days are arranged in a grid with days of the week as columns and weeks as rows.
    This is similar to other calendar's month view, except that one can zoom in and out and show / hide the time scale.

  2. Horizontal scroll
    • In this mode, days appear as an endless horizontal scrollable list
    • Typically, a time scale is shown on the left side and all-day / unscheduled events are shown on top
    • Visually, the area is divided into working and non-working hours and days (settings in Tools > Options).
    • This is similar to other calendar's day view, except you can scroll to arbitrary positions and that events that are outside the view port (earlier or later than visible) are shown on top, with all-day events
    • If zoomed out, vertical scrolling (mouse wheel, etc) will perform horizontal scroll

  3. Vertical scroll
    In this mode, days appear as an endless vertical list. The mouse wheel can be used to scroll in this list.
    Time scale can be shown or hidden, depending on the number of days in view.
    This is similar to other calendar's agenda view, except that it is live and scalable, not "print-only".
    This is very useful when the Calendar in a narrow tab group or in a pane

3.2 The Time Scale

The Calendar can display a time scale, to the left of the Calendar.
  • When displayed, events are shown according to their start and end time. This is similar to other calendar's day view
  • When hidden, events are shown one below the other. This is similar to other calendar's month view.
The time scale can toggle between 3 ranges. To switch between ranges, simply click on the time scale. The ranges are:
  1. Day-view start and end times ("Day-view" is defined in Tools > Options > This Database > Calendar, see section 9 below)
  2. Day-view + evening
  3. Full 24 hour view
When the time scale is shown, the Calendar is divided into 2 zones:
  • All-day and unscheduled events are shown in the upper zone
  • Scheduled events are shown in the main (lower) zone
  • Note that scheduled events which start outside of the time scale range are also shown in the upper zone. This ensures that all events are shown without the need to scroll up / down
To show / hide the time scale:
  • Click on the toolbar command button
  • Right-click on the Calendar and select Show Time Scale
  • Changing the Calendar scale may also automatically toggle the display of the time scale
  • The time scale can auto show / hide depending the the day view height
    Set the toggle height in Tools > Options > This File > Calendar > Auto-show time scale when the day height exceeds X pixels (0=disable)

4.0 Creating and modifying Calendar Events

Calendar events can be created in a number of ways:
  1. Double-click a blank space
  2. Right-click on a blank space and select New Scheduled Event, New Unscheduled Event or New All-day Event
  3. Calendar > New Event
  4. Top toolbar > New Event command button
  5. Left pane > New Event... link
  6. If the time scale is shown, click and drag while holding the Shift key. The Event dialog will open with the correct date and time
  7. Press the Insert key. The Event dialog will open with the current date and time
  8. Copy / paste existing events:
    1. Select one of more events > Copy.
    2. Right-click on the calendar date for the new events > Paste
  9. In a grid or in the Properties pane, edit any date field-value and check "Shown in Calendar"
  10. In any view, Item > Show in Calendar will create an events (1 for each item / date selected). If a single item is selected, the Event dialog will be shown.
    If the selected cells are dates, these will be used to create the event, otherwise the current date field is used (Calendar > New Event uses...)
  11. If a date field has "in Calendar by default" checked, all dates added (e.g. in grids) will create calendar events.
    If the date field is used in a Gantt chart, then creating a Gantt bar will also create an event
  12. Drag-drop an item to the Calendar (from any views,or from the Properties pane)
    If the Ctrl key is pressed or Tools > Options > This File > Calendar > Show dialog ... is checked, a dialog will be shown to choose between:
    1. Show the item in the Calendar
    2. Create a sub-item named "Appt for xxx" and show it in the Calendar
To edit an existing event, use one of:
  1. Double-click on an event
  2. Right-click on an event and select Edit
  3. Calendar > Edit Event
  4. Top toolbar > Edit Event command button
  5. Double-click on an event in the left pane
  6. In a grid or the Properties pane, on a date field, edit any date field-value and and click on the Edit button

4.1 The Event Dialog

Events can be modified in a number of ways, one of which is the Event dialog. It gives access to all event properties, including the repeat pattern:
Events can be of one of three types
  • Scheduled: Has a starting date / time and an ending date / time:

  • Unscheduled: Has an event date and a duration. The actual time for the event is not set:

  • All-day: Event lasts all day:

Events repeat pattern can be set to Daily, Weekly, Monthly or Yearly:
Recurring events will show one of 3 icons in the bottom right corner [image] :
  1. Master event
  2. Regular recurrence
  3. Exception to the recurrence pattern

4.2 Adding Events using the Date Editor

While in a grid or anywhere else using the Properties Pane, it is possible to show an item in the Calendar by editing a date field value and checking "Show in Calendar" in the Date editor.
For example, say you want to show that a given task was done, and you want to see this in your calendar. While on the Done date field, press F2 to enter edit and then F2 again to show the Date editor:
Use the "Shown in Calendar" checkbox to add / remove the item in the Calendar.
All 3 types of events can be created this way:
  • If a time is specified, a scheduled event will be created.
  • If a time is not specified, then the ItemDuration field determines the type of event:
    • If the ItemDuration has a value, an unscheduled event will be created
    • If the itemDuration field is empty, an all-day event will be created

4.3 Adding Events using the Show in Calendar Command

Whenever the Item top menu is visible, it is possible to add / remove items in the Calendar :
The command has 2 modes of operation, depending what is currently selected:
  1. If in a grid and 1 or more date cells are selected, events will be created for each dates. These dates can be from different items (if multiple items are selected) and / or multiple date fields (if more than one column is selected)
    In this example, you'll have 6 events. The 3 tasks will appear 2 times each, once when the task starts and once when it will complete:

    Note that if one or more of these are already in the Calendar, the number of events created may be less. The actual number of events created will be shown in a pop-up message on the Windows Taskbar.
    In the same ways, the Remove from Calendar command will remove events. If an item appears more than once (i.e. 2 or more field-values are set to show in the Calendar), all instances are removed.

    The actual date values are not erased, so the item field-values are not changed

  2. In all other cases (i.e. other views, or if a date field is not selected), the events will be created, one for each selected item, using the Calendar default date field (see below about the Calendar default field). If the Calendar default field is other than the Appointment field, a dialog will be shown, letting you choose which field to use.

4.4 Adding Events using Drag - Drop

This method is typically used to create appointments for your contacts. To create a appointment item, simply drag-drop a contact to the Calendar, in the time slot for the appointment.
In this example, we'll create a appointment with Sam Simon on November 12th, 8h30:
If the Ctrl key is pressed or Tools > Options > This File > Calendar > Show dialog ... is checked, a dialog will be shown:
If option 2 is selected, the AdrsBook and Calendar will show:
Notice how a new sub-item appears under Sam Simon containing the appointment event. The event is shown in the Calendar. The item color was changed to purple. See Event Colors below for details.

5.0 Moving and Deleting Calendar Events

5.1 Moving Events

Calendar events can be moved in a number of ways:
  1. In a grid or in the Properties pane, deleting a date field value will delete the associated event if it exists
  2. In a grid or in the Properties pane, in the Date editor, changing the date and/or time
  3. In a Gantt, by moving / resizing a Gantt bar or group of bars
  4. In the Calendar, using drag and drop:
    Select one or move events. To select multiple events, hold the Ctrl key and click on events.
    Click any selected events and move the new date / time
Moving events can change their type:
  • Dragging an all-day or an unscheduled event to the time zone (lower zone) will change it to a scheduled event
  • Dragging a scheduled event to the upper zone will change it to an unscheduled event
    (to change a scheduled event to an all-day event, use the Event dialog)

5.2 Deleting Events

Calendar events can be deleted in a number of ways:
  1. In any views, deleting an item will delete the linked calendar event(s)
  2. In a grid or in the Properties pane, deleting a date field value will delete the associated event if it exists
  3. In a grid or in the Properties pane, in the Date editor, uncheck the Shown in Calendar checkbox of the associated date field
  4. In any views, the Item > Remove from Calendar will remove associated event(s). See above for details
  5. In the Calendar, select one or more events use the Calendar > Delete Event (or right-click)
When in the Calendar, deleting an event shows a delete dialog:

  • If the event is a repeating event, you are given a few more options:
    • Delete just this event
    • Delete this event and all following
    • Delete all events of the series

6.0 Date Fields and the Calendar

We've already seen that using grids and the Properties pane, it is possible to create events for any date field (using the Date editor or the Show in Calendar command).
When creating events directly in the Calendar, these will by default use the Appointments field. This can easily be changed using the Calendar > New Event uses... :
In this case, any events added using the Calendar will use the CallDate field instead of the default Appointments field.
The use of specific fields for events is the equivalent of multiple calendars in other applications.

7.0 Event Colors

InfoQube events have 3 color attributes:
  1. Text Color: Event text color matches the item text color as seen elsewhere in InfoQube
  2. Fill Color: Event fill color matches the item color
  3. Frame Color: Event frame color is set by the field used for the event (see next section)
To set the event text and fill color, use the Item color menu commands:

8.0 Date Field Properties and the Calendar

2 field properties influence the Calendar
  1. Event color
  2. in Calendar by default checkbox
To set the event frame color, open the field properties and set the Event Color:

9.0 Calendar Options

Calendar options are set in Tools > Options > This Database > Calendar (section 2.2). Settings are:
  1. Font face and size
  2. Weeks starts on: Choose the first day of the week, used whenever a calendar is shown
  3. Work day start / end: Defines the working hours
  4. Day view start / end: Defines the hours visible in the Calendar, when the time scale is shown
    Remember that clicking on the time scale toggles between 3 scales (see section below)
  5. Day time scale increments
  6. Non-Working Days: Used in the 5-day day view (working days). Non-working days are shown with a grey background )when the time scale is shown)
  7. Auto-show time scale
  8. Zoom step size (%)
  9. Show dialog when dragging an item to the Calendar
Please use this thread: Q & A on the Calendar to discuss the Calendar


3. IQ Surface

The IQ Surface

The two-dimensional IQ Surface is an infinitely-sized sheet that can be used to show items.
It is an innovative way to view outlines, combining the free-form 2D layout and linking of concept maps with the expand / collapse features of grids:
Surface View : vs Gantt View:
In a nut-shell:
  • Use View > Surface to open the Surface
  • Unlike grids, where the number is unlimited, there is currently only one Surface. Multiple Surfaces support is of course planned
  • The Surface displays all items that have the Surface1 field checked
  • All child items are also shown
  • A child item is shown in one of 2 ways:
    • As a sub-item, immediately under the item
    • As a linked item, with a line joining it to the parent item
  • To switch between the two:
    • Drag out a sub-item to have it shown as a linked item
    • Drag a linked item back to the parent item to remove the link line and have it shown as a sub-item
  • Right-click from an item to another to create a parent - child link
  • Surface items are like any other item, and can be viewed in other views (Grids, Gantt, Calendar, Properties pane, etc)
  • The Surface will update to reflect changes to items done in other views, such as adding a child item, adding / deleting a parent
  • New: Auto-Arrange !

1. Adding Items

To add existing items, open a grid, the Calendar, or another view. Select 1 or more items and:
  • Do Item > On the Surface
  • Check the Surface1 field (show the field in a grid or use the Properties pane)
Adding child items to an item that is already on the surface is automatic. You can do it in any grid and these will show up on the Surface
When existing items are added to the Surface, these are initially placed at the Origin, with child items collapsed. Press the Home key to quickly move to the Origin
To add new items, use any of the following methods:
  • Right-click on a blank area of the Surface and select New Item
  • Double-click on a blank area of the Surface
  • With no item selected, press Enter or the Insert key
To add a new sub-item, you can:
  • Right-click on an existing item and select New Item
  • Select the parent item and press Enter or the Insert key

1.1 Editing Item Text

The item text can be edited in all views and in the Properties pane. To edit it within the Surface:
  • Right-click on an item > Edit
  • Double-click the item
  • Select an item and press the F2 key
The Pop-up Editor will open:
(See 3. Popup Editor for details)

2. Removing Items

The Surface is not as dynamic as a grid, in that the source cannot be changed. It is set to the system field Surface1. And, as it does not support filters, it becomes essential at times to clean it up.
To remove items, select 1 or more and do one of:
  • Press the Delete key
  • Edit > Erase Item (or right-click)
A dialog will be shown with the following options:
  1. Erase will remove the items from the database (Surface, Grids, Calendar, etc)
  2. Removed item remain in the database but all Surface-specific properties will be deleted
  3. Hidden items retain all their Surface-specific properties (box size, border color, link lines types, etc).
    If a hidden item is shown again, it and its child items will be shown exactly as it was before hiding
    It is the equivalent to un-checking the Surface1 field
  4. Hidden items can be shown using Surface > Show Hidden Items
    To have these show in the normal view, either do Item > On the Surface or check the Surface1 field

3. Formatting items

Items on the surface are shown as a rectangular boxes. The following system-wide properties are shown for items on the Surface:
  • ItemColor: shown as the box background color
  • ItemForeColor: shown as the text foreground color
  • Embedded HTML codes (font, size, bold, italic, color, images, hyperlinks, etc)
  • ItemFont is NOT shown for items on the Surface, all items are shown with the same font
The following are Surface-specific formatting::
  • Box size: Auto-size or Sizable
  • Box border color
  • Item text alignment and padding
Note that:
  • When 1 or more items are selected, the above commands are applied to these items
  • When no item is selected, the following commands sets the default for new items created: AutoSize, Padding
  • When no item is selected the remaining commands are applied to items that have the default value. For example:
    • The BackColor command sets the box color for all items that do not have a value for ItemColor
    • Text Fore Color and Border Color behave the same

4. Linking Items

Links on the IQ Surface are nothing more than regular parent - child relationships (i.e. seen in a grid as an outline).
Being a two-dimensional view, the Surface excels at creating links with more control on how links are shown:
  • Easy link creation, in particular for multi-parent links
  • Link line color, line type and shape can be set, globally or for specific links
  • Links can have text (shown half way along the link line)
  • Children can be shown as sub-items or as a linked item (with a connecting line)
  • Expand / collapse can hide all children or just those shown as sub-items

4.1 Creating Links

To create links:
  • Right-click on the parent item and drag to the child item
  • Drag out a sub-item
  • Select the parent item. While holding the Ctrl key, select 1 or more items. Do Surface > Link Items. Links will be created between the parent item and all other selected items
  • Select the parent item. Do Surface > Link Items. A dialog will show all items on the Surface:

    Select one of more items and click OK

4.2 Removing Links

To remove a link:
  • Hover over the link text (half way on the link line). The mouse pointer will change to a hand. Right-click and select Delete Link
  • Select the two items that are linked. Right-click and select Delete Link
  • To delete all outgoing links, select the parent item, right-click and select Delete Link. A dialog will be shown to confirm action
  • Select the child item and in the Properties pane - Parents section, right-click on the parent and select Delete Parent Link

4.3 Setting Link Text

To select link text:
  • Hover over the link text (half way on the link line). The mouse pointer will change to a hand. Right-click and select Link Text
  • Select the two items that are linked. Right-click and select Link Text
  • Select the parent item. Right-click and select Link Text. An input box will be show for all outgoing links. The link text can include icons, using the syntax <img>IconName</img>

4.4 Formatting Links

The following properties can be set for each link:
  • Line Color
  • Line Type (dot, dash, etc)
  • Line Shape (straight, curved, etc)
Note that:
  • When the 2 sides of the link are selected, the commands will be applied to that link
  • When only 1 item is selected, the commands will be applied to all outgoing links
  • When no item is selected, the commands will be applied to links with default properties

5. Working with the Surface

Users can move the view point, zoom in / out, move items and expand / collapse items and links

5.1 Surface Options

The Surface menu has the following commands:
  • Background Color
  • Move Linked Items: Behavior when moving an item: Should linked items move with it or stay put
  • Hide Linked Items on Collapse: Behavior when collapsing an item: Should linked items be shown or not
  • Auto-Arrange...
  • Show Hidden Items
  • Show / Hide Grid Lines
  • Snap to Grid

5.2 Moving the Surface

  • Click on an empty area of the Surface and drag the mouse (or Tap and drag)
  • On a touch screen, touch the Surface and move
  • To move up / down, roll the mouse wheel (or 2-finger up / down)
  • To move left / right, hold the Shift key and roll the mouse wheel
  • Press the left / right / up / down keys
  • Press PgUp / PgDn keys (hold Shift for horizontal)
  • Press the Home key to move to the Origin and set the zoom to 100%
  • Hold Ctrl and Alt and roll the mouse wheel to toggle between viewing all items and setting the zoom to 100% centered on the item under the mouse pointer. This is a great way to navigate in a large surface
  • When Auto-Arrange is On, clicking on an item will center it if it is not in the central area

5.3 Zoom In / Out

  • Hold the Ctrl key and roll the mouse wheel
  • Pinch zoom in / out on a touchpad
  • View Zoom commands: In / Out / Reset
  • Ctrl + Home to view all items
  • n.b. Pinch zoom on a touch screen does not currently work

5.4 Expand / Collapse Items and Links

  • When an item has 1 or more sub-items, an expand button is shown to the left of the item box ( +, - ). Click on this button to expand / collapse sub-items
  • For links, the behavior is set with Surface > Hide Linked Items on Collapse:
    • If checked, linked items will hide when you collapse the parent item
    • If un-checked, linked will not hide when you collapse the parent item (only sub-items will hide).
      This is useful when the parent has many children. Simply pull-out some sub-items and collapse the parent. It effectively does a hoist
  • To quickly expand / collapse a multi-level hierarchy of items, use the Ctrl + 0-9 shortcuts:
    • Ctrl + n: Expand to level n where n=1, 2, ... 9
    • Ctrl + 0: Expand completely

5.5 Moving Items on the Surface

  1. Select 1 or more items
  2. Click and drag to the new position (mouse, touchpad, touch screen)
  3. Drag to another item to create a link (Auto-Arrange Off)
  4. Drag to a blank area to move the selected items
  5. If Auto-Arrange is On (see below), other items will move when the selected items are moved

6. Auto-Arranging Items

Items can Auto-Arrange either automatically or using the Auto-Arrange command

6.1 Automatic Auto-Arrange

To automatically Auto-Arrange items as items are moved on the surface, set Auto-Arrange On:
  1. Press Ctrl+Shift (A menu command will be added in the next version)
  2. The Status bar will show the Auto-Arrange state
  3. When Auto-Arrange is On, links are shown as extended links (i.e. outgoing links are not combined into one)
  4. Dragging items will move other items so items never overlap
  5. When Auto-Arrange is On, clicking on an item will move the Surface so the item is roughly centered

6.2 Manual Auto-Arrange

Manual Auto-Arrange is currently disabled as it can cause a program lockup
To manually Auto-Arrange:
  1. Select 1 or more items
  2. Do Surface > Auto-Arrange... :

  3. Select options and click OK
  4. Undoing the Auto-Arrange:
    • After an auto-arrange, a pop-up notification is shown (bottom-left corner). Click this notification to cancel the auto-arrange
    • On auto-save and on closing the Surface, a confirmation dialog is shown. Use this to cancel the auto-arrange

Tips and Tricks

  • Create a grid named Surface1 (or set the grid source to that field) and then all actions on the Surface will be seen there too. Conversely, all changes in this grid will be reflected on the Surface
  • You can quickly hide items by unchecking the Surface1 field
  • Item font is not shown on the Surface. You can however set the overall font using the Grow Font and Shrink Font commands
  • Press Ctrl+Shift to toggle how multiple links are shown (combined or separate). This also sets Auto-Arrange On / Off
  • The Surface layout auto-saves every 60 seconds
  • To know if an item was added to the Surface or just shown because it is a child of a Surface item, check the lower left of the item box. Surface items have a green check-mark


4. Document Pane

Document Pane

The Doc Editing pane is accessed :
1- using the View menu --> Document
2- using the keyboard shortcut F6 or shift-F6
The Doc editing pane... is used to:
  • Enter "rich text" content (HTML). Each item can have a separate document. There is no limit to the amount of text that an item can contain. The text is saved as part of the IQBase file.

    • the pane supports HTML and MHT storage (meaning that these formats can be stored inside the DataBase or as linked files and text can be searched from inside IQ).
      The advantage of MHT is it can save images and style sheets from web pages locally (they are saved in a folder in the same directory as the database).
      The disadvantage of MHT is that it cannot be edited within the HTML pane. You need to use MS Word or BlockNote (a Free WYSIWYG editor)
      Both Word and BlockNote need to have their respective program paths added to:
      - Options > Program Settings > Other > MS Word path
      - Options > Program Settings > Other > Alternate Editor path
  • Provide a link to an HTML file. Editing will automatically save to this file
  • Link to a web page
  • Drag content from the web. See also 1. Clipping Content from other Apps
  • Display and edit Ink Documents: Using Ink Documents (handwriting)
  • Display and edit MarkDown Documents: Using Markdown documents
  • In Browse Mode, you can use the HTML pane as a browser window and surf the web. (You can input web addresses in the URL Toolbar which also has Back/Forward buttons. Not to be confused with the Item toolbar also has Back/Forward buttons.)
  • Display different file type content (and in certain case, edit them : *.aspx *.EML. *.PDF. *.DOC. *.XLS
    • Note that in certain cases, if “Browse in same window“ is disabled in Windows Explorer. You need to enable that feature. To do that, follow these steps (example is for MSWord, windows XP):
      1. Launch Windows Explorer.
      2. Select “Folder Options...“ from the Tools menu.
      3. Select the “File Types“ tab.
      4. Scroll down the list of “Registered file types“ until you find “DOC - Microsoft Word Document“ and select it.
      5. Click on the “Advanced...“ button at the bottom of the dialog.
      6. Check the “Browse in same window“ checkbox.
    • To display PDFs in the HTML pane, Adobe Acrobat Reader must be installed. Version X 10.1.16 works fine. Steps are:
      • Open Acrobat Reader
      • Edit > Preferences > Internet: Check Display PDF in browser
      • Edit > Preferences > Reading: In Screen Reader Options > Page vs Document, select Only read the currently visible page (Ref link)
Paragraph spacing:
There are two ways to make the html "return" go to the next line without creating a space between the lines:
  1. Shift+Return
  2. Click on the DIV button (menu>Edit>Use DIV) which will use DIV tags, instead of <P> tags
Default template for HTML and MHT documents:
To change default font (and other format settings) in the HTML pane:
  • HTML Documents:
    1. Create a new item
    2. In the HTML pane, switch to code view (Menu > View > HTML Code)
    3. Edit the HTML code. The section you most likely want to edit is between <STYLE>...</STYLE>
    4. There are lots of resources on the web, one good one is this:
      http://www.w3schools.com/html/html_css.asp
    5. Switch back to normal mode (Menu > View > HTML Code again to exit HTML view)
    6. Test out by typing in sample text
    7. Menu > File > Save as default... The dialog offers you to save for this IQ session or as a permanent change
  • MHT Documents:
    1. Close IQ
    2. Find the NewHTML.htm and NewMHT.MHT files in :
      • Portable version: YourIQFolderWhereYourProgramResides\Users\YourName folder in the installation folder.
      • Installable version:
        • XP: Documents and settings\YourName\Application Data\InfoQube
        • Vista and up: C:\Users\YourName\Roaming\InfoQube
    3. These files serve as a templates for all new content. Open in a text editor (Notepad etc. - Right-Click>Open With> ).
      e.g. to change the font, change the two instances of "MS Sans Serif" to the font name of your choice.
    4. Modify the NewHTML.htm and/or NewMHT.MHT files (open them in notepad or your favorite text editor).
    5. Re-start IQ
Sample HTML file:
<HTML><HEAD>
<META name=GENERATOR content="InfoQube 0.9.70a">
<META charset=UTF-8>
<STYLE> body {font-family:Arial Unicode MS; font-size:13;}table {font-family:Arial Unicode MS; font-size:12;}
ol, ul { margin: 0.5em 3em;  }
</STYLE>
</HEAD>
<BODY style="ZOOM: 1; bottomMargin: 0" leftMargin=2 rightMargin=2 topMargin=2 bgColor=#ffffff>
<DIV>&nbsp;</DIV></BODY></HTML>
Note :
The default files (i.e. system provided ones) used for new users is located in:
  • App folder\AppFiles
Note that these default files are overwritten on program installation.


Document Pane Content Types and Associated Storage

Document Pane Content Types and Associated Storage

The Document pane can display a wide variety of content:
  1. Rich text
  2. HTML file
  3. Markdown file
  4. Other local files (such as PDF, images, doc, docx, xls, xlsx, etc)
  5. Web page
  6. MHT / EML file
  7. Ink document
  8. SVG document
  9. Folder view (Explorer-like)

Of these, only the first is embedded in the IQ base:

  • 1: Embedded, editable in the Doc pane, searchable
  • 2, 3: File storage, editable in the Doc pane, searchable. Editable in an external program too.
  • 4: File storage, viewable in the Doc pane, PDF files are searchable, others not. Excel files allow some changes to be made in the Doc pane
  • 5: Web storage, viewable in the Doc pane, not searchable
  • 6, 7, 8: File storage, viewable in the Doc pane. Edit > Edit Document (or click on the Editor command button) to edit in its own app. The Doc pane will auto-update when the content changes. MHT (6) is searchable, others not
  • 9: Not embedded, not searchable, just the display of a local folder

Content can be created in a number of ways, and this affects where it is stored:

  1. Text entered directly in the Doc pane (internally, it is stored in HTML format)
  2. Web content pasted in the pane
  3. Local Image pasted in the pane
  4. File > Open to view a local file
  5. File > Open Web page
  6. Ctrl + N, Win + N or Edit > New Item (Main IQ menu):
    a. “Save as MHT” unchecked
    b. “Save as MHT” checked
  7. Select content + (Win + C) (Universal Clipper)
    a. “Copy URL content” and “Save as MHT” unchecked
    b. “Copy URL content” checked
    c. “Save as MHT” checked
  8. EmailToIQ (see 2. Send To InfoQube using EmailToIQ for details)

Of these:

  • 1, 2 ,6a, 7a will be embedded. For 2, images are not locally saved (so will link back to the web)
  • 4 will use the local file, where ever it is
  • 5 will link to a web page
  • 3, 6b, 7b and 7c will create one or more local files
    • 3 will create an image file for each image pasted, named ItemIDXXXX.jpg
    • 6b and 7c (MHT option) will create a single ItemIDXXXX.MHT file
    • 7b will create a single ItemIDXXXX.htm file and support files in ItemIDXXX_files folder
  • For 8, see 2. Send To InfoQube using EmailToIQ for details

Finally, at any time, you can convert content in the Document pane to MHT. This will create a single file, named ItemIDXXXX.MHT

Once in MHT, you can convert it back to htm, which will create a single ItemIDXXXX.htm file and support files in ItemIDXXX_files folder

Local files can come from anywhere. When IQ creates a file, it will create it in the YourFile.SNDB.Files folder. When using the .Files folder, the main file is saved in the root folder. If an item has support files, such as 1 or more images, these are put in the item specific folder (ItemIDXXXX_file)

Note:

  • IQ is able to display emails in the Doc pane when these are saved as EML. If these are not displayed correctly, see 3. Importing Emails into InfoQube


Using Ink Documents (handwriting)

Using Ink Documents (handwriting)

Through the use of a free Ink Editor, InfoQube can handle Ink documents (i.e. handwriting) in a Doc pane:
The Ink Editor has exceptional support for ink, making it into a true handwriting word processor:
  • Insert / remove words
  • Reflow of words on a page
  • Support for columns, with reflow in each column
  • Bookmarks to ease navigation
  • Clippings pane (drag-drop to and from the document)
  • Multiple undo / redo
  • Multiple select tools
  • Handwriting hyperlinks to web pages
  • Handwriting hyperlinks to items and views. Use the same syntax as in the Hyperlink dialog (i.e. ItemIDs, comma separated, grid name, calendar, surface)
  • Combine sketches and text
  • Drag-drop images
  • Resize / rotate text and images
  • Customizable pen (tip size, highlighter mode), paper
  • Split view to show 2 sections of the document
  • Export to PDF and HTML
  • Uses Internet standards (SVG)
  • Real-time collaboration on the same document (Google Doc-like)
  • Demo video here
To use this feature, first install the Ink Editor. Details here: InfoQube Program Install and Set-up

1. Creating Ink Documents

To create an Ink document, do Menu > File > New > New Ink Document (or use the toolbar button):
The Doc page will now show a blank sheet of lined paper:
To edit, double-click on the page or click on the Ink Editor icon on the main toolbar.
Using the Ink Editor is quite self-explanatory. See this Ink document and / or the above video for details.

2. Printing / Sharing Ink Documents

Ink documents use W3C standard format SVG and as such can be viewed in any modern browser.
  • The Ink file itself (i.e. file with .shtml extension) can be associated with your browser so a simple double-click will show it.
  • When sending the file by email, you can change the extension to .html. Most recipients should be able to view the .shtml file, but changing it to .html increases the chances it will work
  • Ink documents can be printed
  • Ink documents can be part of an HTML Export:
    • The export process uses the field ItemHTMLHeight field to determine the document height.
    • Enter a value in this field to control the ink document height during export.
    • Do File > Save to automatically compute the ItemHTMLHeight value
Also, while editing, Write can directly export your document in PDF or HTML formats:
Finally, through File > Print Preview, you can combine Items, field values with rich text and Ink documents into a single HTML document.
Use the ItemHTMLHeight field to control the height of the Ink document when exported.

3. Syncing Ink Documents with Android Devices

Write is available on Android devices. All devices should be compatible, but those with active pens offer the best experience, such as Samsung's Note phones and tablets:
  1. Download the App on Google Play. Recommended is Write 2.0 Beta
  2. Once installed, configure the Android Write as described in InfoQube Program Install and Set-up
When Dropbox is installed on the PC and on the Android device, it is possible to sync content between InfoQube and your device.
When properly done, any Ink document created can be viewed and edited on your mobile device. Changes are synced back to IQ.
In InfoQube:
  1. Configure InfoQube to use Dropbox as described in 1. Synchronization between computers using Dropbox
  2. If full Dropbox sync is not desired, you should at least place your .Files folder under a Dropbox folder. This is set in Tools > Options > This file > .Files path (2.4.12)
    e.g. .Files folder (MyIQBase1.SNDB.Files) needs to be a Dropbox folder, such as in \Dropbox\IQBases\MyIQBase1.SNDB.files
  3. Create Ink document in IQ
  4. Rename it to something more meaningful than ItemXXXX.shtml
On your Android device:
  1. Open the Dropbox app
  2. On some versions of the Dropbox app, it is essential to force it to do updates quickly otherwise changes on the phone/tablet are not sent back to your PC for a long time.
    To do this, tap Settings then select Manage Notifications and select the last option (Files I download...)
  3. Navigate to your .Files folder (e.g. IQBases > MyIQBase1.SNDB.Files). All your IQBase related files will be there
  4. Sort the list by date. The new Ink document should be near the top
  5. Click on the ... menu and select Available Offline and / or Add to Favorites
  6. Tap on the file. Write for Android should open
  7. If step 2 above was not done, click the save button (assuming save button was added during setup)
  8. Close Write
  9. IQ should detect the change and update within seconds
4. Real-Time Collaboration
While still a beta feature, multiple users can now work on the same Ink document in real-time. Ideal for brainstorming. Kind of like Google Doc for handwriting / sketches !
To enable this feature you must first create an account with StylusLabs here: http://www.styluslabs.com/account
Mark down your user name and password. Note that the user name is currently case sensitive, so copy it exactly as entered.

4.1 Sharing an Ink Document

To share an Ink document you must create a Whiteboard:
  1. In the Doc pane, double-click on the Ink document to open it in Write
  2. In Write, click on toolbar to Create Whiteboard (or do (...) > Document > Create Whiteboard)
  3. Note the proposed ID or change it to something more meaningfull
  4. Send the whiteboard ID to other users

4.2 Connecting to a Shared Ink Document

Other users can connect to a shared Ink document to view / edit it:
  1. Open Write
  2. Click on toolbar to Open Whiteboard (or in Document view, click on Open Whiteboard)
  3. Enter the whiteboard ID from step 3.1 above
  4. Enter your StylusLabs user name and password
  5. The shared Ink document will show

4.3 Using a Shared Ink Document

  • When shared, the file name will have a "cloud" icon (top left of the window)
  • All users can write on the document
  • Changes are sent as soon as a user lifts the pen from the surface
  • Undo / Redo is specific to each user
  • While sharing an Ink document, there is an additional menu item: (...) > Whiteboard:
    • Sync View: If checked, the position / zoom of the document will sync with other users
    • View Master: If checked, the user will control the display of users that have Sync View checked

5. Tips and tricks

  • Ink documents work best on a touch screen PC/Tablet with an active digitizer (Wacom, N-Trig or Synaptics), such as those from Microsoft (Surface line), Acer, HP, Lenovo, Dell and Toshiba (list here). A Wacom tablet is also a good option.
  • You'd like to have a grid which contains all your Ink Documents. Easy, create a grid (such as InkDoc) and set it's source to: ItemHTMLFile like "*.shtml"
  • The following settings generally help the writing experience: Menu > Prefences > Input: Mouse Input=Pan, Single and Multi-touch=Ignore, Smoothing=10
  • Use the square brackets to quickly change the stroke width ( [ to decrease, ] to increase )
  • When moving content, move snaps to the paper lines if Insert Space tool is set to Ruled Insert Space
  • The Insert Space tool, when moved up / down acts on the whole page width unless a section is selected, in which case, it only acts on the selection
  • The Insert Space tool, when moved left / right will wrap the text on the page (or column). If you find that the wrapping cuts words or moves group of words, change the Minimum reflow word break setting (default=0.30)
  • Each ink stroke is date / time stamped. Move the mouse over handwriting to find the exact date / time of each stroke
  • The blank Ink document is supplied with InfoQube and a copy is placed in your user files folder: NewInk.shtml. To use a different blank Ink document, open this file in Write, configure your document (line type, page size, etc) and save. Restart IQ
  • Write has excellent palm rejection. Best is to have it open full screen so touching with your palm will not bring another window in focus
  • The toolbar customize UI is missing Zoom In/Out commands. These can nevertheless be added by editing the Write.xml file: In the toolbar section, add actionZoom_In and actionZoom_Out
  • Write defaults to saving files with images down sampled (to reduce file size). So if you later on increase the image size, you'll notice significant image quality degradation.
    You can change this by adding this setting in the Write.xml config file:
    <int name="savePicScaled" value="0" />. The file is typically located in c:\users\YourUserName\AppData\Roaming\Stylus Labs
  • In version 2.09 (most recent, download link), Write can rotate text and images. Each time an image is rotated and saved, the image quality will however degrade unless the "savePicScaled" setting is turned off
  • Write has an option to save as a single file or as multiple files. To the user this is fairly transparent except for these two issues
    • If set to multiple files, double-click on the page in InfoQube does not work. Use the Ink editor button instead
    • If set to multiple files, Dropbox sync with Android is a bit more complex as there are multiple files. One needs to set all related files (.svg) to be available off-line. Only then can a tap on the Ink file will Write (Android) open correctly
    • If set to single file, version 2.09/2.10 (the current, for Windows and Android) has a bug when lines are shown: The page height and width is set to a huge number. Use previous version instead
  • Write is available in 2 versions:
    • Current version has a useful clipboard and can rotate text and images
    • Previous version saves as single file correctly


Using Markdown documents

Using Markdown documents

Each item can have a rich text document, which is typically shown in the Doc pane. That pane supports a number of different formats, one of which is Markdown documents.
To create a new Markdown:
  • Menu > File > New > New Markdown file
You can then enter text using the Markdown syntax. Whenever the document is saved (or focus is moved to another item), IQ will generate the HTML version of the document
If you structure a large document into a hierarchy of small-sized items, use HTML Export to get a single HTML document. An obvious advantages of this approach is easier section / item manipulation and organisation
To view the formatted output:
  • Press F2 or switch to Browse mode (Ctrl + M)
  • The generated HTML can be fine-tuned using a CSS Stylesheet file. See below for details

Editing Markdown documents

Editing can be done using :
  • the built-in editor or,
  • an external editor
There are a large number of Markdown editor programs. Some very simple (Notepad could even be used), some very specific.
One such one is Markdown Monster which sets itself apart from the rest for these features:
  • Spell-check
  • Built-in screen shot capture
  • Paste HTML as Markdown, a.k.a. HTML to Markdown conversion
  • Publish to a Weblog
  • Themed Previews (e.g. Github)
  • Add-ins (e.g. Automatic Table of Content generation)
The rest of this page describes the Markdown syntax and the use of the included editor.

1. Headers

Headers are marked with one or more #. IQ will expand header levels so entering # 4 (no space) will be converted to #### which is a H4 header

A header (level 4)

2. Paragraphs and character formatting

Paragraphs are separated by a blank line.

Paragraphs which are not separated by a blank line are combined. So this second line will actually be shown with the previous one.

To add a carriage return, add 2 spaces at the end of the line.
So this text is now on a different line

Font attributes can be Italic, bold, and monospace. To format, enclose the text with:

  • * for italic
  • ** for bold
  • ` for monospace
  • Underline and strikethrough are possible by enclosing the text with the HTML codes (<u> … </u> and <s> … </s>)

3. Lists

To make a bullet list, add a blank line and start the list with either - or *:

  • this one
  • that one
  • the other one

or for numbered lists, start the line by 1. :

  1. first item
  2. second item
  3. third item
    To add a carriage return, add 2 spaces at the end of the line.
  4. One last item

(no need to enter the correct number for numbered list items, items will auto-increment)

To create nested lists, add 1 or more Tab character:

  • Level 1
    1. Level 2
    2. Level 2 again
  • Back to Level 1
  • One more

4. Hyperlinks

Hyperlinks are entered using one of:

  • the following syntax: [Link text](Link URL)
  • Insert > Hyperlink (Ctrl + K) to show the Hyperlink dialog. All the standard IQ hyperlinks are allowed:
    • Web page URL
    • Local file
    • Item or list of items
    • Grid
    • All items in a field
    • etc.
    • Details here

5. Images

Images handled like hyperlinks except that the link is preceded by !:

To insert an image, use one of:
  • ![Optional image text](Image URL)
  • Insert > Image
  • With an image in the clipboard, Edit > Paste

6. Tables

Use Insert > Table and select the number of rows and columns
Format is :
| | Grouping | |
| Header 1 | Header 2 | Header 3 |
| :------------ | :-----------: | -----------: |
| Line 1 | **Bold** | Cell |
| Line 2 | *Long Italic Cell* ||
  • There can be any number of header lines (2 in the above example)
  • The line below the last header is used to set cell alignment:
    • :------- for left
    • :-------: for centered
    • -------: for right
  • To merge two cells, delete the spaces between the | | (Long italic cell in the above example)

In the above example, the table would look like this:

 | Grouping
Header 1 | Header 2 | Header 3
Line 1 | Bold | Cell
Line 2 | Long Italic Cell

7. Other Formatting

Quotes

Start the line with > for quotes:

Block quotes are written like so.

They can span multiple paragraphs, if you like.

Code

Code can be formatted in 2 ways:

  • Tab (or 4 spaces) at the start of each line
  • Add ``` at the start and end of the block (easier to copy / paste code)

Tab:

Let me re-iterate ...
for i in 1 .. 10 { do-something(i) }
Delimited by ```:
define foobar() {
      print "Welcome to flavor country!";
}

Footnotes

To create a footnote enter [^1]. The footnote text will be shown at the end of the document.

e.g. Here’s a footnote [1].

Definition lists

Definitions are automatically formatted. To enter a definition enter the Word on a blank line. Then for each meaning, enter : followed by a Tab and the meaning:

Word
Definition 1

Definition 2

e.g.

Apple
Pomaceous fruit of plants of the genus Malus in the family Rosaceae.
An american computer company.
Orange
The fruit of an evergreen tree of the genus Citrus.

Again, text is indented 4 spaces. (Put a blank line between each term/definition pair to spread things out more.)

Oher codes:

  • H1 and H2 headers can be created by adding 3 or more = or -
  • Use 3 dashes for an em-dash: —
  • Use 2 dashes for ranges (ex., “it’s all in chapters 12–14”).
  • Three dots will be converted to an ellipsis: …
  • Three underscores to draw a horizontal line
  • To prevent characters from being interpreted, precede it with \. e.g. \** will not bold text but this will be bold

8. Style Sheets and other header information

The Markdown document uses the MultiMarkdown syntax which is an extension over the standard Markdown. Of the enhancements, the format supports a header section:

  • CSS: Full path to the style sheet file
  • Title: Document title
  • Base Header Level: X : Offsets the Header level (i.e. for 3, a # generates an H3

The CSS file is particularly useful since it allows full control over the HTML generated from the Markdown


Using MHT Documents

Using MHT Documents

  • MHT can save images and style sheets from web pages locally as files (or as part of the database)
  • MHT cannot be edited within the Doc pane, but can be edited with MS Word or other editors, such as Blocknote and WizHtmlEditor
  • As shown, "Edit with MSWord" is being used on ItemID10534.MHT, with the content now editable in the Word program
  • After editing and saving in the external editor, the Doc pane will refresh to show the edited content
  • MHT, mhtml and EML are identical file formats, some browsers / devices do not read MHT and EML files however, so it is best to use the .mhtml extension
  • In Android, free app MhtViewer allows Chrome to view MHT files (but not EML). Once installed, you can erase it, as it seems to just add a file extension to Chrome


Converting between HTML and MHT

Convert MHT document to HTML: If you click on the new HTML document icon, it will prompt you if you want to convert the existing MHT document into HTML:
--
Convert HTML document to MHT
--
--
Create a new MHT document from existing HTML or MHT content:

--
--
Create a new HTML document from existing HTML or MHT content:
--


5. Item Editor

The Item Editor

***** preliminary version ****
The Item Editor is an always accessible UI to view / edit an item. This includes:
  • Item text (or item name)
  • Doc pane content (long-form content associated with each item)
  • Commonly used fields, such as Inbox, URL, Due Date
  • Yes/No fields (i.e. folder-type fields)
  • Tags
The item information is available in other UIs, such as grids, and panes. For example, the Document pane shows the rich text content, and tags can be shown in grid and in the Tags pane. However:
  • The Item Editor is the only UI that combines all these in a single window
  • Many Item Editor can be opened at once, hence providing an elegant way to have multiple Doc / Properties / Tags panes


6. Properties Pane

The Properties Pane

The Properties pane is used to view / modify information about items:

1. Properties Pane Sections

The Properties pane is divided into the following sections:
  1. Item Properties
  2. Marked items
  3. Grids
  4. Forms
  5. All Fields

1.1 Item Properties

The Item Properties section shows everything there is to know about the current item:
  • Nominal information, such as unique Item ID, when it was created / modified and by who, font and lock properties and its Home
  • Tags: List of tags assigned to the selected item. Details here: 3. Tags
  • Values: List of field values assigned to the selected item
  • Parents: List all parents of a selected item
    • An item can have multiple parents
    • Parent list is shown as an inverted tree. This is in particular very useful when items have multiple parents
    • Each parent is a hyperlink. Click on the link to move focus to that parent
  • Siblings, Children: List of such items
  • Related Items. Details here: Related Items Links
  • Shown in: Grids where the selected item was recently displayed. An arrow is shown after the grid name: . Click this arrow to open it

1.2 Marked Items

This section shows currently marked items. Marked items are a persistent list of item used in many places within InfoQube.
See Marked Items for details

1.3 Grids

Lists grid related information:
  • Current Grid: This section is dynamic and shows the columns of the current grid. Values can be edited
    Use Alt + Up / Down arrows to rearrange grid columns
  • All grids that are set to be visible in the Properties pane.
    Click the grid name to expand and show its columns (and use it a simple data entry form)
    An arrow is shown after the grid name: . Click this arrow to open it
  • Grid Groups: List the Grid Groups. Click to show the grids in each group. Click on a grid in a grid group to open it
    Details here: 7. Grid Groups

1.4 Forms

List all user-defined forms. See 4. Forms for details

1.5 All Fields

  • List all fields in the current IQBase
  • Flat view or tree view. Click the icon on the right to toggle between the two views
  • In tree-view, fields can be arranged in hierarchy using keyboard shortcuts or drag-drop. See section 3. below for details
  • If the field has the same name as a grid, an arrow is shown after the field name: . Click this arrow to open it

2. Using the Properties Pane

  • The Properties pane shows the values of the currently focused item
  • If using a view that supports multiple selections (most do), only one item of the selected items has the focus and it is that one that is shown in the Properties pane
  • Adding / Editing / Deleting a field value is performed on ALL selected items

2.1 Context Menus

Right-click on a line in the Properties pane to view a context menu. Each type has a specific context menu:
  • Tags
  • Field
  • Parents header
  • Parent item
  • Sibling / Children item
  • Related Items header
  • Related item
  • Marked items header
  • Marked item
  • Grid and Grid Group
  • Forms header
  • Form
  • All Fields header

3. Field Hierarchy

Fields in the All Fields section of the Properties pane can be arranged in a hierarchy
To turn on it On, click on the button to the right of the All Fields section
There are 2 methods to arrange fields :
  1. Keyboard
  2. Drag-drop

3.1 Using the Keyboard to arrange fields

You can use the same keys that you use to arrange items in hierarchy :
  • Alt + Up / Down
  • Alt + Left / Right
Tips :
  • Only one field can be moved at a time
    To move multiple fields, move these under a parent field and move the parent field
  • The Item > Move command buttons are enabled, so they can also be used

3.2 Using Drag-Drop

You can arrange fields using Drag and Drop. Do make sure though when dropping that the mouse pointer changes to "sub-item"" :

4. Tips on using the Properties pane

  • You can drag the Tags section to a grid to show tags as a column in the grid
  • You can drag a field from the Properties pane to a grid to show it there
  • You can perform bulk operation (i.e. on multiple items) using the Properties pane. e.g. on Field2, entering =[Field1] + 4 would execute that function for all items selected.
    If Field2 is not set to automatically parse equations (Field properties > Properties), right-click on the equation > Parse Equation
  • F4 moves the focus between the Properties pane and the active view. This works even if the Properties pane is in auto-hide mode
  • F7 / F8 works even when the focus is on the Properties pane (to select the Previous / Next item). It is therefore possible to view the properties of other items without going back to the active grid
  • All item-type entries (parent, children, marked items, etc) can be edited in the Properties pane. Right-click > Edit (or F2) to edit
  • All field-type entries support double-click: Double-click a field will open the grid that has this field as a source if it exists, otherwise, the Scratch grid will open


7. Tags Pane

Tags pane

(See 3. Tags for an overview of how the tagging system is implemented)
The Tags pane is where most of the interaction with Tags is typically done. There a 3 basic functions:
  1. Manage the list of Tags (add, edit, delete, rearrange)
  2. Assign Tags to items
  3. View items having a given Tag (or set of tags)
The Tags pane has a number of additional features:
  • Search, Sort and Filter Tags, useful as the number of Tags increases
  • Display options (flat list view, tree view, auto-sort, item count, archived tags)
  • Tag Inheritance

1.1 Adding / Editing / Deleting / Rearranging Tags

  • To create a new Tag, press the Insert key (or right-click > Add Tag)
    Double-click on the blank area below the tag list can also be used to create tags
  • To create a child Tag, select the parent Tag and press Ctrl + Insert (or right-click > Add Child Tag)
  • In both cases, an input box is shown to enter the Tag name.
    Tag names should be unique but do not need to be. Tags are identified by a unique numerical ID, not by their name
  • Tag names cannot contain the following characters: , ; # [ ] tabs and spaces
  • Tags that have the same name have a ! icon after the name
  • To edit tag names, press F2 (or right-click > Edit Tag)
  • To delete tags, select one or more tags and press the Delete key (or right-click > Delete Tag)
  • In tree view, tag hierarchy can be modified using cursor keys (up / down / left / right) while holding the Alt key

1.2 Add / Remove Tags to items

The Tags pane is the primary method to add tags to items. To tag items:
  • Select one or more items. Some UIs allow multiple selections (Grid, Calendar, Surface), other only allow single selection
  • Find the tag in the Tags pane and toggle the check-mark using the mouse or the space bar key
  • To help you quickly find tags, the pane supports filtering (see next section) and Search-as-you-type. Press F3 for the next occurrence and Esc to cancel search

1.3 Using the Filter text box

The top of the Tags pane shows the Filter text box.
  • Hit Ctrl+F or use the up cursor key to scroll to it
  • Enter some characters and the tag list will automatically filter
  • In tree-view, the list maintains the tags hierarchy, so parent tags are shown, even though they do not match the filter
  • In tree-view, the tags hierarchy will automatically expand to show matching tags.
    The pre-filter expand state is saved. So removing filter will show the tree as it was before filtering
  • Child tags of matching tags are hidden when inheritance is set to None
  • While focus is still in the Filter text box:
    • If more than one tag matches the filter, use the down arrow to move focus to a tag and press Space to toggle the tag state
    • If only one tag matches the filter, press Enter will toggle the tag state
    • If no tag matches the filter, press Enter to show the Add Tag dialog
  • Click the Filter icon, just left of the text box to clear the filter

1.4 Showing Items

Of course, the whole purpose of a tagging system is to show items that have a given tag or set of tags. That is, out of all the items in the IQBase, show only those that have certain tags.
Single Tag
In this simple scenario:
  1. Select one tag (click on the tag text, not the check-mark)
  2. Double-click on a tag or hit Enter (or right-click > Show Items)
  3. If a grid that has this tag as a source, it will open, otherwise, the Scratch grid will open. The grid will show all items having the given tag
Multiple Tags
When selecting 2 or more tags, the items shown can be:
  • All items that have all the selected tags, or
  • All items that have one of the selected tags
  • Right-click > Logical AND / OR to select the output mode.
When the grid opens, notice how the grid source reflects that choice. The source can be manually edited to do more fancy filtering, using multiple AND, OR, NOT.
You can also filter the result to only items that are also shown in a given grid. To do so:
  1. Open the grid
  2. Switch to the Tags pane
  3. Select tags
  4. Right-click > Show Items (Grid Subset)

1.5 Tag Inheritance

Tags have a major feature that fields do not: Inheritance. This means that a parent tag inherits the state of a child tag.
Consider this hierarchy of tags
  • Animals
    • Mammals
      • Feline
        • Lion
        • Cat
      • Canine
        • Dog
        • Wolf
    • Invertebrates
      • Frog
  • Pets
    • Cat
    • Dog
  • Wild
    • Frog
    • Lion
    • Wolf
Now, lets assume these items, and tags:
  • Lassie: Dog
  • Snoopie: Dog
  • Garfield: Cat
  • JackTheWolf: Wolf
  • Simba: Lion
Notice how tags Cat, Dog, Frog, etc are under 2 parents: under Animals/../.. and under Pets. This means that assigning the tag Cat to Garfield, also assigns it to Feline, Mammals, Animals and Pets
The Tags pane reflects this inheritance, showing a small check-mark for inherited tags. When the focus is on the item Garfield, the Tag pane shows:
Hint:
  • At times, Inheritance can get in the way and return too many items. In such cases, it is possible to set the Inheritance Depth (None, 1 through 9, All)
    When set to None, IQ Tags function like most other tagging system, returning only the items explicitly tagged
  • The Tags pane reflects this Inheritance depth setting
  • Inherited tags are also shown in Flat-view
  • See the Tags Grid section below to find out how to set a tag under 2 or more parent tags
Using Inheritance
With Inheritance, the search can show items that have not explicitly been tagged with the selected tag, but with a sub tag, sub-sub tag and so on.
In the above example:
  • Selecting Feline should give Garfield and Simba (even though neither of these items have the Feline Tag explicitly)
  • Selecting Pets should give Garfield, Lassie and Snoopie
  • Selecting Feline and Pets should give Garfield
  • Selecting Wild and Canine should give JackTheWolf

1.6 Viewing Options

  • Tree-view shows a hierarchical list of all tags. If a tag has 2 or more parents tags, it will be shown under each
  • Flat-view shows an alphabetical list of all tags. Tags that have sub-tags have nevertheless expand buttons to reveal the sub-tags.
    This means that the same tag can be shown more than once: In the main list, and under each of its parents
  • Item count for each tag can be turned on/off. When off, they still show on mouse-over when holding the Ctrl key
  • To quickly get to tags, there are commands to Expand a branch, Expand all and Collapse all
  • The Tags pane has column headers. Click on a header to sort (by name or by number of items)
  • Locked at the top of the tag list, are the current item tags


8. Home Pages

Home Pages

The Home Page is a customizable HTML page that is shown as a tab in your workspace, along side your Calendar, Grids, Surface, MindMaps and other views. By default, it look as such:
It lists:
  • Today's events
  • Links to your Calendar
  • Links to web pages
  • Links to Favorite and Marked items
  • Links to Favorite and Recently used Grids
  • Links to your Grid Groups
Clicking on any link will show the corresponding information
If more than one Home Page is defined, << and >> navigation buttons are shown in the upper right corner. Click these to switch to a different Home Page.

1.0 Managing Home Pages

You can have as many Home Pages as you wish. For example:
  • One per project, showing project related information and links
  • One for work and a different one for home
  • Any other information such as FAQs

1.1 Adding / Removing a Home Page

Any item's HTML page can become a Home Page.
Managing Home Pages is done through the Document Pane. Simply select an item and in the Doc Pane, set Menu > File > Use as Home Page:
The Home Page will instantly update to show the current Doc pane content.
To remove a page of the Home Page list, un-check Use as a Home Page.

1.2 Modifying a Home Page

Modifying the default Home Page

The Default Home Page is stored in User files Folder\HomePage.htm. In a future version, modifying this will be improved, but currently, the easiest way is to follow these steps:
  1. Create an item. Set the item text to Default Home Page
  2. In the Doc pane, do Menu > File > Open and select HomePage.htm in your User files folder (See Tools > Help > About > Support to find the location of the user files folder)
  3. You can now use the Doc pane to modify it
  4. Optionally, you can set that item as a Favorite, to easily refer to it later on (It will also show in the default Home Page, along side your other Favorites)
Modifying user Home Pages
To modify a user home page:
  1. Show that Home Pane
  2. To the right of the home page navigation buttons, click on the "..." button. This will show the page in the Doc pane where you can make changes
  3. Click save when done.
  4. Click on the Home Page and press F5 to refresh it
The Live-Search can show the list of your user defined home pages. Click on the Home icon to show these. Use the Doc pane to edit.

1.3 Editing Home Page Content

For Home Pages, the Doc pane can be one of 4 types:
  • Embedded content (default)
  • Local HTML file (Link to a local file)
  • Local MHT file (Link to a local file)
  • A web page
In terms of content, the main purpose of the Home Page is to provide links to pertinent information, such as relavant items, grids, pivot tables, mapviews, etc. Links can be added using:
  • Tokens
  • Hyperlinks

1.3.1 Using Tokens to Create Links

the Home Page supports tokens which will generate content for you. Supported tokens are:
  1. [AllGrids]: All grids, sorted alphabetically
  2. [Calendar]: Hyperlink to the Calendar
  3. [CurrentDate]: Today's date
  4. [EventsToday]: Lists today's events
  5. [FavoriteItems]: Favorites items
  6. [GridGroup:Group1]: All grids that belong to grid group Group1. To set groups, enter a comma delimited list of groups in Grid Properties > Other > Groups
  7. [GridGroups]: List of all grid groups
  8. [Grids]: List of grids as shown on the toolbar
  9. [MarkedItems]: Marked items
  10. [NbEventsToday]: Number of event today
  11. [RecentGrids]: List recently opened grids, most recent first (Qty=15)
  12. [WinUser]: Windows login ID
The following tokens generate lists that support expand / collapse:
  • [AllGrids], [Grids], [RecentGrids]
  • [FavoriteItems]
  • [GridGroup:Group1], [GridGroups]
Click on the ? button (between << and >>) to get the list of supported tokens

1.3.2 Hyperlinks

  • Enter some descriptive text
  • Select the text
  • Click on the Hyperlink icon (or press Ctrl + K)
  • Use the Hyperlink dialog to select the link :

    See 4. Links for details on using the Hyperlink dialog

2.0 Using Home Pages

Using Home Pages is quite simple. In can be used in a number of ways, but the 3 most common are:
  1. Always visible vertical tab group
  2. Only visible when active
  3. In a pane

2.1 Always visible

Set the Home Page tab in a group of its own, with grids and other view in one or more groups to the right:
Hyperlinks in the Home Page will be shown in the right group.

2.2 Only visible when active

Set other grids and views in the same group as the Home Page:
Hyperlinks will open in the largest group. Press Alt + 1 to show the Home Page. Press Alt + 1 again to return to the current tab.

2.3 In a pane

To view the Home Pane in a pane
  1. Right-click on the Home Pane tab and select Detach
  2. Once detached, the pane can be manipulated like any other pane
    (i.e. can be set to be fixed, floating, hidden, etc). See Pane manipulation in IQ for details.

2.4 Navigating between Home Pages

To show the next Home Page:
  • Click on the >> button
  • Double-click
  • Alt + >
  • Ctrl + Right arrow
To show the previous Home Page:
  • Click on the << button
  • Double-click + any of Shift, Ctrl or Alt
  • Alt + <
  • Ctrl + Left arrow

2.5 Keyboard shortcuts

  • Alt + 1 to toggle between the Home Page and the currently active view
  • F5 to refresh the Home Page
Hints:
  • The program caption shows the active view: Home Page (Inbox). Press Alt+1 to return to the active view
  • The keyboard (Alt+1) shortcut can be changed, like any other command


9. Other UI, Panes and Dialogs

Click here to view online page with discussion and ability to update


1. Omnibox

Using the Omnibox

The Omnibox is a small textbox normally located on the main menu bar:
It can be used to:
  1. Search your IQBase
  2. Open Views (i.e. Grids, Calendar, etc)
  3. View Favorite items
  4. Execute Commands
To activate the Omnibox you can either:
  • Click in the text box, or
  • Hit the Omnibox shortcut key (normally Ctrl + F)
As soon as the Omnibox is activated, you can start typing. As typing is done, the Omnibox dropdown portion will updated:
Next, either:
  • Hit Enter to search your IQBase. The Live-Search window will open with the search results. See 1. Live-Search
  • Use the mouse or cursor keys to select an item from the list.
Example of use:
  • Bold items (Ctrl + F, bold, Enter)
  • Open the InBox grid
  • View a Favorite item
  • Search your IQBase
Tips:
  1. For Grids and Favorites, enter * before the text to search anywhere in the text (otherwise text must start with)
  2. To Filter / Search for information in the current grid, you can:
    • Filter : Grid > Show Filter (Ctrl + G) is the fastest way to filter the current grid. Enter the text and enter. You can also use Column Filters. See 2. Filtering
    • Search: Grid > Auto-Search (Ctrl + F3) and start typing. F3 for the next occurrence. To turn off, you can:
      • Toggle the Auto-search command (Ctrl + F3),
      • Press Escape, or
      • Start editing


2. New Item dialog

Item Editor / New Item dialog

***** preliminary version ****
The Item Editor is an always accessible UI to view / edit / create items. This includes:
  • Item text (or item name)
  • Doc pane content (long-form content associated with each item)
  • Commonly used fields, such as Inbox, URL, Due Date
  • Yes/No fields (i.e. folder-type fields)
  • Tags
Often items are entered directly in the view (Grids, Calendar Surface, etc). It fast and efficient.
At times however, either you are not in IQ, or not in the right place or you just want to have a larger window to add the new item. The New Item dialog is a great tool then:
  • When in IQ, Edit > New Item (Ctrl + N)
  • When IQ is running but you're in another app (i.e. word processor, browser), press the New Item hotkey (Win + N by default)
  • The dialog is non-modal, meaning that you can leave it open while doing other things inside IQ
  • Multiple New Item dialog can be opened at the same time. Great to collect information from various sources
  • It also used by the Universal Clipper. Details here: 1. Clipping Content from other Apps
The dialog is divided in 4 main sections
  1. Top: Item text
  2. Middle: Options, common field assignments and the list of tags and fields selected
  3. Bottom: Doc pane content
  4. Right: Tags and Fields pane

1. Item Text

The item text is entered a WYSIWYG edit box, similar to the Popup editor. Details here: 3. Popup Editor
  • Standard formatting keyboard shortcuts are supported along with right-click commands
  • Use Alt + Up / Down arrows to change the edit box size
  • Alt + I moves focus to the item text

2. Options and Field Assignment

  • URL field: If another item already has the same URL, the text box will be shown with a yellow background
  • Options
  • Inbox field
  • Current Grid: If the current grid has a simple source, check this to have the item automatically show in this grid
  • DueDate field

3. Doc Pane Content

The Doc pane content is entered a WYSIWYG editor, similar to the Doc pane editor. Details here: 4. Document Pane

4. Tags and Fields

The right section shows 2 collapsible panes to assign tags and fields. Alt + T and Alt + F moves the focus to these panes

4.1 Tags Pane

  • Use it to assign tags to the new item. Filter and Auto-search tag list. Space bar to check / uncheck tags
  • Same features as the Tags pane. Details here: 7. Tags Pane

4.2 Fields Pane

  • Use it to assign fields to the new item
  • Similar features as the Tags pane (sub-set of)

5. Email Item to IQ

When EmailToIQ is enabled, it is possible to send the item by email instead of directly.
The advantage, is that a copy of the content will be in your email server.
Using GMail for example, with its outstanding search capability, allows user to find IQ related content withing GMail.
Notes:
  • When on a mobile or when IQ is not running or available, EmailToIQ can be used to do something very similar. See 2. Send To InfoQube using EmailToIQ


3. Popup Editor

Using the Popup Editor

The Popup Editor is a WYSIWYG editor to edit items and other text fields.
It is generally accessible from the main menu and context menus. The default keyboard shortcut is Shift + F2
It can be used from the following UI elements:
  • Grids (text cells and header caption)
  • Calendar
  • Surface
  • MapView
  • Properties Pane

1.0 Formatting

To format text, you can use:
  • Formatting mini-toolbar. Select some text and hover the mouse just left of the OK button. The mini-toolbar will show:

  • With text selected or not, right-click to show the context menu. Supports all formatting options:

    In addition to formatting text, icons can be inserted using the context menu.
  • Keyboard shortcuts, such as Ctrl + B for Bold, Ctrl + K for Hyperlinks, etc

2.0 Entering text

A physical keyboard is typically how content is entered. Windows 8 and up users can also use the Touch keyboard.
The Popup Editor supports 2 alternative input methods: On-screen keyboard and Handwriting recognition.

2.1 On-screen keyboard

Click on the keyboard icon to show it. It is located on the bottom-left side of the Popup Editor window.

2.2 Handwriting recognition

Windows versions supporting handwriting input are Windows XP Tablet PC Edition, Windows 7 and, of course, Windows 8 and up.
Click on the pen icon to reveals the handwriting input pane:
The handwriting panel can be used with any pointing devices:
  • Mice and trackpads
  • Touch screens
  • Capacitive pens
  • Active pens
Active pens provide the best experience of course.
Selecting your input device
To select the input device, hold the Shift key and and double-click on the panel. Once selected, handwriting can be entered.
Handwriting
  • Write one or more words on the panel. Ink will be shown as you write.
  • After 1 second of inactivity, the handwriting recognition will take place and ink will be replaced by characters.
  • Enter as much or as little as you want.
  • To select text, long-press and drag
  • At any time, you can click on the Paste icon to move the text to the upper pane (ensure you set the caret, or insertion point, first)
  • The handwriting panel also supports keyboard input, should you need it for special characters or other editing
Gestures
The handwriting panel supports gestures:
  • New line : , Space : and Backspace :
  • All input devices can be used for gestures, not just the selected one.
    This can be useful sometimes. For example, say you're using a pen for handwriting and you want to enter a space.
    You could use it to perform the gestures but if it isn't just right, it may be interpreted as handwriting.
    By using another input device, say the touch screen, ensure that it is recognized as a gesture and not as ink.
Languages and language packs
  • Windows support handwriting recognition for many language, including Chinese and other Asian languages.
  • To see which languages are installed or to install new ones, open the Control Panel to Control Panel\All Control Panel Items\Language\Add languages
  • Adding a language is a 2 step ladder :
    1. Adding the Language: (no download required) Includes spell checker and word recognition
    2. Adding the Language Pack: (large download required, 180MB and up). Includes Windows UI language and language specific handwriting recognition.
      For example without the French language packs, words like "c'est" or "aujourd'hui" are not recognized properly because of the " ' ".
      Asian languages absolutely require the language pack, as expected.
  • To learn how to install language packs, see: https://support.microsoft.com/en-us/kb/2607607
  • To switch language, click on the language button on the Taskbar or swipe from the right to reveal the panel (Windows 8 and up Touch screen)

3.0 Tips

  • The Popup Editor window is re-sizable. It can also be moved. To move it, click in a blank area and move it.
  • Handwriting input works best when the Popup Editor is very wide
  • The Touch keyboard can also be used for handwriting recognition
  • When editing grid header caption, the Popup Editor is in single line mode. Press Shift + Enter to add a carriage return


4. Forms

Forms

A Form is a user-defined group of fields, shown vertically in the Properties Pane, in a specified order.
Forms allow you to view / edit / add items. You select the fields and the order displayed in Tools > Manage Forms. You can have as many forms as you wish.
Forms are great for data entry. Grids can also be used for data entry, but when the number of columns gets large, they can be cumbersome.
Forms provide an alternate way of entering information.
In addition, default values for each field can be defined for each form. So you can have forms for contacts, tasks, one for each project (for billing perhaps).

Hint: The Form Manager is used to make changes to forms. The properties pane is to actually use forms.

The following screen shot shows them side by side:

..............Form manager ...............................................Properties pane......................

1. Managing Forms

Use either Tools > Manage Forms or right-click on a form (in the Properties pane) to open Form Manager.

In the Form Manager, you can:

  • Add / remove / rename / re-order Forms. Click (New form) to add a form.
  • Add / Remove / re-order fields. Click (New field) to add an existing field to the form.
  • Set the default values for each field. The default value is used when applying a form. See below

1.1 Re-arranging Forms and Fields

To re-arrange forms and fields, you can use the standard keys:
  • Ctrl + Left / Right to open / close forms
  • Alt + Up / Down to move forms and fields
  • Delete to delete forms and fields

1.2 Defining the Default Values

  • The default values will be set for the specified fields when creating items / sub-items or when the Apply Form icon [image] is clicked
  • You can enter equations as the default value e.g. to have a form ask you to enter a value, simply enter =inputbox("caption", "dialog title")
  • For text field, simply enter the text string
  • For dates, =Now gives the current date and time, while =int(now) gives the current date
  • For yes/no, =-1 is checked, leave blank for unchecked
  • When referencing fields, enclose these with square brackets (i.e. [SomeField] )
In the above screenshot, form Invoice:
  • Date will be given today's date (use _auto to set it to the field's default value, defined in the field properties)
  • HrsRate = 50
  • Invoices is checked (=-1 is checked)
  • Item = "Invoice"
When you're happy with your forms, click OK. The Properties pane will be updated.

2- Using Forms

  • In the Properties pane, you'll find all your forms under the "Forms..." top level heading
  • Click on the form to expand / collapse the form content
  • By default, opening a form does not close other forms. Right-click on Forms to change the behavior
    When set to close other forms, hold the Shift key to open multiple forms
  • Forms fields are identical to other fields in the Properties Pane, except that YOU control which field is listed and in which order.
  • Values can be added / modified / deleted. Change is applied to all selected items.

2.1- Using the Forms Buttons

When you open a form, 4 buttons are displayed:
  • Click the first one to add a new item to the current grid and apply the form
  • Click the second one to add a new sub-item to the current grid and apply the form
  • Click the third one to apply the form to the selected items in the current grid
  • Click the forth one to clear the form values for the selected items in the current grid
Tips: Holding Ctrl while moving the mouse shows Tooltips:

3. Forms and Columns sets

Forms can also be used as column sets for grids:
  • Right-click on a form and select Load Column Set
  • To restore the grid's native columns, right-click again on the form and select Unload Column Set
    (or under Grids, right-click on the Current Grid item and select Load Column Set)
  • Column Sets can chosen using Column > Column Sets command
Hint:
  • To have a form show the Tags assigned to the focused item, add the ItemTags field


4. Status Bar

Using the Status Bar

The Status Bar is shown at the bottom of the InfoQube's main window. Use View > Status Bar to show / hide it.
It is divided into 9 sections (from left to right)
  1. Lineage and other "status-type" information (non-intrusive messages)
  2. Higher importance messages (shown with a bright yellow background)
  3. Timers. See Using Timers below for details
  4. Google Calendar Sync button and status: Click on the icon to start a manual sync with your Google calendars. All enabled calendars will sync
  5. EmailToIQ button and status. See 2. Send To InfoQube using EmailToIQ for details on using EmailToIQ
  6. Arrow keys behavior when editing in grids: When ON, arrow keys will never terminate editing. When OFF, editing will end when the cursor reaches a boundary
  7. Overtype mode: See Editing Items for details
  8. Current Date
  9. Current Time
Section 1 is the widest section on the Status Bar. It is used to show a large number of messages and status, depending on the view, such as:
  • Event information when in the Calendar
  • Item lineage in other views (see details below)
  • The number of selected items in Grids
  • Zoom changes
  • Countless other bits of information !
Section 2 is bright yellow:
(not shown in the above screen shot)
This section shows messages of higher importance than section 1.
It is also possible to cancel some operation by double-clicking on this section, such as:
  • Cancel or postpone recalculation of fields which are date dependent (as this can be lengthy for large databases)

1. Showing Item Lineage

The Status Bar can show the current item's lineage, that is, the item parent, grand-parent, etc. Each parent is shown as a hyperlink. Click on the hyperlink to instantly go to that item.
There are 5 display modes. To change mode, double-click on the section:
  1. None: Lineage is not shown
  2. Parent -> Child: Starting from the item, the main parents tree is shown, from right to left
  3. Child -> Parent: Same as the above, but in reverse order. To ease navigation, the item itself is not shown
  4. As viewed: Shows the parent tree as displayed in the grid. This may be different than (2.) above when:
    • Context Parent display is turned off or set to just a few levels (see 1. Grid Display Modes for more information on Context Parents
    • Grid is hoisted
    • Grid display mode is not set to Normal (i.e. set to Flat or Tree views)
    • Items have multiple parents. The parent shown in the grid may not be the main parent
  5. Inverse view: Same as the above, but in reverse order. To ease navigation, the item itself is not shown
Hint: Double-click cycles through the above modes (1 > 2 > 3 > 4 > 5). Press Shift while double-click will cycle in the reverse direction

2. Timers

Count-up timer(s) can be shown on the Status Bar area.
Use Tools > Options > General, “Nb of timers on the status bar” to set the number of timers (max of 6 timers)

Controlling Timers:

  • Start: single-click
  • Pause: single-click
  • Reset: double-click
  • Timers stop counting when the computer goes into pause (i.e. gone for lunch)
  • Timer values are preserved between session (program close, re-start)

Uses:

  • Track time spent on each project / task. Example would be consultants who get paid on an hourly basis.
    (Often, such an individuals work on a many projects and are interrupted by phone calls and must work on something else and later on return, etc)
  • Miscellaneous tasks, not computer-related, such as a tea timer

n.b.: There is no link between the counters and any fields, it is the responsibility of the user to enter the timed value in the proper project, etc.


5. More Info Pane

More Info Pane

The More Info Pane shows detailed information on items and field-values. The same information is also shown as tooltips:
In views, such as grids:
  • Last modified date for the item and by which user
  • Item ID
  • Item text
  • List of related items
  • All other field-values
In the Properties pane, over a field name (left column):
  • Field name
  • Field ID
  • Field Type
  • Number of field-values
  • List of forms showing this field
  • List of grids showing this field
In the Properties pane, over a field value (right column)
  • Field name
  • Field value
  • Modified date for that specific field-value and by which user

Using the More Info pane

  • Do View > More Info Pane to show / hide the pane
  • Pane can be floating, docked or in auto-hide (same as other panes)
  • Right-click on the pane to toggle between the two display modes:
    • Show selected
    • Show mouse-over
  • Press F2 to toggle between formatted and plain text view mode (or right-click)
  • Press Ctrl + C to copy the pane content (plain text, IQ and HTML formats)
  • Press SHIFT to freeze the pane content. Useful when moving the mouse to the More Info pane


6. Visual Basic Editor

Visual Basic Editor

Sometimes relations between fields cannot be defined by a simple equation. In such cases, the user can write a user-defined function. The required parameters are passed to the function which calculates it output. For example, in the default template, the item color is automatically changed based on an Urgency value (itself calculated)

ItemColor =CalcColor( [Urgency] )

CalcColor is itself defined by a VBScript equation::

Function CalcColor(Urgency) ' calculation of the itemcolor color code based on the Urgency level

  • if isnull(Urgency) then
    • CalcColor = ""
  • else
    • if Urgency < -10 then
      • CalcColor=""
    • elseif Urgency <=-3 then CalcColor="Yellow"
    • elseif Urgency <= 2 then CalcColor="Blue"
    • elseif Urgency <=10 then CalcColor="Purple"
    • else CalcColor="Red"
    • end if
  • end if

End Function

This way, as a task approaches its deadline it changes color from none, to purple, to blue, to yellow and finally to red indicating that it late. No user intervention. Completely user-definable

Function Code Stores

VBScript code is store in three different locations:

  1. System code: Supplied with InfoQube and updated with each new release
  2. User code: Generic functions created by each user. Common to all IQBases
  3. Database code: Specific functions to a particular IQBase

In case of name conflict, the database code has highest priority, followed by user and finally, system code. This allows for worry-free function overloading

VB Editor

The built in VB Editor can be used to view the functions that come with IQ or that you have added. Take a look at the built-in scripts already defined and explore the many possibilities.

(More details on how to use the VB Editor window is required)

Function Development Tips

  • Full VBScript reference (from Microsoft) can be found here: https://msdn.microsoft.com/en-us/library/d1wf56tt(v=vs.84).aspx
  • All VBScript functions should return a value. If no value is returned, the function will return "Empty" and an error message will be pop-up (Options setting to disable it). A useful return value is "Null" which is different than 0 or an empty string. Null will clear the field value. See also the section above on "Hierarchy Equations with Parameters" how Null is used.
Unfortunately IQ's built-in VBScript tools are very basic and its not very good at letting you know when you have made a mistake. A recommended practice is to write and test your functions in another tool with better support then then when you have it working copy it to IQ.
IQ uses Microsoft's VB Script engine. See this page on stack overflow for tools that work with VB Script.
One good approach is to use the VBA (VisualBasic for Applications) Editor built right into Excel. It gives you full highlighting, code completion, and debugging. Note that VB Script is a subset of VBA, so there are some things you will need to avoid in the code you copy to IQ (see http://www.activecallcenter.com/manual/249.htm the main differences).
Note, Pierre has suggested that you might be able to use the MS Script Debugger directly with IQ, but no one has got that to work yet...
--------------
These are the current functions contained in system code (tools>visual basic editor>system code):
option explicit

' List of user-defined functions

'--------------------------------------------
Function NZ(x)  ' converts Nulls to zero
  if isNull(x) then NZ=0 else NZ=x
end function

'-------------------------------------------
Function ZN(x)  ' converts zero to Nulls
  if x=0 then ZN=null else ZN=x
end function

'-------------------------------------------
Function WorkTime(d1, d2, HrsPerDay)    ' d2 is the later date. Handles multi-day tasks
  dim diff, days, hrs
  if isnull(d1) then exit function
  if isnull(d2) then exit function
  if d1=0 then exit function
  if d2=0 then exit function
  d1=cdate(d1): d2=cdate(d2)
  diff=d2-d1
  if diff>=1 then
    days=datediff("d",d1,d2)
    WorkTime=days*HrsPerDay
  end if
  Hrs=(diff-int(diff))*24
  WorkTime=WorkTime+Hrs
  workTime=formatnumber(workTime,2)
end function

public Function SetFontAttrib(ItemFont,Attrib,Value)
  dim i, s, s2
  if isnull(ItemFont) then ItemFont="|"
  s2="|" & Attrib & "|"

  i=instr(itemfont,s2)
  if i=0 and value=-1 then
     s=itemfont & s2
  elseif i>0 and value=0 then s=replace(itemfont,s2,"")
  end if
  if s="|" then s=""
  SetFontAttrib=s
end Function

'-------------------------------------------
Function IIF(Condition,T,F)  ' Immediate IF as in some other languages. If true returns first variable, false returns the second
  if Condition=true then IIF=T else IIF=F
end function

'-------------------------------------------
Function CalcEndDate(StartDate, Duration, NonBillable)  ' calculates the end time of a task, given a start, duration and nonBillable
  if isnull(StartDate) then exit function
  if isnull(NonBillable) then nb=0 else nb=NonBillable
  CalcEndDate=cdate( StartDate ) + ( Duration + nb ) /24
end Function

'-------------------------------------------
Function RoundedTime(StartDate)   ' round the supplied time to the earliest hour or half hour
  RoundedTime = Int(StartDate * 48) / 48
End Function

'-------------------------------------------
function isToday(dDate)           ' this function returns True if the supplied date = today. Is used as part of GTD
  if int(dDate) = int(now()) then isToday=true else isToday=false
end function

function isTomorrow(dDate)        ' same as above, but returns True if the supplied date = tomorrow
  if int(dDate) = int(now())+1 then isTomorrow=true else isTomorrow=false
end function

'-------------------------------------------
Function CalcUrgency(Due, Duration, PDone, Done)   ' calculates an Urgency figure for tasks >0=late or will be late based on Duration and PercentDone
  if isnull(Done) and not isnull( Due ) then
     CalcUrgency = int( int(now) - int(cdate( nz( due ) )) + (nz(Duration) * (100-nz(PDone))/100 * 7/5) )
     if CalcUrgency<-60 then CalcUrgency=null
  else
     CalcUrgency = null
  end if
End Function

Function CalcColor(Urgency)   ' calculation of the itemcolor color code based on the Urgency level
  if isnull(Urgency) then
     CalcColor = ""
  else
    if Urgency < -10 then
     CalcColor=""
    elseif Urgency <=-3 then CalcColor="Yellow"
    elseif Urgency < 0 then CalcColor="Blue"
    elseif Urgency <=5 then CalcColor="Purple"
    else CalcColor="Red"
    end if
  end if
End Function

' The following functions can be used in Hierarchy calculations. Typically: parent = sum (children)
'-------------------------------------------
Function Sum(x)  ' Calculates the sum of the array x
  dim d, i

  d=ubound(x)
  for i=0 to d
    Sum=Sum+NZ(x(i))
  next
end Function

function Testzero(t)
testzero = 0 / 0
end function

'-------------------------------------------
Function Max(x)  ' calculates the max of the array x
  dim d, i

  d=ubound(x)
  for i=0 to d
    if not isnull(x(i)) then
      if i=0 or x(i)>Max then Max=x(i)
    end if
  next
end Function

'-------------------------------------------
Function Min(x)  ' calculates the min of the array x
  dim d, i
  d=ubound(x)
  for i=0 to d
    if not isnull(x(i)) then
      if i=0 or x(i)<Min then Min=x(i)
    end if
  next
end Function

'-------------------------------------------
Function AVG(x)  ' calculates the average of the array x
  dim d
  d=ubound(x)
  AVG=SUM(x)/(d+1)
End Function

'-------------------------------------------
Function First(x)  ' returns the first element of array x
  First=x(0)
end Function

Function PickFirst(x1, x2, x3, x4)  ' picks the first not null, not zero in the list.
  dim v

  if not isnull(x1) and x1<>0 then
    v=x1
  elseif not isnull(x2) and x2<>0 then v=x2
  elseif not isnull(x3) and x3<>0 then v=x3
  else v=x4
  end if
  PickFirst=v
end Function

Function NumPart(x)    ' if a text field contains a number followed by a text note (i.e. 3.2 special case), returns the numeric part
  dim v, y, i

  x=trim(x)
  if x="" or isnull(x) then NumPart=null: exit function
  y = split(x," ")
  for i = lbound(y) to ubound(y)
    if  isNumeric(y(i)) then
      v = v & y(i)
    else
      if i=lbound(y) then v=x
      exit for
    end if
  next
  If Not IsNumeric(v) Then NumPart = Null Else NumPart = CDbl(v)
End Function

'--------------------------------------------
Function TextPart(x)  ' if a text field contains a number followed by a text note (i.e. 3.2 special case), returns the text part
  dim y, i, OK, v

  OK=FALSE
  x=trim(x)
  y = split(x," ")
  for i = lbound(y) to ubound(y)
    if not isNumeric(y(i)) OR OK=TRUE then v=v & y(i) & " ": OK=TRUE
  next
  TextPart=trim(v)
End Function

Function PV(IntRate, NbPeriods, FV)
  dim IR

  IR=IntRate
  if IR>0.5 then IR=IR/100  ' handle if rate is entered as 8 for 8% (as opposed to 0.08)
  PV=FV/((1+IR)^NbPeriods)
End Function

Function FV(IntRate, NbPeriods, PV)
  dim IR

  IR=IntRate
  if IR>0.5 then IR=IR/100  ' handle if rate is entered as 8 for 8% (as opposed to 0.08)
  FV=PV*(1+IR)^NbPeriods
End Function
'-------------------------------------------

Function DayPart()
  dim d
  d=now-date
  if d>=0.3333 and d<0.5833 then
    DayPart="Morning"
  elseif d< 0.70833 then
    DayPart="Afternoon"
  elseif d < 0.95833 then
    DayPart="Evening"
  else
     DayPart="Night"
  end if
End Function

Function Today
  Today=date
End Function

Function GetFile()
  GetFile=inputbox("Enter filename", "File requested...")
End Function

Function HasKeyword(Fi, keyw, CaseSpecific)
  dim myFi, CompareMethod

  HasKeyword=0
  if CaseSpecific=true then CompareMethod=1 else CompareMethod=0
  myFi=trim(Fi & "")
  if instr(1,myFi,keyw,CompareMethod)>0 then HasKeyword=true
End Function

Function AddKeyword(Fi, keyw)
  dim myFi
  myFi=trim(Fi & "")
  if instr(myFi,keyw)=0 then
    if len(myFi)>0 then myFi = myFi & " "
    myFi=MyFi & keyw
  End if
  if myFi="" then myFi=null
  AddKeyword=myFi
End Function

Function RemoveKeyword(Fi, keyw)
  dim myFi
  myFi=replace(Fi & "",keyw,"")
  myFi=replace(myFi,",,","")
  if trim(myFi)="" then myFi=null
  RemoveKeyword=myFi
End Function

function test(aString)
   if aString= "a" then
        test=1
    else
        test=2
    end if
end function

Function GetFile(InitialFile)
  dim dialog
  set dialog = CreateObject("MSComDlg.CommonDialog")
  dialog.Filter = "All files (*.*)|*.*| "
  Dialog.FileName=InitialFile & ""

  dialog.MaxFileSize = 260
'  dialog.ShowOpen()
  intResult = Dialog.ShowOpen
'  If intResult <> 0 Then
      GetFile = Dialog.FileName
'  else: GetFile=InitialFile
'  End If
'  Set objDialog = CreateObject("MsComDlg.CommonDialog")
'  objDialog.Filter = "All Files|*.*|Text Files|*.TXT"
'  objDialog.FilterIndex = 1
'  objDialog.FileName=InitialFile & ""
'  intResult = objDialog.ShowOpen
'  If intResult <> 0 Then
'      GetFilePath = objDialog.FileName
'  else: GetFilePath=InitialFile
'  End If
End Function

function calcTime(DayPart)
    select case DayPart
        case "Morning"
           calcTime= "2 PM"
         case "Afternoon"
           CalcTime= "5 PM"
         case "Evening"
           CalcTime= "11 PM"
         case "Night"
           CalcTime= "6 AM"
        Case Else
            calcTime= "0 AM"
    end select
end function

Function ShowMessage(s)
  msgbox s
end Function

Function RegExp(p, s)
  dim r, v, v2
  set r = new RegExp
  r.IgnoreCase = True
  r.Global = True
  r.Pattern = p
  set v = r.Execute(s)
  if v.Count > 0 then
    set v2=v(0)
    RegExp = v2.Value
  end if
End Function

Function GetDomainName(s)
  dim v, p
  s=trim(ucase(s))
  if left(s,7)<>"HTTP://" then s="HTTP://" & s
  p="http://[^/]*/"
  v = RegExp(p,s)
  GetDomainName = v
End Function

FUNCTION CalcGPA(Grade, Units)
dim t
SELECT case Grade
case "A": t=4.0
case "A-": t=3.7
case "B+": t=3.3
case "B": t=3.0
case "B-": t=2.7
case "C+": t=2.3
case "C": t=2.0
case "C-": t=1.7
case "D+": t=1.3
case "D": t=1.0
case "D-": t=0.7
case "F", "P": t=0.0
end SELECT
CalcGPA = t * Units
if isnull(Grade) or grade=""  then CalcGPA=null
End FUNCTION

Function CalcGPAAVG(GPA,NbUnits, Grade)
 dim t
 select case Grade
 case "P": t=0
 case else
  if NbUnits>0 then t=GPA/NbUnits else t=0
 end select
 CalcGPAAVG=t
End Function

Function WhoColor(Who)   ' calculation of the itemcolor color code based on the Who assignment
  dim s: s=ucase(Who)
  if isnull(s) or s="" then
     WhoColor=""
  else
    select case s
    case "WH" : WhoColor="Yellow"
    case "JD" : WhoColor="Blue"
    case "RR" : WhoColor="Purple"
    case else : WhoColor="Red"
    end select
  end if
End Function

'----------------------------------------

Function Catenate(FirstString, SecondString, FormatString)
  ' FormatString can be: "<Second>, <First>"
  dim sF, sL, sFor, sOut
  sF=FirstString & "": sL=SecondString & "": sFor=FormatString & ""
  if sF="" then
    sOut=sL
  elseif sL="" then sOut=sF
  else
    sOut=sFor
    sOut=replace(sOut,"<First>",sF)
    sOut=replace(sOut, "<Second>",sL)
  end if
  Catenate=sOut
End Function

'-------------------------------------------

Function ColorFromVehicule(IDVehicule)
  dim c
  select case IDVehicule
  case "Echo1": c=&hffDDDD
  case "Echo2": c=&hDDffDD
  case "Prius1": c=&hDDDDff
  end select
  ColorFromVehicule=c
End Function

Function CalcBestPlayer(Basketball, Charley, Bob, Joe, Ken, Mary, Pierre)
  dim v, v2
  if isnull( Basketball ) then
    v=Charley
    if Bob>v then v=bob
    if Joe>v then v=Joe
    if Ken>v then v=ken
    if Mary>v then v=Mary
    if Pierre>v then v=Pierre

    if Charley = v then v2 = "Charley "
    if Bob = v then v2 = v2 & "Bob "
    if Joe = v then v2 = v2 & "Joe "
    if Ken = v then v2 = v2 & "Ken "
    if Mary = v then v2 = v2 & "Mary "
    if Pierre = v then v2 = v2 & "Pierre"

    CalcBestPlayer = v2
  end if
End Function

Function CalcTaskEnd(TaskStart, Duration, TaskEnd)
  if isnull(TaskStart) then TaskStart=0
  if TaskStart=0 then
    CalcTaskEnd=TaskEnd
  else
    if Duration<0 then Duration=0
    CalcTaskEnd=TaskStart + Duration
  end if
end Function

Function CalcTaskStart(TaskStart, Duration, TaskEnd)
  if isnull(TaskEnd) then TaskEnd=0
  if TaskEnd=0 then
    CalcTaskStart=TaskStart
  else
    if Duration<0 then Duration=0
    CalcTaskStart=TaskEnd - Duration
  end if
end Function

Function CalcTaskDuration(TaskStart, Duration, TaskEnd)
  dim d
  if isnull(TaskStart)=true then
    d=null
  elseif isnull(TaskEnd)=true then
    d=null
  else
    d=TaskEnd-TaskStart
  end if

  if d<0 then d=0
  CalcTaskDuration = d
end Function


7. Image Viewer

Image Viewer

The built-in image viewer is useful to view
  1. items linked to image files and,
  2. items showing a folder in the HTML pane


8. Phone Dialer

IQ can search all text fields of an item and parent items to find all phone numbers. Item>>Dial (Ctrl-T) to open the dialer:
  • The caption shows the item.
  • The list shows all the phone numbers found (from which field, from which parent, etc).
  • The top text box shows how the selected number will be dialed, according to the Dialing Rules. You can modify this if desired.
  • Use the Dialing Rules button to modify how number are translated into dialing numbers.
  • At any time, a prefix can be added to the dialing (i.e. 9 to get an outside line).
  • Tools>>Options>>1.5.5 defines the Regular expression used to find phone numbers. Users can modify this to handle regional settings.
    The default setting which handles North America is: (?:\([2-9]\d{2}\)\ *?|[2-9]\d{2}(?:\-?|\ *?))[2-9]\d{2}[- ]?\d{4}


9. Dashboards

Dashboards

Dashboards are grids which have a fairly large number of panes. They can serve many uses:
  • Window showing all aspects of a project
  • Multi-view of most common information, all in a single window
  • Kanban-style task management
  • GTD task management

1. Kanban-style task management

In a Kanban board, activities revolve around dragging items from one pane to another
  • Dragging items from one pane to another automatically sets field values, such as Active, Next, Done (date)
  • Grids support sorting, either manual or based on field values (such as DueDate, Priority, etc)
  • InfoQube makes it easy to drag-drop items and even supports dragging many items at once

2. Book review process example

Details here: IQ as a Relational Database: Book Review Process


3. InfoQube Data: Items, Fields, Tags and Links

InfoQube Data: Items, Fields, Tags and Links

In InfoQube, Data and UI are distinct (unlike a traditional word processor or spreadsheet)
  • Items are the basic unit of information
  • Fields values can be assigned to items, such as extra text, numbers, dates and Yes/No (checkbox)
  • Tags can also be assigned to items. Tags are similar to Y/N fields. They are however easier to create and support inheritance
  • Links relate items to each other and to the outside world (files and the web)


1. Items

Items in InfoQube

In InfoQube, the term item is used to refer to a piece of information. When displaying the item in a grid as in the above picture, an item is a row. In other types of views, such as the Calendar, Surface, Mindmap, Timeline, etc, items will have different visual representations.

Items can have values. In the above example, the highlighted item has the following field values:
  • Item [Field] = First iteration coding
  • Nb Days = 3
  • Rate = 700
  • Cost = 2100 $
  • % Done = 70%
  • Project = Somiro
  • Category = Development
  • Start, End = ...
  • + others that aren't seen in the grid, but could be if the columns for these fields were displayed (like: IDItem, ItemCreated, ItemModified, etc.). These other filled fields can nevertheless be seen in the 6. Properties Pane .

Item can be organized in outlines (e.g. trees of items). There is no limit to the number of levels in a tree. When items have sub-items (e.g. children), but these are not shown, the bullet is a +. Single-click on the + will expand/close items.

In InfoQube:
  1. All items are full-fledged items. There is no such thing as a top-level item (TLI) or secondary-level item (SLI). Meaning : they don't have any inherent status or function. An item can be a TLI in one location and not in another - see #4 below
  2. Items can have multiple values (field-values). An item can have only 1 value for any given field (though text fields support a multi-select editor. See [3272])
  3. Items can have multiple sub-items
  4. Items can have multiple parents. Yes, like you and me, items can have two parents (or more)
  5. When an item have more than one parent, one of them is marked as the "main parent".
    Some views only display the main parent (grids, mindmaps), others can display all parents (Properties pane, Surface). Others, like the Calendar, do not display parents at all
  6. You can create as many fields as you wish
  7. System field are shown in grey in the Properties pane and in the Manage Fields dialog
  8. There are 4 types of field: Yes / No, Text, Date and Number
  9. Text fields can include basic formatting, images, hyperlinks, can wordwrap and have no limit on the number of characters.
    Some views however display a limited number of characters. For grids, it is around 2000. The Doc pane has no limit, so If you have a single large piece of text, it is recommended to put it in the Doc pane (see 4. Document Pane)
  10. In addition to fields, items have a few properties which are all accessible (include in search, sort, display in grids). These are:
    1. ID
    2. Created
    3. Created by
    4. Modified (any field value change updates this)
    5. Font
    6. Locked
    7. Home
  11. One of the system provided fields is ItemHTML which allows InfoQube to function like a two-pane organizer.
    But the Doc pane is much more. It can display a web page, a Markdown document, a local file (with transparent edit/save), or rich text content stored in the database. Clip from your browser (see 1. Clipping Content from other Apps) or drag-drop from word processor.
    Great for large pieces of text, still fully searchable
    It even supports a handwriting word processor, a truly unique feature !
    Each item can have an Doc page.
  12. Other special fields are NbChildren, NbParents, TextFields which allows for searching in all text fields, the same for dates, numbers and binary fields.

All information relating to items is summarized in the item properties pane:

You want to see the actual dates? No problem. Drag-drop the Created or Modified from the properties pane to the grid!

Also see how to search for items using their properties: 4. Searching, Filtering & Sorting


Editing Items

Editing items

Item text and other field values can be editing in most views and in the Properties pane:
  1. Grids
  2. Map View
  3. IQ Surface
  4. Calendar
Grids have in-place editing (both in both plain text and WYSIWYG). In other views the Pop-up editor can be used to edit. Use Shift + F2 to open it

1. In Grids

Grids is the most common way to view and edit items. It has view and edit modes. Press F2 to switch between the two:
  • When editing, the left-right cursors/ is limited to the cell.
  • The up-down arrows are limited to the cell if the Up/Dn button on the status bar is enabled ( [image]). Otherwise they will end editing and move the focus to the prev/next item
  • When not editing, all cursor keys enable quick movements between cells
  • When over a text cell, the OVR status bar button (Overtype) sets what happens when you start typing:
    • OVR On: will replace the content with the new text (press ESC to cancel it if not what you wanted)
    • OVR Off: will append your new text. No need to scroll to the end
  • For non-text cells (number, date), Overtype is always On
  • F2 will toggle editing (3 states when a editing form is available, such as for dates)
  • Shift-F2 brings up a large, resizable, editing window, the Pop-up editor

2. In the Properties pane

The Properties pane behaves in a very similar manner as grids, except that fields are shown vertically, instead of horizontally.
See this page for more details about the Properties pane

3. In Map Views and the IQ Surface

Right-click on an item > Edit or press F2 (or Shift + F2) to show the Pop-up editor.

4. In the Calendar

  • Right-click on an item > Edit Event or press F2 to show the Event Dialog.
  • To just edit the item text (i.e. the event title), press Shift + F2 to show the Pop-up editor

5. New Item dialog

Details here: 2. New Item dialog

n.b. Entering Line-breaks

IQ grid text columns have 2 settings that affect how multi-line items are shown (not editing) or while editing
  1. Column > Wordwrap:
    • If Off, multi-line items show as a single line. When editing however, the line breaks will be shown
    • If On, multi-line items show and edit as multi-line
  2. Column > Use WYSIWYG Editor:
    1. If Off, the edit box will automatically expand
    2. If On, the edit box automatically expand. use Alt + Down arrow to increase the edit box size.
      The advantage of the WYSIWYG editor, apart of being WYSIWYG of course, is that it supports spell-check !


Embedded Formatting

Embedded Formatting

REMINDER
  • InfoQube supports Rich-text formatting for grids, items and the HTML editing pane.
  • Editing in the HTML pane is similar to word-processors. See 4. Document Pane.
  • In grids, formatting is structured as a hierarchy. In increasing order of precedence, these are:
    1. Overall default font: set in Tools>Options>General>View: Grid font and Grid font size settings
    2. Grid specific font: set in Grid>Properties>Options: Default Font
    3. Item format: Applies to the whole item or to specific columns. See Item Formatting.
    4. Outline style. See 3. Outline Styles
    5. Embedded format: See Embedded Formatting
    6. Conditional format. See Conditional Formatting
Embedded format will be shown throughout InfoQube, not just in grids
Editors are:
  1. Plain text editor (Grids, Properties pane)
  2. WYSIWYG editor (Grids)
  3. Event details dialog (Calendar events)
  4. New Item / Clipper dialog
  5. Pop-up editor (All view types)

1- Plain text editor

  • Shows formatting codes in plain text
  • Use the formatting toolbar to enter codes.
  • Enter codes manually. See below for details

2- WYSIWYG Editor

In a grid, enable the WYSIWYG editor by right-click on any text column header and check the option.
  • Supports spell checking
  • Use the formatting toolbar
  • The edit window automatically grow in height as you enter text.
    It is also possible to use Alt + down/up arrows to increase/reduce the editor height

3- Event Details dialog

Items shown in the Calendar (i.e. events) can use the Event Details dialog. The event text textbox is WYSIWYG (similar to the Pop-up editor). See 2. IQ Calendar for details.

4- New Item / Clipper dialog

Items added through Edit > New Item or using a clipper show in the Add Item dialog. The item text textbox is WYSIWYG (similar to the Pop-up editor).
See 2. New Item dialog for details.

5- Pop-up editor

The pop-up editor can be used throughout InfoQube. This includes, grids, Properties pane, Calendar, Map view, Surface, etc. See 3. Popup Editor for details.

Using the formatting toolbar

While in edit mode, the formatting toolbar shows the following commands:
  • Font dialog
  • Bold, italic, underline, strikeout
  • Highlight text (bright yellow back color)
  • Superscript / subscript
  • Text Forecolor
  • Text Backcolor
  • Hyperlink
  • Insert Icon
Notes:
  • The commands are enabled for both the plain text editor and the WYSIWYG editor.
  • Like all toolbars, this toolbar can be customized. See Customizing Menus and Toolbars

Using formatting codes

In the plain text editor, formatting can be entered manually:
  • <font face;size> text </font> displays portions of text with a different font and/or different size. For instance, the <font Tahoma;12>bit</font> draws the bit text using the Tahoma font, on size 12 pt. If the name of the font is missing, and instead size is present, the current font is used with a different size. For instance, <font ;12>bit</font> displays the bit text using the current font, but with a different size.
  • <b> bold </b> bolds a part of the caption.
  • <u> underline </u> specifies that the portion should appear as underlined.
  • <i> italic </i> specifies that the portion should appear as italic.
  • <s>strikeout </s> specifies that the portion should appear as strikeout.
  • <fgcolor=FF0000> fgcolor </fgcolor> changes the foreground color for a portion.
  • <bgcolor=FF0000> bgcolor </bgcolor> changes the background color for a portion.
  • <img>IconFileNameWithoutExtension</img> inserts an icon inside the cell's caption.
  • <a xyz>Hyperlink</a> creates a hyperlink to a web page or to InfoQube items. Details here: 4. Links
  • <sup>superscript</sup> specifies superscripts
  • <sub>subscript</sub> specifies subscripts


Favorite Items

Favorite Items

Favorite items provide a way to easily access items you use most. The list is saved in the field Favorites.

1. Setting an item as a Favorite item

Select one or more items and:
  • Do Item > Favorite to set as a Favorite
  • Set the Favorites field (Properties pane)

2. Removing an item from the Favorites list

Use one of:
  • View > Favorites and right-click on an item > Remove item from Favorites
  • Select one or more items and do Item > Favorite to toggle the state
  • Select one or more items and uncheck the Favorites field (Properties pane)
Since the list is saved in the field Favorites, so you can quickly add/remove items to your Favorite list using IQ grids, auto-assign, etc

3. Viewing Favorite Items

To view Favorite items, do View > Favorites (or click on the Favorites icon). The list of Favorite items will show:

Selecting an item in this list will show the item. To decide where to show the item, InfoQube uses the following order:
  1. In the current view if the item is visible
  2. In it's home grid if it is defined. If the item is not visible in that grid, a Hoist will be performed to show it
  3. If the home is not defined, the item is shown in the Scratch grid

4. Working with many Favorites

If you like having many Favorites, using the Favorites dropdown menu may not be very efficient (as the dropdown can only show a flat list of so many item and scrolling is possible but not very quick)
A more efficient method uses the power and flexibility of grids. It involves creating a grid to show favorites and assigning a few keyboard shortcuts. The steps are:
  1. Create a new grid named Favorites (or use another name but set the source to the field Favorites)
  2. The grid will open with the list of your current favorites item
  3. To view a flat list of favorites item, set the following grid display options: Flat view, No context parents and Column > Auto-size widths
  4. You may also want to set up a grid column sort (see 3. Sorting and Grouping Items)
  5. Enable Auto-Search on the Item column (Grid > Auto-Search, see 2. Grid Auto-Search)
  6. Make the display as narrow as possible by hiding / removing all columns except the Item column and set the column wordwrap off
  7. Right-click on the tab and select Detach tab. The Favorites will appear in a pane docked at the far right of the IQ window. Resize / move it to your liking
  8. In Tools > Manage Grids, select the Favorites grid and assign a keyboard shortcut for this grid (Options > Shortcut). Enter a number between 2 and 9 (1 is reserved for the Home Page)
  9. Lastly, assign a keyboard shortcut to Item > Show in Home View command, such as Ctrl + Shift + O (see Keyboard Shortcuts)
To view a favorite items then:
  1. Press the Favorites grid shortcut
  2. Scroll to the item or start typing a few characters until the correct item is selected (below "Cal" was typed)
  3. The Properties and Doc panes will update. To view it in its Home, press the Show in Home View shortcut
Hint: As this grid and the Tags pane are both typically narrow list of items, the two can be grouped in a pane group. Shortcut keys still work and will bring the respective pane:

5. Notes

  • Shown in parenthesis ( ) is the item Home. See Item Home for details
  • Favorite items can also be shown in Live-Search. Click the star icon to show


Item Formatting

Item Formatting

REMINDER
  • InfoQube supports Rich-text formatting for grids, items and the HTML editing pane.
  • Editing in the HTML pane is similar to word-processors. See 4. Document Pane.
  • In grids, formatting is structured as a hierarchy. In increasing order of precedence, these are:
    1. Overall default font: set in Tools>Options>General>View: Grid font and Grid font size settings
    2. Grid specific font: set in Grid>Properties>Options: Default Font
    3. Item format: Applies to the whole item or to specific columns. See Item Formatting.
    4. Outline style. See 3. Outline Styles
    5. Embedded format: See Embedded Formatting
    6. Conditional format. See Conditional Formatting

This page describes Item formatting, which has priority over grid specific font and overall default font.
Keep in mind that ouline styles, In-cell formatting and conditional formatting have priority over item formatting.

Item formatting consists of :
  1. Font (face, size, bold, etc)
  2. Text color
  3. Back color.
These display attributes are saved in 3 fields defined in Tools > Options > This file > General. By default the fields are respectively:
  1. ItemFont
  2. ItemForeColor
  3. ItemColor
To perform item formatting, first ensure that you are not editing. If currently editing, format will be applied to selected text (see in-cell formatting Embedded Formatting)
You can use the formatting toolbar buttons :
It contains the following icons:
  • Font dialog
  • Shortcuts for bold, italic, underline, strikethrough
  • Highlight text (bright yellow back color)
  • Grow font, shrink font
  • Item Text color
  • Item Back color
  • Item Hyperlink
or edit the fields directly (in a grid or the properties pane)
By default it is applied to the entire row but you can choose to just have certain columns get the item formatting using Grid > Properties > Options > "Item Font applies to field

1. Setting an Item's Backcolor (row highlighting)

You can highlight an item with any color via it's right-click menu in the grid (Item Color).
First we see a list of named colors, then more colors & then an option to custom choose/create (even) more colors.
Named colors are defined in Tools > Options > This file > General > Named colors

2. Using the Item Forecolor and Backcolor Fields

Setting an Item's color using the context menu actually just sets its ItemBackColor field. You can change that field and its color will update automatically next time you close/open the grid. You can also change its fore color using the field ItemForeColor. Both of these values are set using either VB Hex Color Codes or Named Colors (see below). You can also change an Item's font by using its ItemFont field.
And since they are normal fields, you can update them using equations as well (see Field Management Dialog - Equations).

3. Changing the Item forecolor and backcolor fields

It is possible to have multiple item fore/backcolors defined for an item (e.g. one for printing, one for screen). By default colors are defined in ItemForeColor and ItemBackColor fields. But you can change this at the database level (perhaps just while you print). To do so:
  1. Create a new text field: AlternateItemColor
  2. In Tools>>Options>>This Database>>General>>Item backcolor field: replace the default item color field (ItemColor) with the field AlternateItemColor
  3. Press F5 to refresh the grid. You can also open a new instance of the grid (right-click on the tab or shift+click on the grid name)
In the this example, the User Manual item as ItemColor=Yellow and AlternateItemColor=Red. Using Tools>>Options, one can toggle between the two colors.

4. Color Codes and Names

4.1 Color Codes

InfoQube uses VB hex numbers (e.g. the Red above is &HAAAAFF ) for its color codes. These are in BGR format while the rest of the web uses RGB. To add a new color you have to find it's VB hex number, one good tool for this is Bullseye Color Picker. You can use other sites and tools also, but be sure to swap the B and R if required.

4.2 Named Colors

Anywhere you can use a VB Hex Code you can also use a name if IQ knows it. These are called Named Colors. You can change or add new Named Colors in the database options at Tools > Options | This file > General > Named Colors (see You do not have access to view this node).

As you can see there is a list of colors there
Red|&HAAAAFF|Orange|&H99CCFF|Yellow|&HAAFFFF|Blue|&HFFFFAA| etc.
  • First comes the color name which shows via item context menu (and can be used in equations / auto-assign rules).
  • Then a separator '|'
  • The comes the code for the color
  • Then another separator before the name of the next color
It's important to remember that you need to restart to see any Named Color changes and that Named Colors only apply to the current file only.
For instructions on adding the standard list of X11 colors see Web Named Colors (node 2360).


Conditional Formatting

Conditional Formatting

(There are important rules to follow for conditional formats to work properly; they are to be found at the end of this page.)

The conditional formatting feature allows you to apply formats (forecolor, backcolor, bold, etc) to a cell or range of cells, and have that formatting change depending on the value of the cell or the value of a formula. These get applied over the item-level colors.

Tutorial

As an example, you may want to highlight unchecked check boxes since they may require attention (tasks not done for example):

The InfoQube cell backcolor changes automatically as users check/un-check it. Also, note how the Notes cell also changes color.
To achieve this, a few simple steps:
1- Open the "Field management" dialog (View menu --> Manage Fields)
2- Select the InfoQube field (or any other Y/N fields, or boolean fields),
3- add 2 conditional format rules as shown then click Save

4- Select the Notes field,
5- add the conditional format rule as shown below, then click Save.

6- Go to a grid where both fields/columns -- "notes" and "InfoQube" -- are present.
7- Close it and reopen it if it was already open.
8- Now, check (√) or un-check the InfoQube field. You should obtain what is shown in the first screenshot on this page.

Explanations

What do all these codes mean

Criteria | Formats
<>0 | BackColor=&H00FF00
=0 | BackColor=&H0000FF
[InfoQube]=0 | BackColor=&H00FFFF
=0 and [OK]=0 |
<>"" | Font=Courier New
"=0" means that the Yes/No field is "Null" --> "not checked". Likewise: for other types of fields it means "Empty"
"<>0" means that the Yes/No field is "not Null" --> "checked". Likewise: for other types of fields it means "Not Empty"
<>"" means cell is not empty

How can one field condition the format of another field ?

As shown in step 2, if you want the formatting to be conditioned by another field (here a value in the InfoQube field will affect the Notes field formatting), you can add a specific field name (enclosed with square brackets) before the "<>0" or "=0"

So, lets say the "Date" field changes color based on whether the ItemHasHTML field is checked or not, you'd :
a- put the details in the Criteria column in the Date field thus:

[ItemHasHTML]<> 0
[ItemHasHTML] = 0

b- and then add formatting - color, etc. as appropriate. Example :
BackColor=&hFF9BAF

Other formatting options

Formatting can be applied to any fields.
  • Bold=1. Bolds the cell
  • Italic=1.
  • StrikeOut=1
  • Underline=1
  • BackColor=&HBBGGRR: Changes the background color for cell
    (BBGGRR stands for hex values of Blue, Green, and Red colors)
  • ForeColor=&HBBGGRR: Changes the foreground color for cell
  • Font=Courier New

How can I have multiple conditional formats and/or associate multiple formatting with the same condition ?

a- You can have as many conditional formats as you wish and activate/deactivate them using the "Use?" check-box.

b- You can piggyback formatting using the | character:
      Bold=1 | Italic=1 | BackColor=&H00FFFF
would bold, italic and change backcolor
c- The criteria can include more than 1 field, such as:
      [Amount] >100 and [PaidBy] = "Credit"

Enabling conditional formatting for specific grids

There is now a 4th column, named Grids, which enables you to set the grids to apply the conditional format. Enter a | separated list of grid names

Important Notes Concerning Conditional Formatting

  1. Conditional format "Criteria" can be for any field types: Y/N, Numeric, Text and Date Fields
    (If it's a Y/N (Boolean) Field, then the condition is =<>0 for Y and =0 for N.)
  2. If a columns format is conditioned by another column, both need to be present in the grid for the formatting to happen. The column width can be set to 0 or even hidden if desired
  3. The criteria can include more than 1 field, such as [Amount] >100 and [PaidBy] = "Credit"
  4. Operators need to be in lower case (e.g.: and, not AND)
  5. Fields need to be enclosed in "[ ]" (e.g.: [Field] )
  6. Text criteria are case sensitive. If you want case insensitive, use the "lower" function (e.g. lower([Notes]) = "work" will match both "Work" and "work"). See Conditional Formatting Reference
  7. To match text anywhere in the text field, use the "contains" keyword instead of "=" (e.g. lower([Notes]) contains "work" will also match "some work left to do")

Using an external editor

Editing the conditional format settings can be cumbersome. You can use Notepad to edit and function to load the text file back.
To do so, right-click on the conditional format settings column
--


Conditional Formatting Reference

Conditional Formatting Reference

1. Valid criteria

The following are valid expressions that can be used in the "Criteria" column of the conditional formats. %1, %2, etc are placeholders representing fields.
In IQ you would replace %1 by [Notes] for example

The supported conversion unary operators are:

  • type (unary operator) retrieves the type of the object. For instance type(%1) = 8 specifies the cells ( on the column 1 ) that contains string values.

    Here's few predefined types:

    • 0 - empty ( not initialized )
    • 1 - null
    • 2 - short
    • 3 - long
    • 4 - float
    • 5 - double
    • 6 - currency
    • 7 - date
    • 8 - string
    • 9 - object
    • 10 - error
    • 11 - boolean
    • 12 - variant
    • 13 - any
    • 14 - decimal
    • 16 - char
    • 17 - byte
    • 18 - unsigned short
    • 19 - unsigned long
    • 20 - long on 64 bits
    • 21 - unsigned long on 64 bites
  • str (unary operator) converts the expression to a string. The str operator converts the expression to a string. For instance, the str(-12.54) returns the string "-12.54".
  • dbl (unary operator) converts the expression to a number. The dbl operator converts the expression to a number. For instance, the dbl("12.54") returns 12.54
  • date (unary operator) converts the expression to a date, based on your regional settings. For instance, the date(``) gets the current date-time, while the date("01/01/2001") returns #1/1/2001#
  • dateS (unary operator) converts the string expression to a date using the format MM/DD/YYYY HH:MM:SS. For instance, the dateS("01/01/2001 14:00:00") returns #1/1/2001 14:00:00#

Other known operators for numbers are:

  • int (unary operator) retrieves the integer part of the number. For instance, the int(12.54) returns 12
  • round (unary operator) rounds the number ie 1.2 gets 1, since 1.8 gets 2. For instance, the round(12.54) returns 13
  • floor (unary operator) returns the largest number with no fraction part that is not greater than the value of its argument. For instance, the floor(12.54) returns 12
  • abs (unary operator) retrieves the absolute part of the number ie -1 gets 1, 2 gets 2. For instance, the abs(-12.54) returns 12.54
  • currency (unary operator) formats the giving number as a currency string, as indicated by the control panel. For instance, currency(value) displays the value using the current format for the currency ie, 1000 gets displayed as $1,000.00, for US format.
  • value format 'flags' (binary operator) formats the value with specified flags. If flags is empty, the number is displayed as shown in the field "Number" in the "Regional and Language Options" from the Control Panel. For instance the 1000 format '' displays 1,000.00 for English format, while 1.000,00 is displayed for German format. 1000 format '2|.|3|,' will always displays 1,000.00 no matter of settings in the control panel. If formatting the number fails for some invalid parameter, the value is displayed with no formatting.

    The ' flags' for format operator is a list of values separated by | character such as 'NumDigits|DecimalSep|Grouping|ThousandSep|NegativeOrder|LeadingZero' with the following meanings:

    • NumDigits - specifies the number of fractional digits, If the flag is missing, the field "No. of digits after decimal" from "Regional and Language Options" is using.
    • DecimalSep - specifies the decimal separator. If the flag is missing, the field "Decimal symbol" from "Regional and Language Options" is using.
    • Grouping - indicates the number of digits in each group of numbers to the left of the decimal separator. Values in the range 0 through 9 and 32 are valid. The most significant grouping digit indicates the number of digits in the least significant group immediately to the left of the decimal separator. Each subsequent grouping digit indicates the next significant group of digits to the left of the previous group. If the last value supplied is not 0, the remaining groups repeat the last group. Typical examples of settings for this member are: 0 to group digits as in 123456789.00; 3 to group digits as in 123,456,789.00; and 32 to group digits as in 12,34,56,789.00. If the flag is missing, the field "Digit grouping" from "Regional and Language Options" indicates the grouping flag.
    • ThousandSep - specifies the thousand separator. If the flag is missing, the field "Digit grouping symbol" from "Regional and Language Options" is using.
    • NegativeOrder - indicates the negative number mode. If the flag is missing, the field "Negative number format" from "Regional and Language Options" is using. The valid values are 0, 1, 2, 3 and 4 with the following meanings:
      • 0 - Left parenthesis, number, right parenthesis; for example, (1.1)
      • 1 - Negative sign, number; for example, -1.1
      • 2 - Negative sign, space, number; for example, - 1.1
      • 3 - Number, negative sign; for example, 1.1-
      • 4 - Number, space, negative sign; for example, 1.1 -
    • LeadingZero - indicates if leading zeros should be used in decimal fields. If the flag is missing, the field "Display leading zeros" from "Regional and Language Options" is using. The valid values are 0, 1

Other known operators for strings are:

  • len (unary operator) retrieves the number of characters in the string. For instance, the len("Mihai") returns 5.
  • lower (unary operator) returns a string expression in lowercase letters. For instance, the lower("MIHAI") returns "mihai"
  • upper (unary operator) returns a string expression in uppercase letters. For instance, the upper("mihai") returns "MIHAI"
  • proper (unary operator) returns from a character expression a string capitalized as appropriate for proper names. For instance, the proper("mihai") returns "Mihai"
  • ltrim (unary operator) removes spaces on the left side of a string. For instance, the ltrim(" mihai") returns "mihai"
  • rtrim (unary operator) removes spaces on the right side of a string. For instance, the rtrim("mihai ") returns "mihai"
  • trim (unary operator) removes spaces on both sides of a string. For instance, the trim(" mihai ") returns "mihai"
  • reverse (unary operator) reverses the order of the characters in the string a. For instance, the reverse("Mihai") returns "iahiM"
  • startwith (binary operator) specifies whether a string starts with specified string ( 0 if not found, -1 if found ). For instance "Mihai" startwith "Mi" returns -1
  • endwith (binary operator) specifies whether a string ends with specified string ( 0 if not found, -1 if found ). For instance "Mihai" endwith "ai" returns -1
  • contains (binary operator) specifies whether a string contains another specified string ( 0 if not found, -1 if found ). For instance "Mihai" contains "ha" returns -1
  • left (binary operator) retrieves the left part of the string. For instance "Mihai" left 2 returns "Mi".
  • right (binary operator) retrieves the right part of the string. For instance "Mihai" right 2 returns "ai"
  • a lfind b (binary operator) The a lfind b (binary operator) searches the first occurrence of the string b within string a, and returns -1 if not found, or the position of the result ( zero-index ). For instance "ABCABC" lfind "C" returns 2
  • a rfind b (binary operator) The a rfind b (binary operator) searches the last occurrence of the string b within string a, and returns -1 if not found, or the position of the result ( zero-index ). For instance "ABCABC" rfind "C" returns 5.
  • a mid b (binary operator) retrieves the middle part of the string a starting from b ( 1 means first position, and so on ). For instance "Mihai" mid 2 returns "ihai"
  • a count b (binary operator) retrieves the number of occurrences of the b in a. For instance "Mihai" count "i" returns 2.
  • a replace b with c (double binary operator) replaces in a the b with c, and gets the result. For instance, the "Mihai" replace "i" with "" returns "Mha" string, as it replaces all "i" with nothing.
  • a split b, splits the a using the separator b, and returns an array. For instance, the weekday(value) array 'Sun Mon Thu Wed Thu Fri Sat' split ' ' gets the weekday as string. This operator can be used with the array.

Other known operators for dates are:

  • time (unary operator) retrieves the time of the date in string format, as specified in the control's panel. For instance, the time(#1/1/2001 13:00#) returns "1:00:00 PM"
  • timeF (unary operator) retrieves the time of the date in string format, as "HH:MM:SS". For instance, the timeF(#1/1/2001 13:00#) returns "13:00:00"
  • shortdate (unary operator) formats a date as a date string using the short date format, as specified in the control's panel. For instance, the shortdate(#1/1/2001 13:00#) returns "1/1/2001"
  • shortdateF (unary operator) formats a date as a date string using the "MM/DD/YYYY" format. For instance, the shortdateF(#1/1/2001 13:00#) returns "01/01/2001"
  • dateF (unary operator) converts the date expression to a string expression in "MM/DD/YYYY HH:MM:SS" format. For instance, the dateF(#01/01/2001 14:00:00#) returns #01/01/2001 14:00:00#
  • longdate (unary operator) formats a date as a date string using the long date format, as specified in the control's panel. For instance, the longdate(#1/1/2001 13:00#) returns "Monday, January 01, 2001"
  • year (unary operator) retrieves the year of the date (100,...,9999). For instance, the year(#12/31/1971 13:14:15#) returns 1971
  • month (unary operator) retrieves the month of the date ( 1, 2,...,12 ). For instance, the month(#12/31/1971 13:14:15#) returns 12.
  • day (unary operator) retrieves the day of the date ( 1, 2,...,31 ). For instance, the day(#12/31/1971 13:14:15#) returns 31
  • yearday (unary operator) retrieves the number of the day in the year, or the days since January 1st ( 0, 1,...,365 ). For instance, the yearday(#12/31/1971 13:14:15#) returns 365
  • weekday (unary operator) retrieves the number of days since Sunday ( 0 - Sunday, 1 - Monday,..., 6 - Saturday ). For instance, the weekday(#12/31/1971 13:14:15#) returns 5.
  • hour (unary operator) retrieves the hour of the date ( 0, 1, ..., 23 ). For instance, the hour(#12/31/1971 13:14:15#) returns 13
  • min (unary operator) retrieves the minute of the date ( 0, 1, ..., 59 ). For instance, the min(#12/31/1971 13:14:15#) returns 14
  • sec (unary operator) retrieves the second of the date ( 0, 1, ..., 59 ). For instance, the sec(#12/31/1971 13:14:15#) returns 15

The expression supports also immediate if ( similar with iif in visual basic, or ? : in C++ ) ie cond ? value_true : value_false, which means that once that cond is true the value_true is used, else the value_false is used. Also, it supports variables, up to 10 from 0 to 9. For instance, 0:="Abc" means that in the variable 0 is "Abc", and =:0 means retrieves the value of the variable 0. For instance, the "len(%0) ? ( 0:=(%1+%2) ? currency(=:0) else `` ) : ``" gets the sum between second and third column in currency format if it is not zero, and only if the first column is not empty. As you can see you can use the variables to avoid computing several times the same thing ( in this case the sum %1 and %2 .

Samples:

  1. "1", highlights all cells or items. Use this form, when you need to highlight all cells or items in the column or control.
  2. "%0 >= 0", highlights the cells or items, when the cells in the first column have the value greater or equal with zero
  3. "%0 = 1 and %1 = 0", highlights the cells or items, when the cells in the first column have the value equal with 0, and the cells in the second column have the value equal with 0
  4. "%0+%1>%2", highlights the cells or the items, when the sum between first two columns is greater than the value in the third column
  5. "%0+%1 > %2+%3", highlights the cells or items, when the sum between first two columns is greater than the sum between third and forth column.
  6. "%0+%1 >= 0 and (%2+%3)/2 < %4-5", highlights the cells or the items, when the sum between first two columns is greater than 0 and the half of the sum between third and forth columns is less than fifth column minus 5.
  7. "%0 startwith 'A'" specifies the cells that starts with A
  8. "%0 endwith 'Bc'" specifies the cells that ends with Bc
  9. "%0 contains 'aBc'" specifies the cells that contains the aBc string
  10. "lower(%0) contains 'abc'" specifies the cells that contains the abc, AbC, ABC, and so on
  11. "upper(%0)'" retrieves the uppercase string
  12. "len(%0)>0'" specifies the not blanks cells
  13. "len %0 = 0'" specifies the blanks cells

2. Valid Formats

The following are valid expressions that can be used in the "Formats" column of the conditional formats.
  • Bold property. Bolds the cell or items
  • Italic property. Indicates whether the cells or items should appear in italic.
  • StrikeOut property. Indicates whether the cells or items should appear in strikeout.
  • Underline property. Underlines the cells or items
  • Font property. Changes the font for cells or items.
  • BackColor property. Changes the background color for cells or items, supports skins as well.
  • ForeColor property. Changes the foreground color for cells or items.


Web Named Colors (node 2360)

I've written a simple excel spreadsheet that generates IQ NamedColors
(in the wacky reversed VB hex code format) for the HTML/CSS/X11 Color Set
(142 colors total).
It's attached with instructions, but to use the colors you can just copy and paste
the following line as your IQ Named Colors as described in Item Formatting.
IndianRed|&H5C5CCD|LightCoral|&H8080F0|Salmon|&H7280FA|DarkSalmon|&H7A96E9|LightSalmon|&H7AA0FF|Crimson|&H3C14DC|Red|&H0000FF| FireBrick|&H2222B2|DarkRed|&H00008B|Pink|&HCBC0FF|LightPink|&HC1B6FF|HotPink|&HB469FF|DeepPink|&H9314FF|MediumVioletRed|&H8515C7| PaleVioletRed|&H9370DB|LightSalmon|&H7AA0FF|Coral|&H507FFF|Tomato|&H4763FF|OrangeRed|&H0045FF|DarkOrange|&H008CFF|Orange|&H00A5FF| Gold|&H00D7FF|Yellow|&H00FFFF|LightYellow|&HE0FFFF|LemonChiffon|&HCDFAFF|LightGoldenrodYellow|&HD2FAFA|PapayaWhip|&HD5EFFF| Moccasin|&HB5E4FF|PeachPuff|&HB9DAFF|PaleGoldenrod|&HAAE8EE|Khaki|&H8CE6F0|DarkKhaki|&H6BB7BD|Lavender|&HFAE6E6|Thistle|&HD8BFD8| Plum|&HDDA0DD|Violet|&HEE82EE|Orchid|&HD670DA|Fuchsia|&HFF00FF|Magenta|&HFF00FF|MediumOrchid|&HD355BA|MediumPurple|&HDB7093| BlueViolet|&HE22B8A|DarkViolet|&HD30094|DarkOrchid|&HCC3299|DarkMagenta|&H8B008B|Purple|&H800080|Indigo|&H82004B|SlateBlue|&HCD5A6A| DarkSlateBlue|&H8B3D48|MediumSlateBlue|&HEE687B|GreenYellow|&H2FFFAD|Chartreuse|&H00FF7F|LawnGreen|&H00FC7C|Lime|&H00FF00| LimeGreen|&H32CD32|PaleGreen|&H98FB98|LightGreen|&H90EE90|MediumSpringGreen|&H9AFA00|SpringGreen|&H7FFF00|MediumSeaGreen|&H71B33C| SeaGreen|&H578B2E|ForestGreen|&H228B22|Green|&H008000|DarkGreen|&H006400|YellowGreen|&H32CD9A|OliveDrab|&H238E6B|Olive|&H008080| DarkOliveGreen|&H2F6B55|MediumAquamarine|&HAACD66|DarkSeaGreen|&H8FBC8F|LightSeaGreen|&HAAB220|DarkCyan|&H8B8B00|Teal|&H808000| Aqua|&HFFFF00|Cyan|&HFFFF00|LightCyan|&HFFFFE0|PaleTurquoise|&HEEEEAF|Aquamarine|&HD4FF7F|Turquoise|&HD0E040|MediumTurquoise|&HCCD148| DarkTurquoise|&HD1CE00|CadetBlue|&HA09E5F|SteelBlue|&HB48246|LightSteelBlue|&HDEC4B0|PowderBlue|&HE6E0B0|LightBlue|&HE6D8AD| SkyBlue|&HEBCE87|LightSkyBlue|&HFACE87|DeepSkyBlue|&HFFBF00|DodgerBlue|&HFF901E|CornflowerBlue|&HED9564|MediumSlateBlue|&HEE687B| RoyalBlue|&HE16941|Blue|&HFF0000|MediumBlue|&HCD0000|DarkBlue|&H8B0000|Navy|&H800000|MidnightBlue|&H701919|Cornsilk|&HDCF8FF| BlanchedAlmond|&HCDEBFF|Bisque|&HC4E4FF|NavajoWhite|&HADDEFF|Wheat|&HB3DEF5|BurlyWood|&H87B8DE|Tan|&H8CB4D2|RosyBrown|&H8F8FBC| SandyBrown|&H60A4F4|Goldenrod|&H20A5DA|DarkGoldenrod|&H0B86B8|Peru|&H3F85CD|Chocolate|&H1E69D2|SaddleBrown|&H13458B|Sienna|&H2D52A0| Brown|&H2A2AA5|Maroon|&H000080|White|&HFFFFFF|Snow|&HFAFAFF|Honeydew|&HF0FFF0|MintCream|&HFAFFF5|Azure|&HFFFFF0|AliceBlue|&HFFF8F0| GhostWhite|&HFFF8F8|WhiteSmoke|&HF5F5F5|Seashell|&HEEF5FF|Beige|&HDCF5F5|OldLace|&HE6F5FD|FloralWhite|&HF0FAFF|Ivory|&HF0FFFF| AntiqueWhite|&HD7EBFA|Linen|&HE6F0FA|LavenderBlush|&HF5F0FF|MistyRose|&HE1E4FF|Gainsboro|&HDCDCDC|LightGrey|&HD3D3D3|Silver|&HC0C0C0| DarkGray|&HA9A9A9|Gray|&H808080|DimGray|&H696969|LightSlateGray|&H998877|SlateGray|&H908070|DarkSlateGray|&H4F4F2F|Black|&H000000
The list of colors can be found at http://en.wikipedia.org/wiki/Web_colors.
If you have any questions, post them in colors, colors, colors.


Item Home

Item Home

Items in InfoQube are like individuals, you and me. They have characteristics (field-values), parents and children (sub-items).

Until now however, items didn’t really have a “Home”.
Setting an item as a Favorite did set the ItemHomeGrid which was later on used when showing the item, but that was good for only a small number of items. Favorites being shown in a drop-down menu, it is a good idea to limit its use somewhat.

Items now have a real “Home”:

  • Homes are automatically assigned, on item creation
  • Default Home is the view where the item was created
  • The Home can be changed at anytime

Currently, the Homes can be:

  • Any Grid
  • The IQ Calendar
  • The IQ Surface
  • From EmailToIQ

1. Viewing Item Home

The item Home can be viewed in the Properties pane and in grids.

  • In the Properties pane, the item Home is shown in the Item info > Item Properties section
  • In grids, show the ItemHomeID field (or right-click on the Home in the Properties pane and select “Show field in the current grid”)

2. Changing the Item Home

Just as you can move to a different home, so can Items.

To change the item Home, click the drop-down button (Properties pane or grid) and select the new Home. F2 is the default shortcut.

3. Using the Item Home

The item Home is shown as the name of the view but internally is it saved as the ID of the view:

  • For grids, the ID is shown in Manage Grids (positive number)
  • The IQ Calendar ID is –1
  • EmailToIQ ID is –2
  • The IQ Surface ID is –3

The Home ID can be used like any other field inside IQ. It can be the source of grids, used in filters etc. The actual field name is ItemHomeID

Prior to Item Home, it was sometimes difficult to have a flat view of all items in a grid. Workarounds were:

  • Assigning a field-value to all items, either manually or automatically (using grid properties) and setting the grid source to this field
  • Doing a Hoist with all items selected and switching to Flat view

Now users have another way, using item Home. Keep in mind though that in IQ, items shown in a grid were not necessarily created there, but anywhere inside IQ. Filtering on item Home therefore serves a slightly different purpose.

4. Viewing items in their Home

The main purpose of item Home is of course to show items in their most appropriate context, so hyperlinks will show the item :

  • In the current grid if the item is already there
  • in their Home, if the Home is a grid
  • In the Scratch grid, if the item doesn't have a Home (i.e. created before this feature was implemented) or the Home is not a grid

5. Viewing all items in a Home

A "real" Home is where family members live... you can have visitors, but family members tend to stick around there.
In IQ, views are more changing and dynamic, so they can display any item whatsoever. And Home members may not be shown for a long time.
So, to view all Home members (i.e. all items created in that grid / view), you can do one of:
  • Select an item that belongs to this Home, open the Properties pane and double-click the Home. The Scratch grid will open, showing all items
  • Set the source of a grid to ItemHomeID=XYZ, where XYZ the the Home ID (see above)

p.s. This page was written inside IQ in Markdown (see Using Markdown documents for details)


Item Join and Split

Item Join and Split

Content is often entered in a hurry and some re-organizing may be required later on. These include:
  • Join 2 or more items into a single one
  • Split one item into 2 or more items
Currently the only view that supports Join and Split is the Grids.

1. Joining Items

  1. In a grid, select 2 or more items
  2. Item > Join Items.... (Ctrl + Shift + J)
  3. Select the delimiters to be inserted between items. Use <tab> or <cr> to insert a tab or a new line between items
  4. Select whether the HTML pane content is to be merged or not and if merged items are be deleted or not
  5. Click OK
Notes:
  • The order items are selected determines the order their content will be joined
  • If Delete merged items is checked, ensure that the first selected item is the one you want to keep. All other items and their associated field-values will be erased

2. Splitting Items

The Split Item command behaves differently depending if the item is in edit mode or not

2.1 Splitting while Editing

  1. In edit mode, place the cursor at the splitting point
  2. Item > Split Item (Ctrl + Shift + S)
  3. A new item will be created containing the text after the cursor

2.2 Split Dialog

  1. Select 1 or more items
  2. Item > Split Item (Ctrl + Shift + S)
  3. Select the delimiter to be used when parsing. Use <tab> or <cr> to parse on tabs or new lines. In the above example, the delimiter is ", "
  4. Select other options
  5. Click OK

Tips and Tricks

  • To split an item into many items, a quick way is to add parsing tags (such as ||) within the text and then split the item
  • The Join and Split commands work on the tree column only. This is typically the Item text field.
    It is however possible to execute these on any other text field if required. Simply show that text field in a grid and set it as the tree column


Locked Items

Locked Items

- Locked items cannot be deleted until unlocked.

Locked items are set in the properties pane. To find all the items which have locked checked, select the itemlocked field in the grid source.
Double-click "Locked" under Item info in the Properties panel will display it in the search grid.
Q. Locked items can not be deleted. However, they can still be edited (e.g. all text deleted). Is this on purpose? In comparison EccoExt does not allow deletion or edits. What about subitems of a locked item? They can still be deleted. Is this on purpose (we need to lock them separately)?
A. Both of these are by design. Usage will tell if it needs to be changed. The rationale is:
You want to prevent from accidentally deleting items. If you are doing editing, you know what you are doing. Needing to unlock to edit, will likely make users forget to re-lock, defeating the purpose.
Sub-items are full-fledged items in InfoQube (unlike in Ecco). They may also have many parents.
They may be displayed without their parents. So there is no reason why it should automatically be locked. Simply select all the items to lock, and check the lock checkbox to lock them automatically.
Deleting an unlocked parent will not delete a locked sub.


Marked Items

Using Marked Items

Marking items is a means of selecting one or more items.
It is similar to regular item selection except that:
  • It is persistent in that marked items remain as such until replaced with other items
  • The list of marked items is shown in the Properties pane
To mark items:
  1. Select one or more items
  2. Do Item > Marked Items > Mark Items (Ctrl+Shift+M)
  3. Mark Items will first clear the list. To add, use Add to Marked Items instead
Once items are marked, you can:
  • Add these as sub-items of the currently selected item. Doing this on more than one item will assign multiple parents to these items
  • Add these as related items to the currently selected item. See Related Items Links
  • Show these in a grid (right-click Marked Items in the Properties Pane and select View Marked Items: they will show in the Scratch Grid
  • Show these in the Live-Search. See 1. Live-Search
  • Create a hyperlink to these items using the Hyperlink dialog. See Hyperlinks
  • Hoist any grid to show marked items. See Hoist Filter
Two more Marked Items commands can be added to the menus:
  • Add Hyperlink to Marked Items: Inserts hyperlink in the current item
  • Clear list of Marked Items


2. Fields

Fields

In InfoQube, essentially ALL information is stored in fields, in either System fields, or User-Defined fields.
  • There are 4 field types:
    • Text
    • Yes / No
    • Number
    • Date
  • A field is identified by its ID (auto-generated unique number) and its name (which must also be unique).
  • Fields have many properties and these can be viewed / modified using the Field Management Dialog
  • An item can have any number of field values
Important System fields are:
  • Item : contains the item text
  • IDItem : item ID (auto-generated unique number)
  • ItemHTML : contains the Doc pane content
  • ItemColor : Background color of the item, shown in most UIs, such as grids, Calendar, Surface, etc
  • Appointments : Date of event for items shown in the Calendar
  • Inbox : Items added to your IQBase often have this field checked and will show in the Inbox grid
  • Done : Date an item is marked as done. Use Item > Mark as Done
  • DueDate : Date an item should be completed by


Field Management Dialog

Field Properties Dialog

Fields are at the core of InfoQube's information management tools. it allows users to add additional information to items.
The dialog is divided into 2 panes:
1- Left pane shows the list of defined fields with the following columns:
  • Field ID: ID below 200 are system fields and cannot be deleted. Background color matches the field color (see below)
  • Name: Field name. Must be unique
  • Field Type: One of 4 types. Type can be changed only if no values are assigned
  • # items: number of items that have values for each field
  • Code: shows fields that have associated code
  • System fields are shown with grey background
  • Right-click show a context menu with the following commands:
    • Add as a Grid Column: Shown the current field in the current grid
    • Show Field Values: Opens the Scratch grid showing a flat list of all items with a value for the current field
    • Copy Field Values...: Opens a dialog to copy values from one field to another (i.e. merge):

      Clicking Copy Values will analyse both fields and show a dialog of choice of actions:
2- Right pane shows all field properties, arranged in 5 sections:
  1. General
  2. Editor
  3. Equations
  4. Conditional Formats
  5. Options
At the top, is a band showing:
  • Drop-down menu to:
    • Copy field values
    • Recalculate field dependencies
    • Export all field equations to a text file. Great to understand and summarize field relations
  • New: Adds a new field
  • Undo: Restore the field to the last saved state
  • Save: Save the current field definition
  • Auto Save: If checked, changes are saved automatically
  • Create / Modified date and times
  • Close dialog
n.b. The dialog is not modal, so it can be left open while working

1. General

  • Field name: 50 chrs max. Can include any combination of letters, numbers, spaces, and special characters except : ! * ? . , ` " [ ] | ~
  • Description: Text description, 255 chrs max
  • Caption in grids. Grid column header text for this field. In a grid, can also be set with Column > Column Header > Caption (see 4. Grid Columns and Column Sets)
  • Caption in Properties. In the Properties pane, caption can also be set using the context menu (see 6. Properties Pane)
  • Type: One of:
    • Date: 1 additional setting is visible for dates:
      • Format: Enter a specific format or select one of the built-in ones. See Hints section below
    • Number: 2 additional settings are visible for numbers:
      • Check Auto to get an auto-increment number. If you manually change the field value and that value already exists, the change is cancelled and a warning is shown as a pop-up notification
      • Format: Enter a specific format or select one of the built-in ones. e.g. 0 to format a number without decimals, 0.00 for 2 digits after the decimal point. See Hints section below
    • Text
    • Yes/No
    • Field type can be changed if it has no field values.
      If the field already has some values, you can create a new field of the desired type and copy values from one field to another
  • Properties:
    • Read only: Grid and Properties pane editor is disabled, so values cannot be modified. Equations can update the values however
    • Wrap text in Properties pane: Causes all lines of the field to be shown in the Properties Pane.
      To show multiple lines in a grid column use the wordwrap option for the column itself (see 6. Column Menu)
    • Hyperlink: If checked, allows for single-click actions in grids and the properties pane (files, web shortcuts, email)
    • Parse if starts with '=': If checked, text field values that start with = will treat it as an equation. If unchecked, parsing can be triggered in the Properties pane > Parse Equation
    • In Calendar by default: For date fields, creates an event when a value is added to this field
    • Hide in Info. Pane: Show/hide in the item field-value in the Filled Fields section of the properties pane
    • Hide in Available fields: Show/hide in the item field-value in the Available Fields section of the properties pane
    • is 'Done' field: A Date or a yes/no field can be set to be used as the done field (used in Item>Mark as done [Ctrl + M] and in the DateFilter toolbar. The Done field (date) is the default field, but another date field or a Yes/No field can be used if desired
    • Include in new grids: Automatically include this field in new grids (as a grid column)
    • Field Color: Background color when shown in the Properties pane and as a column in grids
    • Default value: Value to use when InfoQube needs to automatically assign a value to a field. Double-click or Alt-click in a grid cell will also assign this value
      ex: Now: today's date and time, int(Now): today's date. The default value can be a number or text or an equation.
    • Alignment: Sets text alignment in grids and the Properties pane
    • Auto-Search: When auto-search is checked in a grid, determines if 'Start with' or 'Contains' is used when users start typing (and not editing)

2. Editor

See Field Management Dialog - Editor

3. Equations

See Field Management Dialog - Equations

4. Conditional Formats

See Conditional Formatting

5. Options

Sets some additional field options:
  • <CAPS>: Displays all text as upper case
  • <Source>SQLSelectString</Source>: Creates a custom field using SQL. See Smart Fields
Hints:
  • The dialog is non modal. This means you can leave it open and return to the main UI. It can be minimized too
  • The dialog window is shown on the Windows task bar
  • You can drag-drop fields from this dialog to any grid, to add the field as a column
  • Formats: The full list of formatting codes can be found here: https://docs.microsoft.com/en-us/office/vba/language/reference/user-interface-help/format-function-visual-basic-for-applications


Field Management Dialog - Editor

Field Editor

Field-values are typically displayed in grids and in the Properties pane. To make changes, customizable editors are possible, depending on field type:

  • Yes / No fields show a check box by default. To change the images displayed for both checked and un-checked states, modify the CheckOn.ico and CheckOff.ico files (located in the AppFiles folder)
  • Text fields show a text box with or without a mask. A pop-up list of suggested values is also possible (single or multi-select types)
  • Number fields show a text box with up/down spin buttons. A pop-up list of suggested values is also possible
  • Date fields show a text box with a dropdown button to show a mini-calendar and options to show the item in the Calendar

Choosing the Editor Type

For Text and Number field types, the editor type can chosen for each field. The following editor types are available:
  1. Text box
  2. Text box with mask
  3. Fixed list pop-up
  4. List of items pop-up
  5. Auto-list of values
  6. Advanced Mode
In the Field Properties dialog, select the field in the field list and open the Editor section:

Multi-Select pop-up list

Of these editor types, 2 support multiple selections:
  1. List of items pop-up
  2. Auto-list of values
See Multi-select Pop-up Lists for details

1. Text box

This is the default field editor. It is a standard text box supporting cut / copy / paste / select all / undo (through menu commands, right-click context menus and keyboard shortcuts)

2. Text box with mask

For text fields, it is possible to use of a mask:
The input mask limits the amount and type of information that can be entered in a field.
For example, a telephone field could contain (###) ###-#### as the input mask
This field would then show (___) ___-____ and would only allow number entry
Here's the list of all rules and masking characters:
  • # (Digit), Masks a digit character. [0-9]
  • x (Hexa Lower), Masks a lower hexa character. [0-9],[a-f]
  • X (Hexa Upper), Masks a upper hexa character. [0-9],[A-F]
  • A (AlphaNumeric), Masks a letter or a digit. [0-9], [a-z], [A-Z]
  • ? (Alphabetic), Masks a letter. [a-z],[A-Z]
  • < (Alphabetic Lower), Masks a lower letter. [a-z]
  • > (Alphabetic Upper), Masks an upper letter. [A-Z]
  • * (Any), Mask any combination of characters.
  • \ (Literal Escape), Displays any masking characters. The following combinations are valid: \#,\x,\X,\A,\?,\<,\>,\\,\{,\[
  • {nMin,nMax} (Range), Masks a number in a range. The nMin and nMax values should be numbers. For instance the mask {0,255} will mask any number between 0 and 255.
  • [...] (Alternative), Masks any characters that are contained by brackets []. For instance, the [abcA-C] mask any character: a,b,c,A,B,C

3. Fixed list pop-up

The fixed list pop-up is a simple pop-up editor that allows selection of a single value from a list (multi-select not possible)
Enter the list of suggested values, separated by the vertical bar ( | ). To edit large lists, double-click or press F2 to open the pop-up editor (which can be resized)
The advantage of this editor w.r.t. other pop-up types is faster to select from the list, in particular if "Entry must be in list" is checked
Gives:

4. List of items pop-up

The pop-up list comes from the values in the IQBase. It can be from a field used for just that (text, date, number) or a more generic field (i.e. Item, notes, etc) filtered.
When selecting this option, you'll see:
You have 2 options for this list. Of the two options, #2 is easier:
  1. Option 1: Field dedicated to this popup:
    1. Create a new Text field. ex ActionOnList
    2. Add values (one easy way is to double-click on the new field in the properties pane
    3. In the editor of the field which which will show the popup (e.g. ActionOn), select this new field from the list (e.g. ActionOnList)

  2. Option 2: Filtered generic field:
    1. The easiest way to do this is to create a new grid, such as ActionOnList and simply enter the list in the new grid.
    2. In the editor of the field which which will show the popup (e.g. ActionOn), select "Item" for the field and "ActionOnList" for the filter

Either way will result in a pop-up list :

5. Auto-list of values

This pop-up list type is the easiest to setup. It shows an standard edit box and a button to bring up the list of values previously entered in this field:

The "A" button (A stands for "All", button is at the bottom-left) toggles from 2 possible lists:

  • List of all field values in the database (i.e. all distinct values for this field)
  • List of all field values of items in the current grid

6. Advanced Mode

Through SQL queries, advanced pop-up editors can be created. Examples are:
  1. Multi-column pop-up lists
  2. List from another database (IQBase, Access, etc)

6.1 Multi-column pop-up lists

Using SQL queries, you can have a pop-up list showing more than one column. If "Save all listed fields" is checked (see image in section 3. above), the pop-up list can save all columns. For example, if you want to see both the contact name and telephone number:
  1. Select SQL query (advanced) for the edit type
  2. In Pop-up list, enter:
    Select Item as MyContacts, Tel from AdrsBook ORDER BY left(Item,100)
  3. Check "Save all listed fields"
  4. Click Save and Close
  5. The pop-up list will now look as such:

  6. Selecting an item in this list will assign values to both fields (MyContacts and Tel)
  7. To know what values to copy in which field, the pop-up column name must match the column name of the grid (in this case, the column names are MyContact and Tel)
  8. Notice that to sort on a text field, one must add a function to retrieve a portion of the text field ( < 255 chrs) (see ORDER BY clause above)

6.2 List from another database

The SELECT clause can be quite complex and data can come from any other ODBC-enabled database (IQBase, MS Access, SQL Server, MySQL, SQLite, etc).
The only requirements for this multiple assignment is that the resulting column names (as seen in the pop-up list) be the same as field names in your IQBase.
A forum thread discusses how to use pop-up lists: [How do I] Pop Up Lists


Field Management Dialog - Equations

Equations, Rules, and Inheritance

InfoQube supports equations for computing the values of fields. Equations can pull values from other fields on the same item, or from parents and children (column inheritance and equations).

There are two types of row equations and two types of column equations:
  • Row Equation: Updates the current field’s value when other field values change
  • Auto-assignment Rule (or Push Equations): Updates other fields when the current field is changed
  • Column Inheritance: Children inherit the parent field value
  • Column Equation: Parent field value is calculated from the children
Equations can use built-in functions and user-defined functions (see 6. Visual Basic Editor for details)

1. Row Equations

Equations compute a value from the values of other fields, when used in an equation we call these field arguments. As an example, the following equation is equal to the value of the SubTotal field times 0.08.
0.08 * [SubTotal]

In this example SubTotal is considered a field argument. Anytime that field’s value is changed on an item, this equations value will change as well.

Depending on the type of equation that will result in another field’s value being updated. You use a field argument by just listing the field name in an equation inside square brackets (note that the square brackets are actually optional, but recommended in case you field name matches a function name or reserved word).

If you are familiar with Excel the idea is the same, you can write an equation in one cell that depends on other cell arguments. When those cells are changed, then the first cell’s value is updated. One difference though is that equations only need to be defined once at the field level, then they will apply for that field for all items (without having to copy the same equation to every row like you do in Excel).

Another big difference is that equations only update field values, which means you can manually change them to something else if you like (if the equation fires again you will lose the change though).

Equations can work with all the field types (e.g. text, dates, numbers and yes/no), and can use any operator/function that Microsoft VBScript supports. You can also define your own User Defined Functions to use in your equations as described below.

Some other things to keep in mind about equations:

  • All types of values are supported (e.g. text, dates, numbers and yes/no).
  • Fields can be made read-only (using the Field Management Dialog), which means the only way to set their value is through equations (e.g. a "Total" field)

A Row Equation updates the current field’s value when other field values change. It’s the one that is most similar to what you see in Excel.
Let’s start with an example. The following image shows the Equations section of the Field Management Dialog for the field Taxes. The Taxes field is in the Sample data file if you want to follow along.

In this example, the current field Taxes will be set to 0.08 times the value of the field argument SubTotal. This Row Equations will apply to the Taxes field for all items.
If you update the SubTotal field of any item, then the Taxes field will be updated automatically using the equation.
Another difference from Excel is that Row Equations can be circular.
You could have two Row Equations like we show below, one on the StartDate field and one on the EndDate field. If you manually edit the EndDate then the StartDate gets updated. If you manually edit the StartDate then the EndDate gets updated.
  • StartDate’s Row Equation: =[EndDate] - [Duration]
  • EndDate’s Row Equation: =[StartDate] + [Duration]
Some other things to keep in mind about Row Equations:
  • Row Equations can cascade. So if field X has a Row Equation that depends on Y, and Y has an equation that depends on Z (X <- Y <- Z). Then editing Z will update Y which will update X.
  • Equations cannot update the original field you edited though. So if field X has a Row Equation that depends on Y, and Y has an equation that depends on X (X <- Y <- X). Then editing X will update Y, but your original edit to X will not be overwritten.

Here's another example from the default New IQBase (with sample data)
Duration field is a number field.
It's row equation reads:
WorkTime([StartDate], [EndDate], 8) - ( [NonBillable] )
  • to figure out a period of time you need to use the WorkTime(X, Y) equation, where X & Y are date fields (X is the beginning of the time period)
  • The number 8 allocates eight hours per day when appropriate - you can change this number as you wish - if not included, the day is treated as 24 hours.
  • In this example of the Duration field, we are working towards calculating a billable time period so we subtract the field NonBillable (also a number field) at the end of the equation.
  • Note that once the Duration field has content, it will stay the same unless modified manually. Changing the StartDate will cause the EndDate to change - Duration will remain the same. Likewise adding a number to the NonBillable field will cause the EndDate to change - so again, Duration will remain the same. For more info about the way this can work see this post Duration field ~ some queries
  • Re the Autoupdate option: it's only important to tick if the value of the field would change with each passing day (i.e. current date is a parameter in the calculation). See also next paragraph.

Recalculating

Instead of waiting for a field argument to change, you can force a Row Equation to recalculate. You can do this by selecting the field and pressing Shift-F9. This will cause the Row Equation for that field to immediately execute.

You can also recalculate a field for all items by clicking the recalculate button next to the Row Equation’s text field in the Field Management Dialog.

You also have the option to have a field’s Row Equation recalculate for all items daily. If you check the Auto-update checkbox above the Row Equation’s text field, then InfoQube will recalculate the field for all items on each change of day (at midnight or the next time you start InfoQube). Note, Auto-updating can be a lengthy process, so use it only when required.

NOTE, when recalculating Row Equations will only fire if they have a field argument that has a value. If none of the field arguments have a value then the Row Equation will not fire. That means Row Equations with no field arguments will never fire (e.g. =Now()).

2. Auto-assignment Rules

While Row Equations update the current field when other fields change, Auto-assignment Rules actually do the reverse. They update other fields (called target fields) when the current field is changed. Their syntax is:
<Flags>:<TargetField> = <Equation>

Because Auto-assignment Rules update other fields, you have to list what target field to update. You also need to provide a flag that indicates when that field should be updated. For example, you may only want to update it when the current field is first added, but not when it’s modified. There are three flags you can use (separately or together):

  • A: Update target field when the current field is added (initially no value in the current field)
  • M: Update target field when the current field is modified (initially there is a value in the current field)
  • E: Update target field when the current field is erased (the current field had a value and you deleted it)

You can have as many auto-assign rules as you wish separated by vertical bars (or a new line), they'll be executed in the sequence that they are entered.

Here is a simple example from the sample file on the field Archived. When you first add a value to the Archived field, that item’s Notes field will be set to “Archived”. If you later on erase the Archive field for that item, then it will have its Notes field changed to “not archived”.

Some other things to keep in mind about Auto-assignment Rules:

  • They are actually more efficient than Pull equations, since it is the current field that triggers the equation. Plus they allow many equations to be triggered by a single field change.
  • Equations can cascade. So if A has a rule that updates B, and B has a rule that updates C (A -> B -> C); then editing A will update B which will update C.
  • Rules cannot change the original field you edited though. So if A has rule that updates B, and B has a rule that updates A (A -> B -> A); then editing A will update B, but your original edit to A will not be overwritten.
  • Auto-assign rules can also set tags: use #TagName=-1 or #TagName=0 to set / unset tags
See Examples section below !

3. Column Inheritance

  • New children inherit the parent's value
  • Any changes to the parent item updates children (that have the same value as the parent)
  • Inherited value is not read-only, so it can be changed. If the child value is different than the parent, it will no longer inherit the parent's value
To use Inheritance:
  • Set the Inheritance button ON
    (Column inheritance and equation (below) are mutually exclusive)
  • Can delete on item move: When a sub-item is moved away from a parent, from which it inherited a field value, should the inherited value be deleted or not

4. Column Equations

Column Equations work with the outlining capabilities of InfoQube. Say you are a consultant and need to write a proposal. You can use InfoQube to describe the project and break it down into tasks and sub-tasks, etc. If you set-up a Duration column to perform Column level sum, the project duration and task duration will be automatically calculated from the sub-tasks. No need to set-up complicated equations to total each group of cells, that bringing that up to the next level, etc as you would need to do in Excel.

The equation is defined once at the field level:
Parent = SUM (children)

That's it! Make any changes to a sub-sub-task. The project duration is automatically updated. Same for project cost. A great time saver
Hierarchy Equations can also work in reverse - children's field values can be computed based on their parent's field value.

Hierarchy Equations use User Defined Functions (see below for more information on Functions) to define how to compute their values. The User Defined Function takes as its argument an array of the sub-item field values and returns the computed value for the parent item's field. For example:

Function Sum(x) ' Calculates the sum of the array x

  • dim d, i
  • d=ubound(x)
  • for i=0 to d
    • Sum=Sum+NZ(x(i))
  • Next

End Function
The following basic functions are already included:

  • Sum
  • Max
  • Min
  • Avg

Hierarchy Equations with Parameters

It is possible to have Hierarchy equations based on many parameters. The syntax is: Parent = YourVBScriptFunction(Field1, Field2, ...
Typically, this can be used to have conditional hierarchy sums (sums of only some of the children). For example if the hierarchy equation is: Parent = mysum(Billable, Children) where mySum is a VBScript function:
Function mySum(IncludeIt, x)  ' Calculates the sum of the array x if IncludeIt is true
 dim d, i, OK
 ok=false
 d=ubound(x)
 for i=0 to d
  if IncludeIt(i)=true then
   mySum = mySum+NZ(x(i))
   ok=true
  end if
 next
 if ok=false then mysum=null
end Function
In this case, the parent will take the sum of all children that have the field Billable checked.

5. Getting Row and Hierarchy Equations to work together

When a cell value (i.e. an item field value) is governed by both a row and a hierarchy equation, the value will be:
  1. The Hierarchy equation returned value if not null
  2. The Row equation otherwise

6. User-defined Functions

See 6. Visual Basic Editor for details

7. Examples

Row Equation Example 1

Here is an example of using Auto-update and using a User Defined Field. For the Urgency field below, is required, is the Urgency field, as the CalcUrgency function uses the current date (see "now" below) to get an Urgency number (>0 is late):

Function CalcUrgency(Due, Duration, PDone, Done)   ' calculates an Urgency figure for tasks >0=late or will be late based on Duration and PercentDone
  if isnull(Done) and not isnull( Due ) then
     CalcUrgency = int( int(now) - int(cdate( nz( due ) )) + (nz(Duration) * (100-nz(PDone))/100 * 7/5) )
     if CalcUrgency<-60 then CalcUrgency=null
  else
     CalcUrgency = null
  end if
End Function

Auto-assignment Example 1

Here is an example that calculates the color when a field is added or edited and clears the ItemColor when the field is erased:
AM: ItemColor=CalcColor ([DurationHr] - [BudgetHrs]) | E: [ItemColor]=

Auto-assignment Example 2

Here's a rule, written in the "Auto-Assign Rules" of the item field :

AM:Food=HasKeyword([Item],"Breakfast",-1)|E:Food=

This first part of the rule will check the Food target field if the field Item has the keyword "Breakfast". For yes/no fields -1 means enabled and 0 means empty.
The second part means that when the item field gets emptied, the food field is unchecked.

Auto-assignment Example 3

You want the Today field to turn on automatically when the Urgency field gets to zero. If Urgency exceeds zero (you are late!), the Today field is not changed. This uses the iif statement (more info):

M:Today=iif([Urgency]<0,0,iif([Urgency]=0,-1,[Today]))

Auto-assignment Example 4

If an item is marked pending, then the {pndg} wikitag is added automatically:

A:WikiTag=AddKeyWord([WikiTag],"{pndg}") | E:WikiTag=RemoveKeyWord([WikiTag],"{pndg}")

Last Name and First Name Auto-fill Example

How to automatically fill the item field with the "last name" and "first name" of a contact ?

7. Errata/References

The following are outstanding questions or issues with this page - feel free to fix if you know the answer!

  • Hierarchy Equations
    • Automatic-recalculation - Not implemented yet? (see "downwards" column equations)
    • Children equations are not implemented yet (see "downwards" column equations), but you can use Inheritance (see
      Nonexistent node nid: 1072.
      )
    • None - not sure what this does, maybe just turns it off? (see "downwards" column equations)
    • Using field arguments, and possibly add example at end of conditional column equations (/drupal5/index.php?q=node/2070#comment-9119)
  • The "no values" as 0 option needs to be explained The null=0 option in the field management dialog should be explained more clearly
  • What is the cascade rules between auto-assign and row equations. What order are they fired in? [major] Problem with column/row equation -- please read-on [major] Problem with column/row equation -- please read-on
  • The ability to use equations to set property values when are row equations run?
  • You can export all of your equations as a text file by clicking in the upper left corner of the Field Properties dialog and choosing "Export All Equations to a text file" (added 0.9.25W3)
  • All fields referenced in equations need to be enclosed by square brackets ( i.e. [ YourField] )


Multi-select Pop-up Lists

Multi-Select Pop-up Lists

When categorizing information, it is often useful to assign multiple properties to items. InfoQube provides many ways to do this, namely:
  • Placing the item under more than one parent, the parent being a category description
  • Assigning it many yes/no field values. Each field representing a category
  • Assigning a value in a text field. So if the field name is Color for example, users could enter Red, Green or Blue to describe the item. To assign more than one value, additional text fields can be used.
It is possible to easily assign multiple values in single text field. In the field properties Editor section, simply check the Multi-Select check box:

1. Auto-list of values

Auto-lists, as the name implies, is generated automatically, based on previously entered field-values. To set up multi-select, follow the following steps:
  1. Click on the settings button ( ... )
  2. Specify how to keywords are defined. Users are free to use any of these methods:
    1. Enclosed (i.e. { }, [ ], - -, | |)
    2. Hashtag (i.e. Twitter-like #IQ #Cool #SuperPIM #EccoPro)
    3. Delimited (i.e. CamelCase, comma separated, , | )
  3. Sync matching Fields: If checked, Y/N fields with names the same as the value will sync (i.e. will check / uncheck as values are entered / removed from the list)
  4. Click OK

2. List of items

An easy way to create a fixed list of choices in your pop-up is to enter them in a grid. To create such as grid:
  1. View > Grids > New Grid
  2. In the Create grid dialog, enter a name, such as "ListTypes"
  3. Click OK, the new grid will open
  4. Enter you types, one per line

Once the list has been created, create a new text field, such as "Categories" or "Types"
  1. In Field Management, click New
  2. Enter the name and set the data type to Text
  3. In the Editor section, set the type to List of items pop-up
  4. Set the first combo box to Item (this is the field that contains the values)
  5. Set the second combo box to ListTypes (this is the field that identifies types)
  6. In a similar matter as for Auto-list values above, check Multi-Select and specify how to enclose and delimit values

3. Entering multiple values

In the relevant grid, add the created field or use the Properties pane
  • When the selected cell is under the proper column, press F2 to enter edit
  • You can manually enter values, or
  • Press F2 again to display the multi-select dropdown

  • Use the arrow keys to select a type and press enter to toggle the check box
  • For long list, you can start typing to find types. Press F3 to find the next match. Enter to toggle the check box
  • When done, either click OK or press F2 again

4. Using Multi-Select Pop-up Lists

IQ provides many ways to use these, for example:
  • Create a grid to show all entries with a specific values
  • Ctrl+G to filter the current grid for specific value(s)
  • Ctrl+F3 to auto-search for a specific value
  • Ctrl+F to search and collect items with specific value(s)

5. Convert to Tags

Multi-select pop-up lists can be used as tags. The stock WIKITag field is an example.
The new IQ Tagging system is generally superior to what can be done with a multi-select pop-up list.
There is therefore a need to convert from then "old" tagging system to the "new" one
To convert values entered in such a text field to tags:
  1. Click on the Convert to Tags button:

  2. Select 1- Yes to convert
  3. Tag names cannot contain the following characters: , ; # [ ] tab and spaces
    An input box will be shown to select the character to use to replace invalid characters
  4. Once converted, a dialog will show the number of new tags created and the number of tags assigned to items

6. Notes

  • Currently, the Multi-Select check box is visible for Auto-List and List of Items type pop-ups.
  • It is best not to change the value delimiters after values have been entered, as parsing will most likely fail, and manual editing will be required to properly format the values
  • Sync matching Fields works with Y/N fields only, and sync in one direction (multi-select -> Y/N field value)


System Fields

System Fields

System Fields have special properties, and have IDs less than 100.
They are shown in with a grey background in the properties pane and in Field Management.
These fields are protected fields. Most (all?) can be renamed.
ID | Name: | Type | Comments | Reference
1 | Item | Text |  |
2 | IDItem | Number |  |
3 | ItemCreated | Date |  |
4 | ItemOwner | Text |  |
5 | ItemModified | Date |  |
6 | ItemFont | Text |  |
7 | ItemLocked | Binary | Not visible in field management dialog. |
8 |  |  |  |
9 |  |  |  |
10 | ItemHTML | Text |  |
11 | FileRef | Yes/No |  |
12 | FileName | Text | If you drag-drop files, FileName and FilePath are filled |
13 | FilePath | Text | If you drag-drop files, FileName and FilePath are filled |
14 | SearchResults | Yes/No |  |
15 | URL | Text |  |
16 | WIKITag | Text |  |
17 | FileFullName | Text |  |
18 |  |  |  |
19 |  |  |  |
20 | ItemHTMLFile | Text |  |
21 | ItemHTMLText | Text | A system field which contains the text part of the HTML pane (without the HTML markup) |
22 | ItemColor | Text |  |
23 |  |  |  |
24 | ItemsTagged | N | Not visible in field management dialog. | How does user filter for 'tagged' items?
25 | ItemForeColor | Text |  |
26 | ItemHasHTML | Yes/No | Does the item's "note" (HTML pane) have content or is it empty? |
27 | ItemHTMLHeight | Number | During HTML export, the MHT document height cannot be determined; ItemHTMLHeight allows you to specify the height to allocate for the MHT document. |
28 | ItemTextSize | Number | ItemTextSize. It contains the number of characters in all text fields combined. |
29 | ItemHTMLTextSize | Number | It contains the number of characters in the HTML pane. |
30 | ItemHTMLSize | Number |  |
31 | TextFields | Text | Not visible in field management dialog. |
32 | DateFields | Date | Not visible in field management dialog. |
33 | NumberFields | Number | Not visible in field management dialog. |
34 | BinaryFields | Binary | Not visible in field management dialog. |
35 |  |  |  |
36 |  |  |  |
37 |  |  |  |
38 |  |  |  |
39 | ItemHTMLWordCount | Number |  |
40 | NbChildren | Number | Calculated field |
41 | nbParents | Number | Calculated field |
42 | ItemParent | Text |  |
43 | ItemGParent | Text |  |
44 |  |  |  |
45 | System | Yes/No |  |
46 |  |  |  |
47 |  |  |  |
48 |  |  |  |
49 |  |  |  |
50 | Appointments | Date |  |
51 | ItemDuration | Number |  |
52 | ItemsInCalendar | Yes/No | Is the item shown in the calendar? i.e. has the item been directly entered in the calendar, or an item in a grid had "Create Event" applied to it? |
53 |  |  |  |
54 |  |  |  |
55 |  |  |  |
56 |  |  |  |
57 |  |  |  |
58 |  |  |  |
59 |  |  |  |
60 | AddressBook | Yes/No |  |
61 |  |  |  |
62 |  |  |  |
63 |  |  |  |
64 |  |  |  |
65 |  |  |  |
66 |  |  |  |
67 |  |  |  |
68 |  |  |  |
69 |  |  |  |
70 | Inbox | Yes/No |  |
71 | Today | Yes/No |  |
72 | Tomorrow | Yes/No |  |
73 | ThisWeek | Yes/No |  |
74 | NextWeek | Yes/No |  |
75 | Reference | Yes/No |  |
76 | Favorites | Yes/No |  | Nonexistent node nid: 1932.
77 | ItemHomeGrid | Text |  | Nonexistent node nid: 1932.
78 |  |  |  |
79 |  |  |  |
80 | DueDate | Date |  |
81 | Done | Date |  |
82 |  |  |  |
83 |  |  |  |
84 |  |  |  |
85 | Emails | Yes/No | The item is an email. Fields 85-88 are automatically filled when importing emails (only available from Thunderbird currently) |
86 | EmailAuthor | Text |  |
87 | EmailRecipients | Text |  |
88 | EmailDate | Date |  |
89 |  |  |  |
90 | TaskActStart | Date | The start date of the task. |
91 | TaskActEnd | Date | The date of task completion |
92 |  |  |  |
93 |  |  |  |
94 | TaskDuration | Number | Task Duration. Default caption of field is "Nb Days" |
95 | Task%Complete | Number | Percentage of task that is complete. Default caption of field is "% Done" |
96 | TaskEffort | Number | In a future release you'll be able to enter the Effort and duration for each of your task and the Gantt will show you when you're in the red... (i.e. when you'll need to do overtime) |
97 | TaskID | Number | A field used to identify tasks |
98 | NextTaskID | Text | A field to identify next tasks (comma separated list) |
99 | TaskActBarColor | Text |  |


Smart Fields

Smart Fields

Smart fields are used in a number of programs, such as Zoot and EverNote. They are sometimes also called Saved Searches as in Ultra Recall. Smart fields collect information about items without the user specifically doing it.
Examples of smart fields:
  • Day: tells the day for a specific date
  • ItemIsBold: collects all items that are bold
  • ItemIsRed
  • ItemHasHTML: tells if an item has HTML content
  • TasksForJohn
  • Date of a field with date and times
  • Date which combines 2 date fields
Smart fields typically take their information from:
  • UI related fields (ItemFont, ItemColor, etc)
  • Other fields that the user entered information
This means that you can extract and collect items using a huge variety of techniques:
  • Use any text, number, date field and collect items that have specific values (or value range)
  • Use tags inside the Item field (or another) such as:
    • If the item is: Talk to {joe} on project {somiro}, then a smart folder/field-type field can collect all items tagged as "Joe" or all items tagged "Somiro"
This gives users a simpler, quicker and "softer" coding method, than regular fields.
Currently, there is no UI specific to creating these smart folder-type fields, but users can easily modify existing examples:

1. Examples of Smart Fields

Let's say you want to have the day of the week for a given date field, so Jan 1st, 2010 would show as Fri (short for Friday)
IQ's sample database has a Day field which is linked to the Date field (a general purpose date field, also in IQ's sample database).
  1. Tools > Manage Fields dialog, and select the Day field
  2. Look at the Options section. You should see :
    <source>SELECT ItemID, Format([Date],"ddd") AS Day FROM ¯qDate;</source>
  3. The Format function is a standard VBScript function to format values. "ddd" is the code for the day of the week
What this does is to give the day of the week for a date that's inserted in the Date field.
Of course, you could simply change the Date field name for any other date type field name you'd need the day week for, and it would do it for that field.

Other Examples

  • Year:
    • Type: Text
    • Options: <source>SELECT ItemID, Format([Date],"yyyy") AS Year FROM ¯qDate;</source>
  • Month:
    • Type: Text
    • Options: <source>SELECT ItemID, Format([Date],"MMMM") AS Month FROM ¯qDate; </source>
  • ItemIsBold:
    • Type: Yes/No
    • Options: <source>SELECT ItemID, [ItemID]>0 AS ItemIsBold FROM ¯qItemFont WHERE ((InStr([ItemFont],"|B|")<>0)); </source>
  • Strikethru
    • Type: Yes/No
    • Options: <source>SELECT ItemID, [ItemID]>0 AS Strikethru FROM ¯qItemFont WHERE ((InStr([ItemFont],"|S|")<>0)); </source>
  • ProjectSomiro:
    • Type: Yes/No
    • Options: <source>SELECT ItemID, [ItemID]>0 AS ProjectSomiro FROM ¯qItem WHERE ((InStr([Item],"{Somiro}")<>0)); </source>
  • Dates without times

    Say you have a date field which also contains times. An example would be the field used for the Calendar (ApptDate). You may want to hide the time part. You have at least 2 ways to achieve this:
    • <format> in the Options section of the field management. Details in
      Nonexistent node nid: 1074.
    • You can create a new field, say YourDate, which would be based on the YourDateTime one:
      • Name: YourDate
      • Type: Date
      • Options: <source>SELECT ItemID, int(YourDateTime) as YourDate FROM ¯qYourDateTime; </source>
      • Make sure you substitute all instances of YourDateTime and YourDate with your own field names!
  • Date that combines 2 date fields

    In this case, the user wanted to sort on the created date of an item, but at times, that date was not appropriate for the sort. It was proposed to copy the created date to another date field and sort on this new field (ItemCreated is read-only).
    A more elegant solution uses smart fields. Create a date field to overwrite the ItemCreated value (this example uses the field MyItemCreated)
    • Create a new field:
      • Name: MyItemCreated
      • Type: Date
    • Create a new field:
      • Name: SortingDate
      • Type: Date
      • Options: <source>SELECT ¯qItemCreated.ItemID, IIf(IsNull([MyItemCreated]),[ItemCreated],[MyItemCreated]) AS [SortingDate]
        FROM ¯qItemCreated LEFT JOIN ¯qMyItemCreated ON ¯qItemCreated.ItemID = ¯qMyItemCreated.ItemID; </source>
    • This way, the SortingDate will display the item created date unless the user enter something in MyItemCreated
  • Text that combine 2 text fields

    A user had entered contacts first and last names in separate fields and wanted to see these in a single column (i.e. in a single field). A row equation could be used and is certainly a good solution.
    A smart field could also do the job:
    • 3 text fields: Fname, Lname, ContactName
    • In the Options section of the field ContactName, enter: SELECT ¯qFname.ItemID, [Fname] & " " & [Lname] AS ContactName
    • FROM ¯qFname LEFT JOIN ¯qLname ON ¯qFname.ItemID = ¯qLname.ItemID;
    • n.b. The recommended approach to contact management is to enter both first and last names in the item field (i.e the main text field)
  • Hyperlink for the URL field

    The URL field can contain a URL. Sometimes, one wants to hide the actual link and show some text. To do so:
    • Create a new field:
      • Name: URLLink
      • Type: Text
      • Options: <source>SELECT IIf([URL] Is Null,"","<A href='" & [URL] & "'>Link</A>") AS URLLink, ¯qURL.ItemID FROM ¯qURL WHERE ((¯qURL.URL) Is Not Null); </source>
    • The result gives:
  • Main Parent ID
    • name: IDMainParent
    • Type: Number
    • Options: <Source>SELECT ¯Items.ParentID AS IDMainParent, ¯Items.ID AS ItemID FROM ¯Items;</Source>

2. Notes:

  • It is important that the field name be the same as the AS xxx part of the SQL clause ("AS ItemIsBold" and "AS ProjectSomiro" in the above 2 examples)
  • You can create grids to show items in these smart fields, use them in filters and in sorting, just like any other field.
  • If you want, you can hide these specialized field in sections of the properties pane (so it doesn't get too crowded, if you do so, you can still show the field in forms and in grids). In Field Properties:
    • Hide in Info. Pane
    • Hide in Available fields
  • You don't need to use curly brackets if you don't want to, any delimiter will do, even no delimiter, as this system is entirely into your hands
  • These smart fields, take no database space at all and is automatically updated


3. Tags

Tags

InfoQube now has a sophisticated tagging system:
  • Items can have any number of tags
  • Tags can easily be added / deleted, in bulk if necessary
  • Tags are assigned to items by their Tag ID (auto-generated number). This means Tag name can be changed with no impact
  • Tags can be formatted (bold, italic, back color, text color) and can include icons. This, to easily identify important tags
  • Tags can be hidden from the tags list (to archive tags without losing the item tags)
  • Tag can be arranged in hierarchy
  • Hierarchy is used to provide tag Inheritance (parent tag automatically inherits child tags)
  • Tags can be under multiple parent tags (i.e. multiple inheritance paths)
  • Tags can be used as filters in many UIs, such as Live-Search and all grids
  • Tags filtering supports logical operators, such as AND, OR, NOT
  • Item Tags are shown in the Properties pane (under the Tags section) and in Forms
  • Item Tags can also be shown in grids as a grid column
  • The Tags pane is used to manage and set tags
  • Field Auto-assign rules can set / unset tags

The Tagging System UI

Being a new feature, Tagging will evolve to be present in most, if not all, aspects of InfoQube. Currently Tags are in:
  1. Tags pane
  2. Tags grid
  3. Item Tags in the Properties pane, Forms and in Grids (as a grid column)
  4. Grid source and filters using Tags
  5. Live-Search using Tags
  6. Item Editor
  7. New Item / Clipper dialog
  8. Hyperlink dialog

1. Tags pane

The Tags pane is where most of the interaction with Tags is typically done. There a 3 basic functions:
  1. Manage the list of Tags (add, edit, delete, rearrange)
  2. Assign Tags to items
  3. View items having a given Tag (or set of tags)
The Tags pane has a number of additional features:
  • Search, Sort and Filter Tags, useful as the number of Tags increases
  • Display options (flat list view, tree view, auto-sort, item count, archived tags)
  • Tag Inheritance

1.1 Adding / Editing / Deleting / Rearranging Tags

  • To create a new Tag, press the Insert key (or right-click > Add Tag)
    Double-click on the blank area below the tag list can also be used to create tags
  • To create a child Tag, select the parent Tag and press Ctrl + Insert (or right-click > Add Child Tag)
  • In both cases, an input box is shown to enter the Tag name.
    Tag names should be unique but do not need to be. Tags are identified by a unique numerical ID, not by their name
  • Tag names cannot contain the following characters: , ; # [ ] tabs and spaces
  • Tags that have the same name have a ! icon after the name
  • To edit tag names, press F2 (or right-click > Edit Tag)
  • To delete tags, select one or more tags and press the Delete key (or right-click > Delete Tag)
  • In tree view, tag hierarchy can be modified using cursor keys (up / down / left / right) while holding the Alt key

1.2 Add / Remove Tags to items

The Tags pane is the primary method to add tags to items. To tag items:
  • Select one or more items. Some UIs allow multiple selections (Grid, Calendar, Surface), other only allow single selection
  • Find the tag in the Tags pane and toggle the check-mark using the mouse or the space bar key
  • To help you quickly find tags, the pane supports filtering (see next section) and Search-as-you-type. Press F3 for the next occurrence and Esc to cancel search

1.3 Using the Filter text box

The top of the Tags pane shows the Filter text box.
  • Hit Ctrl+F or use the up cursor key to scroll to it
  • Enter some characters and the tag list will automatically filter
  • In tree-view, the list maintains the tags hierarchy, so parent tags are shown, even though they do not match the filter
  • In tree-view, the tags hierarchy will automatically expand to show matching tags.
    The pre-filter expand state is saved. So removing filter will show the tree as it was before filtering
  • Child tags of matching tags are hidden when inheritance is set to None
  • While focus is still in the Filter text box:
    • If more than one tag matches the filter, use the down arrow to move focus to a tag and press Space to toggle the tag state
    • If only one tag matches the filter, press Enter will toggle the tag state
    • If no tag matches the filter, press Enter to show the Add Tag dialog
  • Click the Filter icon, just left of the text box to clear the filter

1.4 Showing Items

Of course, the whole purpose of a tagging system is to show items that have a given tag or set of tags. That is, out of all the items in the IQBase, show only those that have certain tags.
Single Tag
In this simple scenario:
  1. Select one tag (click on the tag text, not the check-mark)
  2. Double-click on a tag or hit Enter (or right-click > Show Items)
  3. If a grid that has this tag as a source, it will open, otherwise, the Scratch grid will open. The grid will show all items having the given tag
Multiple Tags
When selecting 2 or more tags, the items shown can be:
  • All items that have all the selected tags, or
  • All items that have one of the selected tags
  • Right-click > Logical AND / OR to select the output mode.
When the grid opens, notice how the grid source reflects that choice. The source can be manually edited to do more fancy filtering, using multiple AND, OR, NOT.
You can also filter the result to only items that are also shown in a given grid. To do so:
  1. Open the grid
  2. Switch to the Tags pane
  3. Select tags
  4. Right-click > Show Items (Grid Subset)

1.5 Tag Inheritance

Tags have a major feature that fields do not: Inheritance. This means that a parent tag inherits the state of a child tag.
Consider this hierarchy of tags
  • Animals
    • Mammals
      • Feline
        • Lion
        • Cat
      • Canine
        • Dog
        • Wolf
    • Invertebrates
      • Frog
  • Pets
    • Cat
    • Dog
  • Wild
    • Frog
    • Lion
    • Wolf
Now, lets assume these items, and tags:
  • Lassie: Dog
  • Snoopie: Dog
  • Garfield: Cat
  • JackTheWolf: Wolf
  • Simba: Lion
Notice how tags Cat, Dog, Frog, etc are under 2 parents: under Animals/../.. and under Pets. This means that assigning the tag Cat to Garfield, also assigns it to Feline, Mammals, Animals and Pets
The Tags pane reflects this inheritance, showing a small check-mark for inherited tags. When the focus is on the item Garfield, the Tag pane shows:
Hint:
  • At times, Inheritance can get in the way and return too many items. In such cases, it is possible to set the Inheritance Depth (None, 1 through 9, All)
    When set to None, IQ Tags function like most other tagging system, returning only the items explicitly tagged
  • The Tags pane reflects this Inheritance depth setting
  • Inherited tags are also shown in Flat-view
  • See the Tags Grid section below to find out how to set a tag under 2 or more parent tags
Using Inheritance
With Inheritance, the search can show items that have not explicitly been tagged with the selected tag, but with a sub tag, sub-sub tag and so on.
In the above example:
  • Selecting Feline should give Garfield and Simba (even though neither of these items have the Feline Tag explicitly)
  • Selecting Pets should give Garfield, Lassie and Snoopie
  • Selecting Feline and Pets should give Garfield
  • Selecting Wild and Canine should give JackTheWolf

1.6 Viewing Options

  • Tree-view shows a hierarchical list of all tags. If a tag has 2 or more parents tags, it will be shown under each
  • Flat-view shows an alphabetical list of all tags. Tags that have sub-tags have nevertheless expand buttons to reveal the sub-tags.
    This means that the same tag can be shown more than once: In the main list, and under each of its parents
  • Item count for each tag can be turned on/off. When off, they still show on mouse-over when holding the Ctrl key
  • To quickly get to tags, there are commands to Expand a branch, Expand all and Collapse all
  • The Tags pane has column headers. Click on a header to sort (by name or by number of items)
  • Locked at the top of the tag list, are the current item tags

2. Tags Grid

Tags are just regular items with the field Tags checked and an auto-generated numerical ID (TagID). They can therefore be shown in grids, and in particular in the Tags grid
In the Tags grid, you can do anything that can be done in grids, some of which are not possible in the Tags pane, namely:
  • Font Formatting: Size, Bold, Italic, etc
  • Item color: Back color, Text color
  • Insert icons
  • Import Tags from an external file or the clipboard
  • Copy / Paste tags from one IQBase to another
  • Move a tag from a parent to another
  • Set a tag under 2 or more parents
  • For each Tag, you may enter a description in the Notes field. This will be shown in the Tags pane (as a tooltip)

2.1 Hiding Tags from Tag lists

Over time, you may find that some tags are no longer used. While it is possible to delete these tags, you may not want to lose the tagging information.
A better approach is to archive these tags. InfoQube will hide from tag lists (i.e. Tags pane, Live-Search) all archived tags.
To archive a tag, set the item font to strikethrough (i.e. SomeTag). Archived tags assigned to items still show in grids and the Properties pane.
To archive tags and hide these from the Tags pane then:
  • Select one or more items from the Tags grid
  • Item > Format > Strikethrough (or click the Strikethrough button on the formatting toolbar)
  • Refresh the Tags pane (as this type of change does not auto-refresh it)
By default, the Tags pane hides archived tags. To show these, do right-click > Show Archived Tags

2.2 Refreshing the Tags pane

The Tags pane will auto-update on most changes to tags, such as adding, deleting and changing the tag name.
Some changes are not currently detected, such as changing / adding parents. To refresh the Tags pane, press F5 (or right-click > Refresh Tag List)

3. Item Tags in the Properties pane and in Grids

A critical feature of a tagging system is viewing item tags, that is, what tags have been assigned to each item.
The Tags pane shows this of course (see section 1 above), but also in:
  • Properties pane, in the Item Properties > Tags section
  • Properties pane, in the Current Grid section (if tags are shown as a column in the current grid)
  • Properties pane, in a form: Add the ItemTags system field to view tags in a form
  • All Grids, as a column

3.1 Properties pane

The Properties pane has a Tags section which shows tags assigned to the currently focused item. Tags can be removed by clicking on the red x after the tag

3.2 Grid Column

The Tags and Properties panes can show item tags for the currently focused item. That is, one item at a time.
Grids however, can show item tags for all items in the grid, which is a big plus !
The Tags column can be added to any grid, using one of the following methods:
  • Drag-drop the Properties pane tags section to a grid
  • Right-click on the Properties pane tags section > Show as a Grid Column
  • Right-click on the Tags pane > Show Tags in Grid
  • Grid Column menu > Add Columns... and add the ItemTags field
n.b. In Tools > Options > General > Grid, it is possible to hide the red x after tags, for a cleaner look

3.3 Copy / Paste / Delete Tags

The Tags section of the Properties pane and the Tags column in grids also support copy / paste / delete operations.
This can be a real time-saver when items have many tags. Steps are:
  1. Select a the item's Tags column
  2. Edit > Copy
  3. Select 1 or more items, in the same grid, or in another grid
  4. Edit > Paste or Edit > Paste Special > Item Tags
  5. All selected items will now have the same list of tags
  6. Tags can also be deleted in bulk by selecting a set of tag cells (in a grid) and hitting the Delete key
In the Properties pane, the process is very similar.
When copying / pasting whole items (i.e. XML mode copy -- bad name, to be renamed eventually), tags are treated just like fields and new items will have the same fields and tags

4. Using Tags in Grids

We're already seen that tags can be shown as a column in grids. There is however lots more to tags. In fact, tags can be used much the same way Y/N field. To reference a tag, use of the following syntax:
  • #TagName
  • #[TagID]
  • #[TagID:TagName]
The advantage of using TagID is that tag name change has no impact.
Use the #[TagID:TagName] format to have a reminder of the tag name. TagName is for reference only and may not reflect the actual tag name if it has been changed.
Support for tags include:
  1. As Grid source: e.g. #Tag1 AND #Tag2. Items added to the grid will have the tags automatically assigned
  2. As Grid filter
  3. In the Auto-assign field list (Grid > Properties > Data)
Tags are however different than Y/N field in the following ways:
  • Tags are shown in a single column, while fields are shown in individual columns
  • Tags in grid source and filter support inheritance which fields do not. The tag inheritance depth is set in Grid > Properties > Data
  • To specify that items must not have a given tag, the syntax is NOT #TagName (e.g. (#Tag1 OR #Tag2) AND NOT #Tag3). For fields, you would use [Field1] is Null
  • Tags do not have row and equations, nor do they have auto-assign rules. Fields can however assign tags in their auto-assign rules

5. Live-Search using Tags

The Live-Search now shows a Tags list on the left side of the window:
To use Tags in Live-Search:
  • Double-click on a tag to show all items with that tag, or
  • Use the checkbox to select 2 or more tags
  • When 2 or more tags are selected, output is either:
    • Logical OR: Items that have anyone of the selected tags
    • Logical AND: Items that have all the selected tags
Hint:
  • In Logical AND mode, the tag list updates to only show relevant tags, that is, tags that the current list of items have
  • Much like the Tags pane, right-click on the tags list to set the Inheritance depth
  • The Tags column shows the item tags. Click the red x to delete a tag
  • The Live-Search has 2 output modes: Item List or Live-Search
  • See the Live-Search page for more details: 1. Live-Search

6. Linking Fields and Tags

Tags are new and many users have invested significant time in creating a perhaps large set of fields, mostly of Y/N type.
A large number of these fields may benefit from the advantages of Tags (see the next section)
It is possible to quickly assign a tag to all items that have a specific field. There are numerous ways to do this. One would then delete the field, since no longer of any use
An alternative approach, particularly useful when transiting from fields to tags is to link the two. Tags cannot set field values but fields can set tags
So using a simple auto-assign rule, it is possible to update 1 or more tags whenever a field is changed, hence linking fields and tags.
To do so, in the field auto-assign section enter:
  • A:#TagName | E:#TagName=0
If TagName is the same name as the field name, you essentially have a field and a tag with the same name and the tag will match the field value

7. Comparing Tags to Y/N Fields

Tags and Y/N fields are indeed quite similar
Tags Pros are:
  • Quicker to create, search, sort, view count
  • Integrated in Live-Search
  • Support Inheritance and multiple parents
  • Shown as a single column
Y/N fields Pros are:
  • Support Equations and Auto-assigns
  • Conditional Formats
  • Visible to other apps, such as Excel


4. Links

Links

InfoQube provides many ways to link pieces of information:
  1. Hierarchy: Parent -> multiple children, Child -> multiple parents
  2. Hyperlinks to:
    • Items
    • Grids
    • Fields (shows all items that have values for that field)
    • WikiTags (shows all items that have a specific WikiTag)
    • Files and Folders
    • URLs
    • Outlook items (email, event, inbox, etc)
    • Other apps items, using their URI protocol
  3. Links to files and URLs using FileRef, FileName, FilePath, FileFullName and URL fields
Many UI elements support 1 or more types of link:
  • Grids: All links except Child -> multiple parents (see section 1. below for details)
  • Calendar: Hyperlinks
  • IQ Surface: All links except File and URL field links
  • MapView: All links except File and URL field links. Multiple parents are shown for the map center (or start) item only
  • Timeline, Pivot Table and Chart do not show links
  • Home page: Hyperlinks (links to many InfoQube elements (items, grids, grid groups, UIs)
  • Properties pane: All link types
  • HTML pane: Hyperlinks
  • Favorites items: Direct link to user-defined favorite items, shown in their Home view

1. Hierarchy: Parent -> Children, Child -> Parents

  • Items can have any number of children (i.e. sub-items). Children are shown in many UIs (see previous section)
  • Items can have any number of parents. One of these is designated as the main parent. The main parent is shown in the grid when Grid > Context Parent is checked.
  • If more than one parent item are shown in the same grid, each of these items will show the common child item. This means that the child item would appear more than one in the grid. This is by-design.
    For example, if John and Mary have a child named Julia:
    • Mary
      • Julia
    • John
      • Julia
  • Child -> Parents: There are many ways to add one or more parents:
    • Grids: Drag-drop
      • Select one or more items. Click on the text of any of these, hold the button for a fraction of a second and drag to the new parent.
      • If the new parent is shown in another grid, drag to that tab to show the grid and then drag to the parent
      • Drag the item(s) to the lower half of the parent item (cursor will change to show a sub-item). Hold the Ctrl key (the icon will show an additional + sign) and Drop
    • Grids: Use Marked Items: : See Marked Items and 9. Item Menu
      • First mark the child items (Item > Mark Items). Then select the "to-be" parent item and do Item > Add Marked items as children
    • Grids: Copy / Paste: Select the item and copy in XML mode (in the copy dialog). Then on the "to be" parent item, do Paste and select the second option
    • Surface: This view excels at handling multiple parents. One way is to right-click from the "to-be" parent to the child. See 3. IQ Surface for details

2. Hyperlinks

  • Hyperlinks can be made to just about everything.
  • To create a hyperlink, select an item or text within an item and do Item > Hyperlink (Ctrl + K). A dialog will be show to define the hyperlink:

  • Details here: Hyperlinks

3. Links to Files, Folders and URL's

The hyperlink dialog above can be used to link to files and URLs but offers few options.
The better way is to use the File / URL Link dialog. To show the dialog, use one of:
  • Drag-drop a file on a grid
  • Copy/paste a file from File Explorer to an item on the grid

  • Details here: Link to Files, Folders and URLs


Hyperlinks

Hyperlinks

Hyperlinks are supported in just about all UIs, shown as underlined blue text:

Hyperlinks can point to:
  • Items
  • Grids
  • Fields (shows all items that have values for that field)
  • WikiTags (shows all items that have a specific WikiTag)
  • Files and folders
  • URLs
  • Outlook items (email, event, inbox, etc)
  • Other apps items, using their URI protocol

1. Creating Hyperlinks

In grids, select the text cell to hold the link and do Item > Hyperlink (Ctrl + K). If in edit mode or in the Doc pane, you can select part of the text (ex: Microsoft as seen above)
For other UIs (and in grids), the Popup Editor can be used to create links. Details here: 3. Popup Editor
The Hyperlink dialog will open when you can:
  • Browse for item(s)
  • Browse for a file
  • Link to the list of marked items
  • Drag-drop or copy-paste a file or URL (i.e. from File Explorer or a web browser)
  • Manually add one of the the following:
    • One or more Item IDs, comma separated. Use Edit > Copy > Item IDs to copy the selected items IDs to the clipboard
    • Grid name
    • Field name (enclosed with [square] brackets)
    • Tag name (preceded with #)
    • Wikitag (enclosed in {curly} brackets)
    • File (path and name)
    • Web Address/URL
    • URI shortcut from another app (such as AnApp://C:\Data\EPIM\SomeApp.ext/mails/5894593485)
  • Drag-drop an Outlook item

When WYSIWYG editing is turned off, hyperlinks can also be entered manually. Format of a link is <a xxx>Link Text</a> . See manual links above on entering manual links
Other ways to create hyperlinks to items are:
  • Select 1 or more items. Edit > Copy Special > Copy as Hyperlink. If more than 1 item is selected, a dialog is shown to choose the hyperlink type. Then Paste will add the hyperlink(s)
  • Select 1 or more items. Item > Mark items (Replace). Then do Item > Mark Items > Add Hyperlinks to Marked Items

2. Creating IQ:// protocol links (i.e. URI links)

If the content is to be used outside of InfoQube, it can be useful to use URI links instead of regular links.

The format is: IQ://C:\SomeIQBase.sndb/items/ItemID, or
  • /items/ItemID1,ItemID2, (...)
  • /views/Surface
  • /views/Calendar
  • /views/ViewName
  • /views/ViewID
To copy the link to the clipboard:
  • Select one or more items and do Edit > Copy > Copy Item URIs
  • Right-click on a tab > Copy View
The clipboard will now contain a universal link, such as: IQ://C:\Users\AUser\Documents\IQBases\JohnDoe.SNDB/items/1580
Switch to the other application and do Edit > Paste (or similar command)
To test a link, enter it in the address bar of a browser and hit Enter. Focus should switch to the link target (item, grid, etc)

3. Removing Hyperlinks

Use one of:
  • Item > Remove Hyperlink
  • In the Hyperlink dialog, click Delete
  • Manually remove the <a> </a> tags (non-WYSIWYG editor)
Note: Item text can contains more than one hyperlink. When not in edit mode, using the remove hyperlinks commands removes all hyperlinks. Switch to edit mode to remove only one of the hyperlinks

4. Using Hyperlinks

In grids (not editing), the Properties pane, the Doc pane (browse mode), Calendar and other UIs, simply click on the link. While editing in the Doc pane, use Alt + click to navigate the link. The action will depend on the link type:
  • Focus moves to another item
  • A grid will open
  • All items with a specific Tag or Wikitag will be shown
  • A file will open in its native app
  • A web page will be shown in the default browser
  • An item in another app will be shown (defined by the URI link)

5. Notes

  • Microsoft Office (v2007 and up) no longer automatically register the Outlook link protocol (see this reference).
    If not registered, the link will not work. To register the link, run the OutlookProtocol20XX.reg file supplied (installation folder), where XX is your Outlook version
  • Outlook has been known to change its GUID ("global unique identifier") when Outlook items (contacts, emails...) are moved around. If the GUID is changed, the link will not work


Link to Files, Folders and URLs

Links to Files, Folders and URLs

1. Links to Files and Folders

An item can contain links to files and folders. To create such links, use one of the following methods:
  1. Drag-drop files and folders from File Explorer
  2. Copy - Paste files and folders from File Explorer
  3. Create a hyperlink
  4. Use the New Item dialog
  5. Manually fill file-related fields

1.1 Drag-drop files and folders from File Explorer

When dragging a file or folder from File Explorer the following dialog will be shown:

There are 5 parts to the dialog:
  1. Item Text: defines the text that will be used for the link: manually added text; file path; and file name (in that order)

  2. What do you want to do? :

    • Create item: 1 item will be created for each file as in:

    • Add to the current item: Hyperlinks will be appended to the current item as in:

  3. Link should point to:

    • Actual file
    • Shortcut to the file: a shortcut to the file will be created and saved in the .Files folder (yourfilename].SNDB.Files)
      This second option has the advantage that the file will be found even if it is moved (within the same partition)
  4. Item Hyperlinks: Should the item text include a hyperlink to the file?
    • No Hyperlink: Double-click on the item to open the file
    • Static: hyperlink to the file (hard-coded link)
    • Dynamic: link target saved in a field (see #3 immediately below). The actual item text (in edit mode) will be
      • <a href=[FileFullName]>Link C:\My Documents\YourFile.htm</a> using the File link fields
      • <a href=[URL]>Link C:\My Documents\YourFile.htm</a> using the URL field
  5. File location stored in: There are 4 ways to save links in IQ:

    • None (hyperlink only): File link is embedded in the item text, as a hyperlink, but not in a separate text field
    • File link fields:
      • 3 fields will be filled: FileRef, FilePath and FileName (FileName will be blank if you dragged a folder)
      • In addition, the calculated field FullFileName will be updated. This field is by default a hyperlink, so a single-click will open the file/folder
      • The advantage of using the File link fields is that file name and path are separate so various update operations are sometimes simpler
    • URL field: a single field (hyperlink type) containing the full file name (for files) and web URLs
    • HTML Pane: File name will be saved in the field ItemHTMLFile. For many file types, this will show the file in the HTML pane. Details here: 4. Document Pane
      • If you drop a PDF file, it will be displayed in the HTML pane and the text content will be extracted and be searchable within InfoQube
      • If you drop a folder, IQ will show an File Explorer view of the files
        • If you open one or more Image Viewers, the selected file will be shown in the viewer (for image type files)
        • Click the Back button to move to the Parent folder (Ctrl + left arrow).
        • Focused file is shown on the URL toolbar

1.2 Copy - Paste files and folders from File Explorer

Files and folders can be copied directly from File Explorer:
  1. Select 1 or more file or folder
  2. In any text cell, do Edit > Paste > Paste Special. This dialog will show:

    • File List: The Add File dialog shown in section 1.1 above will show. Refer to that section on how to use it
    • File Name: The name of the selected files will be pasted in the cell
    • File Hyperlink: Hyperlinks to selected files will be pasted in the cell
Tips:
  • Relative links are supported. The advantage of relative links is that they'll will work even if the IQBase is moved or if on different computer. To change an absolute link to a relative one, edit the FilePath field (for 1 or more items).

    A few examples using D:\Data\Shapefiles\Landuse as the IQBase folder are:

    ..               (D:\Data\Shapefiles)                     Parent folder
..\..            (D:\Data)                                GrandParent folder
..\..\Final\     (D:\Data\Final)                          Uncle folder
.\..\Soils\      (D:\Data\Final\Soils)                    Cousin folder
otherData\       (D:\Data\Shapefiles\Landuse\otherData)   Child folder
    (from: Methods for Importing Data into IQ)

2. Links to URLs

An item can contain links to web pages and other URLs. To create such links, use one of the following methods:
  1. Drag-drop URLs from your browser
  2. Create a hyperlink
The Add URL dialog will show:
This dialog is very similar to the Add File one with the following differences:
  • Dynamic Hyperlinks are not available
  • File link fields are not available


File link example: Image Viewer

Don't we all have zillions of digital photos. And each camera we buy comes with this semi-useless software to manage your photos...

InfoQube can help in viewing and organizing photos:

  • Drag-drop files from Explorer to create items with links to the files. In the File link dialog, select File Link Saved to: File link fields
  • In a grid, you have user-defined columns to describe the photo (date, who's there, where, rating, etc)
  • You can add additional information as sub-items (click on the + to see the details, as in Windows Explorer)
  • You can sort, filter, group easily
  • A built-in image viewer, which rotates to show constant size (portrait vs landscape)
  • Double-click on the image will lock the viewer on this photo. Open another viewer to view other photos. You can open as many as you wish (Now you'll like that 21" screen!)
  • If many viewers are opened, as you scroll in the photo list, a different viewer is selected to show the photo. So the last few photos are always visible. Great when a group of people are looking at them.

  • Image file is not imported, IQ creates a link, so the IQBase file remains real small
  • No imaging editing tool included (would be second rate anyway). You use the editing tools that you prefer! Double-click the item in InfoQube to open it.
  • You can create many grids where you see some or all of your pictures. Great to view the same photo in different contexts (without making copies)
    i.e. The grid of the best photos of my 4 year-old and the grid of photos of our trip to the east-coast, some of the photos will be the same. No problem!


Related Items Links

Related Items Links

Related Items are ad hoc bidirectional links between any 2 items, similar to "See Also" links seen in help files and documentation

1. Adding Related Item(s)

To add Related Items links:
  1. Select one or more items from any View (Grid, Surface, Calendar, TimeLine, MapView, CardView)
  2. Mark items. (Item > Mark Items, or Ctrl+Shift+M). Details here: Marked Items
  3. Select another item
  4. Add as Related Item. (Item > Mark Items > Add Marked Items as Related, or Ctrl+Shift+R, or Properties pane context menu)

2. Viewing Related Items

Related Items can be viewed in a number of ways:
  1. Properties Pane
  2. Grid Column (Count only)
  3. More Info Pane

2.1 Properties Pane

Related items are shown in the Properties pane, as hyperlinks:

Right-click on the header to show related items in a Scratch grid:

When the View permits it, selecting multiple items will list related items to any of the selected items
Right-click on a related item to show or remove an item:

2.2 Grid Column

The number of related items can be shown as a grid column
To show it:
  • Add the ItemsRelatedCount field (Column > Add Columns...)
  • From the Properties pane:
    • Right-click on the Related Items header and select Show as a Grid Column
    • Drag-drop the Related Items header to the grid
The cell tooltip shows the list of related items
Also, the cell is a hyperlink. Click will show related items in the Scratch grid (Hold Shift to show it in a new Scratch grid)

2.3 More Info Pane

The More Info pane also shows the list of Related Items as a hyperlink list


4. Searching, Filtering & Sorting

Searching, Filtering & Sorting

Click here to view online page with discussion and ability to update


1. Searching

Searching

There are many kinds of search / find / filter in IQ. Here are some of the main ways of searching:
  • Live-Search creates a filtered view of the the entire database in a separate grid using free-form text
  • Grid Search searches the current grid, column or column sets
  • Advanced Find creates a filtered view of the the entire database in a separate grid using field values
  • See also 2. Filtering as searching and filtering are closely related ways to find information


1. Live-Search

Live-Search

Live-Search is a mean to quickly search for your information.
To open the Live-Search window, you can:
  • Use the Omnibox (Ctrl + F). Enter a search string (e.g. properties pane) and hit enter.
    See 1. Omnibox for details
  • Edit > Search (click on Search as it is a split button / menu)
Either way, a new tab will open:
Using the Live-Search you can:
  • Search for items containing specific text
  • Show your Favorites items
  • Show currently marked items
  • Show duplicate items
  • Show orphans
  • Show items with specific tag(s) (logical And / Or support)
  • Show Home Pages. Provides an easy way to locate and edit Home pages. See: 8. Home Pages
  • Search all text fields or select a single field
  • Search the whole file or only items in the current grid
  • View / edit item field-values using the Properties pane
  • View one or more items from this live-search list in another grid

1. The Basics

In its simplest use case, the user would:
  1. Enter some text in the search box (top left) and hit Enter (or wait a few seconds, grid will auto-refresh)
  2. The grid will update, showing search results
  3. Select 1 or more items in this grid (optional). If nothing is selected, all items will be included
  4. Then either:
    • Click on Show items... to show the item(s) in the destination grid, or
    • Press Escape to return to your previous window

2. Entering search terms

Live-Search supports Google-like search strings.
So you can enclose text in quotation marks, use parenthesis and use AND and OR keywords:
  • cal the : will find anything that has both "cal" and "the" (so this will find the string "The new Calendar")
  • calendar OR outlook : either "calendar" or "outlook"
  • "the calendar": the string "the calendar"
  • It even supports ( ), so complex ones like: "the calendar" OR (info AND pivot) will work!

3. Using the Results Grid

The Results grid displays the items matching your criteria. For each item, it shows:
  • Item text
  • Assigned tags
  • Which grid(s) recently displayed the item
  • Date created and last modified
If Show Details is checked in the dropdown menu, it will also show:
  • The field name where the match was found
  • The text content of that field
To navigate in this grid:
  • When in the search box, press the down arrow to move focus to the grid
  • Use Up / Down arrows to move from item to item
  • Shift + Arrow to select more than one item
  • Shift / Ctrl + mouse click can also be used to select items
  • Edit > Select All will select all items
  • Items are shown as a single line. Press Ctrl + Shift to toggle word wrap for all selected items
  • Use the Up arrow to move back to the search box
  • The Results grid supports both sorting and filtering, in a similar manner as other grids (Click on a column header to sort, use the column filter dropdown buttons)
You can view / edit items using the Properties pane:
  • Select an item and the Properties pane will update, showing all item information
  • If more than one item is selected, any edits in the Properties pane will do done on all selected items
Note:
  • In the Shown In column, each grid name is a hyperlink. Click on the hyperlink to open the grid and move focus to the corresponding item
  • When Show Details is checked, the item may appear more than once. Once per field in fact (i.e shown twice if the text is found in 2 fields: item and HTML for example)
  • The search result grid includes a left-most # column. Click the column header to toggle between selecting all items or no items
  • The Results grid highlights matched strings. However this highlight is hidden when the text cell is selected. To view the highlight, move the focus to another column
  • Items can be dragged to other grids, as main items, or as sub-items

4. Setting the search scope

By default, the Live-Search will search the whole IQBase. You can limit this in two ways:
  1. Limit search to a single text field
  2. Limit search to items in the current grid
Use the two combo boxes below the search box to set the search scope:

5. Showing Favorites, Marked and Orphan Items

The Live-Search has 5 quick access buttons:
  • Favorite Items: See Favorite Items
  • Marked Items: See
    Nonexistent node nid: 1129.
  • Duplicate items: Will show a list of items that have the same text value for the selected field (defaults to the Item field)
  • Orphans Items: This will return the list of items that have only 1 text value and no parents
    In Tools > Options > 2.1.10, you can set the list of fields to ignore (such as font attribute fields, HTML, etc)
  • Home page items: See 8. Home Pages

6. Using the Tag List

The Live-Search shows a Tag list on the left side of the window:
To use Tags in Live-Search:
  • Double-click on a tag to show all items with that tag, or
  • Use the checkbox to select 2 or more tags
  • When 2 or more tags are selected, output is either:
    • Logical OR: Items that have anyone of the selected tags
    • Logical AND: Items that have all the selected tags
Hint:
  • In Logical AND mode, the tag list updates to only show relevant tags, that is, tags that the current list of items have
  • Much like the Tags pane, right-click on the tag list to set the Inheritance depth
  • The Tags column shows the item tags. Click the red x to delete a tag
  • The Live-Search has 2 output modes: Item List or Live-Search

7. Options

The search options are selected by clicking on the ... button to the right of the main search button:
  • Show Details: Toggles the grid between the Compact and Details views
  • Search as you type: If enabled, search will be performed after a few seconds idle. If disabled, search is performed when the user hit Enter
  • Show Item in... determines where the items are shown (when the clicks on Show Items)
  • Output can be:
    • Item list: The result will show a fixed list of items. If one of more items are selected, these will be shown. If no item is selected, the whole list will be shown
      Since the output is a fixed list of items, it will not change as changes are made to the IQBase (except for deleted items of course)
    • Live Search: The result will show all items.
      The output grid will have a filter identical to the one used to generate the list, and as such will change as changes are made to the IQBase


2. Grid Auto-Search

Grid Auto-Search

When searching for specific information you can filter using any of IQ's filtering features, namely Omnibox, Column Filters or Grid Filters. These will filter the list and show only relevant items.
Alternatively, you may want to keep viewing the whole grid to keep the context. This is where the Auto-Search feature comes in handy. To use it:
  • Grid > Auto-Search (Ctrl + F3) to enable. The focused column will be highlighted with a larger border
  • Start typing, the focus will move to the first item that matches the characters typed, highlighting them
  • Press F3 to move to the next match
  • To turn off, you can do any of:
    • Toggle the Auto-search command (Ctrl + F3),
    • Press Escape, or
    • Start editing
For example, in the Calls grid, pressing Ctrl + F3 Doe would show this:

Settings

Auto-Search behavior can be set to:
  • "Starts with", or
  • "Contains".
It is set individually for each field. To set it:
  1. Right-click on the column header and select Field Properties
    (or use Tools > Manage Fields and select the field in the field list)
  2. Under the General > Properties, select the Auto-Search from the dropdown. Select one of:
    • (default)
    • Starts with
    • Contains
  3. If set to "(Default)", then this field will behave as set by Tools > Options > Program Settings > Modes > Default Auto-Search mode="Contains" settings
Note:
  • Auto-Search acts on all loaded items, whether visible or not (i.e. collapsed).
  • Loaded items are items that have been visible at some point in this grid since the last open / refresh
  • If the grid is set to background load all items (Grid > Properties > Grid auto-updates), then Auto-Search will see all items, otherwise expand all items first (Shift + Ctrl + 0 shortcut will expand all items)


3. Advanced Search Pane

Advanced Search Pane

You can quickly search for items based on any of their properties using the "Advanced Search" Form (Edit > Search > Advanced Search). For example, if you want to know what items were created or modified on a given day you would do the following:

  • Edit > Search > Advanced Search
  • Type the date
  • Select date field type
  • Select ItemCreated or ItemModified in Fields to search
  • Enter
When you click Enter you will be taken to the Search Grid with your results.
When you run a Search you are actually just applying a Filter to a Grid. Look at the resulting Search Grid, you will notice the Filter field has been populated with the SQL representation of what you put into the Search Form. Also note that the source of the Search Grid is not changed (typically blank, meaning all items). So you can set this to limit the search to a subset of the item (all items created since Jan 1, 2007 for example, or to items "having" a specific field or set of fields).
The Search/Filter doesn't have to be applied to the Search Grid either. You can apply to any Grid to apply the Search by using the "Results in" field on the Search Form.
You can also search for multiple criteria:
  • Text fields search:
    - " OR " or " , " or " ; " perform a logical OR
    - " AND " or " + " perform a logical AND
  • Number fields search:
    - Same as for text, plus the following operators are allowed: <, <=, >=, >, =
  • Date fields search:
    <, <=, >=, >, =
While the Quick Search {node:863] is great for searching for text, the advanced search (Shift-Ctrl-F) is useful to search for dates and numbers and supports AND, OR, *, etc and you can limit which fields are searched.
However, "advanced search" must be used with caution as displaying the results in a pre-existing grid will change its source and/or filter, which can of course be re-changed, but can also be time consuming and confusing.
 |  | Comment | Reference
1 | Fast Mode | This will call up the regular find ("Quick Search") dialog |
2 | Search | Type in the desired search term. For text: enter the text, and use a comma to separate text blocks. For example: commit,looking will search for text containing either "commit" or "looking" For dates: enter the date to search For numbers: enter the number to search |
3 | Field Type: | Choose one of the fields from the dropdown: Date Number Text |
4 | Fields to search: | The field can be picked from the dropdown, or you may leave blank to search all fields. |
5 | Source View | Should the resultant grid also have a source as specified by a particular grid? This source criteria will be ANDed with the filter criteria coming from the search process. |
6 | Results in: | The grid in which the results will appear. Leave blank to show it in the default search grid. |
7 | Search | Perform the search |
8 | Auto-close | If checked, the advanced find dialog will close after you execute the search. Otherwise, it will remain open. |
9 | Close | Close the dialog box. |
If the search results are not quite what you want, you can edit the filter box which was generated by the search:


2. Filtering

Filtering Items

As the number of items in your database increases, it becomes essential to filter out some to focus on others.
When you create a new grid, you're actually creating a filter whereby, by default, only items you create in that grid will be shown there.
Nevertheless, the numbers of items in a grid may become large and filtering in such cases can be useful. Grids support a number of different kinds of filters:
  1. Column filters
  2. Grid filter
  3. Hoist filter
  4. Alpha-numeric filter toolbar
  5. Date filter toolbar
  6. Advanced filters using the Source bar

1. Column Filters

1.1 Filter by Selection

The easiest way to filter a grid is to filter by selection . To do so:
  1. Select a field value (item text, a Wikitag, a date, a number)
  2. Click on the Column Filter button (Ctrl + G or Grid > Column Filter)
  3. The list will instantly filter to show only items that have the selected value
  4. You can select 2 or more values to show all items that have any of the selected values
  5. For multi-select text fields, such as the Wikitag field, selecting one or more values will show all items that have any of the selected tags, even if the cell contains more than one tag. This is great to show all items having a given tag
  6. Click the Column Filter button again to turn of the filter
When a column filter is active, the filter bar (below the grid) is shown, with a yellow background.
Depending on the filter type, the filter bar can be edited directly.
Click the X on this filter bar to close it.

1.2 Column Header Filter Menu

Each column also has a filter dropdown button, which is shown when hovering over the column header:
Click the dropdown button to show a list of filter items:

  • The drop down dialog depends on the field type.
  • Text and Date columns can display the list current grid values for this field with checkboxes to select one or more values
  • To show the list, select the column and under the column filter menu, check "List Values"
  • It the list is shown, you can select 1 or more values in the list. Press Enter or click on the grid to apply the filter
  • You can also select (All), (Blanks) and (NonBlanks). (All) removes that column filter
  • "Exclude" inverts the filter. All items are shown except checked ones
  • The list is sizable (handle is on the bottom-left corner)
  • The list varies depending on the field type (text, date, number, yes/no)
  • Some have a edit textbox at the bottom to enter filter criteria

1.3 Filter Options

The Column Filter command is a split button with a set of sub-commands:

  • Column Filter Special...: Shows the Grid Filter dialog (see the next section for details)
  • Column Filter ON / OFF: Toggles between the filtered and non-filtered list
  • Filter by Selection: Filter is applied to show only selected values
  • Filter First Level Items Only: Filter is applied to first level items only. Only root items that meet the filter will be displayed
  • Filter Items at any levels: All items that meet the filter will be displayed. In addition, parent items will be shown even if they don't meet the filter
  • Filter Out Sub-items: If an item meets the filter, determines if its sub-items are shown or not
  • List Values: If checked, the grid column filter will list all unique values, with a checkbox to select individual values
You can filter more than one column at once. The filters are logical AND (Items must meet all column filters to be displayed)
Hint:
  • The filter can list all loaded items (default) or just visible items (i.e. collapsed sub-items are not shown). Hold the Shift key to limit the list to visible items
  • If Grid > Properties > Auto-Updates is checked (default), the grid will load all items and sub-items, even sub-items of collapsed items (up to 9 levels deep)

2. Grid Filter

Grid filter provides an easy way to filter the list of items shown.
Use the command Grid > Column Filters > Column Filter Special... (Ctrl + Shift + G) to show the dialog:
and enter the filter criteria and click on OK to apply the filter. At the bottom of the grid, the filter bar will be shown in yellow (in this case, the criteria was "format"):
Things to know about the Grid Filter:
  1. The wildcards characters are ?, #, *
    • ?: Any single character
    • #: Any single digit
    • *: 0 or more characters
  2. To clear the filter, you can show the dialog again, erase the criteria and hit enter.
  3. You can also clear the filter by clicking on the X on the filter bar.
  4. The filter bar is actually an edit box. So you can edit it. It does filter-on-type, so the list will live update as you type.
  5. By default, the filter looks into all grid columns. If you select some columns, filtering will be limited to those columns only.
  6. If there are no wildcard characters in the criteria, the filter will look anywhere in the text and do a logical AND of all words.
  7. If there are at least one wildcard character in the criteria, the filter will do a logical OR and respect the wildcard characters.
Some examples:
  1. format : shows all items that string anywhere in the text.
  2. format*: shows all items that start with "format".
  3. *format?ing: shows all items that have the string "format?ing" where ? can be any character.
  4. format the item: shows all item that have those 3 words in the text.
  5. *format* form*: shows all items that have the word "format" somewhere or that starts with "form".
  6. *format#: shows all items that contain "format" followed by any digit (0-9)

3. Hoist Filter

See Hoist Filter

4. Alpha-numeric filter toolbar

The AlphaNumeric filter (Grid >> Alpha-numeric filter) is typically used for address book management, but it can be used anytime you want to filter on text (or numbers). To quickly find contacts: simply click on a letter to show contacts starting with that letter.

In this example, contacts starting with the letter C would be shown. You may also type in the "C" manually into the Filter field and press Enter to do the same thing
You can use this filter on other grids, to filter on number values, addresses, postal codes, project name, etc. This can be of great value in any grid. For example, entering "John Doe would" would show only tasks assigned to him.

5. Date filter toolbar

The DateFilter toolbar (Grid >> Date Filter) is a great tool to see information relating to a specific time-frame.
  • Want to know what you did last week?
  • Your agenda for this week?
  • Your current ToDo's?
  • Work done and not billed?
All those are very easily answered using the DateFilter toolbar:

In this example, appointments for the month of October 2007 will be displayed. Any date field can be used as filter (and multiple fields can be used)
  • Appointments
  • ToDo
  • ItemCreated
  • ItemModified
  • DueDate, etc
So this toolbar is ideal to see a journal of activity. Details here: Date Filter toolbar

6. Advanced filters using the Source bar

Displayed here is the Source bar which shows between the grid and the grid tabs (Alt+S will toggle it's visibility, or use menu: Grid >Show Source bar). When you refresh (by hitting F5, or clicking on the refresh button on right side of the bar), the filters are all combined (logical AND) to get the initial item list. The different filter types are linked to below.


Date Filter toolbar

The DateFilter toolbar

The DateFilter toolbar provides a convenient way to filter on specific dates or specific date ranges. It also provides navigation buttons (next/previous day, month, year)
Those familiar with Ecco Pro will feel right at home, as it is an extension of the one used in the Ecco's Calendar:
The DateFilter toolbar (#5 toggles on/off) is a great tool to see information relating to a specific timeframe.
Want to know what you did last week?
Your agenda for this week?
Your current ToDo's?
Work done and not billed?
All those are very easily answered using the DateFilter toolbar
The key blocks are: Source, Operator, Date select, Range :

1: Source fields: This accepts any date field, and you may put in more than one field (comma separated).
Example: ItemCreated,ItemModified. The dropdown box will show all the date fields available in your database.
N.B.
~ If you put more than 1 date field with a , (comma) separator, these will be ORed.
That is, if you set it to "ItemCreated, ItemModified", then all items created OR modified on a given day will be shown.
~ If you put more than 1 date field with a + (plus sign) separator, these will be ANDed.
That is, if you set it to "ItemCreated+ ItemModified", then all items created AND modified on a given day will be shown.
2: Operator "=" or "<" as shown in the dropdown:
  • "=" is for Calendar type operations: Select operator "=" and set the desired start-date and duration (day, workweek, week, month, year, user-defined). Only items in the selected range will be shown
  • "<" is for Tickler (todo) operations: All todo's as of the selected date (+ duration) will be shown. "Show Done" should not be checked (see #14 below), unless you want to see all created tasks as of a given date
    • If you set it to today, this will show your current tasks list
    • If you set it to a previous date, you'll view what were your tasks at that date. It is a great tool to view what you had to do and what you've done in a previous week / month
3-5: Date select:
3. Specific day:
  • Clicking on the "2" in the figure calls up the calendar as shown; a specific date may be chosen from it.
  • The adjacent arrows increment or decrement the value:
    • If #6 is selected, this increments/decrements by 1 day.
    • If #7 (work week) is selected, the arrows increment/decrement by 7 days (but only displays the 5-day work-week).
    • If #8 (week) is selected, the arrows increment/decrement by 7 days (but only displays the full 7-day week)
4. Month: select month or use up/down buttons
5. Year: Use up/down buttons
6-12: Range:
6. Day view mode: shows all items that have the DateFilter source fields = today. e.g. If using ItemCreated, will only show items created today
7. Work Week view mode.
8. Week view mode.
9. Month view mode.
10. Year view mode.
11-12. Duration: In this mode, set the start date using the date selectors and a duration. All items within that range will be displayed
13-15: Other:
13. Today: Move the date filter to today
14. Show Done: Should "done" items be shown or not
15. Refresh
Some examples:


Hoist Filter

Filtering using Hoist

Hoist is a feature where one can focus one or more branches of an outline of items, and toggle back.
IQ can have many grids, each showing a different outline, so it is already easier to work than many other apps which have a single tree (outline) .
Users can simulate Hoisting in a number of ways (using item tagging for example, or using specific yes/no fields), but using Hoist is both faster and less cumbersome.
As with some other outliners, through Hoist, users can:
  • Select an item (i.e. a branch) and do a Hoist. The display will filter to show only that branch
  • If already hoisted, one can Hoist even deeper in the tree
  • Hoist can be turned Off to restore the full outline
IQ builds upon the standard hoisting with these additional features:
  1. You can select multiple items to Hoist. (most other apps support a single item hoist)
  2. The Hoist command (a funnel with the letter H) is a split button with 5 Hoist sub-commands
  3. The main Hoist command (Ctrl + H) will:
    • Hoist selected item is Hoist is Off
    • Turn Off Hoist if already On
  4. The sub-commands are:

    1. Hoist Special...: Displays a dialog with the list of Hoist actions
    2. Toggle Hoist On / Off: toggles between Hoisted and non-Hoisted display.
      That way, if you Hoist a few items, and want to toggle back to view the whole picture, you can go back to the Hoisted display without re-selecting your items.

    3. Hoist Selected Items: Same as the main command, except that if the display is already hoisted, allows drill-down Hoist.
    4. Hoist Marked Items: IQ maintains a list of "Marked Items" with commands to add / remove items from this list. This command shows these items in the current grid
    5. Hoist Up one level: Hoist up 1 level, to show parents of the current hoisted items
      • If an item has multiple parents, all of these will be shown.
      • If an item does not have any parent, it will remain displayed in the grid
  5. Items added while Hoisting, become part of the Hoist
  6. Drag-dropping items from another grid to a hoisted grid, adds these items to the hoisted display
  7. Use Grid>>Context Parents to show context (1 or more levels of context)
  8. Hoist can also function as "Filter Selected". Select any items, even TLIs and Hoist will filter for just those. Simple way to only print some items.
  9. Hoist state is saved (re-opening the grid will restore the previously hoisted items)
  10. Hold Shift or Ctrl to open the Hoist in a new tab
  11. Hoisted items are accessible to ODBC applications. This allows other application to view IQ grids. Ensure that Grid Properties > Other > Grid visible to other applications is checked to use this feature
    You can, for example, select a bunch of contacts, Hoist them, and then use Word, Excel to view these. Word can mail-merge, Excel can display these items, etc. The query name to use is YourGridNameHoist.
    An easy way to view it in Office applications is through ODC connections. See 7. Live Links to IQ Grids from Word and Excel for details.

Hoist Example

Starting with the sample IQBase, open the Welcome Grid. Let us suppose that you wanted to focus on Links. Select the items from the grid:
Do Grid >> Hoist Filter >> Hoist Special. A dialog will show a list of options:
Select Hoist Selected Item(s) (or press 2) to get this display:
or this one if context parents are shown:
Click on the Hoist button again to turn off Hoist or Hoist Special to show a dialog of actions:
Or you could choose another action, such as Hoist One level up, to can continue moving up in the tree hierarchy, in a way similar to Map Views, but while having the advantages of working in a grid.
When hoisting up, all parents of all hoisted items are shown. This is one way to see all item parents (another way is the Parents section of the Properties pane)
Hoisted items are saved with the grid, so at any time (even after a program restart), you can return to these hoisted items.


Grid Source EditBox

Grid Source EditBox

Source

  1. Source Box
  2. Dropdown for the Source Box

The Source is the first level of filtering. That is, of all the items in your IQBase, the Source sets which ones to show. Further filtering (Filter, Alpha / Date filter, column filter) can limit even further what items are shown, but the Source is the first level

Source can be as simple as a single field or a single tag, such as AddressBook, or #News. But it can be more than just a field / tag name, in fact it's also a filter. It's the query that indicates what items are selected for the current Grid.

For example, instead of just AddressBook you could put AddressBook and Archived is null to only show unarchived contacts.

The reason why Source and Filter are kept separate is so you can keep the Source constant as you tweak the Filter Source Filter Editbox

When a Grid is first created its Source is set to be the property that matches the Grid's name.

When the Source Box has only one field listed (sometimes called a simple Source) then any new top-level-items created in the Grid will automatically have that value set so they meet the Source criteria.

Notes:

  • If the source contains spaces, it needs to be enclosed with [ ]
  • To use tags, precede the tag name with #


Source Filter Editbox

Filter Box

3. Button to toggle Filter Box on/off
4. Filter Box. This filters the list of items. It can be edited directly, but it also can be set through the Search Form or Quick Search.
Filter Box Syntax
Filter Syntax is close to Transact-SQL syntax.
Currently the best way to learn it is to experiment using the Search Form which generates the filter string for you. For that you can either:
1- invoke the quick search dialog by pressing ctrl-f (it's also in the edit menu) . To find out how to use quick search, see 1. Live-Search
2- OR for more complex filters, invoke the advanced find dialog by pressing ctrl-shift-f (it's also in the edit menu). To find out how to use advanced search, see 3. Advanced Search Pane for details
Checkboxes are a little different than you might expect (unless you know SQL). For example, for the Checkbox field Followup you would use Followup if you want to search for checked or Followup is null if you want to search for unchecked.

Filter Examples

  • MyField                                        : Field has a value for this item
  • MyField is not null                            : Field has a value for this item (same as above)
  • MyField is Null                                : Field has no value for this item
  • MyTextField="test"                             : field = test
  • MyTextField like "*test*"                      : field contains the string test
  • MyNumberField = 34
  • MyDateField=#2001-12-31#                       :Date = Dec 31th 2001
  • int(MyDateField)=#2001-12-31#                  : If date contains time information, Date = Dec 31th 2001
  • MyCheckBox                                     : Checkbox is checked
  • MyCheckBox is null                             : Checkbox is unchecked
  • ItemCreated > now-7 and ItemCreated < now      :This will give you the last 7 days, and it is dynamic (as "now" returns the current date/time)

Filter Operators
In addition, you can use the following operators in filters:

  • =
  • <>: not equal to
  • >: greater than
  • <: less than
  • is null: has no value
  • NOT: negates an expression
  • LIKE: for text string (see above example)
  • AND: both conditions are required
  • OR: either condition is required
  • ( ): use parenthasis to set filter parsing

The maximum Filter length is 64000 (which should be enough :).
See also Source bar filter (and the following post) for a good example of how to filter for content within a field

Sub-Items

  • When you apply a filter, some items may have subs. The 'filter criteria applies to subs' determine what happens when you open an item to show its subs. If 'filter criteria applies to subs' is checked, then the Filter (and only the filter, not the source, alpha, date, or column filters) is used to show only subs meeting this filter.

Say your source is 'Project="Somiro"' and the filter is 'done is null'. The initial list will give you items related to project Somiro.

On clicking on the + of an item, you'll only get the subs that have 'done=null' (i.e. not done), instead of all subs.

To see all, right-click and select 'show all subs'.

  • In addition, filters can contain 2 parts separated by a " | "

    The first part will be applied to main items and the second part to sub-items. An example of this, you can have main items showing contacts and filter sub-items to only show phone calls to those contacts, all other (non phone call related) sub-items will not be shown (notes, correspondence, projects, etc).
Format: MainFilter | SubItemsFilter
Note 1 :
either part can be empty.
Example :
MainFilter |
OR
| SubItemsFilter

Note 2 :

also that as soon as you insert the "|" symbol, it overrides the 'filter criteria applies to subitems' option/button and it will apply whatever you wrote in the filter text box.

Saving Filters

Currently you can't name filters, but this is definitely planned.
But Grids will remember their filter, and keep a history of those (drop down list). So you can create multiple Grids, each with their own Filters.

Deleting Filters from the drop down list

To delete a filter in the drop down list : hover your mouse over it to select it an press the Delete key (Del on most keyboards)


3. Sorting and Grouping Items

Ordering, Sorting and Grouping Items

Sorting and grouping information, so it appears just the way you want, is critical for effective information management. And how information should be sorted has a lot to do with the type of information:
  • When writing the outline of a book for example, it is essential to be able to move chapters, sections and sub-sections around. One expects that once set, the order will not change.
  • Dealing with an "in box" however is different. New items should automatically appear at the top of the list. Notes under an item should appear as entered, unless there are many many notes, in which case, some automatic sorting is really useful.
  • Tasks and other date related items are also typically sorted unless they are tasks under a project.
  • In project management software, task order is important and somewhat but not completely related to the task date. Gantt chart bars and task dependencies can influence what the optimal task order is.
  • For contacts, it must be really easy and quick to filter and automatically sort by name. Hierarchy of contacts (i.e. Company -> Employees) should help finding contacts, not make it more difficult (See Grid Display Modes).
  • For accounting entries (revenues, spending, etc) it is important to be able to quickly sort by one or more columns. Filtering and Grouping are also very desirable.

Sorting Modes

To achieve these seemingly conflicting needs, IQ grids have a number of sorting modes (Grid > Sort):
  1. None (Manual)
  2. Sort Bar
  3. Source Items Sort
  4. Group-By Bar
The sorting modes are mutually exclusive, so only one can be active at any one time.
Sometimes you want to sort items and all sub-items while in other situations, sorting should only for the selected level. This is controlled by this setting:
  • Sort Items: When this is selected, only first level items will be sorted. Sub-items will not be sorted.
  • Sort Items and Sub-Items: When this is selected, all items are sorted (items, sub-items, sub-sub-items, etc).

1. None (Manual)

In manual sort mode, items keep their position:
  • Only user intervention (commands, drag-drop) can change the order of items.
  • Clicking a column heading selects the column.
  • Switching to another sort mode does not alter the manual order. Simply select the Manual mode to the return to the original order.
To move items in the hierarchy, one can select one or more items and:
  1. Drag-drop to the new position
  2. Use the commands to move items > Move > (right, left, up, down). The keyboard shortcut is Alt + Arrow
  3. Right-click on a column header and selecting Sort Items will sort first level items based on values in that column
  4. Right-click on an item and selecting Sort Sub-Items will sort sub-items based on values of sub-items in that column
    (e.g. to sort sub-items by item text, right-click on the parent item text column. To sort by "Priority", right-click on the "Priority" cell of the parent)

1.1. Moving Items by Drag-drop

  1. To drag-drop, first select items (1 or more)
    • To select, you can click and drag from any white area in the grid (a white area is an area where there is no text)
    • You can also select items using Shift and Up / Down arrows
    • To select non-contiguous items, use the Ctrl key + click on a white area of the grid
  2. To start drag-drop, click on some selected text (i.e. do not click on a blank space, as this will change the selection)
  3. As you move the over the grid, the cursor will show one of:
    1. Horizontal lime: Selected items will be dropped between items
    2. Sub-item arrow: Selected items will be dropped as sub-items to the item
    3. No-drop: Action is not allowed
  4. Once drag-drop has started, hold the Ctrl key to leaves the items there but adds a reference elsewhere in the grid. Use this when you want multiple parents

1.2. Moving Items using the Move Commands

  1. Select items (see section 1.1 above)
  2. Press Alt + Up / Down / Left / Right arrows to move items (or use the Item > Move commands)
  3. The Item Move commands are in a detachable mini-toolbar. Drag the dotted line above the commands to rip it off the main menu. Once floating, you can dock it anywhere
  4. Move commands limit movements to the item's hierarchy level, so you cannot move an item to be a sub-item of a different parent. This is by-deisgn
    Do do this, use Drag-drop, or :
    1. Move it left (1 level up in the hierarchy)
    2. Move it up / down, so it is just below the new parent, but at the same hierarchy level
    3. Move it right

1.3 Using Column Sort Commands

Items can be sorted using the column menu (and column header context menu). To sort, select a column and do Columns > Sort Items Ascending (or Descending)
  • The list will sort based on values in the selected column
  • If the list contains hierarchy (i.e. sub-items), first level items will be sorted
  • If Grid > Sort > Sort Items and Sub-Items is checked, sub-items will also sort (recursively, for all loaded sub-items)
  • If Context Parents are shown (Grid > Context Parents), these will be sorted too. If this comes in the way of the desired sort, turn context parents off first
  • If the item hierarchy comes in the way of the desired sort, change to a different display mode. See [node:261] for details

1.4 Using Item Sort Commands

Sub-items can be sorted using the item menu (and item context menu). To sort, select the parent item and do Item > Sort sub-items Ascending (or Descending):
  • The list will sort based on values in the selected column
    (Before executing the command, ensure that the focus is on the column which contains values you want to sort on)
  • If Grid > Sort > Sort Items is checked, only immediate sub-items will sort (not recursive)
  • If Grid > Sort > Sort Items and Sub-Items is checked, sorting will be recursively (for all loaded sub-items)

2. Sort Bar

The Sort Bar provides a familiar, quick and easy way to sort items:
  • To sort using the Sort Bar, simply drag a column header from the grid to the Sort Bar. A button will appear with the field name. The button is visually identical to the column header
  • To change the sort order, click on the Sort Bar button
  • To remove the sort, drag out the sort button from the bar
  • You can drag more than one column header to the sort bar:

  • When sorting on more than one field, sorting is done from left to right. So items are first sorted according to the left-most field in the bar.
    If 2 or more items have the same value, these are then sorted according to the second field in the bar (and so on if sorting on more than 2 fields)
  • When sorting using the Sort Bar, users can still manually move items. However, order is not saved
  • When the Sort Bar is shown, a single click on a column header will sort items. This is a quick way to sort items. By design, this is a temporary sort and will not persist the next time the grid is opened
  • You can also perform multi-column sort by pressing Shift while clicking on a column header. Note however than using the Sort Bar simpler to use if you want to do multi-column sorting
  • It should not be used for grid showing hierarchies of text items, such as a book outline, but if you do, and the item order was changed, simply switch back to None (Manual) to view the original outline
Hint:
  • At any time, one can manually move items for a specific need, using the methods given in section 1. above
  • Context parents are great for giving context, but they can sometimes be in the way for proper sorting. Turn off Context Parents or changing the parent level shown if need be. See [node:261] for details.
  • You can use the build-in Order field to achieve custom sorting. Simply show this field in the grid and enter values for each item. You can then sort by this field. To quickly enter values, you can use the Edit > Renumber Items command

3. Source Item Sort

The Source Item Sort can also be used to sort items. In many situations, it will have the same result as using the Sort Bar. But there are times when the two will differ, which can be very useful. Specifically:
  1. The Source Item Sort is done at the database level (as its name implies)
  2. If sorting by a text field, such as the item text, embedded HTML code are part of the sorting (so items starting with bold text will appear first, due to the <b> tag)
  3. Sorting is done before context parents are added. This ensures that context parents do not affect the sort result. The Sort Bar will always be impacted by context parents
  4. The sorting fields do not need to be shown in the grid. While the Sort Bar requires the sorting field be part of the grid, it can be minimized or hidden
  5. Sort strings can be named and support different sort for sub-items. Format: SortName: Sort string | Sub-Item Sort string
  6. For each grid, the history of sort strings is saved and can easily be re-used. See section 3.1 below

3.1 Using the Source Item Sort

  1. Source Item Sort is done though the Sort Box, which is part of the Source Bar. Grid > Source Bar shows / hides the bar.
  2. To sort, enter a comma separated list of fields.
  3. For multi-field sorts, sorting is done from left to right (same as described in the Sort Bar section). e.g. Field1, Field2, Field3
  4. After each field, the order can be specified: ASC or DESC, for ascending or descending order. e.g. Field1 ASC, Field 2 DESC
  5. If no order is specified, ASC is assumed
  6. Just left of the Sort Box, is a button to control the Sort Box behavior. These mimic the corresponding sorting menu commands:
    1. Sort On / Off
    2. Sort Items
    3. Sort Items and Sub-items
  7. The Source Item Sort command button shows the list of recently entered sort strings for this grid. You can select an item from this list to quickly apply a specific sort:

    Select an item from the list to quickly apply that sort.
  8. Examples
    1. Sorting Priorities with empty ones at the end: The default IQBase uses descending priorities (1=lowest), partly because this sorts blank ones at the end (as it should). If you prefer using 1=Top, use this source sort string instead:
      [Priority] is not null, [Priority]

4. Group-by Bar

The Group-by bar is similar to the Sort Bar (section 2 above) but goes a step further by grouping similar items. Group items can be expanded / collapsed, just like regular items.
Consider the following grid:
By showing the Group-by bar and dragging the Reviewer column to it, one gets:
Notice how reviews are now grouped by Reviewer.
Notice also that John Dow's reviews are now collapsed. This is useful to hide some items and focus on others. Use Item > Sub-items commands to open / close items
Of course, similar things can be achieved with filters, but having more ways to slice and dice your information is what InfoQube is all about !

Tips:

  1. You can combine a couple of sorting methods to ease the process. For example, use column sort or sub-item sort to do the bulk of the work and Item Move to make minor adjustments
  2. By using a "myOrder" column (text or numeric), you can quickly apply a sort.
    • If you have more than one such column, you can toggle between 2 sorts instantly.
    • To populate such a column, you can use the Renumber Items command


5. Importing

Importing

Import is the process of taking external data (typically content from other apps, files) and inserting it in the current IQBase.
InfoQube can link but cannot import or embed:
  • Files
  • Folders
InfoQube does not intend to replace the file system but works with it.
The file system is optimized to work with... files and folders and it is the best tool for that.


1. Clipping Content from other Apps

Clipping Content from other Apps

As you navigate the Web or work in other applications, you sometimes want to capture content and save it for future reference.
InfoQube provides a number of methods to do so:
  • Clip specific content from a Web browser
  • Clip whole Web pages
  • Clip the URL of a Web page
  • Collect clips from different section of a web page or web pages
  • Copy content from word processors, such as MS Word
  • Clip screenshots, perhaps to do some annotations later on
To clip content you can use any of the following
  1. Internet Explorer Clipper
  2. Firefox Clipper
  3. Universal Clipper
  4. New Item Hot Key
All of these methods require that IQ be open with your IQBase loaded. If more than 1 IQBase is open, a dialog is shown to select which one to use
This brings you to the New Item dialog which allows you to sent it to IQ. See 2. New Item dialog for details.
If IQ is not running, or if you are on a mobile device, use the EMailToIQ feature. Details here: 2. Send To InfoQube using EmailToIQ

1. Internet Explorer Clipper

When the IE clipper is installed, you'll have 2 new entries in the IE right-click (context) menu:
  • InfoQube: Copy Content: Copy content to InfoQube (either selected content or entire page if nothing selected)
  • InfoQube: Create Link:Create a link to the current web page in InfoQube (creates an item with the URL field = web page URL)

2. Firefox Clipper

The InfoQube Firefox Clipper is currently compatible with Firefox versions up to v56. Starting v57 (Quantum), the clipper cannot be installed
When the Firefox clipper is installed, you'll have 2 new entries in the FF right-click (context) menu. In addition, 2 icons are also shown on the toolbar:
.
  • InfoQube: Copy Content: Copy content to InfoQube (either selected content or entire page if nothing selected)
  • InfoQube: Create Link: Create a link to the current web page in InfoQube (creates an item with the URL field = web page URL)

3. Universal Clipper

The universal clipper can be used to clip content from other applications and browsers.
To do so:
  1. Select some text
  2. Press the Universal Clipper Hotkey
  3. If you wish to clip the whole page or just link to the page, choose it in the Add Item dialog
  • The Hotkey is set in Tools > Options > Program > Other (1.6.20). See 11. Program Settings and options
  • If clipping from a web browser, InfoQube will try to retrieve the page URL
  • If the selected text is 3 characters or less, it will not be captured, just the page title and URL
Quote from 11. Program Settings and options
Quote:
  • New Item and Clipper Hotkeys: Format is: {Modifier1} {Modifier2}... Key, where Modifier is one of Shift, Ctrl, Alt and Win. Key is a one character letter or number
    • For Windows 10, {Win} N and {Win} C are natural choices. However, with the Creators Update version (1703), the latter hotkey is used by Cortana.
    • There are in fact very few unused shortcuts, so an option is to disable Cortana. See this link for details on how to do that (other solutions here and here too)
    • For Windows 8 however, that hotkey is used by the system, so another one is required. {Win} A is a good choice
    • It is not possible to set the hotkeys if more than one instance of InfoQube is running
    • It registering the hotkey is not possible, a pop-up message appears on the taskbar

4. New Item Hotkey

The New Item Hotkey shows the New Item dialog where you can add items directly to IQ
  • The Hotkey is set in Tools > Options > Program > Other (1.6.19). See 11. Program Settings and options
    The default Hotkey is Win + N

5. Using the New Item Dialog

All of the above will bring you to the New Item Dialog.
The 3 clippers will fill the dialog with as much information as possible:
  • Item text will be the Web page title or program caption
    IQ can strip off common text from the title. This is defined in Tools > Options > Program > Other > Clipper clean-up list (1.6.20)
  • URL of the web page
  • The HTML section will show the selected text will show up in the HTML section
    Clipping information (url, date/time, user) is also appended. See Configuring the Clipping Footer for details
The dialog is not modal, so you can keep clipping to add more information (other text section or web pages)
See 2. New Item dialog for details on using the New Item Dialog (including assigning tags and fields)


2. Send To InfoQube using EmailToIQ

Send to InfoQube using EmailToIQ

What is it all about...

Sometimes, you want to capture some information and you are either not at your computer, or InfoQube is not running or you're using a mobile device.
The EmailToIQ feature really comes in handy in these situations.
The basic principle is to configure IQ to poll a special email address and import any new content.
Importing information into IQ is then as simple as emailing the desired content. As a bonus, this content is also in your emails, searchable on all your devices.

1. Step 1: Create a new email address

This is the address you'll be sending information to, and which IQ will poll. It is best if it serves this sole purpose, so create a new email address. Any IMAP enabled address is valid.
GMail is a good choice for this purpose, because it is free and has great searching capabilities. To connect to this new GMail address, 2 cases, depending on the account setting:
  1. 2-Step verification is OFF: Enable Less secure apps and use the account password in the IQ dialog.
    Details here: https://www.google.com/settings/security/lesssecureapps
    This approach is not recommended because:
    • It is less secure
    • If / when you change your Google / Gmail account password, it will need to be changed in InfoQube
    • If one day you enable 2-step verification, the password will no longer work

  2. 2-Step verification is ON (Recommended) : Create an application specific password.
    It is this application specific password you'll enter in the IQ dialog below.
    As a bonus, should you change your main mail account password (recommended every few months), IQ will not require re-connection since it is using an application specific password
    Details here: https://support.google.com/accounts/answer/185833

    From Google:
    • When logged into Gmail, click on your name / photo (top right corner)
    • Click Google Account
    • Under Sign-in & security, click on Signing in to Google
    • Under Password & sign-in methods, click on App passwords
    • Google will ask for your account password (even though you are already logged in) as an additional level of security. Enter your Google account password
    • You will then be presented with the list of App passwords (you may want to delete old / unused ones at this point). Below the list is where you create a new app password:

    • Click Select app and select Other (Custom name)
    • Enter a name for this app, such as "IQMail"
    • Click GENERATE
    • A dialog will show your app password
    • Select the 16 digit password (with a mouse) and press Ctrl + C (or right-click > Copy)
    • The app password is now on the clipboard. You'll be able to paste it in Step 2 below

2. Step 2: Configure your IQBase

The second step is to configure IQ to poll a special email address.
  1. In Tools > Options > This file > EmailToIQ:

  2. Click on the (...) button to configure the email:

  3. In the General section, enter the address and password.
    • For GMail, the Username must be the same as the Email Address
      Or you can check Use Email Address which will do the same
    • Check the Enabled checkbox to activate this feature.
  4. In the Receive section, enter the IMAP settings of your mail server.
    1. It is a good idea to leave the message on the server so the message can be retrieved a second time if need be
  5. Click Test to ensure that IQ can connect to the email account.
  6. Click OK

  7. Back in the main dialog, at line 2.3.2, enter the Auto-check delay. Enter 0 to disable Auto-check
  8. In 2.3.3, enable or disable auto-import of mail when available:
    • If enabled, mail will be imported as soon as it is detected
    • If disabled, the icon on the status bar will show the number of mail items waiting to be imported. The icon tooltip will show the subject of the last email Click on the icon to perform the import
      This option is particularly useful when used in conjunction with Dropbox Sync. That is, when 2 computers are both checking for emails, only the first one to check will import which can be a problem.
  9. In 2.3.4, enter the list of fields to automatically assign values:
    • Specify EmailDate to retrieve the actual email date/time (not the imported date/time)
    • In the above example, 2 other fields will be checked: Inbox and Emails (to show imported items in these grids)
Once properly configured, an icon [image] will appear on the status bar.

3. Step 3: Email the content

3.1 Forwarding emails

If you want to keep a copy of emails (Outlook, Gmail, etc), simply forward these to your EmailToIQ address

3.2 Capturing content

When navigating the web, reading PDFs or writing documents, you can easily send this to your IQ Base using the EmailToIQ feature.
  • If IQ is running, you can use the Universal Clipper and select "Email Item to IQ"
  • Otherwise, simply copy the content and paste it in the body of an email
  • Chrome extensions, such as AddThis, Email This, can speed up the process of sending emails to IQ
  • On mobile devices (Android, iOS), use the "share" button to send the content to your EmailToIQ email address
When preparing the email, for the "subject", enter the text of the item. If left empty, the item text will default to "EmailToIQ".

3.3 Assigning fields and tags

The item will be assigned the fields defined in line 2.3.4 (see screenshot above):
  • Inbox and Emails fields will be checked
  • EmailDate field (ID=88) will contain the date the content was clipped and sent by email (which will be different from the item created date)
You can assign extra fields by adding keywords at the end of the email subject line. The syntax is: Your subject line //YNField1 /TextField1=Cool /ItemID #Tag1
  • For Y/N fields: /YourField1 /YourField2 ...
  • Other fields: /YourField1=SomeFieldValue
  • If the field does not exist, the item text will show it to flag the error (i.e. ItemText /UnknownField1)
  • For tags: #TagName or #TagID
  • If a tag name does not yet exist, it is created and placed under tag #AutoGenerated. Move the tag to another parent tag if desired
You can also send content to any item (as a sub-item) (e.g. a project item, a task, a specific contact, a calendar event, to meeting minutes, etc.)
Can send to multiple items too ! The syntax is:
  • /ItemID1. e.g. If the email subject line contains /1234, the content will appear as a subitem of item ID 1234.
  • /ItemText1. e.g. If the email subject line contains /John Doe, the content will appear as a subitem of item "John Doe".
    If more than one item have this text, it will send it to the one in your favorites (if not in your favorites, to the most recent item)
Important: To trigger the parsing of fields, enter // to mark the end of the subject.
Example: Email subject: Task #1: Complete Project //Inbox #IQ /Project=Project1 /Notes=Very urgent /FollowUp
  1. Will create an item "Task #1: Complete Project"
  2. Assign the Y/N fields Inbox and FollowUp
  3. It will also set the Project field to "Project1" and Notes to "Very urgent".
  4. Finally, the tag IQ will be checked
The default delimiter is the forward slash (/). EmailToIQ does however support other delimiters. The complete list is : / \ | ~ ! @ $ % & + -
(only rule: use space followed by the delimiter twice and then enter the fields / tags list)

3.4 Attaching files

You can attach any number and type of files to the email:
  • Attachments are saved in the YourIQBase.Files\ItemIDXXXX_files folder.
  • Attachments will appear as links at the end of the item.
  • If any of these are image files, the image will also be shown at the end of the item (HTML pane).

3.5 Embedding images

With many mail apps and web pages, one can share images, drag-drop images, etc to send these by mail. These images are often not sent as attached files but rather as embedded images (base64 encoded)
  • The images are saved in the YourIQBase.Files\ItemIDXXXX_files folder.
  • The images will be shown at the end of the item (HTML pane).

4. Importing Emails

Once properly configured, an icon [image] will appear on the status bar followed by:
  • ? when checking
  • A number (1, 2, 3), representing the number of emails to be imported
  • If Auto-Import Emails was not enabled, the background color will turn green to indicate that there are emails to import. Double-click on the icon to import all emails.
At any time, you can also double-click on the icon to force a check and import.

4.1 Re-importing Emails

It is possible to re-import emails. This is useful if the items were erased by mistake or if imported in an incorrect copy of the database.
To do so, use one of:
  • In your EmailToIQ mail address, mark the emails as Unread. The emails will be located (see section 2.4 above):
    • In your inbox, or
    • In the Trash. If in the Trash, move these back to the inbox and then mark as unread
  • Do Tools > Check EmailToIQ Now. Enter the number of days to re-import in the dialog:

5. Viewing the content inside InfoQube

For each email sent using EmailToIQ, an item is created. This item will typically be shown in the Inbox and Emails grids:
  • The item text will be the email subject less everything after the first # character
  • The subject line is parsed using the # tag to retrieve the fields to assign
  • If no fields are found, the default fields will be assigned (defined in Tools > Options > 2.3.3)
  • The content of the email (its body) will be saved in the IQBase or as a separate file:
    • If there are no attachments or embedded images: Saved in the IQBase (embedded)
    • If there are attachments: The content of the email will be in the IQBase (embedded) but the attachments will be separate files in the YourIQBase.Files\ItemIDXXXX_files folder. The files will have the same name as the attachments
    • If there are embedded images: Saved as a separate file in the .Files folder (YourIQBase.Files\ItemIDXXXX.htm) and the images will be in the YourIQBase.Files\ItemIDXXXX_files folder. The files will have the same name as the original embedded image file names
See https://support.google.com/mail/answer/148408?hl=en for details on the distinction between attached and embedded images

Notes:

  • IQ does not support attached files and embedded images in the same email. It such cases, only attached files will be imported
  • When using EmailToIQ in conjunction with Dropbox sync ( IQBase Link [Web]), there is a possibility that emails are imported to the older file before you get the chance to sync/overwrite it with the newer one.
    If this happens, you have 3 options:
    • Set EmailToIQ to be in manual mode (line 2.3.2 = 0)
    • Open the Email client (or navigate to your web server using a browser) and mark the emails as Unread. IQ will re-import them
    • Manually re-import previous emails. To do that, right-click on the Tools > Check EmailToIQ now command and select the number of days you want to re-import
  • The Emails grid is not part of the sample IQBase. Create it to collect all items that arrive through EmailToIQ
  • When Re-importing emails, if your setting (in section 2.4) is to delete emails from the server, you will need to move the deleted emails back to the inbox before re-importing


3. Importing Emails into InfoQube

Importing Emails into InfoQube

1. Importing from Outlook

Use any of the following means to import / link Outlook emails:
  1. Drag the Outlook email item to the YourIQBaseFile.files folder (to create a copy) and drag that copy to an IQ grid (such as the Emails grid). The Add File dialog will show (See Link to Files, Folders and URLs)
    • Select File Saved in HTML pane if you want to be able to view it inside IQ.
    • Select File Saved in File link fields or in URL field to create a link which will open Outlook where you can view the email
  2. Open the Hyperlink dialog and drag-drop an Outlook item onto the Outlook drop zone. Clicking the link will open the email in Outlook.
    See 4. Links for details
  3. Use EmailToIQ to forward emails to IQ (manual or automatic). See 2. Send To InfoQube using EmailToIQ for details
  4. Select email content and use the Universal Clipper to grab it. See 1. Clipping Content from other Apps for details

2. Importing from Web-based Email Servers

Gmail and other web-based emails servers are extensively used because they are very convenient and available on all platforms.
Use methods 3 or 4 above to import from such services (EmailToIQ or Universal Clipper).

3. Importing from Thunderbird

Ensure that the Thunderbird extension is installed. See InfoQube Program Install and Set-up for details

With the extension installed, there will be 1 icon on the Thunderbird toolbar and 1 entry in the right-click (context) menu

  • All emails go in the Emails field. If you've created an Emails grid, it will show these
  • The following fields are filled
    • EmailSender
    • EmailRecipients
    • EmailDate
    • Emails is checked
    • The email subject is put in the item field
  • The actual email is saved as an eml file and put in the YourFile.sndb_files folder and is viewable in the HTML pane.
  • Click on Open in Browser to open your mail client and view the email, complete including attachments. Edit with MSWord also does this. (Menu item, icon, or CTRL+W)
  • The text content is indexed (and put in the ItemHTMLText field)
  • A notification will be shown on the taskbar when completed
  • You can select multiple emails

4. Importing EML Files

Many email clients can export emails as EML files. Some even use that as the native storage format. To import EML files into IQ, use one of:
  1. Drag the EML file to an IQ grid (such as the Emails grid). The Add File dialog will show (See Link to Files, Folders and URLs)
    • Select File Saved in HTML pane if you want to be able to view it inside IQ.
    • Select File Saved in File link fields or in URL field to create a link which will open your mail client where you can view the email
  2. If an item already exists, you can drag-drop the EML file (and other types too) to the HTML pane (must be in Browse mode). This will show the file. Click Save to make this permanent.
  3. Use EmailToIQ to forward emails to IQ (manual or automatic). See 2. Send To InfoQube using EmailToIQ for details
  4. Select email content and use the Universal Clipper to grab it. See 1. Clipping Content from other Apps for details

5. Viewing Emails in the Emails Grid

Having an Emails grid is a handy way to see all emails, whether it was imported using the Thunderbird extension or from the EmailToIQ feature.
If there isn't one already in your database, it can easily be created:
  1. Menu > View > Grids > New Grid
  2. Enter Emails as the grid name
  3. Click OK
  4. Click on Columns -> Add / Remove Columns...
  5. Tick the above fields to have them shown in this grid
  6. Click OK
n.b. Instead of step 4-6 above, you can also open the properties pane (F4) and drag those fields to the grid.

Notes

  • Displaying EML files in the HTML pane: If you find that emails does not display correctly in the HTML pane (i.e. for EML files), you need to apply a registry tweak. See InfoQube Program Install and Set-up for details


4. Importing from Other Programs

Importing from Other Programs

InfoQube can import from the following file formats:
  • Delimited Text files (Excel, Access, Outlook, etc.)
  • Tree-based / Outliner files (OML, OPML)
  • Ecco Pro
  • Evernote
  • Plain text
  • RTF text
  • HTML text


Delimited Text files (Excel, Access, Outlook, etc.)

Delimited Text files (Excel, Access, Outlook, etc.)

Many applications including Excel and Access, can export data as text files. Two most common formats are:
  • Comma separated values, or CSV
  • Tab-delimited
InfoQube can import these formats. To import, do File > Import > Import Data.
In this sample, we'll import an IQ language file. The easiest way to nicely view this data, is to create a new grid:
  1. View > Grids > New grid
  2. We'll give it the name IQStrings
  3. Click OK.
  4. The new grid is created and opened
  5. A new yes/no field, called IQStrings, is also created, to hold the data we'll enter in this grid

Import Step 1: Select / edit the data

In step 1:
  1. Click on Open File and select a file (no file size limit), or
  2. Paste the content to import in the text area (max file size=64kB)
  3. Select the delimiter (normally "," for CSV) or check Tab for Tab-delimited
  4. Check as to whether the first line contains the field names or not
  5. You can examine the file content and do minor edits if required
  6. Click on "Next"

Import Step 2: Field Mapping

In step 2, the dialog is divided into 2 sections;
  • In the top section, a grid shows the data after it has been parsed. You can scroll to ensure it was done correctly. If now, click the Back button to return to step 1
  • In the bottom section, you determine the field parsing (between the data to import and the current database)
To do step 2, you:
  1. First check in the top section, that the file parsing was done correctly
  2. If the first line contains the field names, these will be shown in the bottom section, if not, these will be given numbers (matching those of the top section)
  3. For each field that you want imported, select (in the second column) the appropriate IQ Field
    1. If the IQ Field does not exist, you can create it. Since the import dialog is not modal, you can do View > Manage Fields and create your fields
    2. Click Refresh Field List if new fields were added
  4. You can also set fixed values (not in the original import file), to help categorize the new data. In this example, 2 IQ Fields were set
    1. Language was set to En (as these strings were in that language)
    2. IQStrings was set to -1. IQStrings is the yes/no field related to the grid we created earlier. To set it, assign it the value -1. That way, the IQStrings grid will display the imported data
  5. You can save this field mapping to a file, load an existing field mapping file
  6. You can also select which records to import (you may want to first do a test with a few records, or import them by batches of 100, etc)
  7. Click Next

Import Step 3: Import

Step 3 is the final step:
  1. You'll see a preview of the data to import and into which IQ Field.
  2. Click Import to complete the process or Back to return to a previous step.
  3. The staus bar will show the import progress and a dialog will tell you the number of imported items
  4. Click Close
You can now open your IQStrings grid and add the imported fields:


Ecco Pro Import

Ecco Pro Import

IQ is based on the same concept as Ecco Pro, so it is easy to transfer your information from Ecco to IQ.
The Ecco Pro importer does the following:
  • Import Top level items (TLI) and all their sub-items
  • Creates fields for each of the Ecco Pro folders. Field types are compatible with Ecco's
  • For each imported item, all folder values are imported (a field value in IQ terminology)
  • Notepads are not imported. To find your imported items, you can use one of the following ways:
    • Click on Step 4: View All Ecco Imported Items
    • Open the Journal grid and click on the Today button
    • Open the Properties pane, and in Available Fields, right-click on an Ecco imported field and select Show items with values for this field
    • Create a new grid and in dialog select from an Imported Ecco field from the list
  • Forms are not imported
  • Filters are not imported
To import, follow these steps:
  1. Do File > Import > Ecco Pro File to open the import dialog:

  2. In step 1, open Ecco Pro and load the file to import (import communicates with Ecco Pro using DDE). If you wish to import just parts of the Ecco file (i.e. the content of a notepad, the phonebook, etc), open the notepad and select the items to import.
    *** The importer is not compatible with Ecco Extension, so ensure it is not loaded ***
  3. In step 2, choose the import options or leave the default settings
  4. In step 3, click on the appropriate button to import only the items you selected in Ecco, or all items in the Ecco file
  5. As the Ecco import dialog is not modal, you can switch to another grid and see the results of the import.
  6. Once import is completed, you can click on Step 4: to view the imported items. It will open the grid EccoImported (create if necessary) and display all items imported will be shown, not just those imported in the last import. If you want to view only recently imported items, you can apply a filter (a date filter would be a good option for this)
Notes:
  • The Ecco Pro importer imports TLIs (and all sub-items), so it is not possible to just import an item which is not a TLI
  • Calendar items are imported as items with the correct Appointment date. However, these are not currently shown in the IQ Calendar. The default IQBase has an Appointment grid which will show these items.


Evernote Import

Evernote Import

To import from Evernote (v2 and v3):
  1. In Evernote, generate an export file (*.enx)
  2. In InfoQube, File > Import from > Evernote export file
  3. The File Open dialog will be shown. Select the Evernote export and click OK
  4. The import will create Evernote related fields and import all items
  5. A new grid will be created, based on the import file name


Tree-based / Outliner files Import

Importing from Hierarchical Data Files

InfoQube can import from outline-based data files. Supported formats are OML, OPML and Tab Intended.
  1. To import from another program, first use that program to export to a supported format. Note where the generated file is saved
  2. In InfoQube, open the file and grid where you want this data to appear. The grid must be one with a simple source (i.e. such as Adrsbook, Inbox, or any other grid with a single field source)
  3. Do File > Import from > Hierarchical Data. The following dialog will be shown:

  4. Click Browse and select the file. The dialog will update with a preview of the data to import:

  5. The Import options contains 2 lines. First line is grid related, while the second line is field related
    1. First line:
      • Left combo determines if all items or just top level items (TLI) are added to the grid
      • Right combo determines the grid to put items. The current grid should be automatically selected
    2. Second line:
      1. Left combo determines if all items or just top level items (TLI) are set for the field
      2. Right combo determines the field to use
  6. Click Import
  7. The grid should update and show the imported items. Check that the hierarchy and field-values are correct

1. Importing from Ultra Recall Pro

The steps are:
  1. Export from URp:
    1. In the Data Explorer pane, select the items to export, or select "My Data" to export everything
    2. File>>Export>>Items to an XML (OML) File.
    3. Click Next
    4. Click Next (again)
    5. Enter an export filename. It is recommended to add the ".OML" extension, as URp does not add it automatically
    6. To export sub-items, check "Export child items (recursive)
    7. Click Finish
  2. Import into IQ:
    1. File>>Import>>OPML/OML File
    2. Browse to select the URp export file
    3. Select Import options:
      1. You can put imported items in a specific grid
      2. You can also assign specific yes/no fields to the imported items
      3. In both cases, these can be done for Top Level Items (TLI) or for all imported items
    4. Click Import
    5. If you selected to put the items in a specific grid, this grid will open upon completing the import process and will refresh with the newly imported items:

      In the above example, the URp sample file is imported. The My Data item will be added to the Inbox. In addition, all imported items will have the following fields checked: Check and Followup
The URp item hierarchy is maintained and all RTF content has been converted to HTML.
Limitations:
  • The URp export process requires that each item have a distinct item name. Otherwise, all items with the same name will have the RTF content of the last duplicate
  • Bullets are converted to symbol, not to an HTML bulleted list
  • Only the embedded RTF content is imported. Item notes and attributes are not imported.
  • images are not imported (currently, but this will be fixed)
  • If an item has more than 1 parent (logical linking in URp terminology), the item will be imported for each parent, so multiple copies will be created. This will be fixed.


Configuring the Clipping Footer

Configuring the Clipping Footer

You can configure what additional information is added to the clipping using the HTMLClipperTemplate.htm file.
You can use the following tags to substitute clipping info:
  • {ClipURL}
  • {ClipDateTime}
  • {ClipDate}
  • {ClipTime}
  • {User}
  • {Title}: Page title
  • {ClipContent}: This tag must be enclosed by <!-- {StartClip} --> and <!-- {EndClip} --> tags
The default template adds:
  1. A horizontal line after the clipping
  2. The URL of the clipping, Date and the current user
  3. A second horizontal line
The code for the default template:
<!-- {StartClip} -->
{ClipContent}
<!-- {EndClip} -->
<div><font size=1><HR>Clipped from: <A href='{ClipURL}' target=_blank>{ClipURL}</A> On: {ClipDateTime} By: {User}<HR></font></div>
The HTMLClipperTemplate.htm file can be found:
  • Portable version: Users\YourName folder in the installation folder.
  • Installable version: Documents and settings\YourName\Application Data\InfoQube
The default HTMLClipperTemplate.htm file which is used for new users is located in: IQ Program folder\AppFiles
Notes:
  • The default file is overwritten on program installation
  • This is an html file so you can use html tags, such as <b>, <hr>, etc


6. Printing and Exporting

Printing and Exporting

InfoQube has many UI to show items, namely:
  1. Grids
  2. 2-D Surface
  3. Calendar
  4. Map View
  5. TimeLine
In addition, information is also shown in panes, namely
  1. Doc pane
  2. Properties pane
Each of these "views" can print and / or export the content shown.
The useful commands are:
  • File > Print Preview
  • File > Export
  • Edit > Copy Special
  • Doc pane:
    • Menu > File > Print Preview, or
    • Menu > File > Open in Browser


1. Print Preview

Print Preview - Grids

File > Print Preview can be used to print / export grid content. A number of print options are available:

1. WYSIWYG Printing

Opens a print-preview window where you can:
  • Zoom in / out
  • Set the paper size and orientation
  • Scale, either a % of the normal size or Fit to X by Y pages (recommended)

  • Copy as an image, to paste into other applications
  • Save As: PDF file or an image file: JPeg, Png or EMF
  • Configure printer
If the grid is showing a Gantt chart, a Gantt Print Options dialog is first shown:

2. HTML-Based Exports

Print-preview options 2 to 5 show the HTML Export dialog which consists of 4 tabs:
  1. Template Merge
  2. Table with Columns
  3. Bullet List
  4. Using Styles

2.1 Template Merge

Template Merge is similar to any mail / email merge process and consists of 2 parts:
  1. One or more items to merge, each item having a list of values to fill the form template (name, email, amount, date, etc)
  2. A Template file which contains rich text content and field placeholders
InfoQube can Template Merge to a single document or to individual emails

2.1.1 Template File

Use the Doc pane (recommended) or another HTML editor to generate the Template file
  • It is best to save the file in the IQBase Files folder
  • Use the formatting tools to bold, link and add images
  • To merge field-values, add the field name enclosed with { }, such as {Item}
  • Item parent field-values can be used by preceding the field name with "parent.", such as {Parent.Item}

2.1.2 Merging

To perform the merge
  1. Select one or more items in a grid
  2. The fields to merge do not need to be shown in the grid as InfoQube will look in the IQBase to read them
  3. File > Print-Preview > Merge the selected items with a template tile
  4. If performing an email-merge, enter the email subject, email field and sender address. Click Preview to preview the email. Click Email Merge to perform the merge
  5. If merging to a document, click one of the buttons at the bottom of the dialog (i.e. Save and Preview)

3. Table with Columns

The export has many options and can even generate interactive content, such as expand / collapse sub-items and Doc pane content:
  1. Configure the grid to show the desired columns
  2. Select one or more items / sub-items
  3. Only selected items are included in the export
  4. File > Print-Preview > Table of items and field values
  5. Try the various options and see which ones provides the desired output
  6. More information can be found here: HTML Export dialog: Table with Columns

4. Bullet List

Similar to Table with column output, but generates a bullet list of items:
  1. Select one or more items / sub-items (only the tree column is exported)
  2. Only selected items are included in the export
  3. File > Print-Preview > Outline in Bullet List form
  4. Try the various options and see which ones provides the desired output

5. Using Styles

This export is identical to the command Copy > Copy as an HTML Outline. Details here: 2. Export Outlines (Print-ready)

6. Properties Pane of the Focused Item

Opens a WYSIWYG preview of the Properties pane.
Important notes
The export will display items in the order of selection, and not the ordering shown in the grid... If you want your items to be exported as shown in the grid, make sure you select them going from top to bottom (using SHIFT + mouse left click, or CONTROL+ mouse left click for non-adjacent items).


2. Export Outlines (Print-ready)

Style-based Outline Export

When working on medium / large documents, it is quite useful to break it down in parts, more specifically, in an outline (main chapters, sections, sub-sections, etc)
InfoQube can now generate a compound document of all these parts. Using styles, this can be a "Print-ready" document.
To generate the compound document, the steps are as simple as:
  1. Select main item
  2. Click the Copy as Outline icon [image] . (The icon can be added to any toolbar)
    (or do File > Print-Preview > Outline using Styles)
  3. Paste into a rich-text editor, such as MS Word, Wordpress, or an IQ item's Doc pane
  4. Select / Apply a style sheet
Document Generation Options
In step 2 above, an Options dialog opens:
  • Base : H1 is by default a rather large font. Select H2 or H3 for smaller heading fonts or use a Styles sheet
  • List Type: Bullets or Numbers
  • Doc pane content only: Check this to omit all the item text (headers and normal text items) and only combine all the content in the Doc pane
Writing your document
When writing your document, you are free to put content in a hierarchy of items and / or in the Doc pane.
To create items, the following is a friendly reminder:
  • Hit Enter to add an item.
  • Ctrl+Enter adds a sub-item
  • Alt + up / down / right / left arrows moves items in the hierarchy. Tab / Shift Tab also moves items to sub-items and back
  • Drag-drop can also be used
  • The Item Commands toolbar contains all related commands. Right-click on any toolbar to show / hide toolbars
A few guidelines:
  1. Select an outline style using Grid> Outline Style, as this helps visualize the document structure
  2. InfoQube uses the Heading / Normal Text property when formatting. All items are by default Heading items.
    Use the H or N command button on the formatting toolbar to set the item type (Ctrl + Shift + N)
  3. Short / medium length content can be entered as items or in the Doc pane
  4. Content that includes images must be in the Doc pane
  5. Only items can expand / collapse. This sometimes influences where the content is entered
How the compound document is generated follows these simple rules:
  1. Heading items will be formatted as HTML heading tags (<H1> ... <H6>), based on the item hierarchy w.r.t. the main item
  2. Normal Text item which is an immediate sub-item of a Heading item will appear as a paragraph
  3. Normal Text item which is a sub-item of another Normal Text item will appear as a list item (bullet or numbered)
  4. Content in the Doc pane always appear after the item text, as a paragraph
  5. You can use heading styles in the Doc pane, but these will not the adjusted based on the item hierarchy
    (this means that generated document may not have the correct heading level, so it is perhaps best to avoid it if possible)
The following screenshot shows a typical use case. Notice how:
  • Headings are in bold, in decreasing font sizes. See 3. Outline Styles for details
  • Normal text items contain parts of the document body. These support rich text, such as bold, italic, hyperlinks, etc
  • Rich text can be copy / pasted from other apps to IQ items and vice-versa
  • The Doc pane is useful for long-form content
  • The Doc pane always shows the content of the currently focused item
  • When generating the compound document, Normal text and Doc pane content are treated in a very similar manner
  • Many Doc panes can be opened at once. This is useful to see content from more than one item
  • If an item outside the current hierarchy contains a previously generated compound document, you can view the whole document (a version of it) in a pane while writing in another pane


3. Export between IQBases

Export between IQBases

To export items from one IQBase to another, use one of the following 2 methods:
  1. Tab-delimited list of items and field-values
  2. XML format

1. Tab-delimited

To copy a flat list of items with limited number of field-values, a simple tab-delimited copy / paste can be done
The steps are:
  1. Setup a grid with the items and desired field-values as columns
  2. Select items and columns (or Edit > Select All)
  3. Edit > Copy: Selected grid rows and columns
  4. In the destination IQBase, setup an identical grid
  5. Create a blank item and select it
  6. Edit > Paste

2. XML format

XML format copy / paste creates exact item replicas, that is with the same field values and properties
The steps are:
  1. If the export must contain field values, these fields must be created in the destination IQBase first
  2. Select the items to export
  3. In the destination IQBase, Edit > Copy > Copy Special (if more than one column is selected, Edit > Copy is sufficient)
  4. The following dialog will appear:

  5. Select one of the 2 XML options (#5 or #6)
  6. Check "Only copy user values" to exclude system fields
  7. In the destination IQBase, open any grid. Select the # column.
  8. Edit > Paste
  9. Items will be created.
  10. To view the new items, you can
    • Use the Journal grid
    • Edit > Find
    • Open a grid where these items meet the source
    • Open the Properties Pane and double-click on a field which the new items have values


4. Export to other Outliners

Export to other Outliners

When copying one or more items, InfoQube puts a number of different formats in the clipboard:
  1. Tab-Indented Outline
  2. XML
  3. OPML
  4. HTML
These clipboard format are text-based but are not all are supported by other applications.
To convert them to a standard text format, use this free clipboard viewer utility: InsideClipboard:
The steps are:
  1. Select items
  2. Edit > Copy or Edit > Copy > Copy Special
  3. Open InsideClipboard
  4. Select a clipboard format. The text content will appear in the lower pane
  5. Select and copy the lower pane content (Select All context menu)
  6. Paste in the application
  7. If the application prefers importing through a file, open Notepad and paste the text into it. Save that file and proceed with file import
As support for hierarchical data is non standard, users are encouraged to try each format and determine the one giving the best results


5. Export to Excel

Export to Excel

Exporting content from InfoQube to Excel can be done in 3 different ways:

1. Export to Excel

  1. Open the grid which contains the information to export
  2. All shown grid columns will be exported. Show / hide columns to get the desired list
  3. File > Export > Microsoft Excel
  4. An GridName.XLS file will be created in the same folder as the IQBase
Note:
  • Only items that belong to the grid will be exported.
  • The items that belong are those that meet the grid source / filter
  • To view that list, turn off Grid Column Filters, Context Parents and select the Flat List view

2. Copy / Paste to Excel

  1. Open the grid which contains the information to export
  2. Select items / sub-items and the desired columns
  3. Edit > Copy. Select 3-Selected grid rows and columns
  4. Open Excel and Paste
Note:
  • All selected items will be copied
  • Item hierarchy will be collapsed (i.e. flat list of items)

3. Live Links to Excel

Other application can view live IQ data, including Excel. Details here: 7. Live Links to IQ Grids from Word and Excel


6. Export to Outlook

Export to Outlook

To export to Outlook 2003 (2007 should be similar) from InfoQube:
  1. Simply use the 5. Export to Excel,
  2. and... import the Excel file in Outlook.
To import the Excel file in Outlook :
Once the file is exported (your_file_name.xls) from IQ, open Outlook and use the Import and Export feature in the File menu.
Follow the instructions.
( Approximately :
  1. Click on Import from another program or file
  2. Click on Microsoft Excel
  3. Chose whether you want to Import duplicate items or not
  4. Select the destination folder
  5. Select the sheets you want to import in Outlook AND (for better results) (re)Map Custom Fields (follow explanations in the dialog)
  6. Click on Finish )
Tips :

The second exporting method to Excel (described in 5. Export to Excel) is usually simpler : copy in IQ -- Tab delimited -- and paste in Excel.
But... if you decide to use the first one (using the Export to Excel button/function) :
  1. Keep in mind that the exported grid must display all the fields that you want to export to (and import in) Outlook
  2. The whole grid will be exported, so you might want to filter out the unwanted items before you export/import anything from IQ


7. Live Links to IQ Grids from Word and Excel

Live Links to IQ Grids from Word and Excel

Through ODBC, many application can view IQ data.
With Office applications, such as Microsoft Word and Excel, ODBC can of course be used, but an even easier method uses ODC connections. Either way, you then have live connections to IQ data and you can:
  • Perform mail-merge, and email-merge
  • Share IQ grid content with other users that don't have InfoQube, simply by send them an Excel file.
    If you are connected though a LAN or a VPN, this file will be linked to your live data (or can easily be made so by editing the connection file)
  • Use Excel to perform calculations on your data
  • Analyse it and Chart it with Excel
And this connection is live, so when you make changes IQ, the Excel sheet is updated!

What items / columns are exported:

  1. Items: The items will be those that match the grid source. Context parents and sub-items cannot be represented inside Word / Excel. The list will be the same as when the grid display settings are:
    • Display mode: Source items (flat list)
    • Context Parent off
  2. Columns: The columns (Excel) and fields (Word) visible through the ODC connection will be the ones in your grid when you create the ODC file. If you change the column set, simple regenerate the ODC file.

1. Creating an ODC file in InfoQube

To do so is as simple as:
  1. Open the grid that you want to link to. In this example, we'll use the stock To-Do's grid.
  2. Grid>>Create an ODC file:

    A file with the name YourGridName.odc was created and placed in the same folder as your IQBase.
  3. Important: The grid must be visible to other applications (Grid > Properties > Options > Grid visible to other applications)
    If it isn't a dialog will pop-up to do it for you:

2. Working with ODC files in Excel 2003

2 methods are possible
  1. The first, which is the simpler way, consists of opening the .odc file (Excel > File > Open)
  2. The second, a bit more complex, adds the link to an existing file, on a new sheet for example:

    • In Excel: Data>>Import external data>>Import data:

    • Select your grid.odc file:

    • and voilà!. Excel is now linked to your IQBase grid:

    • To refresh the data in Excel, right-click on the Excel table and select Refresh Data
    • Excel allows you to customize the connection. Right-click>>Data Range Properties:

3. Working with ODC files in Excel 2007

In Excel 2007 the easiest way to bring in an ODC file is from the File Explorer. Right-click the ODC file, select Open With, the Excel. Excel will create a new Excel file with you using the ODC file.

4. Working with ODC files in Microsoft Word

In MS Word, you can mail-merge a document and send it to a list of recipients stored in your IQBase. To do so, follow the normal steps to do an email-merge and in step 3 (in Office XP), select Use an existing list and browse to your grid.odc file.


HTML Export dialog: Table with Columns

HTML Export: Table with Columns

 | Comments | Reference
Column headings | This options is greyed out if the HTML style bulleted list is selected |
Sortable headings | Adds javascript code to allow for sorting. Click on the header to sort |
Font |  |
Sizes | Enter a comma separated list of font sizes, for levels 1,2,3,4,5,6 |
Override item font | If checked, font sizes defined above will override any item specific font sizes |
Include HTML below the item |  |
Borders: | Inner/Outer/Both/None |
Spacing: | After level 1 items/After level 1 and 2 items/None |
Width: | Enter the width. Ex: 500px, 90% |
Cell Prefix: | Prefix added to all table cells |
Cell Suffix: | Suffix added to all table cells |
Check box text: Checked: | To be used, instead of the default -1 |
Check box text: Unchecked: | To be used for unchecked cells, instead of the default 0 |
Bullets: | All levels/Exclude 1st level/None |
Expand links: | All levels/Exclude 1st level/None |
Link type: | Buttons/Item Text/Both |
Closed items: | Always hide/Hide if 1st level/Never hide |
Close items at level # | All items deeper than this level will be shown closed |
Sortable headings | Adds javascript code to allow for sorting. Click on the header to sort |
Show (...) | If checked, shows (...) after the item text to expand/collapse the HTML |
Close HTML | If checked, HTML content will not be shown by default. Click on (...) to show it |
Indent: | Indent of the HTML content |
Style= | The HTML style. Setting the HTML style to: background-color: #FFFF00 would give you a yellow background. |
Hide tag: | HTML pane text enclosed with this tag, via the edit>"enclose text with" function will be excluded from the HTML export | Selective HTML export


HTML Export Merge Fields and Codes

HTML Export Merge Fields and Codes

To create your own merge template, use a "real" HTML editor (or WYSIWYG HTML editor).
But -- NOT MS Word !! Otherwise, chances are that your template won't produce the expected results.
Some free WYSIWYG HTML editor :
  • Amaya
  • Free Online Web Page Editor
  • Nvu
  • Kompozer
  • BlockNote
  • IQ's built-in Doc pane
List of the "merge codes":
Code | Description
{DataBLK} ... {/DataBLK} | Defines the start and end of the HTML that contains merged data.
{ItemBLK} ... {/ItemBLK} | Defines the start and end of an item. A page can contain multiple items (i.e. a list of contact), and support multiple columns. This is defined only once. To define other occurrences of item blocks, use the {ItemRPT} code
{ItemRPT} | Placeholder that will repeat the ItemBLK content
{SomeFieldName} | Will merge the value of the field "SomeFieldName" for this item
{Parent.SomeField} | Will merge the value of the field "SomeField" for the main parent of this item
{PageBRK} | Will insert a page break
{ItemHTML} | The content of the HTML pane for this item

Examples

A sample file is provided: AppFiles\InvoiceEx.htm
Here's a small example of exporting only a few item fields in a simple format :

{DataBLK}{ItemBLK}

==========================

Title : {item}

PROJECT : {project}
ORDER : {Order}
URGENCE : {Urgency}
DUEDATE : {DueDate}
CATEGORY : {WIKITag}

==========================

{/ItemBLK}{/DataBLK}


7. Synchronization

Synchronization

InfoQube supports the following types of synchronization:
  1. Synchronization between computers using Dropbox
  2. Synchronization with Google Services
  3. Synchronization with Remote Databases


1. Synchronization between computers using Dropbox

Synchronization between computers using Dropbox

It is possible to use the same IQBase on multiple computers.
Following a simple setup, you'll be able to seamlessly edit information in your IQBase using any number of computers. If an instance detects a change, it will inform the user and use the updated copy. No need to close each instance of your IQBase to be able to use it on another computer.
The synchronization typically uses a sync service, such as Dropbox (though a LAN / WAN setup will work too).

A- Setup Instructions

To setup, follow these easy steps:

1-Set-up folders

Let us assume that the user (User1) wants to have the IQBase in the folder IQBases of Documents. So on first computer (PC1):
  • MyIQBase1.SNDB is located in C:\Users\User1\Documents\IQBases
  • Backups can be located in C:\Users\User1\Documents\IQBackups
    Note that having backups is not really required since the sync process automatically copies the database to multiple computers and to Dropbox, which itself acts as an online backup
  • Sync folder needs to be in a Dropbox folder (i.e. C:\Users\User1\Documents\Dropbox\IQBases\Sync)
  • .Files folder (MyIQBase1.SNDB.Files) needs also to be a Dropbox folder (i.e.in C:\Users\User1\Documents\Dropbox\IQBases\MyIQBase1.SNDB.Files)

2- Set-up the IQBase

  • Start IQ and open C:\Users\Documents\IQBases\MyIQBase1.SNDB
  • Open the Options dialog (Tools > Options)
  • In section 2.4 (Data storage), set-up items 2.4.6 to 2.4.10 as per the following screenshot:
  • A file named MyIQBase1.ini will be created to save these sync settings
  • Note that in the above screenshot, the Sync and .Files folder now show the absolute path (i.e. C:\Users\User1\Documents\Dropbox\IQBases\...)

3- Set-up other computers

  • Do step 1 above on the second computer (i.e. PC2)
  • Copy MyBase1.SNDB from PC1 to PC2 or wait for the initial sync process to occur. The file MyBase1.SNDB will appear in the sync folder. Copy this file in the C:\Users\User1\Documents\IQBases folder.
  • Repeat step 2. The Sync and .Files folders shown will be those of PC1. If PC2 has a different folder structure, enter the correct folders.
Repeat step 3 for each additional computer
You are now ready to start using your IQBase on multiple computers.

B- Using IQ on multiple computers

Once properly setup, using a synced copy of your IQBase is the same as a regular IQBase.
If an updated copy is found, IQ will display this dialog:
Unless you want to ignore (and lose) the changes, click the default button to update your database. Views (grids, calendar, etc) will not auto-update, so it is recommended to refresh (F5) all opened views.
Also, be sure to read the next section, Precautions, to ensure a safe and smooth synchronization.

C- What is synced and what is not

All settings in Tools > Options > This file are synced with the exception of the following (which are saved in YourFile.ini and therefore not synced) :
  1. Backup paths (2.4.6)
  2. .Files path (2.4.11)
  3. Sync settings (2.4.8, 2.4.9, 2.4.10)
  4. Pane layouts
In addition, the following is also saved in the IQBase:
  1. Tab-workspace layout
  2. Grid name is used for Search, Scratch, Inbox
  3. User Home pages
  4. Outline labels
The following settings are not synced (since saved in the installation folder) :
  1. List of users
  2. User name (IQ uses the logon name to stamp all changes)
  3. All settings in Tools > Options > Program Settings (file options.ini)
  4. Dialog sizes and default settings (file settings.ini)
  5. Menu customizations (files menu.dat and menuhtml.dat)
  6. HTML pane's default documents (NewHTML,HTM, NewMHT.MHT, etc)
  7. Default Home page
n.b. Only the IQBase is synced using this setup. To sync more, consider putting the program folder on a Dropbox folder (possible but not recommended)

D- Precautions

  1. After making changes to your IQBase, it is important to let your computer update the sync version. You can force a save by doing Grid > Save (CTRL+S) or wait until the auto-backup executes (delay between auto-backups is set in Options > 2.4.3)
  2. After the changes have been saved in the Sync folder, you must also wait until Dropbox uploads the changes. You can check the Dropbox status icon on the taskbar. This delay depends on the file size, amount of changes and your Internet upload data rate, but is typically less than 15 seconds. Once this is completed, you can pause or shut down the computer if you wish.
  3. When restarting a computer (startup or exit from pause), it is important to wait for the update process to complete (Dropbox must build its index on startup and then download all new files). Do not start editing your IQBase until this is completed. This may take significant time if there are many and/or large files to download. Monitor the Dropbox status icon on the taskbar. IQ itself will pick up the change very quickly (< 2 seconds) and prompt you if you if an updated file is available.
  4. To avoid needless disruptions, IQ looks for "data" change. UI changes will not trigger an update. Examples of these are grid settings, grid columns, etc.
    If you want these to be sent to other computers, ensure that you make a small data change to trigger the sync process.
  5. When using EmailToIQ in conjunction with Dropbox sync (1. Synchronization between computers using Dropbox), there is a possibility that emails are imported to the older file before you get the chance to sync/overwrite it with the newer one.
    If this happens, you have 3 options:
    • Set EmailToIQ to be in manual mode (line 2.3.2 = 0)
    • Open the Email client (or navigate to your web server using a browser) and mark the emails as Unread. IQ will re-import them
    • Manually re-import previous emails. To do that, right-click on the Tools > Check EmailToIQ now command and select the number of days you want to re-import


2. Synchronization with Google Services

Synchronization with Google Services

The end goal is to enable synchronization with many Google services, as many as possible in fact.
Much like the setup on a mobile device, users would select from a list of services, which one(s) to sync. Basic ones, such as:
  1. Calendar
  2. Contacts
  3. Tasks
In addition, other services could be of interest to some users:
  • Keep
  • Translate
  • Blogger
  • Drive
  • GMail
The first service to synchronize, is the Calendar.

1. Google Calendar Sync

1.1 Setup

Use Tools > Google Connect to show the Google Connect dialog:
InfoQube uses the latest most secure method to connect to Google services. This ensures that it has no knowledge of any password and at any time, you can choose to revoke access.
To do so, access is granted using your default browser.
  1. Click the Connect button
  2. Your default browser will open
  3. If you are not logged into the Google account you want to use, click on Disconnect and select the account to use.
  4. Once logged on, this page will be shown:

  5. Click Allow to proceed and close the browser
  6. InfoQube will receive the connect token and show the calendars in this account:

  7. Click the ... button to configure the calendar to be synced:

  8. To get information on this calendar, click on the Nb Events button. It will list a few calendar statistics:

  9. Select Sync Type. It is one of:
    1. None
    2. View Events
    3. View / Edit Events
    4. One Way: Google --> IQ Items
    5. One Way: IQ events --> Google
    6. Full: Google <-- --> IQ Items
  10. The last 3 sync types require a matching IQ field. Select from the dropdown list or click New to create a new date field. See section 3 below
  11. Select how often to sync the calendar (0=manual). Each calendar can have different settings
  12. Click OK
  13. Repeat for all the calendars to sync
  14. Once done, click the Close button to dismiss the Google Connect dialog
  15. A popup message will be shown on the taskbar informing you that sync is in process. You can continue to work normally

2. Syncing Calendars

Syncing calendars is a simple process:
  • Click on the Calendar icon the status bar to schedule a sync
  • If Sync is not set to Manual, it will run at the specified interval
  • If the Google Connect dialog is open, you can also click on the refresh button (first column in the calendar list grid)
Changes made to the Google calendars (list of calendars, calendar color, etc) are not automatically read during the sync process.
To refresh the calendar info, click on the refresh icon located just above the calendar list grid (far right)

3. Selecting the Sync Type

InfoQube provides a number of Sync types. To select the most appropriate sync type, it is useful to understand the relationship between items, date values and events.
In InfoQube, each item can have many associated dates. For example, a "contact" item could have:
  • Birthday
  • Wedding date
  • Graduation date
  • etc.
Each of these dates are stored in a separate date field. Date fields are shown in the Properties pane and can be shown as a grid column.
The IQ Calendar does not display items. It doesn't display dates either. It displays Events. Each date field-value can be turned into an IQ event and shown in the Calendar.
IQ provides many ways to create events, but the process revolves around selecting a date field-value(s) and instructing IQ to show it in the Calendar.
An IQ event has a date plus many associated properties:
  • Duration
  • Scheduled, Unscheduled or All-day
  • Description
  • Location
  • Repeating pattern
  • etc.
Events not linked to an item
  • Events created in InfoQube are always associated with items and date field-values. Deleting an item deletes all its events.
  • This isn't always the case for events created outside of InfoQube, such as Google Calendar events
  • An event not associated with an item can only be displayed in the Calendar, not in grids and other UI.
  • Whether an item is created for each Google calendar event depends on the sync type

3.1 Sync Type: None

To prevent events from syncing, you can either:
  • Un-check Enabled in the Calendar Sync dialog
  • Set the Sync Type to None

3.2 Sync Type: View Events

  • To simply view events from a particular Google calendar, select this sync type
  • This could be a read-only calendar (national holidays, co-worker's calendar, etc) or any calendar that you don't want to associate with IQ items.
  • It is the sync type that has the least effect on your IQBase
  • At any time, you can decide to set the sync type back to None and events will be deleted from the IQBase
  • Since these events are not linked to any item, they can only be viewed in the Calendar, not in grids and other UI

3.3 Sync Type: View / Edit Events

  • Similar to 3.2 above, except that events can be modified within IQ. Changes will sync back to Google

3.4 Sync Type: One Way: Google --> IQ Items

  • All events created in Google Calendar become IQ items and events
  • The date field set as the sync field (in the Calendar Sync dialog, shown above) contains the event date / time

3.5 Sync Type: One Way: IQ Events -->Google

  • All events created in IQ become Google events
  • Events created in Google Calendar are not synced to IQ

3.6 Sync Type: Full: Google <-- --> IQ Items

  • All events created in IQ become Google events
  • All events created in Google Calendar become IQ items and events
  • The date field set as the sync field (in the Calendar Sync dialog, shown above) contains the event date / time

Notes:

  • For read-only calendars (as the example above), only None, View Events and One Way: Google --> IQ Items are enabled
  • When an item has more than one event, each event becomes a separate Google event
    Put differently, the fact that events belong to the same item is not an information that Google Calendar knows
  • For the sync types that involves items, each Google calendar must be linked to a distinct IQ date field. That is, a date field cannot sync to more than one Google Calendar


3. Synchronization with Remote Databases

Synchronization with Remote Databases

InfoQube can pull data from external data sources, such as SQL Server, mySQL, Oracle, MSAccess, etc. Any ODBC data source can be used.
When configured correctly, a click of a button is all that is required to refresh the data!

This is an advanced feature which requires some database query knowledge to configure it correctly.

The sync is done through a configuration file (xml type). This file defines:
  • The connection string
  • The SQL statement to retrieve the data (use Access, Enterprise Manager or other similar tool to generate the statement)
  • The field mapping between the back-end database and InfoQube ( back-end fields are [ ] enclosed, otherwise a fixed value will be imported)
  • The synchronization parameters. (Unique record identifier field, Last update date, etc)

The back-end database can be local or remote (either publicly visible or through a VPN).
To enable this feature:
In Tools > Options > This Database > Data storage
  • Enable Remote database one-way sync
  • Set the auto-sync delay (in minutes, 0=manual only)
  • If syncing with only one remote database, enter the sync config file
  • If syncing with more than one remote database, leave Sync Config File blank and put all config files in the same folder as the IQBase. InfoQube will ask you which ones to sync (uses SQLSync*.xml as a matching pattern)
2 examples are provided here:
  • Sync with the Online User Manual (mySQL server)
  • Sync with a fictitious SQL Server database


Sync with a fictitious SQL Server database

Sync with a fictitious SQL Server database

The fictitious SQL Server back-end database contains contact information (companies, contacts, record status, etc). It is used as part of a secure web-site, where users can view/modify their information. The managing organization already uses InfoQube for CRM type information and wanted to link to the web-site information as its agents were answering calls/emails.

The following configuration file can be used:

<ConnectionString>PROVIDER=SQLOLEDB.1;PASSWORD=SomePassword;PERSIST SECURITY INFO=TRUE;USER ID=SomeUser;INITIAL CATALOG=YourDataBase;DATA SOURCE=SQLServerIP;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096
</ConnectionString>

<Password></Password>
<FieldMap>
[company_id] IDSQL
[steward_no2] NoEnterprise
[company_name] Item
[address1] Address
[address2] Address2
[address3] Address3
[city] City
[province] Province
[postal_code] PostalCode
[country] Country
[website] WWW
[phone_number] Tel
[fax_number] Fax
[first_name] FirstName
[last_name] LastName
[title] Titre
[telephone_no] TelContact
[telephone_ext] Ext
[last_modified] DateUpdate
[email_address] email
IMPORT IDStatusSQL
1 Contacts
</FieldMap>
<Source>
SELECT dbo.COMPANIES.*, dbo.COMPANIES_S.steward_no AS steward_no2, dbo.CONTACTS.first_name, dbo.CONTACTS.last_name,
dbo.CONTACTS.title, dbo.CONTACTS.telephone_no, dbo.CONTACTS.telephone_ext, dbo.CONTACTS.email_address
FROM dbo.CONTACTS_S RIGHT OUTER JOIN
dbo.CONTACTS ON dbo.CONTACTS_S.contact_id = dbo.CONTACTS.contact_id RIGHT OUTER JOIN
dbo.COMPANIES INNER JOIN
dbo.COMPANIES_S ON dbo.COMPANIES.company_id = dbo.COMPANIES_S.company_id ON
dbo.CONTACTS.company_id = dbo.COMPANIES.company_id
WHERE (dbo.CONTACTS_S.primary_contact = 1) AND (dbo.COMPANIES.last_modified > CONVERT(DATETIME, '[LASTUPDATE]', 102))
</source>
<RecordIDField>IDSQL</RecordIDField>
<RecordStatus>IDStatusSQL ADD UPDATE</RecordStatus>
<RecordDateField>DateUpdate</RecordDateField>
<LastUpdate>2007-03-15 07:00:00</LastUpdate>

Notes:

  • The Password key is optional and if present, is the encrypted password (inquire about the encryption utility)
  • Field mapping format is: [BackEndField] TABKey InfoQubeField or Value TABKey InfoQubeField. In the latter case, InfoQube field will be assigned Value. In the above example, Contact field is checked for all imported data and the string "IMPORT" is placed in the field IDStatusSQL
  • Source: standard SQL select statement with 1 exception. The string [LASTUPDATE] will be replaced by the LastUpdate key. This way, only changed data is read. If this is not used, all recordset data will be read on each update, which may take a long time.
  • RecordIDField is the InfoQube field to hold the back-end database record key
  • RecordStatus format is: InfoQubeField TABKey AddString TABKey UpdateString. This step is optional but will fill the InfoQubeField with AddString if adding, and UpdateString on record update. In the above example, ADD and UPDATE will be placed in the field. This way managers can process these separately
  • RecordDateField is the InfoQube field which contains the record last change date (used in conjunction with the LastUpdate)
  • LastUpdate is the date/time of the last update. Used in conjunction with the SQL Select statement to read new/changed data only


Sync with the Online User Manual

Sync with the Online User Manual

InfoQube can sync with the Online User Manual so that any new content / changes will automatically be imported in any IQBase.
The "Welcome to InfoQube" IQBase is pre-configured to connect with our web server.
Steps are:
  1. Download and install the mySQL ODBC connector (version 8.0)
    Select Windows (x86, 32-bit), MSI Installer or use this direct link
  2. You'll be asked to login to Oracle. You can, but better still simply click on No thanks, just start my download
  3. Install the downloaded file (mysql-connector-odbc-8.0.xx-win32.msi)
  4. To synchronize, do Tool > Database management > Remote database sync
    (you can customize the toolbar [right-click ->customize] to add it to a toolbar if you want)
To configure another IQBase, a few fields must be created. The extra steps are:
  1. In Field Management, create the following fields:
    • IQDoc: Yes/No
    • IQDocDate: Date: Doc update date
    • IQDocNID: Number: Doc node ID
    • IQDocPID: Number: Doc parent node ID
    • IQDocStatus: Text: New / Update status
  2. To have a direct link to the online page, add the following in the Equations > Auto-assign section of the field IQDocNID:
    AM:[URL]="https://infoqubeim.com/drupal5/?q=node/" & [IQDocNID] | E:[URL]=

  3. Create a new grid IQDoc (will automatically use the field IQDoc)
  4. In Tools > Options > This File > Data storage
    1. Enable Remote database one-way Sync
    2. Set the auto-sync delay (in minutes, 0=manual only)
    3. In Sync Config file, browse to select the config file. The one provided is SQLSyncIQDoc.xml (located in AppFiles folder)
    4. If syncing with more than one remote database, leave this blank and put all config files (named SQLSync*.xml) in the same folder as the IQBase. InfoQube will ask you which ones to sync.
When using sync, the following applies:
  1. Sync main field is IQDocNID.
  2. If an item exists with book page node id, it is used else an item is created
  3. The fields Item and HTML are updated with the doc content
  4. There are a few Regexp substitutions made, as defined in the SQLSyncIQDoc.xml file
    1. Relative paths are converted to absolute ones
    2. Internal links (node:nodeid enclosed by [ ]) are converted to URLs and to an IQBase internal link (IQDocNID=nodeid)
  5. You can add any other field values / tags and these will not change after a sync
  6. New doc items will appear under the correct parent item. It's positional order may not match the web site though
  7. The last line of the sync config file gives the date of the last sync (in ICal format). Only changes more recent than this date will sync. To re-sync with the whole user manual, remove that date:
    i.e. change <LastUpdate>20181120T011501</LastUpdate> to <LastUpdate></LastUpdate> and save the file.

The Online User Manual is nice, but having an updated copy right inside InfoQube is so much nicer to navigate, read, search, filter, etc.


8. All Menu Commands

All Menu Commands

Click here to view online page with discussion and ability to update


1. File Menu

File Menu

  • New: Pop-up menu to creates a new IQBase from a template. Menu list all templates files, such as:
    • New Blank IQBase
    • New IQBase (with sample data)
    • Looks up in the current folder and in the AppFiles folder
  • Open: Shows the File Open dialog. If a file is currently loaded, the selected file will open in a new InfoQube window
  • Close
  • Save as...: Save the current IQBase under a different name
  • Import from:
    • Text File(s)
    • Non-hierarchical data: Details: Delimited Text files (Excel, Access, Outlook, etc.)
    • Hierarchical data: Details: Tree-based / Outliner files Import
    • Ecco Pro file: Ecco Pro must be installed to successfully import items. Details: Ecco Pro Import
    • Evernote export file: See Evernote Import
  • Export to
    • Microsoft Excel: Export all items that meet the grid filter criteria to an Excel file.
      Same list as when the display mode is flat list Grid > Display mode > Source Items (Flat List)
    • Items in XML Format: Not yet implemented. Copy items in a grid in XML format and paste into Notepad
  • Page Setup...: Shows the standard Windows Print Setup dialog
  • Print Preview: Shows a dialog of print types and options, specific to each view (Grids, Gantt, Calendar, Surface, etc)
  • Work Offline: Turns off Internet related features (EmailToIQ, Google Connect, Web pages in HTML pane)
  • Properties: Lists the number of items, fields, values, etc
  • Welcome to InfoQube: System provided file with sample data and the full online manual.
    Now with "See Also" links to related subjects
  • Recent file list:
    • Shows the list of recent files, with the current one checked
    • If a file is not available (USB or network drive, different PC, etc), the file entry will be shown disabled
    • The maximum number of entries is set in Tools > Options > General
    • Selecting a file entry will switch to that file if it is already opened
    • Right-click > Remove to remove entries from this list
  • Exit


2. Edit Menu

Edit Menu

  • Undo
  • Redo
  • Cut
  • Copy: Split button with the following sub-commands
    • Copy as HTML Outline: Copies the selected item and all its sub-items + Doc pane content as a Heading styles-based compound document. Details here: 2. Export Outlines (Print-ready)
    • Copy as Hyperlink: Copies the current item in the form of a hyperlink. Paste elsewhere to link back to this item
    • Copy Item IDs: Puts the list of selected items in the clipboard (plain text, comma separated). Useful for filtering and linking
    • Copy Item URIs: Puts the list of selected items in the clipboard as a URI link. (IQ:// protocol).
      See InfoQube Program Install and Set-up and Hyperlinks on setting up and using URI universal links
    • Copy Special...: Shows a dialog of copy options
  • Paste: Split button with the following sub-commands:
    • Paste as Plain Text
    • Paste Special...: Shows the list of clipboard formats to paste
  • New Item...: Details: 2. New Item dialog
  • Edit Item...: Opens the Item Editor. See 5. Item Editor
  • Delete Item: Removes the selected items from the IQBase. Warning, cannot be undone !
  • Edit (F2) and Popup Editor (Shift+F2): Details: 3. Popup Editor
  • Select All
  • Toggle Case
  • Renumber items... Shows a dialog to renumber cell values:

    To use, select 2 or more cells (text or number), Edit > Renumber and set options.
    The cell content will be replaced with the numbering, so do not do this command on the Item column ! Edit > Undo to cancel operation
  • Re-Calculate: If the field has a row equation, it will recalculate
  • Touch: Simulates modifying a field value and so it will execute field auto-assignments if any are defined
    If the field-value is empty (or unchecked), will trigger the Erase event (E:), else the Modify event (M:) will be triggered. Supports multiple items selected. The same can be done in the Properties pane
  • Search: Opens the Live-Search tab. Details: 1. Live-Search. Split button with the following sub-commands:
    • Advanced Search: Opens a floating pane to search: Details: 3. Advanced Search Pane
    • Search and Replace: Not yet implemented
    • The Omnibox can also be used to search. Details: 1. Omnibox


3. View Menu

View Menu

  • Refresh: Most views refresh automatically. Some don't (by-design). A Refresh ensures that the view shows the most updated information
Views: InfoQube items can be viewed using a set of different UIs, each with a distinct visual appearance / layout. These are:
  • Home Page: A customizable dashboard. Details: 8. Home Pages
  • Calendar: Details: 2. IQ Calendar
  • Surface: 2-D view of items. Details: 3. IQ Surface
  • Grids: Displays Grid related commands. Sub-menu can be detached and docked to anywhere
    • New Grid...: Show the Create Grid dialog
    • Manage Grids...: Details: 6. Manage Grids Dialog
    • Recent Grid: Dropdown menu divided into 2 sections: Loaded grids and other grids, each sorted by last access
    • List of Grids: Displays the list of grids that have Show checked (Manage Grids dialog)
    • Both grid lists have a context menu. Right-click to show these commands:

      Unload the data is particularly useful for grids shown in panes and "dashboard" type grids
  • Item Editors: Displays list of Item Editors commands:
    • Edit Selected Item
    • Floating Editors: Toggle between floating (i.e. "always on top") windows or regular windows. Regular windows are shown on the Windows taskbar
    • List of recently edited items. Currently loaded items are shown on top of the list and in bold text
Grid sub-views: Specialized views of a grid. There are 4 sub-views:
  • TimeLine: Similar to the Gantt chart, but more compact
  • Pivot Table and Pivot Chart: Details: Pivot Tables and Charts
  • Map View: Details: Map View
  • Card View: Experimental view, where each item is shown as an index card, with the item text as subject and Doc pane content as card content
Panes:
  • Properties: Details: 6. Properties Pane
  • Tags: Details: 7. Tags Pane
  • Document: Split button. Moves focus to the Doc pane (opens it if it isn't open). Details: 4. Document Pane
    • New Document Pane: Opens a new document window
    • Close all Doc Panes
  • More Info: Details: 5. More Info Pane
  • Advanced Search: Details: 3. Advanced Search Pane
  • Go to Pane:
    • Grid <---> Document pane: Toggles focus between grid and the Document pane
    • Grid <---> Properties pane: Toggles focus between grid and the Properties pane
    • ---> Grid: Moves focus to the grid
Other:
  • Favorite Items: Details: Favorite Items
  • History: Navigation history
    • Back (Ctrl + Shift + Left Arrow)
    • Forward (Ctrl + Shift + Right Arrow)
    • Auto-log History: When checked, similar to how a browser records history. If unchecked, user manually sets the history points
    • Item-View in History: When auto-log is off, adds / removes items in the history list
    • Loop History (enabled when auto-log is off)
    • Delete History
    • List of History items. Right-click to show:
      • Pin item in History: Pinned items are not deleted when Delete History is performed
      • Remove item from History
  • Zoom: In / Out / Reset. Exact action is specific to each view
  • Layout:
    • Workspace Tabs: Change the position of workspace tabs from Top > Top (Fit All) > Right > Bottom > Bottom (Fit All) > Left. Details: Working with Grids and Tabs
    • Maximize Workspace: Maximizes the Tabbed workspace by hiding all panes.
    • Floating Pane: When in a pane, toggles between docked and floating
    • Load...: Load a previously saved pane layout (*.Dock.dat)
    • Save...: Save pane layout. (*.Dock.dat). Saves the current layout of panes (Properties, HTML, grid, notification, etc)
    • Reload Last Tab Layout: If the file is opened without auto-loading tabs, or if tabs are closed, this restores the last saved layout
  • Image viewer: A built-in image viewer, which rotates to show constant size (portrait vs landscape). Double-click on the image to lock the viewer on a picture. Multiple viewers can be opened.
  • Tooltips: Toggles the display of tooltips in grids and the Properties pane. If turned off, hold Ctrl to show tooltips. Command button tooltips are always shown
  • Status Bar: Toggles the display of the status bar, the bottom line of the main program. Details: 4. Status Bar


4. Grid Menu

Grid Menu

  • Display Mode...: See 1. Grid Display Modes
  • Context Parents: Select the number of context parent levels to display
  • Outline Styles: See 3. Outline Styles
    • Manage Styles...
    • Override Item Settings
    • List of defined Outline styles
  • Sort: Sort settings. See 3. Sorting and Grouping Items
  • Filtering: See 2. Filtering
    • Column Filter
    • Alpha-numeric Filter
    • Date Filter
    • Hoist Items. See Hoist Filter
  • Gantt Chart: Show / Hide the Gantt portion of the grid. See 5. Gantt Menu
  • Pictures: Toggles the display of images in the grid. When turned off, the image file name is shown. To view the image, use the Image Viewer. See: 7. Image Viewer
  • Source Bar: Show / hide the grid source bar. Details: Grid Source EditBox
  • Done Checkbox: Show / hides a checkbox on the tree column. Check to set the item as done
  • Auto-Search: Toggles Auto-Search mode. See: 2. Grid Auto-Search
  • Save: Saves the current grid configuration. Optional as closing the grid automatically saves it. Sometimes useful, such as updating the Shown In column of Live-Search
  • Save as...: Save a copy of the grid under a different name. Having 2 nearly identical grids is useful to have 2 views with different column sets or different sorting / grouping / filtering
  • Go To: Navigates in the grid:
    • First item
    • Previous page
    • Previous item
    • Next item
    • Next page
    • Last item
    • New item: Adds an item after the current item. Same as pressing Enter
  • External Link (ODC file): See 7. Live Links to IQ Grids from Word and Excel
  • Grid Properties...: Opens the Manage Grids dialog, showing the current grid properties. Details: 6. Manage Grids Dialog


5. Gantt Menu

Gantt Menu

  • Overview: Show / hide the Overview. The Overview is a re-sizable summary area on top of the Gantt. Provides quick scrolling. Buttons may also display as preset Gantt scales
  • Histogram: Show / hide the Histogram. The Histogram is a pane below the Gantt. Provides resource usage type information, in bar graph form
  • Non-Working Days: Toggles the display of days marked as non-working. Non-working days are shown in grey
  • Critical Path: After defining task dependencies, this command will highlight (in red) the tasks which determine the project completion. To finish earlier, focus on those tasks
    • Refresh Critical Path: After making changes, it will update the display to show the new critical path
    • Optimize Schedule: Compress the tasks (within the constraints of task links and delays) to find the earliest completion
      • Also, if Can Move Started Tasks is not checked, tasks that have a non-zero % complete will not be moved
    • Save Schedule: The Optimize Schedule doesn't actually change the task dates. Use this command to save the optimized schedule as the current baseline, or turn off the Critical Path to return to the current baseline
  • Task Links: Used to define constraints between tasks
    • Link Properties...: When a link is selected, displays the Link Properties dialog, to set link type (FS, SS, SF, FF) and lag between task
    • Link Type: None: Links are visual only. Tasks dependencies are off
    • Link Type: Use Task Dependencies: Links properties (FS, FF, etc) are enforced
    • Link Type: Locked Relationship: All linked bars move as a block. Useful to move a whole project
  • Is a Summary Task: Toggles the state. A summary task start / end dates is set from the earliest start and latest end of all sub-tasks (i.e. sub-items). Select a bar / milestone to enable command
  • Save Selected Tasks: Saves the start / end dates of the selected tasks. This is generally automatic, except
  • Can Move Started Tasks: If checked, prevents moving tasks that % Complete is not zero
  • Day is Non-working: When selecting a day (day header), toggles the Non-Working state. When task span non-working days, the end date is adjusted to maintain the same number of working days
  • Scroll to Today: Moves the Gantt to center on today
  • Auto-Scroll: Select from No Scroll, Scroll to view the bar start or end
  • Zoom: Move slider to change the Gantt scale
  • Gantt Properties: Opens the Manage Grids dialog, showing the current Gantt properties
n.b. The advanced toolbar has a Gantt button with the same set of commands. Both the Gantt menu and Gantt button are customizable.


6. Column Menu

Column Menu

  • Details here: 4. Grid Columns and Column Sets


7. Calendar Menu

Calendar Menu

  • New Event...: Shows the New Event dialog
  • New Event uses: Shows a list of date fields. New events will use this date field. Default field is Appointments
  • Edit Event...: Shows the Event dialog
  • Delete Event: Shows a dialog of delete options (event, event and date-value, item)
All details on how to use the Calendar: 2. IQ Calendar


8. Surface Menu

Surface Menu

Main documentation page: 3. IQ Surface
  • Background Color: Surface background color
  • Move Linked Items: If checked, linked items move as a group
  • Hide Linked Items on Collapse: Sub-items always hide when collapsing items. This controls if linked items also collapse
Item
  • Auto-Size: If unchecked, item can be resized
  • Padding: When Auto-Size is On, sets the padding around the text
  • Text Alignment: Select from a list
  • Text Fore Color: Uses the ItemForeColor field
  • Back Color: Uses the ItemColor field
  • Border Color: Item box border color. Internal to the Surface (not available as field)
Link
  • Link Tasks...: Select 2 or more items to link them. If only one is selected, a dialog will list of possible items to link to
  • Delete Link
  • Link Line Type: Select from a list
  • Link Shape: Select from a list
  • Link Color
  • Link Text: Extra label that can be shown on link
  • Show Hidden Items: When deleting items, you can choose to not delete but simply hide from the Surface. This command shows hidden items
    The difference between removing an item and hiding is that hidden items retain their Surface specific properties (size, border color, link type, etc)


9. Item Menu

Item Menu

  • Insert:
    • New Item: Inserts an item at the same indentation level as the current item
    • New Sibling: Same as New Item, except when the item has more than one parent. New Sibling will have the same parents as the current item
    • New Sub-item
    • Current Date
    • Current Date and Time (using the Windows regional setting)
    • Long Date Format: Toggles the format of the above 2 commands, between short and long date formats
    • Insert Tab: Only visible when editing
  • Move: Moves items up / down and left / right. (Alt + arrow). Up / down does not change the indentation level. To move an item to another parent, either move it left or use drag-drop
  • Select Item: Split button to select the current item. Sub-commands to:
    • Unselect all
    • Invert Selection
    • Select Sub-Items: Selects the immediate sub-items. Hold Ctrl to keep current selection. On the Surface, Hold shift to also select linked items (i.e. detached items)
  • Split Item, Join Items: See Item Join and Split
  • Sub-Items:
    • Collapse (Ctrl + Left arrow)
    • Collapse Parent
    • Expand (Ctrl + Right arrow)
    • Show Main Sub-Items: Sub-Items whose main parent is not this item will not be shown. Useful in multi-parent scenarios. Shortcut: Shift + Click on the expand button (+)
    • Show All Sub-Items: Filters may filter out some sub-items. This command shows all sub-items (i.e. same list as shown in the Properties pane). Shortcut: Ctrl + Click on the expand button (+)
    • Show Levels...: Shows a dockable pane to expand / collapse items:
    • Select Sub-Items
  • Font: Split button to open the standard Font dialog. Plus the following sub-commands:
    • Bold, Italic, Underline, Strike-through: Works when editing and not
    • Grow Font / Shrink Font: When not editing only
    • When editing, the font property is embedded HTML tags, shown in all views
    • When not editing, the font is saved in the Item Font property. Effective in grids only
  • Text Foreground Color, Background Color:
    • Dropdown to select from Named colors, Standard colors or the full color palette
    • When editing, the color is embedded HTML tags, shown in all views
    • When not editing, the color is saved by default in the ItemForeColor and ItemColor fields. How these are shown depends on the view type and view settings
    • In Tools > Options > This file, the fields used to store / show colors can be changed. Hence, by changing these, different color sets can be applied (for printing / reporting purposes for example)
  • Mark as Done (Ctrl + M): Marks selected item(s) as done. If already "done", removes the Done flag. By default, the "done" flag is a date in the Done field. This can be changed in Field Properties > General > Is Done Field
  • Favorite: Checked if item is a favorite item. See Favorite Items
  • Locked: Checked if item is locked. See Locked Items
  • Show in Calendar: Checked if an item is shown in the Calendar. An item is shown in the Calendar if any of its date field-values is set to show in the Calendar
    • If only 1 item is selected, the New Event dialog is shown
    • If more than 1 item is selected, the event created will be current date and time
    • If in a grid and dates are selected (i.e. not the item column, but any date column), then the actual dates in the grid will be used as event date and event type will be Unscheduled
    • See 2. IQ Calendar
  • Remove from Calendar: Removes events for the selected item(s).
    • If an item appears more than once (i.e. 2 or more field-values are set to show in the Calendar), all instances are removed.
    • The actual date values are not erased, so the item field-values are not changed
  • On the Surface: Toggles between showing / hiding the selected item(s) on the IQ Surface. See 3. IQ Surface
  • Show in Home View: See Item Home
  • Hyperlink... (Ctrl + K): Opens the Hyperlink dialog. See Hyperlinks
  • Remove Hyperlink
  • Index Linked File: Indexes the text content of compatible file types. Uses the FileRef fields or the URL field.
    Currently, the compatible types are PDF, RTF, HTM, plain text and web pages. This means that if you drag/drop a set of files / URL onto a grid, their text content will be searchable within IQ.
    Click on a hyperlink (in the Properties pane) to open the file in an appropriate viewer / editor:

  • Sort Ascending / Descending: Sorts items or sub-items (depending on the context). Currently, Undo is not possible after a sort
  • Mark Item (Replace) (Shift + Ctrl + M): Split button to set the Marked item list to the currently selected items: Plus the following sub-commands:
    • Tip: Add marked items as children support multiple items. That is, if you select two or more items, each of these will have the marked items as sub-items
  • Item Properties: Shows the item in the Properties pane and moves focus to that pane


10. Tools Menu

Tools Menu

  • Manage Grids...: See 6. Manage Grids Dialog
  • Manage Fields...: See Field Management Dialog
  • Manage Forms...: See 4. Forms
  • Manage Database:
    • Backup
    • Compact: Also does a database engine-level repair
    • Other...: Shows the Database Tools dialog where you can:
      • Repair an IQ Base: Does an IQ-level database repair (Fields, Views, Item hierarchy, etc)
      • Rebuild: Currently disabled
      • Mask Data: Scrambles all text field values. Useful to send it over to InfoQube's staff for analysis and bug repair. Ensure you make a copy of the IQ Base first !
      • System Tables: Show / hides system table when viewed in a compatible general database environment, such as MS Access
    • Set Password: Shows the File Password dialog. This password will be required to open the file, both in InfoQube and in other compatible database environments
    • Encrypt / Decrypt: The content inside the IQ Base can be encrypted so Hex/Text editors cannot read it. Combined with a File Password, this provides content security
    • Recalculate all date dependent fields: Does the same recalculation as when InfoQube detects a change of day
    • Sync with external database: See 3. Synchronization with Remote Databases
    • Delete All Items
    • Delete All: Deletes all items, fields, grids, forms, etc
  • Visual Basic Editor: See 6. Visual Basic Editor
  • Google Connect: See 2. Synchronization with Google Services
  • Internet Search using...: Shows a list of 4 user-defined search engines to send a search string to. List defined in Tools > Options
  • Keyboard Shortcuts:
    • View All Shortcuts: Opens Notepad with the list of all shortcuts
    • Customize: Opens the Customize dialog. See Keyboard Shortcuts
    • View Custom Shortcuts: Opens Notepad with the list of user-defined shortcuts
    • Load Custom Shortcuts: Loads a list of user-defined shortcuts. Typically, this file was generated with View Custom Shortcuts
    • Delete All Custom Shortcuts: Returns the shortcuts to the IQ supplied list. Same as Customize > Keyboard > Reset All
  • Check EmailToIQ Now: Shows a dialog to retrieve EmailToIQ message. Option to retrieve just new emails or emails from previous days. See 2. Send To InfoQube using EmailToIQ
  • On-screen keyboard: Useful on a tablet with no physical keyboard attached
  • Dial...: Shows the Phone dialer dialog. See 8. Phone Dialer
  • Send Emails...: Shows a dialog to send email to selected items. First select one or more items with email address defined. Option to send a single email or individual ones (better spam filter protection)
  • Help:
    • User Manual (local): Opens the InfoQube.chm file, stored in the AppData folder
    • User Manual (online):
  • Options...: Sets all program options and options specific to the current IQ Base. See 11. Program Settings and options


Document Pane Menus

Document Pane Menus

The Document (or Doc) pane has a separate (and distinct) menu system, with its own commands, toolbars and keyboard shortcuts. Customization is similar to the main InfoQube's menu. Right-click on a menu and select Customize


1. File Menu

File Menu

  • New: Clears the current document. Split button with the following sub-commands:
    • New HTML Document (stored in the IQBase itself)
    • New, from a Template: Select any html type file to copy it to the HTML pane.
      Combined with checkboxes linked to field, the HTML pane can be used as a data-based customized data entry form
    • New HTML File: File named ItemIDXXX.htm will be created (based on the default). Any change is automatically saved to this file
    • New MHT File: File named ItemIDXXX.mht will be created (based on the default). InfoQube cannot edit MHT files directly, but supports external MHT editors. See Using MHT Documents
    • New MarkDown File: File named ItemIDXXX.md will be created. See Using Markdown documents
    • New Ink File: File named ItemIDXXX.slink will be created. Ink documents are used for hand written notes (using an active pen / stylus) and a collaborative whiteboard. See Using Ink Documents (handwriting)
    • New SVG File: File named ItemIDXXX.svg will be created. SVG documents are drawings. An drawing program supporting the SVG format is required. Inkscape is a good option
  • Open: Dropdown menu with the following commands:
    • Open File: Select the local file to display in the pane. Any change in the pane will be saved to this file
    • Open Folder: Select the folder to display in the pane
    • Open Web Page: HTML pane will show a live web page
  • Save: For MHT, SVG and Ink documents, Save will compute the document height and save it in the field ItemHTMLHeight (used in HTML Export)
  • Save As...
  • Save as default...: Defines the new html document content
  • Re-Index PDF file: Whenever the PDF file is changed, this command will read it and update its index. Items created before v109 are not indexed, so use this command to index the content
  • Revert: Reverts the content to the last time it was saved
  • Use as Home Page: Toggles the use of this html document as a Home Page. See 8. Home Pages
  • Navigate:

    • In Browse mode, navigates forwards and backwards. When in Folder view, shows the parent folder
    • Change the current grid focused item (previous, next). HTML pane will update
    • Add item / sub-item in the current grid
    • Change the current item text
    • Erase the current item
  • Open in browser
  • Page Setup...
  • Print Preview
  • Close: Closes the HTML pane


2. Edit Menu

Edit Menu

  • Undo / Redo
  • Cut / Copy
  • Paste: Will "smart" paste using the same clipboard format as the previous paste, provided it is available. Use Paste Special to ensure a specific format is used
  • Paste Special: Shows a dialog of all clipboard formats currently in the clipboard. Select the format to use
  • Select All
  • Find: Shows the Find dialog. Option to Highlight matches:

  • Replace: Shows the Replace toolbar:

    • Enter find text
    • Press the < and > button to move back and forward in the match list
    • Enter the replace text
    • Click Replace. Next match is automatically selected
  • Enclose Text with ...: Enclose the selected text with a tag or other code. Adds matching end tag
  • Cleanup HTML Tags: Cleans up HTML tags and removes embedded style attributes. The list of tags to clean up is defined in the Options.ini file (HTMLCleanUpTags entry). By default the list is: div, h1, h2, h3, h4, h5, h6, li, ol, p, span, table, td, th, tr, ul
  • Fix UTF-8 Encoding: Debug tool
  • Use DIV / Use Paragraph: Changes all DIV tags to P tags and vice versa. DIV tags provides a more compact layout than P tags
    Bullet spacing is also modified
  • Remove Outer Element: Useful to clean up the HTML code. It removes extra SPAN, P and DIV elements that encloses the current selection
  • Delete database copy: For all file-based document types (MHT, HTML files, MD, etc), a local copy is saved in the database (in case the actual file is not available). This erases this local copy
    (a local copy is only saved if Tools > Options > This file > Data storage > Save a copy of the HTML... is checked)


3. View Menu

View Menu

  • Refresh: When in Browse mode, refreshes the page
  • Browse Mode: Toggles between edit and browse mode. In Browse mode, the HTML pane functions as a browser. F2 and Ctrl + M shortcuts toggle between Edit and Browse modes
    For read-only document types (MHT, Ink, Web), Browse mode is locked. Double-click on the document to open the external editor
  • HTML Code: Shows the HTML code view. Can be used to edit the raw HTML code
  • Details: Toggles the display of some HTML codes (P, DIV, Span). Showing these code can ease editing and cleanup. N/A in IE11 mode
  • Borders: Toggles the display of borders around images and table cells. N/A in IE11 mode
  • Zoom In / Out / Reset. Changes the Document Zoom. There are 2 of zoom settings. Both are shown on the status bar:
    • Document Zoom: Specific value saved for each document. Applies to all view modes (edit, browse, print preview)
      These command control this zoom setting
    • View Zoom: Set using Ctrl + Mouse wheel or using pinch zoom (touch pad and touch screen). Applies only to edit mode
      (Browse mode also supports View Zoom, but it gets resets to 100% whenever it is refreshed or a new item is shown)
  • Main Toolbar: For conciseness, the menu bar is actually a button on the main toolbar. As this toolbar can be hidden, use this command (using the context menu) to show it again
  • Lock Item: Toggles the lock state for this item. If locked, the pane will keep showing this item, even if the focus item (in the grid) is changed.
    (hint: you can open multiple HTML panes and have some locked on specific items, while others update to show the focused item)


4. Format Menu

Format Menu

  • Format: Shows the Format dialog:

    It is a Split button with the following sub-commands:
    • Style
    • Font
    • Font size
  • Bold, Italic, Underline, Strike-through, Highlight Text
  • Alignment: Left / Center / Right
  • Indent / Unindent text
  • Numbered and Bullet Lists
  • Text and Background Color: Select from the list
  • Superscript / Subscript
  • Position: For images:
    • Floating: When floating, images can be placed anywhere on the page
    • Lock Position: When locked, images can no longer be moved
    • Snap to Grid: For floating images, will align on a 10 px grid


5. Insert Menu

Insert Menu

  • Image: Shows the Insert Picture dialog:
  • Current Date / Current Date and Time
  • Hyperlink: Shows the Hyperlink dialog. See Hyperlinks
  • Remove Hyperlink
  • Insert Table
  • Horizontal Line
  • Checkbox. Shows the Insert Checkbox dialog:

    When linked to a field (Y/N type), any change in the HTML pane will update the field and vice versa
  • HTML Code


6. Table Menu

Click here to view online page with discussion and ability to update


Workspace Tab Context Menu

Workspace Tab Context Menu

  • Tab Color: Select the Tab color. Shown for tabs showing grids. Supports named colors. See Item Formatting
  • Close Tabs commands
  • Show in a New Tab: Opens a second copy of the current tab
  • Detach Tab: Views can be detached and shown as panes in the main UI. Once detached, panes can be docked, stacked, pinned and hidden
  • Copy / Paste View: Use these commands to:
    1. Add a view to an existing tab. View will be shown as a pane, which can be docked, stacked, pinned and hidden inside the tab. See "Using Dashboards"
    2. Paste the grid format (Font, Line style, Colors)
  • Calendar, Grids, Recent Grid
  • Manage Grids dialog
  • Tab Groups commands: Splits the main UI into 2 or more tab groups, either horizontally or vertically
Hints: The Workspace Tab context menu is also displayed for pane headers and in grids, on the blank area below the items


Customizing Menus and Toolbars

Customizing Menus and Toolbars

All menus and toolbars can be customized. This can be done in a number of ways.
(the menu system is a clone of what was used for Microsoft Office 2003, so the same tips and tricks apply)
There are two distinct menu / toolbar sets. One for the main InfoQube window, one for the HTML pane. Commands cannot be move from one to the other.

1. Moving Menus and Toolbar

All menus and toolbar can be moved and un-docked (i.e. floating).
To move a menu / toolbar, move the mouse to the left side of it, the cursor will change ( 4 arrows ). Click and drag to move it or undock it. Once undocked, you can dock it to any of the 4 sides of the IQ main window

2. Show / Hide Toolbars

To show / hide a toolbar, right-click on any menu / toolbar to show the list of toolbars. Select which ones you want to have visible:

3. Add, Remove, Move Commands from Menus and Toolbars

Right-click on a menu / toolbar and select Customize. The Customize dialog will open:
In Customize mode, it is easy to make changes to menus and toolbars:
  • Click on any command button and move it to another location on the same menu / toolbar or to another one
  • Move any command button just slightly to the right (or down) to add a separator bar
  • Drag a command to an empty space to remove it from the menu / toolbar
  • To create a copy of the command, hold the Ctrl key while moving. This is often the easiest way to add commands to toolbars
  • Text entry commands (such as the Omnibox) can be resized. Click the command, a black box will be shown around it. Press Ctrl and click on the right side to resize it
  • Press the Escape key to cancel the drag-drop operation (while still pressing the left mouse button)
  • Select any command from the Commands tab and drag it to a toolbar / menu (see below)

3.1 Toolbars tab

In the Toolbars tab, you can:
  1. Show / hide toolbars
  2. Reset a toolbar: If you've modified a toolbar, this will reset it to the default one. This is sometimes required when new features are added
  3. Create a new empty toolbar. As the standard toolbars may be changed with every new release, it is sometimes useful to create your own.

3.2 Commands tab

Holding the Ctrl key while moving a command is an easy way to create a new command button.
Another way is using the Commands tab. It lists all (actually nearly all) commands, by category:
Drag-drop any command to a menu / toolbar to add it.

3.3 Modifying an existing command

Right-click on any existing command button will show a context menu to allow changes to be made:

4. Keyboard Shortcuts

Nearly all commands can be assigned a keyboard shortcut. See Keyboard Shortcuts for details
Click on the Keyboard tab to manage shortcuts:
Notes:
  • If a shortcut is not working, most likely the same shortcut was assigned to something else. Use View All Shortcuts to find what it is assigned to.
  • There are 2 menu systems in IQ. The main one and the one for the HTML editing pane. Each are customized separately.
  • Some commands don't show in this dialog (split buttons for example). To assign a shortcut to these, right-click directly on the button and enter the shortcut there. Use Shift+Ctrl+C for example:

5. Options tab

Click here to view online page with discussion and ability to update


Keyboard Shortcuts

Using and Managing Keyboard Shortcuts

Nearly all commands can be assigned a keyboard shortcut.
Use Tools > Keyboard Shortcuts... to manage shortcuts:
  1. View All Shortcuts: Creates a file All.Shortcuts.tab containing all shortcuts (System + User). Opens it in Notepad
  2. Customize: Show the Customize Dialog. See below
  3. View Custom Shortcuts: Creates a file User.Shortcuts.tab containing user shortcuts. Opens it in Notepad
  4. Load Custom Shortcuts: Prompts for a Custom Shortcuts file
  5. Delete All Custom Shortcuts

Customizing Shortcuts

To enter Customize mode, show the Customize Dialog:
(Tools > Keyboard Shortcuts > Customize or right-click on a toolbar > Customize)
Notes:
  • If a shortcut is not working, most likely the same shortcut was assigned to something else. Use View All Shortcuts to find what it is assigned to.
  • There are 2 menu systems in IQ. The main one and the one for the HTML editing pane. Each are customized separately.
  • Some commands don't show in this dialog (split buttons for example). To assign a shortcut to these, enter Customize mode and right-click directly on the button and enter the shortcut there. Use Shift+Ctrl+C for example:
  • The process is very similar to MS Office (pre-ribbon versions, such as XP, 2003).
  • To quit the Customize mode, close the Customize dialog


Grid/Items keyboard shortcuts

Grid/Items Keyboard Shortcuts

Operation

Shortcut(s)

Comments

Reference
Open a Grid Ctrl+Shift+O Shows list of Grids, type in first letter of grid -
repeatedly if necessary - to find grid
Select an item (fully, with all columns/fields)
left click on
# field
Select/deselect items (fully, with all columns/fields)
Ctrl + left click on
# field
Select/Deselect multiple items at once
Shift+left click on field/column
1- Shift+left click on one field AND
2- Shift+left click on the another fiel
(use the # column to select/deslect full items)
Select/Deselect fields/columns | Ctrl-Right click on column header | (very useful when exporting certain items + fields to HTML format)

Expand/collapse items under a selected parent

Ctrl + (Expand) Ctrl - (Collapse)

Expand/collapse items under a selected parent to level n | Ctrl+n | n=1 to 9. Expands only the current branch to level n. 0 to expand all
Expand/collapse all items to level n Ctrl+Shift+n n=1 to 9. Expands the whole grid to level n. 0 to expand all.
Windows may use Ctrl+Shift+0 to switch language. If so, this shortcut will not work. See this link on how to change this:
https://groups.google.com/forum/#!topic/leo-editor/XqAQ48gE40Y

New item

Ins (Insert key)

(top level, start of grid)

New item (same level, under current item)

Enter

When item field has focus or when item is selected (in other fields Enter acts as F2 - toggles edit state of field)

New sub-item (below current item

Ctrl+Enter

When item field has focus or when item is selected

New sub-item (above current item)

Alt + Enter

Edit / toggle edit states

F2

Enter also works in fields other than the Item Field

When editing: Move left and right by word

Ctrl + arrows

Move items up or down

Alt + up/down arrow

Move items "up" or "down" the Hierarchy

Alt + left/right arrow

e.g. select item, ALT + Right Arrow key will make it a sub-item of the item above it in the grid

Erase Item / remove from grid

Ctrl + E

Delete (see comments *)

If the grid context allows to only "remove" the item(s) from the current Grid view (i.e., the item's field corresponding to the Grid's source will be erased) easily and without compromising user data, a second option is offered. Otherwise, it's only possible to permanently delete the item(s) from the database.

* Delete will only work as CTRL + E if the full item is selected. Otherwise, it will delete the currently selected field's content

Delete field's content

Delete

Focus has to be on the field(s) to be deleted (possible to select multiple fields with ctrl+click, shift-up/down arrows, etc. if the "multiple columns" selection mode is on).

Important : if "full item" selection mode is on), delete will work as CTRL+E (erase item)
Split item Shift+Ctrl+S

Split an item into 2 (at the current cursor point), which is the same as in Ecco

Join items

Shift+Ctrl+J

It prompts you for a delimiter to add when joining the item's text. Use "CR" to get line feeds.

It joins the item text, but does not delete the merged items, so to not lose valuable field values, if present. If desired, simply delete them.

Popup multi line editor

Shift + F2

Toggle case of text

Shift + F3

Will cycle through Caps possibilities (4 states):
The brown cat > The Brown Cat > THE BROWN CAT > the brown cat

Mark as done

Ctrl + M

Switch grids with assigned Alt key + # (1 through 9) | Alt + 1...9 | After assigning grid a shortcut per 6. Manage Grids Dialog you may switch to this grid with the assigned Alt+# key | 6. Manage Grids Dialog #36


HTML Pane keyboard shortcuts

HTML Pane Keyboard Shortcuts
Shortcut | Comments

File
Open | Ctrl+O
Save | Ctrl+S
Print preview | Ctrl+P
Navigating in the grid | F7, F8 | Previous item, Next item
Edit item name | F2 | Hit enter to save. Grid will update
Erase item | Ctrl+E | Same shortcut as in the grid.

Edit
Undo | Ctrl+Z
Redo | Ctrl+Y
Cut | Ctrl+X
Copy | Ctrl+C
Select All | Ctrl+A
Find | Ctrl+F
Replace | Ctrl+H
Open in MS Word | Ctrl+W | Edit (MHT) in MS Word or other word processor. You may have to add path to the word processor .exe file under "Menu>Tools>Otions>Other>MS Word path"
Open in [Blocknote] | Ctrl+Shift+W | Edit (MHT) in Blocknote - a free WYSIWYG MHT editor. You may have to add path to the word processor .exe file under "Menu>Tools>Otions>Other>MS Word path"

Format
Bold | Ctrl+B
Italic | Ctrl+I
Underline | Ctrl+U
Indent | Alt+Right Arrow
Unindent | Alt + Left Arrow

Insert
Hyperlink | Ctrl+K

Other
Indent Tab
in HTML pane, tab indents, and shift-tab unindents.
This works for regular text, numbered items and bulleted items.
Unindent | Shift+tab
F6 | F6 | Open the HTML pane. Keeps the pane on autohide
Shift+F6 | Shift+F6 | Open the HTML pane. Does not keep the pane on autohide. You need to press Shift+F6 again to close it.


Properties pane keyboard shortcuts

 | Shortcut | Shortcut | Comments
Move to left / right column | Shift-tab |  | Useful when one needs to quickly move back to the left column to use the “search as you type” functionality
Expand properties pane section / move to right column | Right-arrow |  | The shortcut works differently depending on the cursor position in the properties pane
Collapse properties pane section / End field editing / move to left column | Left-arrow |  | Shortcut works differently depending on the cursor position in the properties pane
“Search as you type” | Any key while in left column |  | If in left column, typing a field name will find that field in the properties pane
Grid / properties pane : toggle focus | F4 |  | Will also show the properties pane if it’s hidden
Show / hide properties pane | Shift-F4 |  |
Edit field/ End editing | F2 |  |


9. FAQ

InfoQube FAQ

  1. What is the Alpha-numeric toolbar ?
    • The Alpha toolbar is a special toolbar. Especially useful for phone books, it can quickly filter the list based on simple 1 or more characters. In addition to the alphanumeric buttons, one can choose the field to apply the filter.
  2. What are the minimum suggested system requirements for InfoQube?
    • Any computer capable of running Windows XP and up
  3. Should I put everything in a single database
    • While you can have as many databases as you wish, for maximum search/filtering/linking possibilities, a single database is the recommended choice. Create fields (i.e. folders) to categorize your information. For users that want/need to share with co-workers, a database for work and one for home is another option.
  4. I'm impressed by InfoQube, but would like to have a rough idea of eventual cost before I commit to making it part of my regular toolset, or start evangelizing it to friends/colleagues.
    • See IQ Licensing for information on licensing.
  5. Can more than one user use the same file at the same time?
    • Yes, it is based on a database. So you can have numerous simultaneous users. No problem. Currently, users need to refresh to see changes made by other users.
  6. Is InfoQube a Portable app ?
    • Yes it is! Windows XP and up users can use it as a portable app. Absolutely no installation and no admin right required! Installation is required when used in Windows emulation (Linux, Mac OS)
  7. What is the difference between a form and a grid? Both of them seem to be just a set of fields ?
    • Field can be displayed in a grid and/or in a form. In a grid, fields are displayed as columns. For forms, they are shown as lines. The grid has the advantage of showing values for all displayed items. Forms show the field values of the currently selected item only.
      You can have any number of columns in your grid but you may want to lock a few to ease right-left scrolling. Tip: Shift-mouse-wheel to scroll left-right.
      Since forms are displayed vertically, they are more compact. So fields that are less used can be put in forms. But remember one important thing. Wherever they are displayed (grid, form, elsewhere in the properties pane), field values can be added/modified and changes will be reflected where needed.
  8. How do you determine what grids an item will appear in? Sometimes I create an item and it magically appears in 2 grids; sometimes, it only appears in one grid. Sometimes it seems to disappear from a grid where it previously appeared.
    • InfoQube separates actual information, from the display of this information (unlike Word or Excel where they are locked together)
      As you enter text, number, dates, etc, these are entered in the database. You choose which of those items are displayed in the various grids. There are many ways and tools to help you display just the relevant information.
      These are: (1) Grid source (2) Grid filter (3) Alpha toolbar (4) DateFilter toolbar. These give you great flexibility in displaying the information.
  9. What is the "data source" of a grid (appears in the "manage grids" dialog) ?
    • The source defines what items are shown in the grid. This list may be later on filtered, so even less items are shown.
      One interesting metaphor is to view fields as folders. Folders can "contain" items. To put an item in a folder, you tick the folder check-box (when a yes/no type). Then, selecting that folder as a source, will display all items it "contains".
  10. Does the outline support subscripts and superscripts and does it include paragraph formatting?
    • The Popup editor supports it. The HTML pane also supports it
  11. How does one delete an outline item?
    • Ctrl + E or Edit > Erase Item. You'll be prompted on what to do with sub-items (delete also or keep)
  12. Is it possible to define a predefined style for each level of the outliner (style 1 for level 1, style 2 for level 2, ...)
    • Yes it is. See Outline Styles for details
  13. Is it possible to create quickly a note, without opening InfoQube ? For instance by using a shortcut (Like Win + N for OneNote), and then quickly edit a memo ?
    • If IQ is running, there are shortcuts for Add New Item (Win + N) and the Universal Clipper (Win + C). Both of these will do it.
      If IQ is not running, or if you're on a different PC, a mobile, a phone, you can use EmailToIQ to send content.
  14. Is it possible to easily capture webpages (like with Scrapbook or Webresearch) into InfoQube?
    • Yes it is. See details here
  15. Is it possible to show which items have content in the HTML pane ?
    • Yes you can. Drag the ItemHasHTML field to the grid. This will display a checkmark for items that have HTML content. You can of course filter on this field too.
  16. Is there is a 'tagging' system and how does it work?
    • Yes there is. See details here
  17. How would I export some of my data and re-import it back into another file?
    • To exchange items from one IQBase to another, select the items then Edit > Copy and select the XML format. To paste, open the other IQBase and do Edit > Paste. Currently, you need to first create missing fields.
  18. What type of data storage does InfoQube use?
    • InfoQube current database backend is based on JET 4.0. It's an open database format allowing for easy access of your information by other programs. Encryption and password protection are available to protect your valuable information if desired. It also allows for huge storage capabilities: 2 GB and millions of items and properties.
  19. Context toolbars
    • Context toolbars are toolbars shown when right-clicking on items, columns, etc. In InfoQube, these can be displayed, like any other toolbars and docked or made floating. They can be customized. This is something even MS Office does not let you do! See details here
  20. Grid columns: Adding / removing
    • Unlike a spreadsheet, columns can be added and removed without loosing any information. A column displays field values.
    • To add columns (i.e. display fields) in a grid, you can
      • 1- Grid --> Displayed columns
      • 2- Drag/drop fields from the properties pane to the grid. Columns will be added at the end of the grid.
    • To remove columns, right-click on the column header and select 'Hide Column'
  21. How can I assign a second parent to an item?
    • Item -> Mark item. Select parent, item -> Add Marked items as Children, or hold Ctrl when you move an item to the parent
  22. Show all sub-items: What does it do?
    • When items and some of its sub-items meet the view criteria (for example when viewing the list of items not done), the sub-items list is a sub-set of all the sub-items. This way, old sub-items are hidden and you can focus on the remaining ones. They are still shown in the properties pane. To see the hidden sub-items, click on 'Show all sub-items'.


11. Program Settings and options

Program Settings and options

Use Tools > Options to open the dialog
Hint: Sometimes the option is referred to by its number (i.e. 1.1.5), which is a column to the left of the option name. To see the option number, hover the mouse over the left edge of the dialog and click to resize it
Options are shown in a tree window. Most are self-explanatory. Shown here are those that require more information:
  1. Program Settings
    1. General
      1. Main Title bar caption: Customize the program caption with these tags: {program} {version} {build} {folder] {file} {CurrentView} {PID}
      2. Show main title bar when maximized
      3. Workspace Tabs
        1. Tab position: Select where Workspace tabs are shown (Top, Right, Bottom, Left). Top and Bottom can size tabs to fully show the caption, or resize to show all tabs.
          View > Layout > Tab Workspace command can be used to change tab position. See 3. View Menu
        2. Show icons on horizontal / vertical tabs
        3. Show item count on horizontal / vertical tabs
        4. Vertical tab width: For vertical tabs (left, right), sets the tab width. Enter 0 to auto-size the tab. Auto-sized tabs shown on the left side are right-aligned
        5. Vertical tab height: padding in px to make tabs easier to click / touch
        6. Dim tabs when another application has focus
      4. 2-D Context menus: more compact type of menus
      5. 2-D Grid list menu: more compact type of menus
      6. Number of recently opened files shown in the File menu
      7. Number of timers shown on the status bar: Timers can be started / stopped by a simple click. Useful to record time spent on tasks / projects
      8. UI language. Warning: UI language support is mostly broken. Most strings are shown in English, regardless of this setting
    2. Grids
      1. Grid font / size. Segoe UI is the recommended font
      2. Numerous color selections
      3. Semi-transparent Selector. A semi-transparent selector shows item text / background colors. However text is shown in grey which is not as easy to read
      4. Numerous Grid lines settings. Individual grids can override these settings
      5. Settings to highlight cells, row and column headers
      6. Auto-select item on row header: If checked, selecting cells in the # column selects all columns
      7. Show / hide a semi-transparent list of dragged items during drag-drop operations
      8. Tab key: When on the Tree column, Tab key moves the focus to the next column or indents / outdents selected items
      9. Single click starts edit: Selects when / where a click will switch to edit mode (vs navigation mode). Options are: Never, Selected Cell text and Any Cell Text
      10. Double-click action: Expand / Collapse item or Edit Cell
      11. Show dialog when loading grids that contain more than X items: Grids with thousands of items can take a while to load. A confirmation dialog will be shown when the number of items exceeds this value
      12. Maximum number of hidden sub-items to load in background: When the grid is set to load hidden sub-items in background, sets the maximum number to load
      13. Touchpad scroll ratio: Default is 100%. If non-zero, InfoQube manages grid scrolling (using this ratio). If 0, scrolling is handled by the Windows
      14. Mouse wheel: Items per wheel step: Nb of items to scroll at a time (mouse wheel or Ctrl + Up/Down arrows). Has no effect if InfoQube does not manage scrolling (setting above)
    3. Modes
      1. Show Splash screen at startup
      2. ..
    4. Document pane
      1. The Doc pane editor uses Internet Explorer to view / edit content. Enter the IE version to emulate (7,8,9,10,11). IE10 is the recommended setting
        Note regarding IE11 mode:
        1. IE 11 has support for inline SVG and gradients
        2. On some systems however IE11 can causes long initial program load times.
        3. Also, on some systems or for some fonts, the grid WYSIWYG editor will show different character size / spacing than when not editing
        4. Finally, IE11 does not handle document zoom correctly.
          So if the zoom is > 100%, a horizontal scrollbar will always be shown
          Conversely, if the zoom < 100%, the document show a blank area on the right
      2. Spell checking. When enabled, uses the Internet Explorer spell-check engine. Language is set by the input method keyboard on the taskbar
        • The user dictionary is stored in files default.dic and default.exc
        • The default location is a sub-folder of c:\user\appdata\roaming\Microsoft\spelling\
        • They are plain-text files, each word on a new line
      3. Auto-save delay
      4. Ctrl + Left arrow to collapse or not the heading above the current paragraph
      5. Default list of tags to clean of extra attributes when executing Edit > Clean up Tags (comma separated list)
      6. Code view auto line-break setting (20 is recommended)
      7. Paths for the various external editors
    5. Email
      1. SMTP Server: For Google, use: smtp.gmail.com.
      2. SMTP Account: Your email address
      3. SMTP Password:
        1. For Google, use an app-specific password:
          1. Goto : https://myaccount.google.com/security#signin
          2. Select App passwords
          3. Create an app-specific password for InfoQube
          4. Copy / paste to this setting
      4. SMTP Port: For Google, use 465
      5. SMTP Server (alternate): Alternate server
    6. Other
      1. UI font face and size. Segoe UI is the recommended font
      2. Expand / Collapse button type: One of Classic, Triangles and Modern
      3. Menu update delay: Delay to update main menu command button states. Lower values will increase CPU usage somewhat (Default = 500 ms)
      4. Pane update delay: Delay to update content panes (Properties, Doc, Tags) (Default = 100 ms)
      5. Hidden docked pane show / hide delays : On mouse move, delay before showing / hiding panes (Default = 200 ms)
      6. Function Keys toolbar size: Some computers do not have dedicated function keys or require pressing a Fn key modifier. This toolbar is then useful. Also useful in tablet mode
      7. Tags: Replace invalid characters with: When creating Tags, all invalid characters will be replace with the characters entered here. Invalid characters are: , ; # [ ] tabs and spaces
      8. JPEG Image Quality: Image quality when pasting images from the clipboard: 10-100%, 0=Prompt
      9. Phone dialer prefix: In offices, dial codes to get to main phone network
      10. Phone dialer number RegExp: Uses VBScript variant. Sample here. Default is (?:\([2-9]\d{2}\)\ *?|[2-9]\d{2}(?:\-?|\ *?))[2-9]\d{2}[- ]?\d{4}
      11. On Windows 10, use Win 8 emulation mode: Legacy setting. Performance may be better in Win 8 emulation mode, in particular Calendar scrolling. Requires IQ restart
      12. Database Buffer size: Larger number can improve performance, especially on larger IQBases (in KB, 0=Auto)
      13. New Item and Clipper Hotkeys: Format is: {Modifier1} {Modifier2}... Key, where Modifier is one of Shift, Ctrl, Alt and Win. Key is a one character letter or number
        1. For Windows 10, {Win} N and {Win} C are natural choices. However, with the Creators Update version (1703), the latter hotkey is used by Cortana.
          There are in fact very few unused shortcuts, so an option is to disable Cortana. See this link for details on how to do that (other solutions here and here too)
          For Windows 8 however, that hotkey is used by the system, so another one is required. {Win} A is a good choice
        2. It is not possible to set the hotkeys if more than one instance of InfoQube is running
        3. It registering the hotkey is not possible, a pop-up message appears on the taskbar
  2. This file
    1. General
      1. Item font field
      2. Item forecolor field
      3. Item backcolor field
      4. Named colors
      5. Next task actions
      6. List of Home Pages
      7. Home Pages links
      8. When showing orphans, ignore the following fields
    2. Calendar
      1. Font face and size
      2. Week start on:
      3. ...
      4. Auto-show time scale: Show / hides the time scale automatically, based on the day height (in pixels, 0=disable)
        If disabled, the Calendar top toolbar has an command button to show / hide the time scale
      5. Zoom step size: Adjust depending on your pointing device (mouse vs touchpad)
      6. Show dialog when dragging an item to the Calendar: The dialog lets you choose between:
        • Showing the item, or
        • Creating a sub-item and showing this sub-item instead
    3. EmailToIQ: See 2. Send To InfoQube using EmailToIQ for details
      1. Email account settings
      2. Check every x seconds
      3. Auto-import emails
      4. Always assign these fields
    4. Data storage
      1. Background Recalc
      2. Create backup on program close
      3. Auto-backup every x minutes
        1. Timestamp Auto-backup
        2. Delete Timestamped Auto-Backup files after n days
      4. Backup folder: Using a Dropbox-like folder is a great way to keep backups as you can always return to a previous copy
      5. Compact on program close
      6. Enable Dropbox-like Sync: See 1. Synchronization between computers using Dropbox for details
        1. Sync changes every x minutes
        2. Sync folder
      7. Enable remove database one-way Sync: See 3. Synchronization with Remote Databases
        1. Sync changes every x minutes (0=disabled)
        2. Sync config file
      8. Multi-user: Check for changes every x seconds: Items auto-update to reflect changes made by other IQ instances on the same PC or by others users on a LAN
      9. .Files path
      10. Save a copy of the HTML/MHT file in the database


Command line arguments

Command line arguments

Command line arguments allow you to start InfoQube with certain parameters. The format is:
  • InfoQube.exe /param /param2:test
To start a program with command line arguments, you can:
  • Create a Windows shortcut
  • Create a batch file
  • Open a command window and type manually type the command
  • Use InfoQube or another program launcher
InfoQube supports the following command line arguments:
  • /File:FileName
    Automatically open a given filename (unless Shift is held down during startup)
  • /Password:YourPassword
    For password protected files, will attempt to open the file with the supplied password. Needless to say, this is not a very secure way of doing...
  • /User:UserName
    IQ normally uses the Windows logon to user-stamp operations. With this flag, you can force the use of another user name. This is convenient when working on different machines, with different logons (i.e. home and office)
Example 1: The following batch file would change the folder to the current one, start InfoQube and set the current user to User1:
CD %CD%
start InfoQube.exe /user:User1
exit /B
Example 2: Creating a Windows shortcut with the following, would automatically start up the kab002 IQbase
C:\IQ\InfoQube.exe /File:C:\IQ\Users\You\kab002.SNDB


Localized UI

InfoQube is Unicode compatible. This means that users can enter information in all languages.
Users can also choose the language of the IQ User Interface (UI)
  • Tools > Options > Program Settings > General > UI Language
  • Select one from the available list
  • Restart IQ
  • Note that some strings have not been translated... we're working on this.
Your native language is not available and you'd like to contribute? Great! Here are the steps to create a localization file:
  1. Copy the file AppFolder\AppFiles\String.en.tab
  2. Rename this copy where .en. is replaced with your language code (the file AppFolder\AppFiles\languagecodes-uni.tab contains the list of language codes)
  3. Open this file in any text editor, spreadsheet. You may even import it into IQ and do the editing there
  4. The file has this simple format: ID...[tab]...String
  5. Replace all strings in the file with the corresponding one in your language. Use the & to set the keyboard shortcut key
  6. Save in text format (ensure that tabs are preserved)
  7. You can follow the above steps to select your new UI language
  8. Test that strings are not too long
  9. If you send us a complete localized file, we'll gladly send you a free personal licence (a $50 value)
Example of the file:
1000    &File
1001    &New
1002    &Open...
1003    &Close
1004    &Save
1005    Save &As...
1006    Save A&ll
1007    Properties
1008    Page Set&up...
1009    Print Pre&view
1010    &Print...
1011    Sen&d...
...
-------------------------
[See also]
[Index]
Language, Localization,UI


13. Supported Operating Systems

InfoQube is a Windows application which runs on Windows XP and up. It is available in both installable and portable flavors.
Though unsupported, the installable version of InfoQube has been reported running on the following other operating systems:
  • Windows 2000 (some users have reported various issues, such as installation failure, unable to open an IQBase, Calendar related issues)
  • Mac OSX under Parallels and VMWare Fusion
  • Linux in a Windows box (details here)
  • On Linux and Mac OSX with Wine: http://www.wine-reviews.net/wine-reviews/wine-release/wine-1134-released.html , Details to come
Users are welcomed to share their experience on these alternate platform (configuration, OS specific issues, etc) in this specific forum.


14. Sample IQBases (i.e. IQ templates)

Here is a list of sample IQBases, mostly user-contributed, showing some applications of InfoQube:
IQ Functionality
1. Grid Display Modes (KeithB)
"Daily Logs" and Group Items by Sort Column (KeithB)
Nonexistent node nid: 842.
the shopping list from the default sample file (KeithB)
Nonexistent node nid: 1373.
Iq manual (captured Jan 2010)
Manage item recurrences in IQ manage item recurrences (Armando)
Workflow
Daily Grid / Diary example Daily (diary) grid sample (KeithB)
My Workflow - SAMPLE file working with linked files; keeping track of item status/progress; simple time-tracking (Tom)
Using IQ for writing & tasking Writing project example (KeithB from Jan's blog description)
Journal and AddressBook Journal to addressbook ideas (KeithB per Jan ideas)
IQMinutes : a sample IQBase to organize meeting info, etc. IQMinutes-a sample IQBase to organize meeting info, etc (Armando)
Other
An Inventory sample (KeithB)
A Blank Database. A blank database (KeithB)
How can I create a simple note and cross-link the contents? new file with sample data, but with the items and 'Welcome' grid removed (all text removed but the 'structure' of the database remains) (Tom)
Sync with Mantis Issue Tracking Database The Mantis issues tracking database, as of March 31 2010 (sync'd and uploaded by KeithB)
Captured Contents of Threads / Forums About IQ
Forum .SNDB 2-16-2009 a test capture of this forum as of feb 09 (KeithB)
IQBase of the old Forum capture of the previous forum (KeithB)
1 yr already-- dc forum in .sndb forum Capture of the Donation Coder thread on infoqube (KeithB)
Forum topic SNDB Forum topic SNDB (forum topic titles only) as of 11-13-2010) (KeithB)


Daily Grid / Diary example

The attached IQBase is a subset my "Daily" grid I re-created from my working database. I'm very happy with this now. Maybe someone will find it or some concept in it useful.
I use this Daily grid to (daily!) quickly jot a few notes about the day, and what transpired. If I get verbose, I enter additional info in the HTML pane.
This is amazingly useful to know what happened on a given date in the past. I can't remember dates very well, and this compensates.
Note:
The Date field is entered manually by double-clicking. If I'm entering at a later date, I pick the appropriate date.
The Day, Month and Year fields are calculated via "Smart Fields", and come in extremely handy when I want to filter a column. See Smart Fields
I can easily column filter by Fridays, in 2009 to see what the meal history is for example.
The HTML? column is to show items that have something in the HTML pane.
The grid by defaults sorts by date.


IQ as a Relational Database: Book Review Process

IQ as a Relational Database: Book Review Process

InfoQube is not a relational database, this, by-design. Using a number of features however, it can handle tasks which are traditionally handled by relational database systems. Download the working sample here !
In this example, we'll describe a end-to-end book review process with the following pieces of information:
  • Authors
  • Books
  • Reviewers
  • Book Reviews
  • Rating (individual and overall)
  • Outcome
  • Communications
In addition, specific views will ease these management tasks:
  • Flagging late reviews
  • List of book reviews for each reviewer with status
  • Pivot pie chart showing the count of Authors per country
The end result will be a dashboard to manage all aspects of this process:

1. Creating the Source Grids

Unlike a true relational database, we'll use the Item field as much as possible. It will hold the most pertinent information of each source table. While this is not essential, it fits with the overall InfoQube's philosophy and, in general, eases information management.
You can either perform these steps on an existing IQBase or on a new IQBase (with sample data)
The source grids (i.e. database tables) are:
  • Authors
  • Reviewers
  • Books

1.1 Authors Grid

  1. View > Grids > New Grid...
  2. Set the Grid name to Authors.
    This automatically creates a Yes/No field, named Authors, to mark specific items as being book authors
  3. Add any contact information fields to this view (such as Tel and EMail)
    One way to do this is to show the Properties pane, open the All Fields section in field tree-view mode. All build-in contact related fields are under the field AddressBook
  4. We'd like to enter the Author's country, which is not in the sample IQBase, to do this:
    1. Open the Manage Fields dialog
    2. Click on New
    3. Name it AuthorCountry
    4. Type = Text
    5. Editor type = Auto-list of values
    6. Click Close
  5. Add this new field to the grid (using Add / Remove Column dialog or right-click on the field in the Properties pane and select Show field in the current grid
  6. To have a more user friendly field caption, right-click on the header and select Column Header > Caption...
    1. Replace AuthorCountry with just Country.
    2. Right-click and choose the flag icon
    3. Click OK
  7. Add a few authors to this grid
Important: Since this grid will be used in a pop-up list, it needs to be set visible to other applications. 2 ways to do this:
  • Grid properties > Options > Grid visible to other applications
  • Grid > Create an ODC file
The grid should now look like this:

1.2 Reviewers Grid

Repeat the same steps for Reviewers:
  • Grid name: Reviewers
  • Create a numeric field ReviewerID with Auto checked (creates an auto-number)
  • Columns: Item, Address, Email, Notes, CallDate, ReviewerID
Important: Since this grid will be used in a pop-up list, it needs to be set visible to other applications.
The grid should now look like this:

1.3 Books Grid

The books grid is the central view of the review process. It shows:
  • Book information (name, author, date received, average rating, outcome, status)
  • Under each book entry, a list of review entries, one per reviewer (reviewer's name, date submitted, deadline, rating, done date)
  • Summary of communications with reviewers
  • The HTML pane can contain rich text content for each review and book review process output report
Steps are as follows:
To store the book information:
  1. Create a new grid, named Books
  2. Create field BookAuthor: This popup will show entries in the grid Authors
    (It uses an SQL query to be able to pick up both the name and country of the author at the same time)
    • Type: Text
    • Editor: SQL query
    • Pop-up list: SELECT Item as BookAuthor, AuthorCountry from Authors
    • Save all listed fields: checked
  3. Create field BookReceived
    • Type: Date
    • Default value: int(now)
  4. Create field Outcome: Outcome of the review, pop-up list
    1. Type: Text
    2. Editor: Auto-list of values
  5. Create field BookRating: Average of Reviewer's rating of the book, between 1 and 10 (max)
    1. Type: Number
    2. Column Equation: Parent = AVG(Children)
  6. Create field Status
    • Type: Text
    • Editor: Auto-list of values
To store the book review information
  1. Create field BookReviewer: This popup will show entries in the grid Reviewers
    (It uses an SQL query to be able to pick up both the name and ID of the reviewer at the same time)
    • Type: Text
    • Editor: SQL query
    • Pop-up list: SELECT Item as BookReviewer, ReviewerID as BookReviewerID from Reviewers
    • Save all listed fields: checked
  2. Create field BookReviewerID
    1. Type: Number
  3. Create field DateSent
    • Description: Date the review request was sent to the reviewer
    • Type: Date
    • Default value: int(now)
    • Auto-assignment rules: A: [FollowUpDate] = [DateSent] + 60 | E: [FollowUpDate] =
  4. Create field FollowUpDate: Will be shown in yellow when a follow up is required (such as when the review is late)
    • Type: Date
    • Conditional Formats:
      Criteria: [ReviewLateNbDays] > 0 and [Done]=0
      Formats: BackColor=&H00FFFF
  5. Create field ReviewLateNbDays: Will be shown in yellow when the review arrived late
    • Description: Nb of days the review is late
    • Type: Number
    • Row Equation: = datediff("d", [FollowUpDate], now)
    • Auto-update checked
    • Conditional Formats
      Criteria: >0
      Formats: = BackColor=&H00FFFF
Optional: To ease the creation of a review, you can create a form:

2. Creating Reviews Management Grids

3 support grids will be created to better manage reviews:

2.1 FollowUps Grid

The FollowUps grid show the list of reviews which require a follow up with the reviewer, typically because it is late:
  • List all late reviews (i.e. FollowUpDate is past and not done)
  • Sorts reviews by how late they are
  • Book name is shown as a context parent (it could also be shown as a column if desired)
  • Sub-items show the call log
  • CallDate at the review and book levels show the most recent call

2.2 BookReviews Grid

The BookReviews grid uses IQ's built-in grouping feature (see 3. Sorting and Grouping Items for details)
Users can group by any displayed field, to view reviews by DateSent, Outcome, or as in this example, by Reviewer:

2.3 Overview Grid

The last grid will combine all the preceding ones in a unified view, using docking panes. That way, users can see all aspects in a single view, kind of a dashboard.
To create this view:
  1. Create a new grid, named Overview
  2. View > Grids and right-click on Authors. Select Copy View.
  3. Back in the Overview grid, right-click on the tab and select Paste View
  4. The Authors grid will be shown in a pane to the right edge of the Overview grid
  5. Repeat the above procedure for the other grids
  6. Rearrange panes to built a set-up close to the fist screenshot at the top of this page
    (The end result will depend on how panes were actually rearranged)
n.b. The Overview grid itself is not really used, though users could enter management notes and instructions. Its main purpose is to be a placeholder for other grids

2.4 Adding a Pivot Chart

When MS Office 2002 and up is installed, pivot tables and charts can be used inside InfoQube. To demonstrate this, we'll create a pie chart showing the author's country
  1. Open the Authors grid
  2. If the Overview is grid is already open, this will move focus to the Authors pane, which is not what we want. Hold Shift when opening the Authors grid to open a new copy
  3. View > Pivot Chart
  4. Show fields and drag Item to the data area. Drag the AuthorCountry field to the x-axis
  5. Choose the chart type. In this case, a Pie chart was chosen
  6. Show the Legend
  7. Right-click on the tab and select Copy View
  8. Switch back to the Overview grid (or open it if closed)
  9. Right-click and select Paste View
  10. Drag the pane to move it if desired

3. Using the Book Review App

3.1 Managing Authors

The Authors grid has just 2 columns:
  • The column Item contains the author's full name
  • The column Country (field AuthorCountry) is an auto-list:
    • Enter the country in the text box, or
    • Press F2 to show a pop-up list of current values:
  • As the number of authors increases, the list can be filtered using column filters

3.2 Managing Reviewers

As for Authors, it is easy to add / edit / remove Reviewers. Note that:
  • The ReviewerID is an auto-number, so no need to edit it manually.
    It isn't really used in this example but is there to show how to normalize the data.

3.3 Managing Books

To manage books:
  • Enter the title in the Item column
  • Move to the Author column and press F2. The list of authors will be shown:

    Select the author and both the BookAuthor and AuthorCountry fields will be automatically filled
  • Enter the date the book was received for review
  • Update the Status and Outcome columns (i.e. fields) as the review process goes on

3.4 Managing Book Reviews

In this solution, book reviews are entered as sub-items of each book. To add a review:
  • Add a sub-item (Ctrl + Enter or use the Review form)
  • Enter the date sent.
  • The DateSent field has an auto-assignment which will automatically fill the FollowUpDate to be 60 days later. You can change that default or manually change the FolowUpDate
  • Move to the Reviewer's name column and press F2. The list of reviewers will be shown:

    Select the reviewer and both the BookReviewer and BookReviewerID fields will be automatically filled
  • Update the Status and Outcome columns (i.e. fields) as the review process goes on
  • The Late by column (field ReviewLateNbDays) automatically updates as time goes by (its row equations has Auto-Update checked). It is recalculated on each change of day
  • When the review is done, do Item > Mark as Done (Ctrl + M) to fill the done date
  • Both FollowUp and Late by cells will turn yellow when a review is late. Once the review is done, the FollowUp column yellow color will be removed as no follow up is required
  • For each review, sub-items can be added to track that review (calls, documents sent, etc)
  • The review item's HTML pane can be used to hold the reviewer's evaluation:

    (a little bit of humor here, though based on a true story. See J.K. Rowling post here)
Note: By design, there is no cascading updates / deletes. So changes to the Authors and Reviewers lists will not be reflected in the book reviewers

3.5 Doing Follow-ups

We all have busy schedules, so need to be reminded when a deadline approches or worse, when it is passed. The FollowUps grid can help you manage reviews and show you a short list of reviewers to contact, such as:
  • Call the reviewer
    • Calls are entered as sub-items of the review. You can use / customize the Call form to quickly enter call information / log
    • Call date is automatically entered and bubbles up to the parent items, so you see when the last call was made
      (avoids the embarrassment of calling a reviewer twice)
  • Send an automated email, reminding he or her about the deadline. To do this:
    • Create a template item and enter the email content in the HTML pane. You'll probably need 2 templates, one for a coming deadline, and one for a past deadline
    • See 10.20 Example : Generating Invoices and
      Nonexistent node nid: 884.
      for details
  • The grid shows reviews that are not done and have a past follow-up date. This can be fine-tuned for individual needs. A column filter could be used, but in this example, a source filter was used instead, as it has more advanced filtering capabilities
    To do so:
    • Grid > Source Bar
    • The current filter is: FollowUpDate<=Now and done is null
    • To show the coming deadlines, next week for example, the filter would be ReviewLateNbDays<0 and ReviewLateNbDays>-7 and done is null
    • The source filter has a dropdown button which shows recently used filters (press Delete to clean up the list if need be)

4. Building upon this Sample

This sample was designed to demonstrate many of the advanced features of InfoQube, and how these could be used to handle a specific task
It is just a start though and more could be done, such as:
  • Color-code items based on user-specified criteria
  • Show reviews on the Calendar. Color coded, such as the start of the review could be shown in green and the due date in red
  • Use the Gantt chart to show a graphical view
  • Use a Timeline view when the number of reviews increases, as a more compact view than Gantt charts
  • Use filtering, sorting, hoisting and searching to effectively manage all reviews
  • Use Microsoft Office Pivot table and Pivot charts as a reporting tool
  • Create a live connection to other applications, such as Excel, so other people can view all (or part) of the review process
  • Use the HTML pane to capture reviewer's reports and eventually send these to the author
  • Use Email merge to send information to reviewers, to authors, etc
  • Set-up an EmailToIQ address so reviewers and authors can send information to be automatically retrieved by InfoQube


IQbase Requests

IQBase Requests

You have a need for a particular function but do not know how to go about it. Enter it here as a child page.
Perhaps other users will chip in and do it for you (or at least, get you on the right track)


Release Notes

InfoQube Release Notes
You can download InfoQube at http://www.infoqube.biz/download.
v114 (2019-09-06 -> ?)
  1. New: Related Items Links: Ad hoc bidirectional links between any 2 items. Details here
    • Related items are shown in the Properties pane, as a hyperlink
    • To add related items, simply mark items (Shift + Ctrl + M) and right-click on the Related Items header and select Add Marked Items
    • Right-click on the header to show all related items in the Scratch grid
    • The number of related items can be shown as a grid column
  2. New: Related Items: Supports multiple selection. Will list all items related to any of the selected items
  3. New: Marked Items: Add as Related Item command (Ctrl+Shift+R). Mark and link is now as simple as Ctrl+Shift+M followed with Ctrl+Shift+R
  4. New: Calendar: Improved scrolling / navigation
  5. New: Manage Fields: Command to copy values from one field to another (i.e. merge fields)
  6. New: Grid: Option to select the expand button type: Classic, Triangles or Modern
  7. New: Grid: Ctrl + up/down arrows: If one item is selected, move to the next / previous sibling. If more than 1 item is selected, simply move the focus. Press the space bar to toggle the focus item selected state
  8. New: Grid: ItemsRelatedCount column is now a hyperlink. Click to show related items in a scratch grid
  9. New: Grid: After a file or URL drag-drop, the new item is now selected
  10. New: Gantt: If the selected item has a Gantt bar, Zoom in/out centers the display on that bar
  11. New: Calendar: Drag-drop support from the Properties pane to the Calendar
  12. New: Calendar: Copy / paste support to clone events
  13. New: Live-Search: Edit and Item menus are now visible
  14. New: Live-Search: Context menu commands to edit item(s) and mark item(s)
  15. New: Properties pane: Context menu to open items in an Item Editor
  16. New: Properties pane: Marked items are now sorted alphabetically
  17. New: Properties pane: Item list sections (such as Children, Related, etc) now have a context menu to mark the item list
  18. New: Manage Fields: Command to show all items with a a value for the current field (in the Scratch, same as double-click on a field in the Properties pane
  19. New: Manage Fields: Command to show the current field as a column in the current grid (same as Columns > Add Column)
  20. New: Welcome to IQ database: Supplied documentation was updated on how to use the Related Items links
  21. Fixed Grid: Copy and XML Copy could take a long time when item hierarchy has recursion
  22. Fixed: Grid: If Highlight Focused cell is off, many commands did not work (Item copy, Lock, Font, Show in Calendar, Insert Date, Mark item) when only 1 item was selected
  23. Fixed: Grid: Copy items (XML mode) did not insert items under the current parent nor show the dialog to choose the paste option
  24. Fixed: Grid: ItemsRelatedCount column now automatically updates on changes
  25. Fixed: Grid: After an file or URL drag-drop, the scroll position sometimes changed
  26. Fixed: Grid: Ctrl + Click sometimes unselected previously selected items
  27. Fixed: Gantt: Improved zoom (both Ctrl+mouse wheel and pinch zoom on precision touchpads)
  28. Fixed: Calendar: On opening, the Calendar did not always return to the previous viewed dates
  29. Fixed: Calendar: Icons to show repeating events were not shown
  30. Fixed: Calendar: Mini-calendar month scroll was too fast
  31. Fixed: Calendar: Zoom In / Out / Reset did not work
  32. Fixed: Calendar: If time-scale was in auto-show mode, the context menu command was still enabled
  33. Fixed: Calendar: Drag drop an item and selecting Cancel still created an event
  34. Fixed: Calendar: Repeating event prefix was not shown for scheduled events
  35. Fixed: Calendar: If the left pane is hidden, the top toolbar would not update correctly
  36. Fixed: Doc pane: Undo was sometimes possible upon loading a document which could erase content
  37. Fixed: Omnibox Search: List returned labels (such as the "manage" label in the Tools menu
v113 (2019-05-21 -> 2019-08-22)
  1. New: New Calendar UI. Details here
  2. New: Sync between Google calendar events and IQ items
  3. New: Beta: Calendar: When creating / modifying an event, can now change the calendar (i.e. date field) in the Event dialog. Testing is not complete, in particular when calendar events are synced with Google Calendar
  4. New: Google Sync: Enforce that each calendar uses a unique field
  5. New: Calendar: Options to set the font face and size
  6. New: Calendar: Context menus to show Today and to set the view scale (useful when the Calendar window is very narrow)
  7. New: Calendar: Left pane is now resizable
  8. New: Calendar: button on the toolbar to toggle the time scale display
  9. New: Calendar: Mini-calendar now automatically updates to show dates shown in the Calendar
  10. New: Calendar: 2-finger horizontal scroll support on PCs with precision touchpads
  11. New: Calendar: Double-click on an event in the left pane to edit
  12. New Calendar: Auto-toggle time scale display option based on the day-view height (in pixels, 0=disabled)
  13. New: Grid: Ctrl + Shift + Up / Down / Left / Right scrolls grid content. To enable this, one must remove the previous keyboard shortcut assignments for these keys (View > History > Forward / Back)
  14. New: Grid: Ctrl + Up / Down moves focus to the next / previous sibling item
  15. New: Grid: Add marked items as children now sets the focus to the added child items
  16. New: Grid options: Double-click action: Edit or Expand / collapse
  17. New: Grid and Gantt: Two-finger horizontal scroll support on PCs with precision touchpads
  18. New: Surface: Faster surface move when grid lines are shown
  19. New: Surface: Two-finger horizontal / vertical scroll support on PCs with precision touchpads
  20. New: Map View: Two-finger horizontal / vertical scroll support on PCs with precision touchpads
  21. New: Doc pane and Item Editors: Markdown, Ink and SVG documents now ask for a file name when creating a new document. Before, a default name was used (ItemIDXXX.xyz)
  22. New: Image paste: Option to select the jpeg image quality (default=80%)
  23. New: Item Editors dropdown menu: Entries are now numbered. Press the corresponding number to open that editor. Tip: Assign a keyboard shortcut to that command quickly open item editors (such as Ctrl +Shift+E followed by 1)
  24. New command to load the last tab layout (View > Layout)
  25. New: Numerous UIs: Input box dialog now support Unicode characters
  26. New: Support for darker select back colors: now showing text in white for darker colors. If you choose the color just right, focus grid has white text as other grids it is shown in black
  27. Change: Grid: Columns showing text / back color: New entry: (all) to show color on all columns, leave blank to use setting in Tools > Options > This Database
  28. Change: Grid: Double-click on a blank area of a tree-column cell expands / collapses the item
  29. Change: Calendar: Toolbar now spans the whole window, not the calendar pane
  30. Change: Google Connect dialog is now resizable
  31. Change: Holding the mouse button and drag to scroll has been disabled as this causes a select bug on precision touchpad (with "Tap twice and drag to multi-select" enabled)
  32. Fixed: Grid: When multiple items are selected, font properties are now applied to all selected items (i.e. setting Bold will bold all items). Before the command toggled the format of each item
  33. Fixed: Grid / Gantt: improved scrolling speed
  34. Fixed: Grid: Better handling when grid source contains non-existing tags
  35. Fixed: Grid: In the cell date dialog, changing just the "Show in Calendar" checkbox (i.e. not changing the date) did not save the change
  36. Fixed: Gantt: The selected bar caption text color did not match the grid text color
  37. Fixed: Calendar menu is shown when viewing a grid
  38. Fixed: Calendar: Numerous small issues reported
  39. Fixed: Calendar: Left pane visible state is now saved
  40. Fixed: Calendar: Doing a Database > Repair changed some events to be shown as assigned to the Appointment date folder <-- This is actually a rather major issue, so all users should upgrade ASAP
  41. Fixed: Calendar: Drag-drop an item from a grid to the Calendar did not set the end date correctly
  42. Fixed: Calendar: Clicking on the time scale did not properly toggle between the 3 states: Day view -> Day view + evening > 24 hrs > Day view
  43. Fixed: Calendar: Copy / paste fixed for non-repeating events
  44. Fixed: Calendar: Moving a scheduled event using drag-drop when the time scale is not shown sets the event to unscheduled state
  45. Fixed: Calendar: Item > Mark item was not working
  46. Fixed: Calendar: Zoom now correctly centers the date on the zoom point
  47. Fixed: Calendar: In Month view, cursor keys now correctly move the view (left / right / up / down)
  48. Fixed: Doc pane: It was not possible to set keyboard shortcuts to a few dropdown buttons (text / back color, alignment, position)
  49. Fixed: Tags pane: In Treeview, left / right arrows changed tags hierarchy without holding the Alt key
  50. Fixed: Tags pane: Using cursor keys to move tags in the list (Treeview) caused unwanted scrolling
  51. Fixed: Tags pane: When editing a tag name, only changing the case to upper/lower did not register as a change
  52. Fixed: Properties pane: Clicking on the lower part of a text box (when it is higher than the cell height) closed the editor
  53. Fixed: New Item dialog: Tags pane: Adding a tag resets the already assigned tags
  54. Fixed: Improved column resizing in the Manage Grids dialog
  55. Fixed: Live-search: Tags column did not auto-update
  56. Fixed: Manage Grids dialog: Resizing form could cause a program crash
  57. Fixed: Universal Clipper: In Chrome, selected content was not clipped correctly when the selection was large
  58. Fixed: Changing screen resolution could cause high program load times
  59. Fixed: After a VBS msgbox, the focus does not return to the correct grid (when in a pane)
v112 (2019-02-13 -> 2019-04-10)
  1. New: Item Editors: Floating window to edit items (text, doc, tags, folders)
  2. New: Item Editors: View > Item Editors shows list of opened editors. Option to have floating editors or not
  3. New: Item Editors: View > Item Editors now show the list of recent items edited. Right-click to (1) close an editor, (2) close all editors, (3) remove an item from the list or (4) clear the list. Loaded Item Editors are shown in bold (following the same logic as views)
  4. New: Item Editors: Window can be maximized and minimized. Maximize to provide a distraction free writing environment. Minimize to put the item away. F11 toggles between normal and maximized
  5. New: Item Editors: Item Editors are persistent, so closing and re-opening your IQBase will reload all Item Editors
  6. New: Item Editor: Selecting a Favorite item will show its Item Editor if it is already open
  7. New: Item Editor: Support Header expand / collapse as Doc pane
  8. New: Item Editors: Toolbar now updates to show the current text font properties (bold, italic, etc)
  9. New: Item Editors: Can now select Style sheets
  10. New: Item Editor: Option to sync panes with the editor or now
  11. New: Item Editor: Ctrl + # formats headers (H1 ... H6)
  12. New: Item Editor and Doc pane: Improved Edit > Paste when pasting image and file references
  13. New: Item Editor: Fields pane now shows field tooltip and item count when holding the Ctrl key (same as the Tags pane)
  14. New: ItemEditor: Support for Edit > Find (Ctrl + F)
  15. New: Item Editor: Use the filter textbox to easily add tags and fields
  16. New: ItemEditor: Tags and Folders pane can now be docked on either sides of the window
  17. New: Grid: Copy / Paste Special now includes a new format: Tab Indented Outline. Use this to copy / paste item oulines
  18. New: Grid: Copy / Paste from other outliners to IQ (Supports all apps that copy outlines in tab-delimited format, such as Ecco and Excel)
  19. New: Grid: Clipboard now has (preliminary) support for OPML outline. On copy (tab delimited and XML), the clipboard contains an OPML format. On Paste Special, select OPML Format to paste as an outline
  20. New: Grid: Add/Remove column dialog: Drag-drop to reposition columns. Support for multiple selections
  21. New: Gantt: Select one or more bars and press Delete (or Edit > Cut, Ctrl+X) to remove bars. Supports Undo / Redo
  22. New: Doc pane and Item Editors: Highlight text is now a toggle command
  23. New: Doc pane: Copy / Paste: If the selected text contains 1 or more commas, the text is now also copied to the clipboard in CSV format. This can be used to convert from text to a table
  24. New: Doc pane: View > Typewriter scrolling command (Ctrl+T)
  25. New: Doc pane: Pane context menu to open the item in an Item Editor
  26. New: Tags Grid: For each Tag, you may enter a description in the Notes field. This will be shown in the Tags pane (as a tooltip)
  27. New: Tags pane: Filtering using the filter text box automatically expands to show matching tags. Removing the filter restores the original tags expand states
  28. New: Tags pane: Option to auto-sort tags by name
  29. New: Tags pane: Tags with duplicate names now have a warning icon
  30. New: Tags pane: In Treeview, Alt + up / down / left / right move tags in the tags hierarchy
  31. New: Tags pane: Double-click on a blank area shows the New Tag dialog
  32. New: Tags pane: When filtering, if only one tag matches, hitting Enter will select that tag
  33. New: Tags pane: When filtering, if no tag matches, hitting Enter will show the New Tag dialog
  34. New: Tags pane: Double-click a tag will open the grid that has this tag as a source if it exists, otherwise, the Scratch grid will open
  35. New: Tags: Option to set the characters used to replace invalid characters (invalid characters are , ; # [ ] tabs and spaces). Default is _ (Tools > Options > Other)
  36. New: Properties pane: Double-click a field will open the grid that has this field as a source if it exists, otherwise, the Scratch grid will open
  37. New: Properties pane: Current Grid section: Use Alt + Up / Down to quickly move columns in the current grid
  38. New: Manage Grid dialog: Support for multiple selections (move, open, delete, copy)
  39. New: Manage Grid dialog: After copying one or more grids, in a grid, an Edit > Paste Special > IQ View will create items containing a hyperlink to each grid. Useful to simulate a hierarchy of grids
  40. New: Join Items and Split Items dialogs now have F1 button to show online help
  41. New: EmailToIQ: Can now assign tags. Format subject //Field1 /Field2 #Tag1
  42. Change: Keyboard shortcuts: Default shortcut to delete an item is changed from Ctrl + E to Ctrl + D. Ctrl + E is now used to open an Item Editor
  43. Fixed: Grid: When grouping (Group by bar), outlining labels were not using the correct level
  44. Fixed: Grid: Pasting items does not select all pasted items (non XML mode)
  45. Fixed: Grid: Drag-drop an item to a hoisted grid did not assign the grid source correctly
  46. Fixed: Grid: Changing the item font using the font dialog also changed the item text color
  47. Fixed: Grid: Navigating columns using the cursor keys skipped over the Tags column
  48. Fixed: Grid: Deleting an item that has sub-items but selecting the option to not delete the sub-items caused minor inconsistency in the IQBase. Use Database Repair to repair this
  49. Fixed: Gantt: Turning off Gantt still showed it when resizing the grid
  50. Fixed: Gantt horizontal scroll (Shift+Wheel) and zoom (Ctrl+Wheel) was not working
  51. Fixed: Gantt: Change to the Gantt bar color was not updated until a refresh was done
  52. Fixed: Gantt: Improved undo / redo
  53. Fixed: Doc pane: Text alignment and font styles (bold, etc) now work for table cells, with support for multiple selected cells
  54. Fixed: Item Editor: Faster form load. Close ( X ) now enabled
  55. Fixed: Tags pane: Expand states is not always saved
  56. Fixed: Tags pane: Click on the expand / collapse button selected the tag
  57. Fixed: Tags pane: Pressing space bar did not toggle the tag state correctly
  58. Fixed: Item Editor: Navigate a hyperlink when holding the Alt key
  59. Fixed: Item Editor: Font formatting drop-down were not working
  60. Fixed: Doc pane: Doc conversion now works correctly (HTML <> HML File <> MHT File <> HTML)
  61. Fixed: Improved support for Unicode
  62. Fixed: Improved support for trackpads / touchpads
  63. Fixed: Hyperlink dialog: Support for Unicode text
  64. Fixed: Email-merge export now correctly supports Unicode
  65. Fixed: Tab close button was shown even when IQ does not have focus
v111 (2018-11-22 -> 2019-01-04)
  1. New: Welcome to IQ sample IQBase now includes the full User Manual
  2. New: Live-Sync your local copy of the User Manual with our server
    Install the free MySQL database driver to sync with our server. Updates and new content will automatically sync !
  3. New: Grids: Tab color. Right-click on a tab to set the tab color. Supports named colors
  4. New: File Import: Import plain text, html and rtf files. File name saved in the Item and content in the Doc pane
  5. New: Live-Search: Show duplicate items. Can find duplicates in any text field, such as emails, phone numbers and URLs
  6. New: Grid: Improved drag / drop. Faster and more accurate. Hold Shift to drop as a child of the item (or wait 2 seconds on the lower half of the item)
  7. New: Grid: Numerous improvements to drag / drop
  8. New: Tabs: Option to dim tabs when InfoQube does not have the focus
  9. New: Tabs: Option to close a tab on double-click
  10. New: Tabs: Context menu to move tabs left / right (or up / down)
  11. New: Panes: Context menu to Toggle Float and Close
  12. New: Doc pane: Improved HTML Clean up command
  13. New: Hyperlink dialog: UI changes. Added Delete link button and support for tags (#TagName)
  14. New: New Item dialog: Can now show / hide Tags and Fields panes
  15. New: New Item dialog: Summary list of selected tags and fields
  16. New: New Item / Clipper dialog: URL text box is shown in yellow if an item already exists with the same URL
  17. New: Hyperlinks can now point to Tags
  18. New: Hyperlinks can now point to field equations, such as [NodeID]=23
  19. New: Popup Editor now uses the UI font size
  20. New: Improved dialog when opening / adding grids
  21. New: Field Properties: Date fields format can be set using a dropdown list (similar to numeric fields)
  22. New: itemsTagged field: List all items that have a tag. Can use this to get the list of items in a particular grid that do or that do not have tags
  23. New: File Indexing: Web pages address stored in the URL field can now be indexed. Option to only index links that are not already indexed
  24. New: ItemsMarked field: List marked items (previously this field was called ItemsTagged)
  25. New: Global option to disable grid auto-update (Tools > Options > This Database)
  26. Fixed: Grid: WYSIWYG editor: background color now matches cell background color
  27. Fixed: Grid: Double-click on an item could open the "You'll need a new app..." Windows message
  28. Fixed: Grid: WYSIWYG editor: many issues fixed when the Doc pane uses IE 11 (back color, hyperlinks)
  29. Fixed: Grid: WYSIWYG editor: better support for Tab characters
  30. Fixed: Grid: On edit double-click, when the text starts with something like "sometext: ", the registry is now checked for existence of that protocol
  31. Fixed: Doc pane: Heading expand / collapse did not work if the heading has extra formatting (i.e. bold, underline, etc)
  32. Fixed: Doc pane: Creating an Ink or Markdown document and immediately opening the external editor could fail
  33. Fixed: Doc Pane: View > Expand All did not remove sub heading collapsed marks (i.e. the [...] at the end of the heading)
  34. Fixed: Doc pane: Dragging a Doc pane out of another pane (to make it floating) could lock the program
  35. Fixed: Field Properties: number formatting was broken
  36. Fixed: Live-Search: If no tags have been created, a blank space was shown to the left of search result list
  37. Fixed: Item > Lock did not work
  38. Fixed: Some IQ:// links were no longer working
  39. Fixed: Outlook protocol links were no longer working
  40. New: Surface: Auto-arrange when moving items.
  41. New: Surface: Click on an item centers it in the view when auto-arrange is On
  42. New: Surface: Ctrl+Shift toggles Auto-arrange On/Off
  43. Improved: Surface: Zoom In/Out
  44. New: Grid: Separate options to highlight row and column headers
  45. Change: Surface: Ctrl+Alt+mouse wheel (instead of Ctrl + Shift) to toggle between show all items and focus on an item
  46. Fixed: Grid: WYSIWYG editor: The & character was not processed correctly
  47. Fixed: Grid: WYSIWYG editor: Code to reduce the editor height could cause a program lockup
  48. Fixed: Grid: Copying and deleting an item was not possible when the grid display option was set to not highlight the current cell
  49. Fixed: Doc pane: Hyperlink dialog Delete Link did not work
v110 (2018-11-08)
  1. New: Tags: New multi-parent hierarchical tagging system
  2. New: Tags pane: Flat or Tree view of tags. Supports multiple selections. Hit Enter to show items for each tag. If more than 1 tag selected, option to use AND or OR operators. Default shortcut is Ctrl + T
  3. New: Tags grid: Use this grid to manage tags. A Tag is just an item created in the Tags grid (has the Tags field checked and TagID with a unique value). The Tag name is the item text. Tag names should use CamelCase with no spaces. A tag can be put under 2 or more parent tags. (Eventually, tag management will all be made within the Tags pane, but for now, using a Tags grid provides all the required features)
  4. New: Grid: Grid source and filter can now include tags. This allows filtering using tags. Supports AND, OR, NOT operators. Precede the tag name with # (i.e. #Tag1 OR #Tag2 AND NOT #Tag3)
  5. New: Grid: If the grid source includes tags, these will be automatically ticked for all TLI items added
  6. New: Live-Search: Tag pane shown on the left of the search result. Supports multiple tags (Ctrl+Click to select more than 1 tag) with AND or OR operators
  7. New: Live-Search: Support for Tags for both output types (Item list and Live-Search)
  8. New: Tags: Tags can be used in field auto-assign rules. Format #TagName=1 to set and =0 to delete
  9. New: Tags: In grids and fields, tags can be referenced by their tag ID using this syntax: #[TagID]. The advantage is that it is not dependant on the actual tag name, which can change. To help identify tags, this format is also supported: #[TagID:TagName], where TagName is a string to remember the tag. Should be similar to the actual tag name, but no checking is done
  10. New: Tags: Strikethrough tags are not shown in the Tags pane and Live-Search. Use the Tags grid to format tags. Use this to archive older tags and keep your tags list clean
  11. New: Properties pane: New Tags section. Can add / remove tags. Click hyperlink to show items for each tag. Click on the X to remove a tag. Click on the + to add tags (switches focus to the Tags pane)
  12. New: Field Management: Convert multi-select fields to Tags. Use the multi-select dialog to convert. Option when converting spaces and other not allowed characters
  13. New: Grid: Tags can now be shown as a column in any grid
  14. New: Grid: Tags column supports copy / paste / delete
  15. New: Grid properties: Auto-assign fields can also include tags (precede tag name with #)
  16. New: Grid: Item formatting applies to tags. Use the Tags grid to format items (bold, italic, colors, etc). Embedded formatting and icons can be used but these will affect the tag name, so it is not recommended
  17. New: Grid: Options to show / hide the item tag delete icon in grids (for a cleaner look)
  18. New: Live-Search: Tags are now shown as a column
  19. New: Live-Search: When the tag list is in "Logical AND" mode, selecting a tag refreshes the tag list to only show relevant tags, as discussed here
  20. New: Tags pane: Press Insert to add a tag, Shift + Insert to add a child tag and Delete to delete tag(s), or use context menus
  21. New: Tags pane: Locked section at the top showing the current item tags. Stays visible even when scrolling the list of tags
  22. New: Tags pane: When Show Item Count is off, hover over the pane shows the item count
  23. New: Tags pane: Flat view now shows expand buttons, much like the Tags grid in flat view
  24. New: Tags pane: Column header allows sorting by tag name and count. Particularly useful in Flat view
  25. New: Tags pane: Partial check icons are now also shown in Flat view. Click the expand button to view / edit sub-tags
  26. New: Tags pane: Partial check icons now reflect the Tag Inheritance Depth setting
  27. New: Tags pane / Live Search / Grids: Tag Inheritance Depth setting
  28. New: Tags pane: New command: Show Items (Grid Subset): Limits the items to those in the current grid only, not the whole IQBase
  29. New: Tags pane: Show archived tags
  30. New: Tags pane: Context menu to show / hide the Tags column in a grid
  31. New: Tags pane: Hold Ctrl key to show tag info
  32. New: New Item / Clipper dialog: Support for tags (and fields). Simpler layout
  33. New: Tags: Support for more than one tag with the same name. If 2 or more tags have the same name, showing the tag items in a grid will use the syntax #[TagID:TagName] to resolve the correct tag
  34. New: Properties pane: Drag-drop the Tags section to a grid to show item tags as a grid column (or use the context menu)
  35. New: Properties pane: Tags section supports copy / paste
  36. New: Forms: ItemTags fields can be used to show tags in a form
  37. New: Fields: New ItemTagCount field, gives the number of tags for each item
  38. New: Grid: Copy as HTML Outline: Outlines can now be copied in a Print-ready style-based outline format, ready to paste in Rich Text editors.
    Uses the item / sub-items text and Doc pane content. Option to set the base heading level and list type. Details here: HTML Outline Export
  39. New: Print-Preview / Export: Print-ready Style-based export of the outline of items / sub-items (same as Copy as HTML Outline command)
  40. New: Grid: Items are now either Headings or Normal Text. Affects both Outline Styles and Labels. Also used by the new Copy as HTML Outline command. Use the H and N icons on the Format toolbar to set. By default, all items are Headings
  41. New: Grid: Edit > Paste > Paste as Plain Text command
  42. New: Grid: Edit > Paste: Improved support for HTML formats
  43. New: Grid: Home / End moves the focus to the first / last column. Hold Ctrl to also move the focus to the first / last item in the grid
  44. New: Grid Properties: Columns showing the font / colors now use: blank = All, -1 = Database Default
  45. New: Surface: For rectangular links, improved visual when lines cross each other
  46. New: Doc pane: Expand / Collapse content (headings based). Alt-click on a heading toggles expand / collapse, Ctrl + right / left arrows also does expand / collapse. In Edit mode, expand states are saved in the document
  47. New: Doc pane: Table cell text color and background color can now be set
  48. New: Doc pane: Copy / paste image files: Drag-drop is still not possible for image files, but it is now possible to copy / paste image files from Windows Explorer to the Doc pane editor. Supports 1 or more image files
  49. New: Doc pane: Drag-drop image files is now possible by opening the Insert > HTML Code dialog
  50. New: Doc pane: When 2 Doc panes show the same item, only one can be in Edit mode
  51. New: Doc pane Code view: Long lines are now cut and wrap to the next line. Setting in Tools > Options
  52. New: Doc pane: File > Save As now works better and will never remove Doc pane content
  53. New: Doc pane: When File > Save As generates an HTML file, a pop-up window is shown on the taskbar with a link to open the file
  54. New: Properties pane: New context menu to open all grids in a group
  55. New: Field Properties: Field name background color now matches the field color
  56. New: Options: Option to use Windows 8 compatibility mode or not
  57. Fixed: Grid: WYSIWYG Editor: Better support for IE11. It was not working well when the Doc pane was set to use IE 11
  58. Fixed: Grid: WYSIWYG editor: Strikethrough text was not handled correctly
  59. Fixed: Grid Properties: Deleting a grid closed all loaded grids
  60. Fixed: Grid: Outline labels showed bold HTML codes when the column was set to show HTML codes
  61. Fixed: Grid: Keyboard shortcuts were not registered
  62. Fixed: Grid: Split item did not handle super/subscripts correctly
  63. Fixed: Grid: Setting the Tree column on the # column and back to Item showed the ItemID on the # column
  64. Fixed: Grid: Dragging an image file onto a grid with the option to create a shortcut to the file did not show the image
  65. Fixed: Doc pane: When the Properties pane was shown, the doc pane was attached to it to become a pane group. It is now properly docked to the main window
  66. Fixed: Doc and Properties pane: changing the item text did not update the pane caption
  67. Fixed: Doc pane: If the Doc pane is showing a linked file and this file is an image, editing is disabled
  68. Fixed: Field Properties: If left open, it would steal the focus from the main window
  69. Fixed: Field Properties: Deleting a field did not properly set the focus on the next field
  70. Fixed: Tab close buttons were not shown at the correct position when panes were docked on the left
  71. Fixed: Dropbox sync was not working with some regional settings (date / number formats)
  72. Issues of Pre versions fixed, not required in release notes
  73. Fixed: Tags pane: In v110Pre4, Treeview was not working as expected
  74. New: Tags: Improved visuals when showing tags in grids and the Properties pane
  75. Fixed: When converting an IQBase, the Tags grid was not always generated correctly (no Item column). Users with this issue, delete the Tags grid and close / re-open the IQBase
  76. Fixed: Tags were sometimes not shown in grids and Properties pane
  77. Fixed: Item Tags (add / remove) were not considered a change for Dropbox sync
  78. Fixed: Tags pane: In Treeview, tags were not sorted alphabetically
v109 (2018-07-17)
  1. New: Grid: Copy / Paste grid formatting from one grid to another. Works across files too.
    Right-click on a grid (pane, tab, grid list or Manage Grids dialog) and select Copy View/Grid.
    In another grid (pane or tab), right-click and select Paste View. A dialog will show. Select option 2 to paste format
  2. New: Grid: Drag drop a field to the tree column now shows a dialog of options. Can use this to easily show field contents or combine the items of 2 fields
  3. New: Grids: Recent Grids dropdown menu is now divided into 2 sections: Loaded grids and other grids, each sorted by last access
  4. New: Grid: New options on when to start edit mode on single-click: Never, Selected cell, Cell text, Blank area
  5. New: Grid: Option to set the threshold for large number of items
  6. New: Grid: Hold Shift when expanding an item will only display main children. Hold Ctrl will display all children. Main children are sub-items for which the item is the main parent
  7. New: Grid: When pasting multiple items, option to not create items for empty lines
  8. New: Grid: Add Marked Items as Children command now supports more than 1 item selected
  9. New: Grid: Option to control action on double-click when the item has a linked file
  10. New: Doc pane: When a PDF file is shown in the pane, its content is automatically indexed and becomes searchable within IQ. Use Menu > File > Re-Index if file changes
  11. New: Doc pane: Style sheet support
  12. New: Doc pane: Format Style Sheet: Set the style sheet for this item or leave blank to use the default style sheet (defined in Tools > Options > HTML)
  13. New: Doc pane: Edit > Edit Style Sheet. Opens the program associated with .css files. Hold Shift to show the Open with dialog
  14. New: Doc pane: Edit > Remove Embedded Styles command
  15. New: Doc pane: Support for gradients and other CSS3 visual effects. Set IE mode to 11 to enable. Note: You must open and close InfoQube once to enable this feature
  16. New: Doc pane: H1...H6 and Normal paragraph style command buttons (Ctrl +1...6 and 0 do the same thing)
  17. New: Doc pane: Format > Remove Format command. Shortcut is Ctrl + Space
  18. New: Doc pane: Style sheet drowdown: Entries can now be removed. Use the up / down cursors to select a style sheet and press the Delete key to remove the entry
  19. New: Properties pane: Now scrolls past the last item (to match the behaviour of grids)
  20. New: Properties pane: Option to close other forms when opening a form. Right-click on the Forms header to select. When enabled, hold Shift key to open more than one form
  21. New: Item: Index Linked File command: Indexes the text content of compatible file types. Uses the FileRef fields or the URL field. Currently, the compatible types are PDF, RTF, HTM and plain text. This means that if you drag/drop a set of files onto a grid, their text content will be searchable within IQ. Click on a hyperlink (in the Properties pane) to open the file in an appropriate viewer / editor.
  22. New: New Item dialog: Pressing Escape shows a dialog to confirm (if content was entered)
  23. New: Live-Search: Unicode enabled
  24. New: Manage Forms dialog: Improved drag-drop visuals
  25. New: Fields: ItemHTMLStyle holds the item specific style sheet
  26. New: Universal Clipper: If selecting 3 characters or less, the clipper will not clip the content. Instead, it will do as if it was a HTML page link
  27. New: Hotkeys: Warning if cannot register the hotkeys. Warning if more than 1 running instance of InfoQube prevents making changes to the hotkeys
  28. New: Workspace: Option to select tab position (top, bottom, left, right)
  29. New: Options dialog: General > Document page: Can now enter the IE version to emulate (7,8,9,10,11). 11 has support for inline SVG and gradients but on some systems causes long initial program load times
  30. Improved loading of Dashboard-type grids
  31. Change: Properties pane: When a field had the same name as a grid, it was shown as a hyperlink. This was confusing as it is similar to item hyperlink but completely switches context. Now a arrow icon is shown after the field name. Click this to open the corresponding grid
  32. Fixed: Grid: Recent Grids dropdown menu did not update correctly, in particular for dashboards type grids
  33. Fixed: Grid: Removing a column filter by closing the yellow filter bar at the bottom the grid did not properly scroll the list to show the selected item
  34. Fixed: Grid: Unicode support was partly broken
  35. Fixed: Grid: WYSIWYG editor: Editing did not correctly ends when focus was moved the Properties or Doc pane (this to match the non-WYSIWYG edit behaviour)
  36. Fixed: Grid: WYSIWYG editor sometimes dropped 1 or more characters when starting editing
  37. Fixed: Grid: WYSIWYG editor: When cell wordwrap was off, entering edit opened slowly as the window progressively increased size.
  38. Fixed: Grid: Undesired vertical scroll after a sub-item sort
  39. Fixed: Grid: If the whole item row was selected, the sort sub-item command did not work
  40. Fixed: Grid: Copy cell content did not always work correctly
  41. Fixed: Grid: Edit > Copy did not always work (outline, XML modes)
  42. Fixed: Grid: Ctrl+1-9 to expand the selected item to a given level caused unwanted scrolling
  43. Fixed: Grid: When using the WYSIWYG editor, switching to another app did not release focus
  44. Fixed: Grid: WYSIWYG Print Preview did not show outline labels for some items
  45. Fixed: Grid: Recursive outline labels were not always correctly formatted
  46. Fixed: Calendar: Events were not shown if the Windows setting for regional date format used the "." as separator ("-" and "/" worked fine however)
  47. Fixed: Doc pane: When the focus was on the Live-Search, a click in the Doc pane did not properly set the focus to that pane
  48. Fixed: Doc pane: Ctrl + N applies Normal paragraph style. Ctrl + 0 does the same thing
  49. Fixed: Doc pane: Zoom In/Out was no longer working
  50. Fixed: Doc pane: In code view, Edit > Find / Replace did not work
  51. Fixed: Doc pane: Save as Default did not work
  52. Fixed: Doc pane: Linked files (through drag-drop to the grid) that use Windows shortcuts were not dereferenced, hence were not shown correctly
  53. Fixed: Doc pane: Code view did not have a context menu
  54. Fixed: Doc pane: If the charset was not specified, Unicode characters were not saved correctly. Now, when encoding is not set, utf-8 is assumed (that is, the file is modified to add the utf-8 encoding meta tag)
  55. Fixed: Doc pane: Image resize by a corner handle no longer set the correct aspect ratio
  56. Fixed: Doc pane: Creating a hyperlink and selecting items changed the currently focused item
  57. Fixed: Doc pane: Fixed numerous issues related to using IE 11 mode
  58. Fixed: Doc pane: H1...H6, Strikethrough, Highlight, text and back color command buttons were not updated to show the current selection values
  59. Fixed: doc pane: When creating a hyperlink, space after the word is no longer selected
  60. Fixed: Doc pane: Justify alignment was not working
  61. Fixed: Properties pane: Hand pointer cursor was not shown correctly for the Values sub-section and flickered for other sections/sub-sections. New: Mouse move over a section / sub-section shows the text in hyperlink color
  62. Fixed: Properties pane: Double-click on a field to show the items fails when the Scratch grid is shown in the tab workspace but not loaded. See scratch grid showing wrong items, not assigned to double-clicked field
  63. Fixed: Properties pane: Closing a form could sometimes add items in the current grid
  64. Fixed: Live-Search: Scrolling improvements, in particular when Show Details is checked
  65. Fixed: Options dialog: Improved scrolling and keyboard support (namely Ctrl + Left/Right Arrows to expand / collapse)
  66. Fixed: Ctrl+Tab to switch tabs did not skip over the + tab (new/open grid)
  67. Fixed: Universal Clipper Hotkey: If the shortcut key was using a modifier other than just {Win}, the text was not automatically copied and users had to do Ctrl+C before
  68. Fixed: Docked grids did not load
  69. Fixed: Hotkeys: If 2 or more instances of IQ are running, and one is closed, the hotkeys stopped working
  70. Fixed: Help > Button to enter a license was not visible on an expired version
  71. Fixed: Start-up: Loads the previous file even when Options > Open last file on startup is not checked (Option 1.3.2)
  72. New: Workspace tabs: Icons and item count now have separate settings for horizontal and vertical tabs
  73. Fixed: Doc pane: Lockup could occur the first time editing is switched to browse mode
v108 (2018-05-01)
  1. New: Welcome to InfoQube command and IQBase: The Welcome IQBase is a system provided and managed IQBase designed to help users learn how to use InfoQube
  2. New: Workspace: New Tab button, to create new grids or open existing ones
  3. New: Calendar: View and Edit Google Calendar Repeating events
  4. New: Calendar: The Today button on the date toolbar is now checked when the today's date is shown somewhere on the Calendar
  5. New: Grid: Filter by Selection. Select one of more cells to show only items with these cell values. Works with Wikitags too ! Grid column filters now work in a very similar fashion as Hoist filters
  6. New: Grid: Add Column command: Button to create New Fields (on the fly, without going to the Field Properties dialog)
  7. New: Grid: Improved drag / drop (UI and speed). This makes IQ a viable option for Kanban-style information management (i.e. Trello-like)
  8. New: Grid: Right-click on an empty area of the grid shows the workspace tab context menu
  9. New: Grid: Hoist Special now has a checkbox to show the hoist in a new tab
  10. New: Grid: Hoist commands: Hold Shift or Ctrl to show the Hoist in a new tab
  11. New: Grid: When selecting a grid in the grid list or the recent grid list, hold Shift or Ctrl to open the grid in a new tab
  12. New: Gantt: Overview pane enhancements: 1- Resizable, 2- Shows visible date range, 3-Option to show/hide bars
  13. New: Gantt: Show Critical Path. Shows in red the tasks that determine the project completion date. When showing the Critical path it is now also possible to:
    • Refresh the Critical Path, after a change to the tasks for example
    • Optimize the schedule. Compress the tasks based on task links and delays to find the earliest completion
    • Save the optimized schedule as the current baseline, or turn off the Critical Path to return to the current baseline
  14. New: Gantt: Dropdown menu command to select the Auto-Scroll setting: None, Bar start, Bar end. Scrolling through Gantt tasks now offers better control over bar visibility
  15. New: Gantt: When the focus is on the Gantt, the left / right arrows now provide more information by:
    • Vertical colored line showing the date
    • Left / Right keys move the focus to the previous / next date of interest
    • All tasks that start or end on that date are highlighted (selected)
    • Use Ctrl + Shift + M (to mark) or Ctrl + C to copy these for easy referencing
  16. New: Gantt: Link color is now the same as the originating bar
  17. New: Gantt: When creating links between tasks, option to not show the dialog
  18. New: Gantt: Double-click on a link to open the link properties dialog
  19. New: Gantt: Improved Link dialog
  20. New: Dashboards: Right-click on the pane title bar shows the workspace tab context menu
  21. New: Dialog UI uniformisation in progress. Support for user selectable font size. "F1" button and function key support to open the online help page
  22. New: Format toolbar now has a
  23. New: Support for universal links to other apps (using URI protocol, such as Onenote://, ct://, epim://, etc)
  24. New: Support for universal links to IQ items and views (IQ:// hyperlink protocol)
    • Format: IQ://C:\SomeIQBase.sndb/items/ItemID, or:
      • /items/ItemID1,ItemID2, (...)
      • /views/Surface
      • /views/Calendar
      • /views/ViewName
      • /views/ViewID
    • The link will show the IQBase with the correct element in focus
      • If the IQBase is currently closed, the actual path specified in the link will be used to open the file
      • If the IQBase is already opened, link will switch to it, even if the actual link path is incorrect, as long at it is the same file name
    • Use Edit > Copy > Copy Item URIs to put a link to the selected items in the clipboard
    • Use Copy View to put a link to the view in the clipboard
  25. New: IQURIProtocolInstall.exe program to setup and register the IQ:// protocol
  26. New: Edit > Copy > Item URIs
  27. New: Properties pane: Item lists are now editable (Parents, Siblings, Children, Marked items)
  28. New: Properties pane: Popup editor on a date now shows the Event dialog to edit / create an event
  29. New: Field properties dialog now has a minimize button. It is now possible to leave the window open. The window is shown on the taskbar
  30. New: Manage Grids: Updated UI and online help
  31. New: Hyperlink dialog: Can now copy / paste a file from Explorer
  32. New: Function keys toolbar: Useful for tablets, when the keyboard is not attached, or when the "legacy" function keys require pressing a dedicated Fn key.
    Button size set in Tools > Options. Users can dock this special toolbar to the bottom of the main IQ window or have it floating.
  33. Fixed: Grid: Item > Split did not properly assign parents to the created items
  34. Fixed: Grid: Alt -> does not assign main parent
  35. Fixed: Grid: on column filter by selection, re-select the items after applying the filter
  36. Fixed: Grid: Re-arranging sub-items was not always save correctly
  37. Fixed: Grid: Custom formats were only applied to numeric fields (it is now possible to format dates using a format such as long date )
  38. Fixed: Gantt: Removing the bar start and end dates did not remove the bar. Bar was removed after a refresh only
  39. Fixed: Gantt: Sometimes, bars were missing
  40. Fixed: Calendar: Repeating event were no longer shown (since Google Calendar Sync was implemented)
  41. Fixed: Map View: Text format was not applied to existing text
  42. Fixed: HTML pane: File > Save As did not work for Markdown documents
  43. Fixed: HTML pane: Paste text containing carriage returns were not translated correctly to HTML (paste as text)
  44. Fixed: HTML pane: When the pane is collapsed, pressing F12 does move the focus to the pane if it needs updating
  45. Fixed: HTML pane: Edit > Clean up HTML tags command could lock up the program
  46. Fixed: Properties pane: Parents were no longer shown as an inverted hierarchy
  47. Fixed: Properties pane: Did not save if a single character was entered in a cell
  48. Fixed: Field properties: Row equation: Updating values is now faster
  49. Fixed: Field properties: Some field showed 0 instead of the correct number of items with values
  50. Fixed: On large IQBases, significant speed boost for many operations
  51. Fixed: item/clipper dialog: item text box height display issues
  52. Fixed: New Item dialog: Click on the HTML button to show / hide that section of the dialog cleared the content
  53. Fixed: Import flat list: Failed if there were more than 32767 lines
  54. Fixed: Universal clipper: if 2 or more IQ instances were opened and one was closed, the clipper no longer worked
  55. Fixed: On touch screens, tap on a workspace tab did not always activate the tab
  56. Fixed: Fast Search. Properties and HTML panes were not synced
  57. Fixed: Fast Search: It was not longer possible to edit item information in the Properties and HTML pane
  58. Fixed: User color dropdowns were showing only color name, not the color icon
  59. New: Fast Search: Now supports Select All (Ctrl + A) and Mark Items (Ctrl + Shift + M) commands
  60. Fixed: Grid: Creating a hyperlink for the whole item text (WYSIWYG editor) did not work correctly
  61. Fixed: Grid and field names is now checked that they start with a letter (not a number)
  62. Fixed: Color button dropdown commands were not always working correctly
v107 (2018-02-01)
  1. New: Calendar: View and Edit Google Calendar events (non-repeating)
  2. New: Grid: Outline Labels: Skip labels for individual items
  3. New: Grid: Outline Styles: Skip styles for individual items
  4. New: Grid: Format toolbar now has commands to insert icons (works for both the plain text and WYSIWYG editors. Before icons could only be inserted using the Popup editor)
  5. New: Grid: Format toolbar now has commands for superscript / subscripts (works for both the plain text and WYSIWYG editors)
  6. New: Grid: Editor now supports sup and sub tags (for superscript / subscript)
  7. New: Grid: Column filter now have an option to show / hide list of values (text and date fields)
  8. New: Grid: Column filter is now more compatible with Outline Labels
  9. New: Grid: Improved Page Up / Down behavior (no longer skips items, selected item position maintained)
  10. New: Grid: # column: Setting to show flat list instead of hierarchy
  11. New: Grid: Command to show / hide the checkbox on the tree column (before, the setting was only in Grid Properties)
  12. New: High DPI Grid scaling setting
  13. New: Gantt: Horizontal scroll bar now shows buttons to scroll page by page
  14. New: Edit > Copy > Copy Item IDs. Puts the IDs of the selected items in the clipboard. Useful for filtering and linking
  15. New: HTML pane: Open command is now a dropdown button to select a file, a folder (new) or a web page
  16. New: HTML pane: Ink documents now support hyperlinks to Items and grids, when editing in Write, simply enter the grid hyperlink syntax, such as ItemID1, ItemID2, etc to link to one or more items or Grid1 to link to a grid.
  17. New: HTML pane: When showing a folder, image files can be shown in the IQ's built-in image viewer
  18. New: Automatic Remote database sync. Settings in Tools > Options. Supports multiple sync files
  19. New: Notifications pane: F2 toggles edit On / Off, Ctrl + C copies the content to the clipboard
  20. Fixed: Grid: Activate a grid does not show it if hidden in a pane
  21. Fixed: Grid: Remove from this parent only did not immediately remove the item and required a refresh
  22. Fixed: Grid: When sorting using the sort bar (with sort items and sub-items checked), sub-items under a collapsed item were not sorted
  23. Fixed: Grid: Improved copy / paste from CSV sources (such as Excel)
  24. Fixed: Grid: Gantt pane size was sometimes set to 0 during maximize / minimize
  25. Fixed: Grid: Display issues when the tree column show a checkbox (to mark as done)
  26. Fixed: IQ Surface: Notifications pane was not updated
  27. Fixed: HTML pane: When in Browse mode, the history was not cleared when going from item to item, this can lead to the pane showing the incorrect content
  28. Fixed: HTML pane: When in Browse mode, Shift + mouse wheel did a navigation back / forward command
  29. Fixed: HTML pane: Paste special dialog did not have 1, 2, 3 shortcuts
  30. Fixed: HTML pane: Resizing an image from corner handles did not preserve aspect ratio
  31. Fixed: HTML pane: Ink documents: Hyperlinks did not open in a browser like other links. BTW, did you know that Ink documents supported hyperlinks? Details here
  32. Fixed: HTML Pane: Markdown: Documents with extended characters could cause program lock up when switching to browse mode. Unicode support will come in a future version
  33. Fixed: HTML Pane: Checkboxes did not work in browse mode
  34. Fixed: Shift + F12 no longer toggled the visibility of the HTML pane
  35. Fixed: History Forward / Back shortcuts were enabled when editing (and conflicted with text selection shortcuts)
  36. Fixed: Google Connect: Disconnecting from an account did not remove events
  37. Fixed: Dashboards: Closing the Calendar did not move the focus to the active pane
  38. Fixed: IE and FF clipper: Link to page incorrectly copied the clipboard content to the HTML section
  39. Fixed: ItemHomeGrid field could not be deleted (field used to be a system field, but it is no longer used)
  40. Fixed: Image Viewer: Bug fix and improvements
  41. Fixed: Notifications pane: Show on mouse move did not work
v106 (2017-12-01)
  1. New: Calendar: Google Calendar Sync: Support for repeating events. This is the second step of the process in finalizing the Calendar
  2. New: Calendar: Improved navigation with mouse and arrow keys
  3. New: Grid: Add/Remove column dialog now opens with the current grid columns at the top of the list
  4. New: Grid: Default columns to show item font and colors can now be set in Tools > Options > This Database > General
  5. New: Grid: Improved scrolling with mouse wheel and touch pad
  6. New: New Item dialog now supports drag-drop of text to the Item text box
  7. New: File > Properties now report the number of events
  8. Fixed: Click on the EmailToIQ on the status bar no longer imported emails if auto-import is off
  9. Fixed: Calendar: Changes done in the Properties pane was only applied to the last selected event
  10. Fixed: New Item dialog is not always shown with focus
  11. New: Zoom keyboard shortcuts
  12. Change: HTML pane: Default Zoom keyboard shortcuts were changed (for consistency with the rest of the UI)
v105 (2017-11-20)
  1. New: Read-only view of Google Calendar events. Use Tools > Google Connect and select which calendars are to be linked. Non-repeating events only.
    Sync every X seconds or set it to manual and click on the Calendar icon on the status bar to sync
    This is the first step of the process in finalizing the Calendar:
    • v105: Read-only view of non-repeating events
    • v106: Support for Repeating Event
    • v107: Read / Write for non-repeating events
    • v108: Read / Write for Repeating events
    • v109: Support one-way sync to InfoQube items
    • v110: Support two-way sync to InfoQube items
    • v111: Calendar UI improvements
  2. New: Grid: Item > Select Sub-Items command. Selects the immediate sub-items of the currently selected item(s). Hold Ctrl key to keep current selection
  3. New: Grid: Filter-on-Type support. The filter bar (yellow bar below the grid) now stays visible even if empty. Use this to Filter-on-type
  4. New: Grid: Auto-Search (Ctrl + F3) now shows collapsed items.
    Combined with the recent addition of background loading of sub-items, it is now much easier to find items in deep hierarchies
  5. New: Grid: New Status bar toggle button to set arrow keys behavior when editing a cell
  6. New: List of Grids: 3 new right-click commands:
  7. New: Grid: After toggling sort ON then OFF, the sort order of TLI items is now restored. So it is possible to manually order items and then use any sorting without risking loosing the manual sort. Turn sort OFF to return to the manual item sort order
  8. New: Calendar: Load visible events only (improves performance and reduces resource usage)
  9. New: Surface: Item > Select Sub-Items command. Selects the immediate sub-items of the currently selected item(s).
    Hold Ctrl key to keep current selection. Hold Shift to also select linked items (i.e. detached items). If the item doesn't have any sub-items, this command will select all linked items.
  10. New: Surface: Auto-arrange dialog now has an option to detach sub-items first and then auto-arrange
  11. New: When showing the Home Page, the main IQ title bar now shows the active view name (Press Alt + 1 to return to this view)
  12. New: Live-Search: Button to show Home Pages. Use the HTML page to perform edits
  13. New: New Item global shortcut (Win + N) supports multiple New Item dialogs opened at the same time
  14. New: New Item global shortcut: If the main IQ window significantly hides the currently active window, it is minimized so as to not hide it. Once clipping is done, it is restored
  15. New: New Item dialog: Item text is now a WYSIWYG editor (same as the event dialog)
  16. New: New Item dialog: Item text is now resizable. If the HTML section is shown, press Alt + Up / Down to resize. Dialog size is now saved / restored
  17. New: HTML pane: When showing MHT, SVG or Ink documents, File > Save now computes the document height which is used in HTML Export
  18. New: HTML pane: Markdown: Option to use external Markdown editor.
  19. New: HTML pane: Markdown: Editor now supports pasting images from the clipboard
  20. New: HTML pane: Markdown: Editor now supports inserting Tables and Hyperlinks
  21. New: HTML pane: F2 to toggle between Edit and View. Shift + F2 to open external editor
  22. New: HTML pane: Ink documents: Stoke date / time is now shown on the status bar
  23. New: EmailToIQ: When Auto-Import is disabled, Icon on statusbar now shows a tooltip of the subject of the most recent email to import
  24. New: EmailToIQ: Support for more field delimiters. Use any of # | ~ ! @ $ % & + - / \. Previously, # was required, but this can clash with Twitter-like tags
    (only rule: use space followed by the delimiter twice and then enter the "field=value" list)
  25. New: Tools > Options: Expand states of each section / sub-section is now saved / restored. Improved looks too !
  26. New: Tools > Options: Better UI to select fonts
  27. Change: Menu bar large icons are now 24x24 instead of 32x32. As they are just scaled 16x16, there is no point in such large icons, even on high DPI displays
  28. Change: HTML pane: New Ink documents now use the .shtml extension (.slink extension is still supported though not recommended)
  29. Fixed: Close buttons are now shown on the right side of tabs (for tabs on the top)
  30. Fixed: Sometimes, at startup, the wrong menu setup was shown
  31. Fixed: When restoring the layout, multiple instances of the same tab were not restored
  32. Fixed: Showing the Home Page changed the main IQ menus
  33. Fixed: Customize dialog only showed visible commands
  34. Fixed: Un-hiding a docked pane could change the currently focused tab in the workspace
  35. Fixed: Un-hiding a docked pane could change the currently focused item
  36. Fixed: Grid: Removing a grid filter clicking on the X on the yellow filter bar did not show the correct items selected
  37. Fixed: Grid: WYSIWYG editor did not show Italic, Underline and Strikethrough item font properties
  38. Fixed: Grid: Column > locked columns was not updated and allowed negative numbers
  39. Fixed: Grid: Item > Sort Sub-items: Order was not saved
  40. Fixed: Grid: Right-click on the column header > Sort Ascending / Descending sorted items AND sub-items even when the Sort setting was set to sort only items
  41. Fixed: Grid: Toggling Hoist ON then OFF, could change the order of TLI items
  42. Fixed: Grid: Edit > Touch: Incorrect handling of the touch feature when the value is null: executes the M flag, instead of the E flag
  43. Fixed: Grid: When Auto-Update is On, adding an item sometimes moves the grid scrolling position
  44. Fixed: Live-Search: When showing Favorites or Marked items, output was always a list of item, even when "Live Search Output" was selected
  45. Fixed: Live-Search: Focus was moved to the HTML pane
  46. Fixed: Live-Search: F9 did not move focus to the search result
  47. Fixed: HTML pane: Using Alt-Tab to switch to another app and back did not properly set the focus to the pane
  48. Fixed: HTML pane: Markdown, MHT, SVG and Ink documents now update as soon the file is saved by the external editor. If the file is saved in a Dropbox-like folder, the editing can even be on another PC or mobile device
  49. Fixed: HTML pane: Auto-save moved the focus away from the pane to the grid
  50. Fixed: Properties pane: Expand states or the various sections were not save / restored correctly
  51. Fixed: Properties pane: Improved scrolling with some touchpads. Improved touch support too
  52. Fixed: Properties pane: Touch and Recalculate now work on all selected items
    Touch on the field name will do as if all items were separately touched
    Touch on the field value will set the value to all items (as if the cell value was changed)
  53. Fixed: Clipper / New Item dialog: EmailToIQ fields and Wikitags were not sent correctly
  54. Fixed: Calendar Sync dialog ? button sometimes fails retrieving events and reports 0 event in the calendar
  55. Fixed: Manage Fields: Correct handling when a field that has child fields is deleted
  56. Fixed: Manage Fields: Saving fields that have equations was sometimes long for large databases (when the Properties pane all-fields list was set to tree-view)
  57. Fixed: New Item global shortcut could clear the content of a Universal clipper dialog
  58. Fixed: New Item dialog: If Assign to Grid is checked and the grid was hoisted, items were not correctly added to the grid
  59. Fixed: New Item dialog: some keyboard shortcuts were not working (Ctrl + A, F2, Ctrl + N)
  60. Fixed: EmailToIQ subject was always set to EmaiToIQ (bug introduced in v105)
  61. Fixed: Faster window resize
  62. Fixed: When main window is maximized and options is set to hide the title bar, the close / restore buttons are now shown at the top-right edge of the main window.
    It is actually a toolbar, which can be moved, if desired
  63. Fixed: View Timeline command was not showing
  64. Fixed: VBScript: Coding error in system function SetFontAttrib
  65. Fixed: Lock-up could occur when showing the toolbar customize dialog
v104 (2017-10-06)
  1. New: View > Layout > Workspace Tabs command (Alt + Ctrl + W) switches between 5 tab layouts: Normal, Fit, Compressed, Multi-line and Left side. Setting for the maximum tab width when on the left side
  2. New: Improved Workspace tabs looks. Google Chrome-like
  3. New: Option to hide icons on workspace tabs
  4. New: Tab Close button now shows on mouse-over only (making for smaller workspace tabs)
  5. New: Grid: Load collapsed sub-items in background. In Grid > Properties, set Auto-Update to enable this new feature. Grid > Display mode must also be set to Outline (Normal). Maximum number of sub-items to load is set in Tools > Options. Column filters are now more effective and Live-Search more accurate !
  6. New: Grid: When the Source / Group bar is not shown, clicking on the column header toggles between selecting all items and selection the current item
  7. New: Live-Search: Shown-in column is now more complete
  8. New: Field Management: Improved performance for large databases. Nb Items column now updates only visible fields and if the column is more than 10 pixels. Close column to prevent item count update
  9. New: Properties pane: Dates that are shown in the Calendar are now shown in bold
  10. New: HTML Export: Improved UI (in preparation for Heading style export)
  11. New: Tools > Options: Option to set the UI font face and size
  12. New: Holding Shift or Ctrl while loading an IQBase will show the Restore Layout dialog
  13. New: Deleting an item now sends the related HTML pane files (if any) to the recycle bin (instead of deleting them)
  14. Change: Grid: Reduced clutter on the label above the grid. Click on the folder icon to show / hide the source bar
  15. Change: Grid: The column filter now shows values for all items in the grid. Hold Shift to view only visible items (before it was the opposite)
  16. Fixed: Grid: Item count was not shown when the grid was in a pane
  17. Fixed: Grids: Grid dropdown list showed all grids, not just marked to be shown on the list
  18. Fixed: Grid: Edit > Renumber could cause crash if the Step is empty
  19. Fixed: Live-Search: Clicking a grid in the Shown-in column opened the correct grid but did not move the focus to the correct item
  20. Fixed: Panes: When closing / hiding a pane, focus is moved to the main window, but it did not trigger a focused item change event, so Properties and HTML pane were not showing the corrent item
  21. Fixed: HTML Export: After an Email merge, the main IQ window was locked
  22. Fixed: HTML Export: Back color and item fonts were not the same as the grid
  23. Fixed: HTML pane: Cleanup HTML code did not work for embedded DIVs (DIVs inside a DIV)
v103 (2017-09-11)
  1. New: File > New: Now shows a list of template files. Looks up in the current folder and in the AppFiles folder
  2. New: Field Color: Shown in Grids (as colored column), Properties pane and the Calendar
  3. New: Grid: Column Color. Alternative way to set Field Color
  4. New: Grid: Option to show field color on Header and/or Cells (Tools > Options)
  5. New: Grid: Background color for each grid. Now you can color-code grids ! Set in Grid > Properties
  6. New: Grid: Default grid line options (Horiz, Vert, etc, color and style). Set in Tools > Options
  7. New: Grid: Grid specific line options (type, color and style). Set in Grid > Properties
  8. New: Grid: Default Column header color setting (Tools > Options)
  9. New: Grid: Column header alignment
  10. New: Grid: Column alignment is now linked to field alignment and any change is applied to all grids
  11. New: Grid: Can open more than 1 instance of a grid and have separate view settings for each (i.e. one can show all items and another one hoisted, or one can have a datefilter and the other one an alphafilter)
  12. New: Grid Sub-views: When more than 1 instance of a grid is shown, each can have distinct sub-views. For example, one pivot table can show your budget in 2016 and another one for 2017. Before, the grid and a clone (same grid saved as a different name) were required
  13. New: HTML pane: Edit > Cleanup HTML Tags command: Removes most tag styles attributes
  14. New: Field Properties: Press F2 or double-click on the Popup list to open in a larger window
  15. New: History: If the view is closed, a dialog is shown for options (Open view, skip this item, cancel)
  16. New: When opening a password protected file, the dialog stays open until a valid password is entered or Cancel is pressed
  17. Change: Grid: Hyperlink in a grid will no longer hoist the current grid, so as not to lose focus. Another instance of the grid will be opened if need be
  18. Change: HTML pane: Deleting a large portion of the content in the pane no longer shows a dialog. Instead, a taskbar popup is shown. Click the popup (or do Edit > Undo) to undo
  19. Fixed: File > New: Closed the current IQBase before opening the new one
  20. Fixed: File > Save as: Added SNTemplate file type
  21. Fixed: Grid: Adding items while in Hoist was not saved, so a refresh did not show these items
  22. Fixed: Grid: Showing the Done checkbox (grid properties) required a refresh to update the checkboxes state
  23. Fixed: Grid: WYSIWYG Editor: Paste accented characters were incorrectly encoded
  24. Fixed: HTML pane: Edit > Use DIV and Use Paragraph did not always work
  25. Fixed: History : if item is in a hidden pane : pane doesn't unhide to show item
  26. Fixed: Undo: Changes to the HTML pane did not log an entry in the undo list
  27. Fixed: Advanced Search: Results are not shown if the destination grid is hoisted
  28. Fixed: Timers on the status bar stopped counting when other programs have focus
v102 (2017-08-24)
  1. New: On starting InfoQube checks to see if the file to load is already opened in another instance and prompts the users as to what to do (switch, open, cancel)
  2. New: File > Page Setup
  3. New: Improved Recent Files list management
  4. New: Recent Files: Right-click to remove entries
  5. New: Copy - Paste > Paste Special files in the grid now shows the File Link dialog (same as for Explorer drag-drop).
  6. New: HTML pane: When position is set to absolute, images can now be freely moved around
  7. New: HTML pane: Insert Checkbox dialog now has a dropdown list of all Y/N fields
  8. Change: Grid: Hoisted grid now have a more compact tab caption
  9. Fixed: Grid: If an image is missing or incorrectly added using the tags, a placeholder is now shown, so users know something is wrong. Before, the tag was simply ignored
  10. Fixed: Grid: Item > Add sibling item was broken. A sibling item has the same list of parents
  11. Fixed: Gantt > Task Links > Properties did not work, only right-click on the link worked
  12. Fixed: Gantt: Is Summary bar was not checked when a bar was a Summary bar type
  13. Fixed: Pivot Chart: Refresh (F5) did not work
  14. Fixed: HTML pane: File > Page Setup did not do anything
  15. Fixed: HTML pane: Print Preview: French accents were not shown correctly
  16. Fixed: HTML pane: Edit > Remove Outer Element did not work correctly
  17. Fixed: Properties pane: Sometimes right-click on a field > Field Properties did not work
  18. Fixed: Import Hierarchical data was only importing first level items
v101 (2017-08-12)
  1. New: Multi-user: Improved multi-user support. Changes made by other users on a LAN (or other instances on the same PC) are detected and views auto-update.
    Use Tool > Options > This Database > 2.4.11 to set the update delay (in seconds)
  2. New: Outline labels: Support for icons / fonts
  3. New: Properties Pane: Parse Equation context menu when applicable
  4. New: Field Properties: General: Text fields: Parse equation if starts with '='
  5. New: Live-Search: Click on the # column toggles between selecting all items and no items
  6. Fixed: Drag-drop from one grid to one on another tab did not work
  7. Fixed: Live-Search: If no items in the search results are selected, it returned all items in the IQBase
  8. Fixed: Live-Search: Search in Current Grid was broken. Output search result in Current Grid was also broken
  9. Fixed: Icons: icons names were case sensitive
v100 (2017-07-28)
  1. New: Items: Show Levels dialog. Pane to show / hide sub-items. Supports any depth level
  2. New: Grid: Option to set the single-click edit behavior (click on text or click on blank area)
  3. New: History: Context menu commands to pin / unpin items and to remove items from History (Pinned items are not deleted when deleting History)
  4. Change: Item menu: All sub-items commands are now grouped under a Sub-Items menu
  5. Change: Main IQ UI is no longer locked while in WYSIWYG Print Preview
  6. Fixed: Grid: When grouping is on, improved Copy / Paste to plain and rich text editors (Edit > Copy > 2- Selected rows and columns)
  7. Fixed: Grid: WYSIWYG editor: Cursor position was not always restored to the exact position when the editor height was increased
  8. Fixed: Field: Multi-select parsing sometimes truncates left-most characters
  9. Fixed: Tools > Keyboard Shortcuts > View All: Some command names were incorrect
  10. Fixed: HTML pane: Markdown documents related issues
v99 (2017-07-22)
  1. New: View > History: Navigate forwards and backwards in your item viewing history. Automatic and manual modes. Dropdown shows list of History items
  2. New: Grid: Column Width dialog. Supports multiple columns. Option to set the default width for columns
  3. New: Edit > Copy Special > Copy as Hyperlink
  4. New: Grid: Support for c and r tags (to center / right align text)
  5. Change: Menu clean-up
  6. Fixed: Grid: Multi-Select editor Sync Fields did not work when the settings were not of the "Enclosed" type
  7. Fixed: Grid: Copy / Paste sometimes failed (namely when clip contained bullet characters)
  8. Fixed: Grid: Holding Ctrl key no longer showed Tooltips for items and column headers
  9. Fixed: Import: If field names contained a space, import failed
v98 (2017-06-23)
  1. New: Grid: WYSIWYG editor height now automatically sizes to show all text
  2. New: Surface: Auto-Arrange items on the surface. Dialog shown to set auto-arrange options
  3. New: Surface: Add Links... command: opens a list of items on the surface where you can select items to link to
  4. New: Surface: When creating a link, click on the popup notification to enter the link text
  5. New: Surface: Mouse wheel now behaves as in other views: up/down scrolls, Shift + up/down scrolls left/right, Ctrl + up/down zoom in/out
  6. New: Surface: Ctrl + Shift + wheel down now zooms out to show all items
  7. New: Surface: Ctrl + Shift + wheel up on an item now centers that item and increases the zoom to 100%
  8. New: Surface: Cursor keys now move the surface
  9. New: Surface: PgUp/PgDn now scrolls the surface. Shift + PgUp/PgDn scrolls left/right
  10. New: Surface: Home move to the center of the surface and sets the zoom to 100%, Ctrl + Home shows all items
  11. New: Field: Wrap text in Properties pane property is now used as the default wrap setting for grids
  12. Fixed: Grid: Paste could change the scroll position (occurs when not editing)
  13. Fixed: Grid: Pressing Escape did not cancel editing (non WYSIWYG editor)
  14. Fixed: Grid: In Edit mode, Hyperlink dialog fails if the cell is empty
  15. Fixed: Grid: When the HTML pane is visible, switching to an item in the grid and pressing immediately on F2 to edit started edit as expected but the cursor (caret) is not visible
  16. Fixed: Omnibox: When doing search, the focus is not always moved to the Search result grid
  17. Fixed: New Item dialog: Cursor was sometimes not visible
  18. Fixed: New Item dialog: When using the hotkey (Win + N), focus was not set on the dialog, but on the main IQ window
  19. Fixed: Switching to another app and back did not set the focus to the last active window when the window is a dialog (Field management, New Item, etc)
  20. Fixed: Numerous other focus issues related to having views in panes
v97 (2017-05-12)
  1. New: Edit > Unselect All command (Ctrl + Shift + U)
  2. New: Grid: Option to turn off highlight of the focused cell
  3. New: Grid: Option to highlight row and column headers
  4. New: Grid: Option to not automatically select the item when the focus is set to the # column (use Alt + S to select the item)
  5. Fixed: When switching between applications, Edit was not resumed if the grid was in a pane
  6. Fixed: Grid: When pasting complex HTML into the grid, line breaks were inserted every 80 characters or so
  7. Fixed: Grid: When using the pop-up editor, the item split command did not order items correctly
  8. Fixed: Grid: Undo after an Edit > Cut did not work when more than one cell was selected
  9. Fixed: Home Page: An initial click was required to set focus to the Home Page before it responded to click events
  10. Fixed: Home Page: Setting focus to the Home Page updated the Properties and HTML panes
v96 (2017-05-05)
  1. New: Google Connect Dialog. Supports OAUTH2 secure authorization. Once connected, can list the calendars. Users can select the sync parameters for each calendar
  2. New: Grid: Paste Special Dialog
  3. New: Grid list menus: Right-click on a grid shows the Copy View command (to paste as a pane)
  4. New: Grid list menus: Shows when Grids host panes (shows the number of panes)
  5. New: Surface: Grow / Shrink font commands are now enabled
  6. New: Calendar: Can now set font type and size
  7. New: Omnibox: Search string is now shown in the dropdown
  8. New: Item: Show in Calendar is checked when an item is shown at least once in the Calendar
  9. New: Dropbox sync: Dialog now has option to dismiss and show later
  10. New: Tools > Help > User Manual (online and offline)
  11. Change: Grid: WYSIWYG Editor: Improved pasting of html content
  12. Change: Tools > Database > Rebuild is buggy. Disabled until a better method is implemented
  13. Fixed: Sometimes some of the top menus were disabled when they should not
  14. Fixed: Tooltips were not shown on toolbars
  15. Fixed: Erasing an item did not erase the ItemIDXXXX_files folder (which contains support files, images, etc)
  16. Fixed: When views are shown in panes and these panes are grouped as tabs in a hidden pane, clicking on the panes caused UI issues eventually leading to a crash
  17. Fixed: Menus and toolbars better adapt to the view type (grid, Calendar, Surface, Pivot, MapView, etc)
  18. Fixed: Grid: Editing ended when switching focus to another application and back (non-WYSIWYG editor)
  19. Fixed: Grid: Split item dialog: if the item is a TLI, source field is not assigned to the created items when Duplicate item values is not checked
  20. Fixed: Grid: Changes to AutoSearch settings (in Tools > Options or in field settings) were not applied immediately. A refresh was required
  21. Fixed: Grid: Deleting the Item Home when shown as a column did not work
  22. Fixed: Grid: Copy > Paste sometimes showed a dialog saying that there are 2 lines in the clipboard when there was in reality only one
  23. Fixed: Grid: Columns > un-hide all columns did not un-hide the # column if hidden
  24. Fixed: Grid: Drag-drop a column from the properties pane was possible when Columns > Show columns was not checked
  25. Fixed: Grid: When the focus was in a pane of a tab, pressing Ctrl + W to close it did not close the tab (just the pane)
  26. Fixed: Grid: Hyperlink to a grid did not move focus to that grid
  27. Fixed: Calendar: Zoom in/out was disabled
  28. Fixed: Surface: Erase item did not show the confirmation dialog. New option to delete just this item or the item and all sub-items
  29. Fixed: Omnibox: Characters were sometimes dropped when typing fast on large databases
  30. Fixed: Changing the item locked state did not update the Properties pane
  31. Fixed: Properties Pane: Deleting the Item Home silently deleted the item (!)
  32. Fixed: Properties pane: Changing the item locked state in the Properties pane when multiple items are selected in a grid did not update the Item Lock column (if shown) for all grid items
  33. Fixed: Omnibox: Some commands were shown when they should not
  34. Fixed: Item > Show in Calendar command was sometimes not visible
  35. Fixed: Focus related issues when using docking panes
  36. Fixed: Backups: Delete timestamped backups no longer kept 1 per day, but deleted all backups
v95 (2017-03-28)
  1. New: Gantt: Multiple Undo
  2. New: Gantt: Improved Critical path calculation and display. Details here
  3. New: Gantt: Ctrl + Mouse wheel now changes zoom (same as it is for the grid)
  4. New: Gantt: Shift + Mouse when now scrolls the chart left - right (same as it is for the grid)
  5. New: Gantt: Start date, End date and range is now shown on the status bar whenever it is changed
  6. New: View > Zoom Reset (grids, map view, surface, calendar)
  7. New: HTML Pane: If the ItemHTMLFile points to a folder (i.e. not a file), now shows an Explorer view of the folder content. Click the Back button to move to the Parent folder (Ctrl + left arrow). Focused file is shown on the URL toolbar
  8. New: HTML pane: When in Browse mode, supports file drag-drop. Drag a file to show it in the HTML pane. Click Save to make this permanent
  9. New: HTML pane opens to the left of the Properties pane
  10. New: Properties pane: ItemHTMLFile field now has a button to select the file
  11. New: Field Management: When the list is filtered (to show Date fields only for example), Export All Equations now shows those first and then shows all other fields
  12. New: EmailToIQ: Manual Import option. Status bar shows the number of emails ready to be imported
  13. New: When using Dropbox sync, opening the IQBase in the sync folder automatically disables sync (no point syncing the file as it is already in the sync folder)
  14. Fixed: Grid: WYSIWYG editor: When starting editing, a few characters were sometimes dropped (fast typing)
  15. Fixed: Gantt: Numerous other fixes
  16. Fixed: HTML pane: now updates on changes to the field ItemHTMLFile
v94 (2017-03-15)
  1. New: Surface: Item > On the Surface command to add / remove items from the surface. Supports multiple selections
  2. New: Surface: Improved Link Items and Delete Link commands
  3. New: HTML pane: When viewing a web page and selecting New MHT File, option to convert content to MHT. Effectively, this captures an exact replica as a local file. Same for New HTML File.
  4. New: Add Item Dialog: Fields can be assigned values
  5. Fixed: Grid: Sometimes, erasing an item did not show the dialog and simply remove it from the current parent
  6. Fixed: Grid: Better support for drag-drop of items to hoisted grids
  7. Fixed: Grid: Item order is sometimes changed when moving left / right (i.e. promote / demote the hierarchy level
  8. Fixed: Grid: Split item did not assign the grid source field (so item would no longer show up after a refresh)
  9. Fixed: Gantt: Resizing the grid did not size the Gantt, so it could be hidden altogether
  10. Fixed: HTML pane: IQ locked up when showing a PDF file
  11. Fixed: Properties pane: Forms section was sometimes not shown
  12. Fixed: Properties pane: Drag-drop could change the order of sections. Also, the Item was shown twice under "Current Grid"
  13. Fixed: Right-click on a non-selected item showed the context menu briefly then it disappeared.
  14. Fixed: Manage Grids: Save Grid Order was broken
  15. Fixed: Hyperlink and HML Export dialogs: Browse for file was not working
v93 (2017-03-08)
  1. New: Surface: Supports Ctrl + 0-9 to expand / collapse items
  2. New: Surface: Link line type selector (i.e. solid, dot, dash, etc)
  3. New: Surface: View Origin to move to the center of the Surface
  4. New: Surface: Show Hidden Items command. (for housekeeping purposes)
  5. New: Surface: Green checkmark icon is now shown for items that are explicitly added to the Surface. Items that do not have this icon are sub-items of Surface items
  6. New: Surface: Press Ctrl + Shift to toggle the display of extended links (combined or distinct)
  7. New: Surface: Resizing now handles multiple selections correctly
  8. Change: HTML pane: Changes to templates no longer require a re-start to be effective (i.e. NewHTML.htm, etc)
  9. Change: Manual check of EmailToIQ shows dialog to choose how many days back, 0=new emails
  10. Fixed: Grid: Improved item selection ("Click and Drag" and "Ctrl + Click")
  11. Fixed: Grid: Export to Excel was broken (and incorrectly reported successful file creation). Same for Office Links (.odc files)
  12. Fixed: Grid: When Hoisted, Export to Excel generated a file for the non-hoisted grid. Same for Office Links (.odc files)
  13. Fixed: Surface: On initial setup, links color was set to white (invisible on a white background). Now set to black
  14. Fixed: HTML Pane: When in Browse mode, images are not resolved (in case of path differences between PCs)
  15. Fixed: EmailToIQ does not trigger a change seen by dropbox sync
v92 (2017-03-03)
  1. Preview: IQ Surface: A brand new view of your data. Infinite sized canvas where you can put / show items. Expand / Collapse. Show / Hide items.
    Sub-items appear under the parent item but can be pulled away for a more mind-map look. Fully integrated with the rest of InfoQube.
  2. New: Grid: Outline Labels. See 2. Outline Labels for details
  3. New: Grid > Sort > Source Item Sort now has a submenu, showing recently used sort strings
  4. New: Grid: WYSIWYG editor: If the edit window height is increased (Alt+Down Arrow), the editor will no longer close through cursor movements
  5. New: Grid: Ctrl + 0 completely expands selected items (no level limit). Expansion will stop in case of recursion of course
  6. New: Grid: If more than 1 column is selected, a confirmation dialog is shown when removing columns. Also, the tree column cannot be removed. To remove it, set the tree to another column first.
  7. New: MapView: Expand states now match the expand states of the corresponding grid
  8. New: MapView: Support Ctrl + 1-9 to expand / collapse current item
  9. New: MapView: Ctrl + 0 completely expands selected items (no level limit). Expansion will stop in case of recursion of course
  10. New: MapView: Item > Mark item and Item > Add Marked Item as Children commands are now working
  11. New: Home Page: All lists now support expand / collapse (Favorites, Grids, Groups, etc)
  12. New: Home Page: Added [GridGroups] token. Will list all grid groups
  13. New: HTML pane: Edit > Paste: If there is only one format in the clipboard, the select format dialog is not shown (i.e. such as when pasting an image)
  14. New: Properties pane: No longer need to go in edit mode to paste. Paste can be done in both columns of the pane (field and field-value)
  15. New: Properties pane: Double-click on Home (or right-click) shows all items with the same home
  16. New: Field Properties: Default alignments for fields: Text: Left, Date and Y/N: Centered, Number: Right
  17. New: EmailToIQ: Right-click on the EmailToIQ command to re-import messages (uncheck Delete from Server for this to work)
  18. New: Tools > Options: Option to show the close button on the selected tab only
  19. Change: Grid: Context Parents is now a dropdown button
  20. Change: Grid: Ctrl + 1-9 now expands / collapses the selected items. use Shift +Ctrl + 1-9 to do it on all items
  21. Fixed: Grid: Hiding the # column as not saved, so it re-appeared the next time the grid was opened
  22. Fixed: Grid: Drag-drop a file / URL onto the blank portion of a grid did not work
  23. Fixed: Grid: Column sort commands did not sort sub-items even though the menu is set to sort items and sub-items (manual sort)
  24. Fixed: Grid: Item sort commands did not sort sub-items even though the menu is set to sort items and sub-items (manual sort)
  25. Fixed: Grid: Ctrl+Click did not allow selection of more than 1 item
  26. Fixed: Popup editor: Floating formatting toolbar disappeared sometimes. Now shown on the bottom left corner of the window
  27. Fixed: MapView: Icon to show item has HTML content was not always shown
  28. Fixed: MapView: Recursion could cause infinite loop and crash
  29. Fixed: MapView: If layout is set to Horizontal, cursor keys do not work as expected
  30. Fixed: HTML pane: Paste text containing "<", such as "" as text does not paste (it was interpreted as an HTML tag)
  31. Fixed: HTML pane: File > New > New HTML File did not work
  32. Fixed: Properties pane: Right-click -> Show grid with same name was broken
  33. Fixed: Properties Pane: Faster update when the field ItemHasHTML is shown. (perform a Repair to apply this fix)
  34. Fixed: EmailToIQ: Setting the item parent on the email subject (such as #IDParent) did not set it as the main parent.
    So the item had a parent but it was not set as the main parent, so it did not show as a context parent.
    Database repair now fixes these kind of inconsistencies.
    Also, in such cases, the parent is now not shown in bold in the Properties pane, so users can right-click and select Set as Main Parent
  35. Fixed: EmailToIQ: Emails are not retrieved when IQ is not the active program (doesn't have focus)
  36. Fixed: EmailToIQ: EmailDate was not the actual email date but the date the email was imported in IQ
  37. Fixed: HTML Export: Lock up if the File Overwrite dialog is shown
  38. Fixed: Backup: Delete timestamped auto-backup files after (n) days was not working
v91 (2017-01-18)
  1. New: Item Home: Replaces ItemHomeGrid and is automatically assigned, to the view where the item was created.
    Shown in the Item Properties section of the Properties Pane. Now you always know where an item was created. (see Item Home for details)
  2. New: Add Item dialog: Paste as context menu
  3. New: EmailToIQ settings dialog: Checkbox to set the Username equal to the Email Address (often the case for web mail servers)
  4. New: EmailToIQ: Use ## to mark the start of the fields
  5. New: EmailToIQ: # flags that could not be processed (non-existent fields for example) are added to the item text so users are aware of the problem
  6. Change: EmailToIQ: Fields in Tools > Options > 2.3.3 are always set. Before these were set only if no # flags was found in the email subject line
  7. Change: Favorites: Right-click on the command to remove the item from Favorites
  8. Change: Comma is no longer allowed in field names
  9. Change: Pop-up editor was non-modal (to allow use of the formatting toolbar). It is back to being modal (as it should be) but with a mini-toolbar showing when some text is selected.
  10. Fixed: Grid: Join items failed if "Delete Merged Items" is checked (see "Join Items" fails when "Delete Merged Items" box is checked)
  11. Fixed: Grid: Sorting by clicking on the column header sometimes required many clicks to sort
  12. Fixed: Grid: Event loop could cause high CPU usage
v90 (2016-12-29)
  1. New: HTML Pane: Markdown documents (see Using Markdown documents)
  2. New: EmailToIQ: Now supports embedded images and attached files
  3. New: HTML pane: Ctrl + M toggles Browse Mode
  4. Change: New color scheme (to better handle recent changes to the UI)
  5. Fixed: Grid: Paste image was broken
  6. Fixed: HTML Pane: Showing MS Excel spreadsheet in the HTML pane was broken
  7. Fixed: Clipper: When sending a clipping using EmailToIQ failed, the dialog closed with an error message. Users had to clip again. Now, the dialog stays open so you can send it directly to the IQBase.
  8. Numerous smaller issues reported in the forum
v89 (2016-12-16)
  1. New: HTML pane: Can now add checkboxes. Default shortcut is Ctrl + Shift + C. A dialog is shown to select options (and select linked field). Press Enter to close. If a field is linked to the checkbox, changes can be made in the HTML pane and/or elsewhere in IQ. and these will synchronize. Combining this new feature with HTML's built template support provides a new view of data, in the form of a "dynamic HTML pane
  2. New: Grid: Can now hide the # column, just like any other column in the grid
  3. Change: Grid: Grid > Hoist command (Ctrl + H) now switches between hoisting selected items and turning Hoist off. Added Hoist > Special command to show the dialog
  4. Fixed: Fixed numerous focus issues related to having grids (and other views) in panes
  5. Fixed:: Properties pane: Large reduction of GDI objects required for large IQBases
v88 (2016-12-08)
  1. New: Tabs can now contain panes, so they can be split into any number of views. To add a view to a tab, open the view and right-click on the its tab and select "Copy View". Then right-click on the tab and select "Paste View". The view will be shown in a docked pane. Reposition the pane if desired.
    • With this new feature, tabs can become customizable "desktops". For example, users can show both tasks and the Calendar in the same tab and drag-drop tasks straight to the Calendar (as either a scheduled or unscheduled event) Much improved task management !!
  2. New: When dragging an item to the Calendar, option to show item or create an appointment sub-item
  3. New: Notifications pane: When showing selected item (as opposed to Mouse-over), now shows more information about the item
  4. New: Notifications pane now uses the same font settings as the Properties pane
  5. Fixed: Grid: When dragging an item to the Calendar header or all day section, it now correctly creates an unscheduled event
  6. Fixed: Grid: It was possible to move a column to the left of the # column
  7. Fixed: Grid: Copy / Paste did not always work when multiple cells were selected
  8. Fixed: Calendar: Smoother navigation when the day view is zoomed
  9. Fixed: Map View: Colors were not being updated when changes were made in another form
  10. Fixed: Map View: Color commands were not enabled (fore/back color)
  11. Fixed: Tools > Options > Other: Hotkey change no longer require a program restart
  12. Fixed: New Item dialog: WIKITag List not updating in "Add to Item IQ Base" Dialog Drop-down List
v87 (2016-11-24)
  1. New: Docked views now have a menu to reattach pane to the Tab workspace
  2. New: Grid: Lineage shown on the status bar can now be one of: None, Parent -> Child, Child -> Parent, As-viewed, Inverse view. Double-click to switch
  3. New: Lineage is now shown for all views except the Calendar (Map View, Timeline, Live-Search, etc), not just for grids
  4. New: Grid: Folder Drag-drop: Can now create a Windows shortcut link to a folder (before only allowed for files)
  5. New: Field Management: Can now double-click or Shift+F2 to show a larger window for the Pop-up list (fixed list pop-up)
  6. Change: Grid: Edit > Paste: Better analysis of the data in the clipboard and choice presented to the user
  7. Fixed: Grid: Hoisted grids did not open correctly (see 86b hoist "problems")
  8. Fixed: Grid: Pasting an image file into the item column did not show it corectly
  9. Fixed: Grid: Item selected color was not always correct (for grids other than the selected grid)
  10. Fxed: Grid: Dragging a folder with the filename option creates an item with text = -
  11. Fixed: Only 1 HTML pane was shown at startup, even if more than one was present when closing. See Layout Memory Issues re: HTML Pane
  12. Fixed: Fields that use a pop-up editor are now in overstrike mode (typing will replace content)
  13. Fixed: Tool > Options: Sometimes the Browse for Folder dialog does not show the New Folder button
  14. Fixed: Sync: Hang when the "New version found" dialog was shown while showing a modal dialog
  15. Fixed: Loading a pane layout did not save the content of the HTML pane
  16. Fixed: When a layout file is loaded, closing the IQBase did not update the layout file
  17. Fixed: Changes to the number of connected monitors was not detected and as a consequence pop-up windows were not shown at the correct position
  18. New: When a cell shows an image, the pop-up editor (Shift + F2) can now be use to edit the image file name (before, any edit had to be made in the Properties pane)
  19. Fixed: Images in cells showed the file name along side the image. Now only the image is shown
  20. Fixed: Faster display of item lineage on the status bar (was slow large IQBases)
  21. Fixed: Faster display of Favorites (was slow for large IQBases)
  22. Fixed: Daily auto-recalc stopped running when IQ was the focused application
v86 (2016-11-16)
  1. New: Tab workspace: Selected tab bold is turned off when the focus is on a pane. It is clearer which form is selected
  2. New: Ctrl + Tab now cycles through all views, not just those in the tab workspace
  3. New: Ctrl + Tab: Non-loaded views are only loaded when the Ctrl key is released. Easier and faster navigation
  4. New: Ctrl + Tab: Option to skip non-loaded views
  5. New: Tools > Options: Option to show pane tabs at the top or bottom
  6. New: Can use Alt-F6 to navigate between panes. Alt+F7 shows a dialog of opened tab and panes
  7. Fixed: Numerous issues linked to the new docking views feature
  8. Fixed: Grid: When grouping, item font and color properties were not applied
  9. Fixed: Grid: Drag-drop a file could fail to create a Windows shortcut
  10. Fixed: Some valid characters were causing issues when creating a new grid
  11. Fixed: HTML pane: Pressing F12 did not always move focus to the pane
  12. Fixed: HTML pane: Using F7 and F8 to navigate items removed focus from the pane
  13. Fixed: Properties pane is shown after doing an Omnibox search
  14. Fixed: Field Management dialog: Even though no change was made, fields with conditional formatting were being saved
  15. Change: Panes: Keyboard shortcut to make a pane float is now Shift + F11
  16. Fixed: Panes: Toggle floating mode was broken
  17. Fixed: Pop-up editor: Bold, Italic, etc buttons did not work
  18. Fixed: Notifications pane: Pane was updated for grids and Properties pane only. Not for other views
v85 (2016-11-09)
  1. New: Can now detach a tab to show it in a docking pane. Views can docked anywhere. Home Page can also be detached. In addition, it can be made floating
  2. New: Grid: Can now show images in any text column. Can also paste an image from the clipboard to a grid cell directly
  3. New: Grid: Can now copy / paste files from Windows Explorer to the grid. Supports multiple files. If copied to the tree column, a file link is also created and stored in file ref fields
  4. New: Option to show workspace tabs at the bottom (Excel-like)
  5. New: Properties pane: Improved keyboard handling: Can now use Alt + up / down and left / right to rearrange field hierarchy
  6. New: Multi-Select popup list: Option to sync fields with the same name as list values. So adding / removing values will check / uncheck corresponding fields
  7. New: Pane layout is now specific to each IQBase, stored in YourFile.ini. When using the IQBase on multiple PCs, each layout can be adapted to the screen size of the PC
  8. New: Manage Forms: Improved keyboard handling (Ctrl + left / right to expand / collapse, Alt + up / down to move fields and forms, F2 to edit / close edit)
  9. New: Live-Search: Ctrl + A selects all items. Search term highlight is shown when the focus is not on the text column
  10. New: Grid: Item Info now shows all field values
  11. New: Grid: Sort type button is now shown as checked when grid sorting is ON
  12. New: Hyperlinks: If linking to a single item, can now specify the grid to show it in. ItemID | GridName (e.g. 1256 | Inbox)
  13. Change: Properties pane: Form buttons are now: 1- Add item, 2- Add sub-item, 3- Apply form, 4- Clear form
  14. Fixed: Grid: Grouping is not restored after a program restart
  15. Fixed: Grid: Conditional Formatting converted criteria (defined in Field Properties) to lower case
  16. Fixed: Grid: File drag-drop: If dropping a folder and the link text is empty, will use the folder name as link if FileName is checked or "(link)" if not
  17. Fixed: Grid: Column grouping was disrupted when a column to the left of the group was removed
  18. Fixed: Grid: Column grouping was disrupted when a field was drag-dropped from the Properties Pane to the grid and this field was already part of a group in this grid
  19. Fixed: DateFilter: User specified duration was sometimes reset to 0. Also, making a change in the user duration did not update the filter immediately. A refresh was required
  20. Fixed: Calendar: Edit > Erase Item (Ctrl + E) did not work. It now does the same thing as Calendar > Delete Event
  21. Fixed: Calendar: Item > Remove from Calendar command was not visible
  22. Fixed: Properties pane: Edit > Touch now works for fields in the Properties pane. Will touch values of all selected items
  23. Fixed: HTML Pane: Improved Search and Replace. Can now show the Search and Replace toolbar and set it floating or docked. Replace now moves to the next occurrence and selects it.
  24. Fixed: Field Properties: Newly created fields could not be drag-dropped onto a grid
  25. Fixed: View > Hide Panes (F11) now correctly restores hidden panes
  26. Fixed: Tab groups: When opening a existing grid that was in a very small group (width / height), it will be increased to see the grid. Before, the grid would be moved to a larger group. This modified grouping.
v84 (2016-10-19)
  1. New: Grid: Outline Styles are now applied to groups when Group By is ON. This makes the groups and grouping levels stand out.
  2. New: Grid: If item is already expanded, Item > Expand now expands sub-items
  3. New: PopUp editor now supports superscript and subscripts
  4. New: Field properties: Can now specify the list of grids to apply the conditional formats (list of grid names, separated by | )
  5. New: Properties pane: Ctrl + Shift + # to expand / collapse a branches
  6. New: Properties pane: Context menu to show all parents
  7. New: Add item dialog: Ctrl + space now removes formatting
  8. New: Deleting an item now also deletes related files in the .Files folder
  9. New: Live-search: clicking on the hyperlink to a grid now opens the grid and puts the focus on the correct item
  10. New: New icons added
  11. Change: Live-search: Search and Scratch grids are no longer shown in the "Shown in" column of the live-search (reason is that these grids change alot and this was not reliable)
  12. Change: Web Clipper: Saving whole pages no longer saves scripts. This "should" help when saving complex pages and avoid annoying pop-ups when later-on viewing the content.
  13. Fixed: Grid: When an Outline style was applied, pictures were not shown with the correct height
  14. Fixed: Unlocking an item did not work. Items could be locked but not unlocked (Locked items can be modified but not deleted)
  15. Fixed: Field properties: Field name edit box did not limit the number of characters. 50 is the maximum field name length
  16. Fixed: Field properties: Date field types allowed pop-up lists
  17. Fixed: Field properties: Number field types allowed multi-select pop-up lists
  18. Fixed: Field properties: Yes / No field now show no editor types
  19. Fixed: Live search did not auto-update when the item text (or other text field value) was changed elsewhere (i,e. in another grid, in the Properties pane, etc)
  20. Fixed: Popup Editor: When using the Windows Classic theme, some buttons were not sized correctly
  21. Fixed: Popop Editor: Last row of icons was not shown
  22. Fixed: Popup Editor: Icons are now shown sorted by name. Tooltip shows icon name
  23. Fixed: Options: Change to the setting Show Title bar when maximized was not applied immediately
  24. Fixed: Tools > Options > This Database > Storage: Case sensitive comparison was used which could cause incorrect file paths
v83 (2016-09-23)
  1. New: Grid: Auto-updates to show new items (When Grid Properties > Other > Auto-Update is checked and grid has a simple source)
  2. New: Pop-up lists supports icons. Uses the same syntax as items. Works for single and multi-select pop-up lists
  3. New: Grid Filter dialog: Improved keyboard handling
  4. New: Delete Custom Shortcuts now prompt for confirmation
  5. Fixed: HTML Pane: New documents were by default underlined
  6. Fixed: Add New Item dialog: EmailToIQ button silently failed if it failed to send email (say after a password change)
v82 (2016-09-16)
  1. New: Pop-up list: Auto-search now uses the field setting (Starts with / Contains). If the field setting is set to (default), uses the setting in Tools > Options > General > Modes > Auto-search
  2. New: HTML Pane now has 2 zoom settings: Document zoom and View zoom.
    • The Document zoom is set using the Zoom In / Out / Reset commands. This zoom setting is saved in the document and is used in browse mode and in print preview. Each item can have a different document zoom setting.
    • The View zoom is set using Ctrl+mouse wheel or pinch in / out. This zoom has no impact on print preview and is not save in the document.
    • When switching to browse mode, the View zoom is now always reset to 100%. That way, one can quickly switch between an editing (at one zoom level) and browse mode (at a more print-preview-like zoom level)
      Any change to either zoom settings is shown on the status bar.
  3. New: HTML Pane: Keyboard shortcuts to zoom in/ou/reset: Ctrl+ (=,-,0), which are now standards for browsers
  4. Fixed: Search: Toggling wordwrap (Ctrl+Shift) did not refresh the grid's scroll bars
v81 (2016-09-09)
  1. New: Improved support for touch screens: Touch a blank area and drag to scroll up/down and left/right
  2. New: Added Close All and Close Other Tabs commands
  3. New: Grid and Properties pane: When showing a popup list, a filter bar is now shown below the list to filter it. Use Ctrl + G to show the filter list dialog (similar to the grid filter dialog) and select filtering options.
  4. Change: Database Repair was renamed "Other Tools...". New tools to scramble personal information and show / hide IQ system tables and queries to other applications
  5. Fixed: Grid: When the Item color is not set, the context menu showed it as black, instead of "(None)"
  6. Fixed: Gantt: When a bar had a custom color, the context menu did not show it selected
  7. Fixed: Calendar: Changing the Event color in Field properties required a Calendar refresh
  8. Fixed: Properties pane: Edit > Undo / Redo was disabled when focus was in that pane
  9. Fixed: Properties pane: Hyperlinks to grids only worked when the active view is a grid. For MapView and Calendar, these did not work
  10. Fixed: Options: Changes to grid back colors (odd and even lines) required closing and re-opening grids
  11. Fixed: The sample IQBase Wikitag field was not set to use the multi-select pop-up list
  12. Fixed: Sometimes the layout was not restored when loading a file
  13. Fixed: Tab group size could be reduced to 0, making it impossible to show it (could not grab to resize)
  14. Fixed: Showing a view (grid, Calendar, etc) which is already shown but in a very small tab group moved the focus to that view as expected, but the user could not see it. Now, if the group width / height is too small, the view is moved to the largest group
  15. Fixed: Tool > Database Management > Rebuild was broken
v80 (2016-08-24)
  1. New: Tools > Options > Program Title bar (1.1.6), added {CurrentView}
  2. Fixed: Data: The performance improvements of v79 could cause some issues. Fixed
  3. Fixed: Grid: Outline Styles were no longer working
  4. Fixed: Grid: Selecting the DateFilter did not show the toobar
  5. Fixed: Grid: Paste items with contain tab characters creates empty items
  6. Fixed: Grid: The column filter dropdown type could change when toggling filter on / off
  7. Fixed: Dropbox-like Sync: When 2 computers had different folder setups, sync did not work correctly. Now, a file named YourIQBase.ini is created which stores the sync settings (along with the backup and .Files folders)
  8. Fixed: Properties pane: Impossible to open / close the Children section
  9. Fixed: Properties pane: Opening / closing a section (such as Siblings) could trigger a hyperlink click which would change the selected items (in the current grid)
v79 (2016-08-05)
  1. New: Grid Groups: Grids can now be grouped. Groups are shown in Home pages and the Properties pane. Details here: 7. Grid Groups
  2. New: Grids and Properties Pane: Can now use custom images for check boxes. Create a 16x16 icon named CheckOn.ico and CheckOff.ico. Stored in AppFiles folder. Requires a restart
  3. New: Grid and Properties pane: Dropdowns now include an empty item. Selecting this will remove the value
  4. New: MapView: Lots of improvements on this component:
    • Can now add items and sub-items. Insert to add a first level child, Enter to add sibling, Ctrl+Enter to add sub-item.
    • Now updates when in grids and other UI, items are added, deleted, parent changed, etc
    • Supports move up/down and left/right commands to move items in the hierarchy
    • Context menu to make items wider / narrower. Shortcut is Ctrl + up / down arrows
  5. New: Properties Pane: When resizing pane, the left column width now stays constant
  6. New: Fast Search: New method to list Orphans. In Tools > Options > 2.1.8, you can now set the list of fields to ignore (such as font attribute fields, HTML, etc)
  7. New: Field Management: Button to undo changes and reload field properties
  8. New: Options.ini: ExpandButtonType: Sets the type of expand button shown in grids. Valid values are -1, 1, 2, 3, 4. Values -1, 2 and 3 are +/- types. 1 uses arrows. 4 is custom, using the plus.ico and minus.ico files (AppFiles path)
  9. Change: Fast Search now uses Shift + Ctrl to toggle wordwrap
  10. Fixed: Grid: Subitem sort was scrambled by text formatting
  11. Fixed: Grid: Numerous small issues related to grid column filters
  12. Fixed: Grid: When grouping, sorting non-grouped columns did not work
  13. Fixed: Cannot assign ALT+1 Shortcut to Any Grid
  14. Change: Properties Pane: For check boxes, a single-click outside of the checkbox no longer changes the state. Use double-click instead
  15. Fixed: Properties Pane. Clicking on the lower half of a checkbox did not change the state
  16. Fixed: Pivot Table / Chart: Use items displayed: Uses all items, even if some are filtered out. Now uses items as seen in the grid
  17. Fixed: Multi-select pop-up list were broken
  18. Fixed: Gantt: Grid showing a Gantt chart was sometimes resized incorrectly. Improved resize code: If the Gantt is showing, resizing the form only resizes the Gantt (right), not the tree-grid (left)
  19. Fixed: When the sort bar / group bar is shown, sorting by clicking on the column header and closing / re-opening the grid added the sorted column to the sort / group bar.
v78 (2016-06-08)
  1. New: Grid: Outline Styles. Can now define named outlining styles. Supports font (face, size, bold, etc), text foreground and background color.
    Any item can be used as an outline style,, simply check field OutlineStyles. Can turn On / Off and quickly switch between different styles. Option to override item formatting. Details here: 3. Outline Styles
  2. New: Grid: Columns > Column Sets menu. Column sets come from forms and grids
  3. New: Properties Pane: In the All fields section, a hyperlink is now shown if a field and grid share the same name. Click the link to open the grid.
    (In waiting for a proper tree view of grids, users can use this to have a hierarchy of clickable links to grids)
  4. New: Properties Pane: Can now drag drop items from the Properties pane to grids and the Calendar (to create event). Items are shown in sections Parents, Siblings, Children and Marked items
  5. New: Properties Pane: "Show in scratch grid" (menu or double-click) now shows the field values immediately to the right of the tree column
  6. New: HTML Pane: When selected text is a valid URL, Insert > Hyperlink now creates the hyperlink without showing the UI
  7. New: HTML Pane: Highlight text now toggles back color
  8. New: Live-search: Show "orphan" items. This will return the list of items that have only 1 text value and no parents
  9. New: New Item dialog: When selecting fields and Wikitags, double-click select / unselect item and close the dropdown selector
  10. New: Field manager window is no longer modal. Makes adding fields easier
  11. New: Field manager: Can now drag-drop a field to a grid
  12. Fixed: Grid: Hyperlink command was enabled for non-text fields
  13. Fixed: Gantt: For a milestone, setting a duration does not show a task bar
  14. Fixed: Gantt: Changing a task duration using the grid did not work (it only worked by dragging the bar). Supports non-working days
  15. Fixed: HTML Pane: Hyperlinks containing the @ symbol were confused with email address causing links to not work
  16. Fixed: HTML Pane: Highlighting text disables HTML pane links
  17. Fixed: Home Page: Links to grids with an ' in the name did not work
  18. Fixed: Form Manager: list of fields dropdown was not sorted correctly
  19. Fixed: Field names containing an apostrophe ( ' ) were sometimes an issue
  20. Fixed: Hyperlink dialog: Press Esc enters Marked items in the link destination
v77 (2016-05-20)
  1. New: Grid: Print-to-Fit and Print Scaling
  2. New: Grid > Save: If a column set is currently loaded, a dialog is shown offering to save the grid with this set of columns
  3. New: Grid: Conditional formatting now supports Font setting
  4. New: HTML Pane: SVG Documents. To do move serious drawings than Ink documents. Install Inkscape (or another SVG editor. See this list)
  5. New: HTML Pane: Copy paste a file from Windows Explorer gives an option to either paste the file name or a hyperlink to the file
  6. New: Home Page: Option to show / hide the Home Page when opening the file
  7. New: Home Page: Option to set the maximum length of item text (default=30)
  8. New: Live-search: When the output is a list of items, press Delete to remove results from the list. Supports multiple selections.
  9. Change: Live-search: Selecting items no longer increases the row height to show more information. Hit Ctrl key to toggle between single line and multi-line displays.
  10. Change: HTML Pane: File > Exit command is renamed to File > Close
  11. Fixed: Grid: Load column set (from form or grid) now loads columns in the same order as the form (or grid). The tree column and columns left of it stay put
  12. Fixed: Grid: Can now extend a select range by holding the shift key and clicking on another cell
  13. Fixed: Grid: Fixed several column filter issues
  14. Fixed: Grid: Conditional formatting changes required closing and re-opening the grid
  15. Fixed: Grid: Entering numbers was difficult on some PC, with missing characters or appearing in incorrect order
  16. Fixed: Grid: Improved Tab key handling
  17. Fixed: Grid: WYSIWYG editor now supports the Tab key
  18. Fixed: HTML Pane: Better support for multiple HTML panes. In particular, pressing F12 will now move the focus to the pane that shows the current item.
  19. Fixed: HTML Pane: Shift + F12 now opens / closes the current HTML pane
  20. Fixed: Add item dialog: Wiki drop down does not fill textbox correctly
  21. Fixed: On opening a file, the Home Page was always shown, even when it was not the active window when the file was closed
  22. Fixed: View > Home Page did not work If the Home Page was closed
  23. Fixed: Changes to the default Home Page required an IQ restart. Now, simply press F5 to refresh
  24. Fixed: In Options.ini, if the theme is set to an incorrect value, menus appear in black. Valid themes are: XP, Office2000, Office2002, Office2013 and Office2007, though only Office2007 is officially supported
v76 (2016-05-06)
  1. New: Home Pages: User-customizable workspace tab providing quick access to grids, items, etc. Use any item's HTML content as a Home Page.
    Add / Remove pages to the list. Navigate between pages easily. Supports list of tokens, such as [Favorites], [Grids], etc. Default shortcut is Alt + 1. Details here: 8. Home Pages
  2. New: Grid: Column filter settings are now clearer. Filter fist level items only OR Filter items at any levels. Also, added a toggle switch to now sub-items of a filtered item or not
  3. New: Gantt: Link selected items
  4. New: Gantt: Unlink selected items
  5. New: Gantt: Link Properties
  6. New: HTML Pane. Sizing images using the corner handles now set image to original proportions (hold Ctrl key to disable)
  7. New: Tab Workspace: When the Workspace contains more than one group, new windows now open in the group that is the largest (before, these would open in the first group)
  8. Change: Gantt: It is no longer necessary to hold the Shift key to link two bars. Simply drag from the first bar down and drop on the second bar
  9. Fixed: Grid: Many changes to items and field values can now be undone
  10. Fixed: Grid: Making changes to grid properties using the Manage Grids dialog restored the column layout to the last saved state
  11. Fixed: Grid: If the parent of a selected child item was closed, focus was moved to the parent but it was not selected. If the parent was then expanded, the child item was shown as selected even though the focus was still on the parent.
  12. Fixed: Gantt: change to the link mode did not take effect until the grid is closed and re-opened.
  13. Fixed: Gantt: Changing a start or end date of a task can change dependant tasks. When this was done using field values (as opposed to dragging bars), the Gantt bar updated to reflect this but the field-value was not updated so a refresh showed an inconsistent set of bars
  14. Fixed: HTML Pane: Incorrect encoding when the content is an HTML file
  15. Fixed: HTML Pane: Links to items and grids did not always work
  16. Fixed: Universal Clipper: Recent Chrome security enhancements blocked the clipper. A different method now works
  17. Fixed: Manage Grid: Columns > Auto-size width setting was not effective until the grid was closed and re-opened
v75 (2016-04-24)
  1. New: HTML Pane: Ink Documents ! Capture scribbles, screen captures and arrange them any way you want on the page.
    Combine with other HTML content into a single document using HTML Export. See demo here. View / edit on your Android phone / tablet. Details to come
  2. New: Grid: WYSIWYG Editor: Alt + down arrow / up arrow now increases / decreases the edit window height
  3. New: Grid: Shift+F2 on a date field opens the Event dialog. Can be used to create / edit events
  4. New: Pop-up Editor: Formatting toolbar now updates to show the current text format
  5. New: Properties Pane: As per grids, Ctrl +1 to Ctrl + 9 opens items to level 1 to 9
  6. New: Item: Show in a New Scratch Grid command. Not visible by default. Customize your menus to show it. Assign it a keyboard shortcut if you wish.
  7. Change: Keyboard shortcuts: Ctrl + W now closes current window (same as Ctrl + F4).
  8. Change: Tools > Options: Clean up of the options, some re-ordering
  9. Fixed: Grid: When editing the first column, pressing the left arrow can close the editor and change column. Same for the right arrow on the last column
  10. Fixed: Grid: Remove a column part of a header group corrupted header column grouping
  11. Fixed: Grid: Pressing a key to start edit and pressing backspace or paste did not record changes
  12. Fixed: Grid: List of items popup did not always show the correct list
  13. Fixed: Grid: New grid did not show context parents even though the setting was to show them
  14. Fixed: Grid: GroupBy settings were sometimes erased when switching to other sort type
  15. Fixed: Field: Column équations were rounding numbers and dates to 2 digits, causing errors, especially for dates
  16. Fixed: Properties Pane: Edit (F2) did not behave the same as in a grid
  17. Fixed: Properties pane: Improved visual feedback as to what is the focused column
  18. Fixed: Item > Show in Home grid was not working
  19. Fixed: Mapview: Show in Home grid and Show in Scratch grid was not working
  20. Fixed: Pop-up Editor: Window was not always positioned correctly, causing the OK and Cancel button to not be visible
v74 (2016-04-14)
  1. New: HTML Pane: Spell checker ! Uses the current language as seen on the Windows task bar (when IE10 and up is installed). Enable / disable in Tools > Options. Press Shift + F10 to bring up the correction context menu.
  2. New: Grid: WYSIWYG editor: Spell checker !
  3. New: Grid: Column filter: Hold shift to show all values, otherwise, only filtered values will be shown
  4. New: Grid > Show Pictures is now a grid specific setting (before it was a system setting)
  5. New: Grid: Warn user if the HomeGrid no longer exist and show item in the Scratch grid instead
  6. New: Gantt: Moving / resizing bars show bar start / end on the status bar
  7. New: Pop-up Editor: Handwriting recognition support using a pen. Button to enter the handwriting in a panel below the editor. Gesture support (add space, new line, backspace, etc). Long press and drag to select text
  8. New: Pop-up Editor: Button to show the on-screen keyboard
  9. New: Properties Pane: Supports equations. You can use this to modify many items.
    For example, set DueDate=[StartDate]+7, DueDate=[DueDate]+14 to move all dates by 14 days, Notes=[Project]+" -- "+[Item]
    Note that Forms > Apply form can also be used to perform the same kind of operations.
  10. New: Field Properties: Equations tab now shows the list of dependant fields (fields that use this field in equations)
  11. New: Tools > Options: HTML pane uses IE10 (default) or IE7 (fall back). By using IE10, you get a more compatible browser / editor
  12. Change: Live Search: AND and OR operators must now be uppercase
  13. Fixed: Grid: Entering single numbers in numeric field did not always save the value (when quickly changing cell focus)
  14. Fixed: Grid: Drag drop an item to the Calendar created 2 appointment items, not one
  15. Fixed: Grid: Insert Date now correctly works for date fields
  16. Fixed: Grid: The number of items shown on the tab was negative when a column filter was applied
  17. Fixed: Grid: Column Header Caption was broken. Editor opened but immediately closed.
  18. Fixed: Grid: The # column can now be selected using left / right arrow keys
  19. Fixed: Grid: Group By: Negative number were not grouped correctly
  20. Fixed: Grid: WYSIWYG editor: Sometimes, the editor show a blank edit box instead of the cell content
  21. Fixed: Grid: WYSIWYG editor: Shift + up / down Arrow closed the editor instead of selecting the text
  22. Fixed: Grid: WYSIWYG editor: Ctrl + up / down Arrow closed the editor instead of moving the cursor.
  23. Fixed: Grid: WYSIWYG editor: Paste Unicode text did not work correctly
  24. Fixed: Calendar: New Event dialog showed incorrect event duration when the event was created in the Calendar
  25. Fixed: Calendar: Creating a new Unscheduled event showed the New Event dialog but the event type was set to All Day Event, not Unscheduled
  26. Fixed: Calendar: New event: 2 events are created, not one, if the field is set to be in the Calendar by default (Field Properties)
  27. Fixed: Calendar: Edit > Edit did not open the Event dialog. Popup Editor did not work either. Can select many events to edit.
  28. Fixed: HTML Pane: Switching to browse mode and back could erase the recent changes made
  29. Fixed: Properties Pane: If multiple items are selected in the grid, double-click on a field in the Properties Pane only fills in the default value for the focused item, not all selected items
  30. Fixed: Live-Search: Parenthesis inside quotes were not handled correctly
  31. Fixed: Field Properties: Changes to equations are not always correctly updated
  32. Fixed: HTMLExport: Use Settings: Close item and Close HTML did not work. Other improvements and bug fixes
  33. Fixed:HTMLExport: Use Template: {PageBRK} tag did not work. Also, suppress last page break if at the end of the merged document
  34. Fixed: HTMLExport: Copy to clipboard did not copy in HTML format
  35. Fixed: New Grid dialog: Numerous small issues
  36. Fixed: Panes title bar back color were not matched to the rest of the UI color scheme
v73 (2016-03-18)
  1. New: Grid: Improved Group By support. Much faster and now multi-level and with Grouping buckets. Default grouping buckets are Dates: Year - Month, Numbers: 10's. Custom grouping buckets will be added in an upcoming release
  2. New: Grid: Column menu now has a Group By Column command
  3. New: Grid: Improved (simpler) UI for Grid sorting including option to sort just items (i.e. not sub-items)
  4. New: Gantt: When using Group By, option to show a summary bar for the group. Allows easy way to move related bars
  5. New: Gantt: Items overlay on Chart. If the left pane (i.e. the grid) width is set to near 0, the tree column is shown on the Gantt itself, as an overlay. Expand / collapse buttons are enabled. Property pane can be used to change item field-values.
  6. New: Grid: Formatting toolbar now updates to show the current item format
  7. New: Pop-up Editor: Formatting toolbar is now enabled to format text. Same for Hyperlink command
  8. New: Pop-up Editor: Formatting toolbar now updates to show the current text format
  9. New: Calendar: Moving the mouse over an event shown event details on the status bar
  10. New: New Item dialog: Improved UI
  11. New: File/URL drag-drop: Improved UI. Separate settings for files and URLs
  12. Fixed: Grid: If the focus is not on the grid (i.e. could be the Source bar), Alt + Up/Down arrows moved the items up/down
  13. Fixed: Grid: Through drag-drop, it was possible to put an item as a sub-item of itself
  14. Fixed: Grid: Drag-drop an item from one grid to a different item was not possible if the second item was the currently selected item
  15. Fixed: Gantt: If the Gantt pane is hidden and the grid is refreshed, the Overview and Histogram may incorrectly be shown
  16. Fixed: New Item: wikitag dropdown does not work
  17. Fixed: Calendar: If the time scale is not shown, dragging a scheduled event would make it unscheduled
  18. Fixed: Calendar: Event tooltip showed time in 24h format
  19. Fixed: Event dialog: Times are shown in 24h format, not in the format specified by the control panel
  20. Fixed: Live Search: With the HTML pane shown, navigating in the search result grid with cursors keys was not possible because focus was given to the HTML pane
  21. Fixed: Field Properties: Sometimes changes to conditional formats were not saved
  22. Fixed: Properties Pane: Ctrl + Left/right arrows while editing incorrectly expanded/close the section instead of moving the cursor from word to word as it does in the grid
  23. Fixed: Universal clipper using EmailToIQ did not properly encode characters (to UTF-8)
  24. Fixed: HTML Export: Override item font is not saved.
  25. Fixed: Status bar showed time in 24h format, not in the format specified by the control panel
v72 (2016-02-23)
  1. New: Properties Pane: If the focus is on the Properties Pane, View > Zoom In / Out now changes its font size, not that of the grid
  2. New: MapView: For each node, can now toggle the hoz/ver display of sub-nodes
  3. New: MapView: Option to show straight or curved lines
  4. Fixed: MapView: Moving an item from a parent to another did not always work
  5. Fixed: MapView: Items expansion states was only partially restored
  6. Fixed: MapView: Improved Zoom In/Out
  7. Fixed: MapView: Fixed Print Preview related issues
  8. Change: MapView: Number of parents is no longer shown
  9. Fixed: Grid: Bold, Italic, etc and Item fore / back colors commands now work correctly with Unicode text
  10. Fixed: Grid: Erase item dialog: Main text now filters out embedded html codes
  11. Fixed: Calendar: When creating a multi-day event using the mouse, the New Event dialog box did not correctly fill the End Date
  12. Fixed: Calendar: Dropping an item on the Calendar in month view (i.e. timescale off) now shows the New Event dialog (1 dialog for each item dropped)
  13. Fixed: Calendar: Improved tooltips for multi-day all-day events
  14. Fixed: HTML Pane: Sometimes images are not resolved correctly
v71 (2016-02-17)
  1. New: Grid: Ctrl + Down Arrow moves to the next sibling. If last one and Shift is pressed, adds a new item. Similarly for Ctrl + Up Arrow
  2. New: SQL Sync now supports multiple SQLSync files. If more than one is found in the IQBase folder, user is given the choice which one(s) to sync
  3. Change: Grid: When a column filter is active, the dropdown now shows all items. This makes changing filter easier as it is no longer required to turn the column filter OFF to filter on different item(s)
  4. Change: Grid: Improved Paste options dialog
  5. Fixed: Grid: Adding a TLI in a hoisted view now adds it to the hoist item list. Before a grid refresh would not show added TLI's
  6. Fixed: Grid: Paste multiple items did not set grid's auto-assign fields (see Data entry problem causes data to be "lost" (hidden and difficult to retrieve))
  7. Fixed: Grid: Faster grid refresh
  8. Fixed: Grid: When the workspace contains more than one group, grid content was sometimes not loading correctly. A refresh (F5) was required
  9. Fixed: Grid: Grid search string was limited to 20 characters
  10. Fixed: Grid: When in source bar, Edit > Undo undid last action in the grid instead of doing it to the text box. Same for Redo.
  11. Fixed: Use decimal symbol from regional settings (see Inputting decimal numbers on a French language system)
  12. Fixed: Gantt: Sometimes bars were not drawn, a refresh was required. One such case was when using the Date Filter toolbar
  13. Fixed: Drag drop an item to the Calendar now shows the event dialog if no time scale is shown (i.e. such as month view)
  14. Fixed: Calendar: Refresh command now shown on the tab context menu
  15. Fixed: HTML Pane: In browse mode, clicking on a web link opens the page twice
  16. Fixed: HTML Pane: Menu > File > Save as default did not work in code view
  17. Fixed: When switching grid, the tab workspace sometimes incorrectly triggers a drag-drop (see Tabs Position Bug w. Saved Layout)
v70 (2016-02-09)
  1. New: Gantt: Now able to navigate to the next / previous task start date using right / left cursor keys. Hold Shift to navigate by task end date instead. Shown on the status bar is the task date and the delta (in days) from the previously selected task. Compatible with columns filters, so on a large project for example, one can filter and navigate one's own tasks only.
  2. New: Gantt automatically scrolls horizontally to show the focused item Gantt bar
  3. New: Grid: Hoist displays dialog to choose action
  4. New: Grid: Hoist Up selects parent items
  5. New: Grid: When exporting to Excel, warn user if the grid is not visible to other applications, and offer to make it visible
  6. New: Properties Pane: In the Parents section, context menus operate on all selected items in the grid, not just the item having focus.
  7. New: Properties Pane: Parents section now has a context menu to delete all parents
  8. New: Hyperlinks can link to the Calendar. Enter Calendar as the link
  9. New: Hyperlinks can link to specific views of a grid. Enter the grid name followed by | and the desired view. Use one of PT, PC, MV, TL (Pivot Table, Pivot Chart, Map View, TimeLine)
  10. New: Program version numbering is now 0.9.XX where XX is currently 70
  11. Change: Grid: Adding marked items now puts these at the beginning of list and selects them. Before they were added at the end, possible out of view
  12. Fixed: Grid: Moving more than one item left in the hierarchy did not always position them at the correct order in the list
  13. Fixed: Grid: If the hyperlink is a direct link to a shortcut file (i.e. not using URL or FileName/FilePath fields) the link failed to resolve the acual target file
  14. Fixed: Grid: Hoist Expand states not saved [see Hoist doesn't keep expand/collapse state after refresh (v69))
  15. Fixed: Grid: If 2 hyperlinks on the same item, status bar does not update
  16. Fixed: Grid Properties: Gantt section fields were not initially shown
  17. Fixed: Gantt: Setting a bar color to (none) did not update the display. A refresh was required
  18. Fixed: HTML Pane: Changes to the default HTML document were being overwritten at startup
  19. Change: HTML Pane: System supplied default HTML file uses larger font, supports Unicode and more compact bulleted lists
    To use this new file, with IQ closed, either delete your user HTMLNew.HTM file or copy the system one to your user folder

Continues here: Older Release Notes

Click here to view online page with discussion and ability to update


Older Release Notes

Release Notes prior to v0.9.70

0.9.26PreRel69 (2016-02-03)
  • New: Grid: When creating an .odc, warn user if the grid is not visible to other applications, and offer to make it visible
  • New: Grid: Improved Hoist (item expand states matches pre-hoist display)
  • Fixed: Grid: Refresh did not apply Ctrl+G type filtering
  • Fixed: Grid: Split an item could create 2 new identical items instead of one
  • Fixed: Grid: Grid could lock up under certain conditions
  • Fixed: Universal clipper had (again) an issue with importing latin character content
0.9.26PreRel68 (2016-02-02)
  • New: Better Unicode support
  • New: Universal clipper correctly handles non-latin characters (arabic, russian, greek, asian)
  • New: HTML Pane: Paste command: Previous paste format preference is saved. If the format is not in the clipboard, the Paste Special dialog is shown to select a format.
  • New: HTML Pane: File > Fix UTF-8 Encoding menu command. Use this if the content has been scrambled with v66 or v67
  • New: HTML Pane: When copying text, if it contains UTF-8 codes (from v66 or v67 encoding errors), a clipbord format is added: UTF-8 Decoded. Users can copy sections with UTF-8 codes and paste using this format to fix the encoding errors.
  • Change: HTML Pane: Paste special is no longer a sub-menu of Paste
  • Fixed: Grid: Smoother scroll when using a touchpad
  • Fixed: HTML Pane: Latin characters are not handled correctly
  • Fixed: New Item dialog minor bug fixes. Improved keyboard support (when using the tab key)
0.9.26PreRel67 (2016-01-21)
  • Fixed: Improved support for Unicode characters, including asian
    • Grid font must either blank or set to an Unicode enabled font, such as @Arial Unicode MS (Manage Grid > Options > Default Font)
    • The default grid font must also be set to @Arial Unicode MS since it is used by such things as the docking pane caption font
    • The HTML pane content must have the proper META tag in the HEAD section. This one works:
      <META content="text/html; charset=UTF-8" http-equiv=content-type>
    • The NewHTML.HTM file should also have this META tag. I've updated the one supplied with IQ. You should copy this to your user folder and re-start IQ
    • To test, on a new item, in the HTML pane, turn on Code view and see it the tag is there
    • Known issue: Bold, Italic, Color, etc commands will corrupt your text. You can still enter formatting codes by hand. There may be others, keep an eye open and report back
0.9.26PreRel66 (2016-01-19)
  • New: Grid: Mouse move over a link (.lnk) shows the link target. It will also update the link if the file was moved since the last time it was opened.
    If the link cannot be resolved (file deleted for example, or moved to a non NTFS drive), a "not found" is appended to the status bar message
  • Fixed: hyperlink to grids, files and Outlook items did not work correctly (see Hyperlinks problems with v65)
  • Fixed: Grid: Hyperlink target was sometimes not shown on the status bar
  • Fixed: Pop-up editor did not open with the cursor at the same position as the cell editor
0.9.26PreRel65 (2016-01-15)
  • New: Type equations in numeric cells (i.e. =23*12+34), supports +, -, *, /, (, ).
    If a value is already in the cell, you can simply press +23 to add 23 to it.
    Precede with = and enter functions, such as sqr or even len([SomeField])
  • Fixed: Grids now scroll up way past the last item.
    Works with the mouse wheel, down arrow, PgDown and the scroll bar down button. This has been an issue for a long, long time !
  • Fixed: Grid: Ungroup a column header sometimes did not properly show back the grouped columns.
  • Fixed: Grid: Clicking on the Gantt part of the grid highlights the current grid row
  • Fixed: Calendar: Today's highlight in the main calendar was not updated on change of day
  • Fixed: Properties Pane: Faster updates
  • Fixed: HTML Pane: Pressing F12 opens a new HTML form even if there is one already opened if this one is collapsed
  • Fixed: Item home grid now updates when a grid is renamed / deleted
  • Fixed: Hyperlink to another item silently fails if the item home grid points to a non-existing grid
  • Fixed: Ecco Pro Import. Item hierarchy was not restored correctly (Main parent was not set)
0.9.26PreRel64 (2016-01-05)
  • New: Grid: Display mode clean-up. Now 3 display modes. For each mode, you can toggle the display of context parents or not :
    • Outline (Normal): Similar to what was called Full Hierarchy
    • Source items (Flat): Similar to what was called Hierarchy Off
    • Source items (Tree): Similar to what was called Hierarchy On
  • Fixed: Grid: Add to Calendar was not working. See Right Click on Item > Show in Calendar)
  • Fixed: Grid: When Full Hierarchy was ON, some items were incorrectly shown in blue (context parent) and some sub-items were not shown
  • Fixed: Grid: When Hierarchy was off, showing Context Parents changed the order of items and caused incorrect re-arrangment of items
  • Fixed: Grid: In full hierarchy, sub-items may be shown as TLI if they have 2 or more levels of context parent
  • Fixed: Grid Properties: Data > Auto-assign field list does not always show the source field (when field name contains a space)
  • Fixed: HTML pane: Images are not always showing
  • Fixed: HTML pane: Opening files does not work when the file is not on the same drive as the IQBase
  • Fixed: FireFox clipper add-on now signed and compatible with FF v44. Available here: https://addons.mozilla.org/addon/infoqube-firefox-extension/
0.9.26PreRel63 (2015-12-22)
  • New: Fields: Multi-select pop-up lists. Implemented for List of items and Auto-list type popups. Supports the following tagging systems:
    • Enclosed (i.e. { }, [ ], - -, | |)
    • Hashtag (i.e. Twitter-like #IQ #Cool #SuperPIM #EccoPro)
    • Delimited (i.e. CamelCase, comma separated, , | )
  • New: Multi-select popup editor: Press Enter toggles the check state
  • New: HTML Pane: Paste Special... menu. Lists all formats in the clipboard
  • New: HTML Pane: Improved clipboard handling. Paste now handles Excel, CSV, HTML and RTF formats
  • New: Grid: Added "Keep source field values when demoting TLI". See top level item loosing field assignment when moved
  • New: View > HTML Editor: Command is now a split button with 2 new commands: New HTML Editor and Close All HTML Editors
  • New: Notifications pane: Option to show information for both focus cell and mouse-over cell
  • Fixed: Grid: Several issues relating to the new column grouping feature
  • Fixed: Properties pane: Rearrange hierarchy of fields using drag-drop
  • Fixed: Properties pane: Tooltips were not working when the Notifications pane was closed
  • Fixed: Manage Grids: Newly created grids are sometimes shown more than once. See Grid Management Problems: Duplicates & Disappearances
  • Fixed: HTML Pane: Numerous issues fixed
  • Fixed: HTML pane: HTML pane content was sometimes not saved when closing a file
  • Fixed: HTML Pane: View > Zoom (In, Out, Reset) when editing is now re-enabled. It was found to be buggy on some IE versions, but perhaps this is no longer an issue
  • Fixed: Universal clipper was not clipping anything
  • Fixed: Export: Embedded fore and back colors were not exported. See Bgcolor/highlighting still missing from HTML export
0.9.26PreRel62 (2015-11-28)
  • New: Event dialog: Unscheduled event type. Events can now be one of 3 types: Scheduled, Unscheduled or All-day
  • New: Grid: Header > Group Columns: Group / ungroup columns. When grouped, a + expand button is shown. Click to expand / collapse group
  • New: Grid filter dialog now has an option to filter on all columns or selected columns
  • New: Calendar: Added option: "Switch to Month view when the number of selected days exceeds n days"
  • New: Calendar: Added option: "Day time-scale increments (minutes):
  • New: Calendar: In Horizontal scroll mode, the vertical zoom and offset is now kept when navigating in the Calendar
  • New: Calendar: In Horizontal scroll mode, Ctrl + mouse wheel zooms in and out, Shift + mouse wheel scrolls
  • New: Calendar: Touch friendly. Navigation works well with touch screens PCs and tablets
  • New: Clipper: Clean up clipped item text. Settings in Tools > Options > Program Settings > Other
  • New: View > On-screen keyboard command, to enable typing on tablets
  • Fixed: Undo could incorrectly undo all recent changes instead of just the last one
  • Fixed: Grid: Add marked item as sub showed the items twice
  • Fixed: Grid: WYSIWYG editor paste command did not work
  • Fixed: Grid: When the user selects to drop without showing the dialog, the Create shortcut checkbox is not taken into account
  • Fixed: Show in Calendar uses appointment field, not the Calendar default field
  • Fixed: Calendar: Unchecking Repeat in the Event dialog did not remove the recurring events. A refresh (F5) was required
  • Fixed: Properties Pane: Expand / collapse states of the various sections are now restored
  • Fixed: New item dialog: current grid is disabled when it should not
  • Fixed: Grid Management: New grids created in this dialog were not setup correctly (see New grids created with the "manage grid" dialog creates malfunctioning grids)
  • Fixed: Universal Clipper: Clipping info was no longer being added to the clip, even if "Add Clipping info" is checked
  • Fixed: Universal Clipper: Sometimes the URL was not correctly retrieved
0.9.26PreRel61 (2015-11-12)
  • New: Fields: Date fields now have "Event Color" and "in Calendar by default" properties. If checked, new date field-values will automatically create an event and display it in the Calendar. Event frame color will be the specified color
  • New: Date Editor: New "Shown in Calendar" check box to easily show / hide dates in the Calendar
  • New: Panes that share a common docking position now have a Maximize button
  • Fixed: Grid: Renumber items can now be undone
  • Fixed: Grid: Show in Calendar only worked for the first date column in the selection. i.e. If you select both StartDate and EndDate columns, it should show both dates in the Calendar. Same for Remove from Calendar
  • Fixed: Grid: Switching from the regular cell editor to the pop-up editor keeps the cursor position
  • Fixed: Calendar: F4 moves focus to the Properties pane but pressing F4 again did not move it back to the Calendar. Same for F12 and the HTML pane
  • Fixed: Calendar: Pressing the Today button on the Date filter toolbar now correctly centers the Calendar on today
  • Fixed: Tools > Compact: Was sometimes failing to compact saying that another copy was opened when this was not really the case
0.9.26PreRel60a (2015-11-05)
  • New: Calendar: 2 and 3 days view
  • New: Calendar: Option to auto-hide the mini-calendar
  • New: Calendar: Can now move the time scale and/or mini-calendar to the right side of the Calendar. Hold Alt and drag-drop the time scale or mini-calendar
  • New: Calendar: Event back color matches item back color. Event text color matches item text color
  • New: Calendar: The current day is now highlighted in red
  • New: Calendar: Zoom in/out is now increases / decreases the Calendar font size
  • New: Calendar: New context menu to create an all-day event
  • New: Calendar: Better support for cursor keys (up/down, left/right). If no event selected, scrolls by day / week / month. If an event is selected, move to the next / previous event
  • New: Grid: Option to not show transparent selection
  • New: Properties Pane now shows the current item text on the pane caption
  • New: Work Offline mode. All Internet related features are disabled in this mode
  • New: Tool > Options: Option to not restore layout when opening files
  • New: Renumber items dialog: Supports ? wildcards. So for example, ABC?? will give ABC01 ABC02 ABC03, ...
  • Fixed: Grid: Drag drop an item to the Calendar created an event but the item in the grid was not refreshed to show the created event (normally shown as a sub-item)
  • Fixed: Grid: Grids did not update when sub-items were added
  • Fixed: Grid: Paste from Excel no longer worked correctly (pasted an image instead of the cell content)
  • Fixed: Calendar: Toggling time scales did not work correctly if the Windows time setting included AM/PM
  • Fixed: Calendar: Workweek button showed the first 5 days of the week, not the worked week
  • Fixed: Calendar: In Workweek view, changing month / year using the date filter toolbar now move correctly (4 weeks / 52 weeks)
  • Fixed: Calendar: Faster repeat rate when using the DateFilter toolbar up/down day buttons
  • Fixed: Calendar: Improved event tooltip
  • Fixed: Calendar: Edit > Undo / Redo is now enabled
  • Fixed: Properties Pane: Undo / Redo keyboard shortcuts now work correctly
  • Fixed: DateTime editor: Show in Calendar no longer worked
  • Fixed: DateFilter Day dropdown did not show at the correct position on a second monitor
  • Fixed: Issues related to regional settings (date / time / number formats)
  • Fixed: On opening a file, the Restore Layout dialog was not responding to key stokes
0.9.26PreRel59 (2015-10-16)
  • New: WikiTag field now has a multi-select editor. Similar to the one in the New Item dialog. To enable it, simply set its editor to Auto-list of values (in Field Properties > Editor). This will eventually be implemented for other text fields too.
  • New: Grid: Grid Filter (Ctrl+G): New Filter dialog. Adds supports for keywords (All or Any) and wildcards
  • New: If the number of named colors is greater than 15, the menu is shown as a collection of colored squares (more compact display). If the number of named colors exceeds 30, the display of system proposed colors is suppressed.
  • Change: Grid: Auto-search no longer turns itself off automatically. To turn off, do one of (1) toggle the Auto-search command (Ctrl + F3), (2) press Escape, (3) start editing, or (4) close the grid
  • Fixed: Grid: Auto-search did not show the search text
  • Fixed: Deleting a field did not update grids, forms and properties pane
  • Fixed: Grid: Print Preview > Email merge was no longer working correctly
  • Fixed: Grid: Add / Remove Columns dialog did not show at the correct position on a second monitor
  • Fixed: Grid: Add / Remove Columns dialog: Improved keyboard support (Enter closes, Escape cancels, Space bar toggles display of the column)
  • Fixed: Grid: Copying a cell and pasting in edit mode added extra TAB characters. Fixed. (see Grid has started inserting a tab space when I paste text)
  • Fixed: Grid: Copy / Paste did not preserve rich text (see Copy paste problem for Simple cell content)
  • Fixed: Properties pane: Pane no longer flickers during updates (see Annoyance with the Properties Pane)
  • Fixed: Properties pane: Caption for the item font was incorrect (see Font field bug in properties pane)
  • Fixed: New item dialog: The "Email item to IQ" button is now only enabled if the EmailToIQ feature is properly configured and enabled
  • Fixed: New item dialog: Add Item using EmailToIQ was not compatible with GMail
  • Fixed: New Item dialog: Wikitag dropdown list and field list does not show at the correct position on a second monitor
  • Fixed: New Item dialog: Wikitag dropdown list is now sorted and shows new tags (i.e. tags entered in the Wikitags text box but not yet used anywhere). Can also add new tags (Ctrl+N)
  • Fixed: HTML Pane: Browse mode is no longer turned off when moving focus to another item
  • Fixed: HTML Pane: In Browse mode, some formatting commands were incorrectly enabled
0.9.26PreRel58 (2015-10-02)
  • Fixed: Using the new caption editor (introduced in v0.9.26PreRel57) could erase some field properties.
  • New: Tooltips in grids and Properties pane only show when pressing Ctrl only
  • Fixed: If more than 1 item is selected, Item info showed nothing
  • Fixed: Grid: Pop-up list of type fixed list did not save changes correctly if done exclusively with the mouse
0.9.26PreRel57 (2015-09-29)
  • New: Grid: Load column sets: Allow a dynamic grid display with easily interchangeable sets of columns. Grid native columns are still available (for sorting and conditional formatting purposes), but made invisible, except for locked and tree columns (which remain visible, no matter what). Column sets can come from forms or grids (see below for information on the new feature of showing grids in the Properties pane). To load a column set, right-click on the form or grid in the Properties pane. Multiple uses, but in particular, when viewing items in the search or scratch grid, users can now load column sets to view relevant information
  • New: Grid column sets can be shown in the Properties pane. Setting in Grid Management. Off by default.
  • New: Grid: Can now hide / unhide columns. Hidden columns can still be used to sort. Added Hide Column command and Hidden Columns (list of) menu command. Hidden columns feature is compatible with the Column > Show Columns menu.
  • New: Grid: Column Header menu: Move Up / Down. Can select one or more columns.
  • New: Grid: Column Header menu: Set caption (without going through the Field properties dialog). You can now set the header caption and icons using a WYSIWYG editor.
  • New: Grid: Column menu: Move Left / Right. Can select one or more columns.
  • New: Grid: Hoist Marked Items
  • New: Properties pane: Set caption (without going through the Field properties dialog). You can now set the field caption and icons using a WYSIWYG editor.
  • Change: Grid: Hide Column is now named Remove Column
  • Fixed: Properties Pane: Changing a field property did not update the pane. Users had to close the pane and re-open. This is no longer necessary
  • Fixed: Grid: When Column > Show Columns is unchecked, it was still possible to execute some column related commands (i.e. hide column add / remove columns, etc) These are now disabled.
  • Fixed: Manage Grids dialog: Focus is not set to the current grid
  • Fixed: Grid: Pasting was disabled for fields with editor of type List of item popup
0.9.26PreRel56 (2015-09-18)
  • New: Item > Split Item dialog. Can select more than one item at a time. Can use <cr> and <tab> codes
  • New: Item > Join Items dialog supports multiple delimiters between items. Can use <cr> and <tab> codes
  • New: Grid list menu tooltips show how long ago the grid was last opened
  • Fixed: XML paste: support multiple parents (see [FIXED] Paste problem)
  • Fixed: Properties pane: Updating the pane no longer causes scroll position issues (see Properties pane)
  • Fixed: HTML Pane: Item HTML which were links to web content did not show in the HTML pane
  • Fixed: EmailToIQ is now compatible with GMail 2-step verification. Goto https://security.google.com/settings/security/apppasswords?pli=1 to generate an application specific password (16 character string)
  • Fixed: Date popup first day of week now follows setting in the Calendar
  • Fixed: Faster File > Close
0.9.26PreRel55 (2015-09-04)
  • New: Grid: Can now add items when column filters are active. Column filters are now so much more functional !
  • New: Grid Properties: Numerous UI improvements including a new column to show / hide the grid in the grid lists (menu, toolbar). Context menus and column filtering were also enhanced (see "Show Grid in Toolbar" checkbox)
  • New: EmailToIQ: Checking now occurs asynchronously. Before, on slow Internet connections, the UI would lock up during new email check. On fast Internet connections, it was causing a 2-5 seconds lockup of the UI.
  • New: EmailToIQ: Set the delay to 0 enables Manual Mode. Use Tools > Check EmailToIQ Now or double-click the icon on the status bar to execute.
  • New: Popup editor: Added Split Item. Use the Split Item shortcut key to activate (default is Ctrl + Shift + S)
  • Changed: "Tagged items" is now named "Marked items".
  • Change: Grid: Auto-Search is now a command, not a grid state. It auto-disables itself after 5 seconds of keyboard inactivity or by pressing ESC or the keyboard shortcut (default is CTRL + F3)
  • Fixed: Grid: Drag-drop does not remove old parent link (see: [FIXED] When items are just moved under another parent, previous parents' link are kept (prerel54))
  • Fixed: Grid: While editing, pressing the right arrow while on the last character closed the editor and moved to the next cell. Same for the left arrow when on the first character. Now, while editing, the left / right arrows only move the cursor inside the editing region. Press F2 to save or ESC to cancel edits. Up and Down arrows can still be used to exit the editor.
  • Fixed: Grid: Drag-drop a field from the Properties Pane to a grid did not add it as a column
  • Fixed: Gantt: Print Preview of the full gantt does not show gantt part, just grid.
  • Fixed: Gantt: Pressing Cancel in the Print Preview dialog would hide the IQ window (users would then need to terminate the task and restart)
  • Fixed: Grid Properties: Changing the View > Tree column shows outline labels setting required a grid close and re-open to be applied. No longer does. You can also use the Grid > Labels on the Tree column command to do the same thing
  • Fixed: HTML pane: Edit with MS Word command was incorrectly disabled for MHT documents (see [FIXED] In HTML pane why does Word icon disappear after I use it??)
  • Fixed: Sync: Sync copy was not updated when closing the IQBase (this could cause loss of recent changes)
0.9.26PreRel54 (2015-08-13)
  • New: Form Properties: Better support for drag-drop. Drag a field from a form to another. Hold Ctrl to copy
  • New: Popup Editor: Can move the editor. Click anywhere in a blank spot and move
  • New: Popup Editor: Can hit Ctrl+F (or your custom Omnibox shortcut key) to open the Find and Replace dialog
  • New: WYSIWYG editor: Edit > Redo is now working
  • New: Show the item count in the tab tooltip even if it is not shown on the tab caption
  • New: Grid: Ctrl + Wheel does zoom in / out. Shift + Wheel scrolls left / right
  • New: Timeline: Now responds to mouse wheel events
  • Change: Check EmailtoIQ is now shown only if properly configured, moved to Tools menu
  • Change: Gantt: Mouse wheel behavior as per Google Chrome:
    • Ctrl + Wheel up: zoom in
    • Ctrl + Wheel down: zoom out
    • Shift + Wheel up: Scroll left
    • Shift + Wheel down: Scroll right
  • Fixed: Omnibox: Pressing the down arrow could update the list of results. See Omnibox : in certain cases (most?), can't use arrows to make any selection
  • Fixed: Menu bar was not updated when switching to the search tab
  • Fixed: Deleting a view only closed open grids. Other view types (Mapview, Pivot, Chart, Timeline) did not close
  • Fixed: Renaming a view was only reflected in grids. Other view types were not updated
  • Fixed: Hyperlink dialog: Hyperlink text textbox was disabled for existing hyperlink which prevented copy. It is now enabled (but locked). Users can copy and paste text into the URL box if desired
  • Fixed: Grid: Drag-drop an item to be a sub-item of a context parent did not auto-assign source fields
  • Fixed: Grid: Drag-drop an item to a different pane did not work for TLI when the destination grid had a complex source
  • Fixed: Grid: Missing characters when starting editing (see iq eating my keystrokes?)
  • Fixed: Grid: Formatting was not removed when pasted to text editors
  • Fixed: Grid: When the source bar is shown, switching to another app and back moves the focus to the Source text box (See problem on switching between Infoqube and other programs when Source Bar is displayed)
  • Fixed: Grid: Redo while editing could change the wrong cell (see Ctrl+Y while in edit mode : redoes/undoes changes in another cell... )
  • Fixed: WYSIWYG grid editor: Hyperlink syntax was sometimes incorrect
  • Fixed: Timeline: Properties pane was not showing the currently selected item
  • Fixed: Gantt: Undo after a Gantt PCM schedule was not working correctly
  • Fixed: Gantt: Undo could sometimes incorrectly erase task dates
  • Fixed: HTML Export: Accented characters did not paste correctly into MS Word (see problem copying text to MS Word 2010)
  • Fixed: Copy accented characters from a grid did not paste correctly into MS Word
  • Fixed: Renumber items menu command was not visible in the menus, only available through the omnibox
  • Fixed: Properties Pane: Double-click on an blank auto-number field would increment it by 2 instead of 1
  • Fixed: PopupEditor: Shift-Ctrl+S activated an edit box at the bottom of the editor. This is now disabled
  • Fixed: PopupEditor: Did not show at the correct position when on a second monitor
  • Change: Next Task Actions: To reference fields in the dependant item, enclose field names with { }. Fields enclosed with [ ] reference the item being marked done
  • Fixed: Next Task Actions: Enclosing the left operand with [ ] caused the actions to not work correctly
  • Fixed: SQLSynch: Error message if the synch ID field is not found in the IQBase
  • Fixed: SQLSynch: Multiple tabs separating the fields in the FieldMap section are now allowed
0.9.26PreRel53 (2015-06-12)
  • New: Gantt menu
  • New: Gantt: Added Show critical path and Recalculate critical path commands
  • New: Gantt: Added "Can move a task that has started". If unchecked, a task that has started (i.e. %Complete > 0) can no longer be moved. Users can still manually change the start and end dates.
  • New: Gantt: Added a "Show Today" command. It centers the Gantt chart on today's date
  • New: Gantt: Double-click on the Gantt area where there is no bar moves the chart to the first bar date (or to today if the chart does not yet have a date)
  • New: Gantt: Link properties dialog. Users can now set the link type and task lag
  • New: Gantt: Link bars command button. Select 2 bars and click to define the link between the two. Alternatively, Shift and click on the first bar and drag to the second bar.
  • New: Timeline: Add option to show or not bar captions
  • Fixed: Grid: Sort sub-items was broken
  • Fixed: Grid: Source bar: Sort by any text field did not work unless the field was enclosed with [ ]
  • Fixed: Grid: WYSIWYG Editor Entering an email address generated an incorrect hyperlink
  • Fixed: Gantt: Adding a link from bar1 to bar2 deleted previous links going out of bar1
  • Fixed: Gantt: On high-DPI displays, the bar height was too small
  • Fixed: Gantt: Numerous initial setup issues
  • Fixed: HTML Pane: Multiple HTML pane setup was not always synchronizing panes correctly
  • Change: Gantt: UI improvements
  • Change: Gantt: Zoom-on-the-fly is now triggered when pressing both Shift and Ctrl
0.9.26PreRel52 (2015-05-26)
  • New: Field: Easy pop-up list: Select the field containing the list of items and optionally the field to filter the list. That's it !You now have 4 types of pop-ups: Fixed list, items, Auto-list, SQL queries (advanced). Field properties UI change to select pop-up list type.
  • New: Omnibox can search for Favorite items
  • New: Updated User Manual (Thanks Jibz !). Download it here.
  • New: Popup message if updating a column in a grid fails. Such an error can cause the grid to be unreadable from programs such as Excel or cause field popups list based on this grid to fail.
  • New: Grid Properties: Maximum item height (in pixels, 0=none)
  • New: Grid Add / Remove columns: Can now set the column width directly here. Provides an easy way to see which columns have been minimized.
  • Fixed: Grid Add / Remove columns: Caption column did not show icons
  • Fixed: For some equations, fields were not properly [ ] enclosed in v0.9.26PreRel51
  • Fixed: Many pop-up menus did not respond when using their shortcut keys (Recent grids and Favorites are 2 examples)
  • Fixed: Omnibox: Ctrl+A did not select the Omnibox content. Instead it selected all items in the grid
  • Fixed: Closing the Field Properties was sometimes very slow, especially if the IQBase had lots of fields and equations.
  • Fixed: Field Properties: Improved the column filters
  • Fixed: When switching between multi monitors and single monitor setups, the IQ main window could open in an invisible part of the screen.
  • Change: HTML tags embedded in cell text are now lower case
0.9.26PreRel51 (2015-05-12)
  • New: Option to hide the program Title bar when the main window is maximized
  • New: Calendar: Vertical scroll mode: Days are shown in an endless vertical list. Use the mouse wheel to scroll up and down
  • New: Calendar: In horizontal scroll mode, the day header is always visible, even when zooming
  • New: Grid: Hoist up one level. Shows all parents of the selected items (great tool when items have multiple parents)
  • New: Drag-drop of hyperlinks from Tab Outliner for Chrome to a grid or to the HTML pane (details here)
  • New: More robust field parsing (through the requirement of enclosing field references with [ ... ]
  • Changed: When referencing fields in equations, enclose the name with [ ... ]. The first time a file is opened, equations will be processed to add [ ... ] around recognized field names if required. Please go through your field equations to ensure that this was done correctly.
  • Fixed: Grid: Improved handling of the Tab key (see shift + tab to move focus to previous column : broken)
  • Fixed: Pressing Esc while in the Omnibox could change the order of a sub-item (move down one item)
0.9.26PreRel50 (2015-04-21)
  • New: HTML pane now uses an improved Code editor with syntax highlighting, multiple undo/redo
  • New: Item > Show in Scratch Grid: Shows selected items in the Scratch grid (see Show any selected items in a *new* scratch grid)
  • New: Grid: Column > Show HTML codes menu command
  • New: Grids now restore horizontal scroll position and focus column
  • Fixed: Sometimes opening the Scratch grid shows the same item twice
  • Fixed: Tools > Options: Left-click did not start editing, must use right-click (see can't activate options in Options dialog for editing)
  • Fixed: Grid list menu may not be updated (see Version 0.9.26Pre-Rel49a is now available !)
  • Fixed: MindMap: Hyperlinks did not work
  • Fixed: Sometimes impossible to close the field properties dialog (see Difficult to close the field properties dialog.)
  • Fixed: VB Editor: Could open more than one VB Editor window. Only one is now allowed
  • Fixed: VB Editor: Undo / Redo keyboard shortcuts did not work
  • Fixed: VB Editor: Erasing text seemed slow as the window was not refreshed fast enough
  • Fixed: HTML pane: sometimes the HTML pane does not load content on start up (see [Error message] HTML pane content deleted)
  • Fixed: HTML pane: Click on a link could sometimes opens the link twice in the browser
  • Fixed: Grid: Sometimes impossible to save the Header Wordwrap setting (see Can't deactivate Column Headers Word Wrap on newly created grids)
0.9.26PreRel49 (2015-04-08)
  • New: Only visible views are now loaded when opening a file. Others are shown as tabs with an * appended to the name to indicate it needs loading. Dramatically speeds up loading when many views are opened (tabbed workspace only).
  • New: Sync: Sync delay is now a separate setting, independent of the auto-backup delay. Default is to sync every 1 minute
  • New: Sync: Show last edit date, user name and computer name
  • New: * after the file name if there are changes waiting to be saved to the sync file
  • New: Tools > Options: Auto-Search to allow faster navigation
  • New: Can use the Gantt Overview to scroll up / down the Gantt
  • Fixed: Which tab has the focus was not saved / restored.
  • Fixed: Copying a hierarchy of items did not copy the item font attributes (bold, italic, underline, strikethrough)
  • Fixed: Favorites menu: Embedded HTML tags were shown
  • Fixed: Lineage on the status bar: Embedded HTML tags were shown
  • Fixed: HTML Pane caption: Embedded HTML tags were shown
  • Fixed: Favorites menu: Now shows ellipsis (...) when the item text is too long to display
  • Fixed: Showing items in the Search grid could fail because a column filter was active.
  • Fixed: Grid: Creating a hyperlink could erase the selected text
  • Fixed: Properties Pane: Show items (new Scratch grid) menu item was shown when it should not. It should only show up when right-click on a field
  • Fixed: Popup editor shows some accented characters as HTML codes (see HTML unicode references appear in cell after editing with popup editor [details below])
0.9.26PreRel48 (2015-04-02)
  • New :Popup editor for Mapview (and properties pane in mapview)
  • New: WYSIWYG editor for events
  • New: Add/Remove a grid column by right-click on the field in the Properties Pane
  • New: Properties pane: Context menu to show items in a new Scratch grid
  • New: Hyperlinks: Hold Shift down to open link in a new Scratch grid
  • New: Option to monitor a sync folder for updates (see 1. Synchronization between computers using Dropbox for details)
  • New: Option to choose the location of the .Files folder (i.e. to put it in a Dropbox-like folder)
  • New: Timeline: Context menu to toggle between Compact and Normal display
  • New: Postponing the automatic Recalc : next day (in dialog) + manual recalc (in DB management)
  • Change: To avoid a conflict with the Gantt Zoom on the fly feature (press CTRL to activate), the ALT is now used to change the Gantt scale
  • Fixed: Reduced CPU usage
  • Fixed: Improved responsiveness when there are many opened grids
  • Fixed: Changing the Gantt scale with the mouse wheel was not working well (see Gantt : zoom is hard to manipulate with the mouse scroll.)
  • Fixed: Popup editor: Font was different than the item in the grid
  • Fixed: Options dialog: Browse for folder was not opening the correct folder
  • Fixed: Timeline: Bar caption / color were not updated when the item text / color was modified elsewhere (grid, properties pane, calendar)
  • Fixed: Form management: Show proper editing context menu
  • Fixed: Tabbed workspace always restored the Calendar to the main tab group, even if it was in a different tab group
  • Fixed: Menu customization: Right-click on a control did not show the keyboard shortcut
0.9.26PreRel47 (2015-03-19)
  • New: Grid: Simplified Hoist (no more dialog)
  • New: No more sound when showing many dialogs
  • Fixed: If the Omnibox is moved, a program restart was required to re-enable the keyboard shortcut
  • Fixed: Minor improvements to the Omnibox
  • New: Grid: Wordwrap column headers
  • New: Popup editor: Added hyperlinks and highlight (Ctrl+H)
  • New: HTML Pane: Added highlight (CTRL+H)
  • Fixed: "Auto-Search" in columns (Ctrl+F3) = no more visual cue
0.9.26PreRel46 (2015-03-16)
  • Fixed: Copy/Paste items (XML) creates empty children
  • Fixed: Popup editor changes were not undoable
  • Fixed: Keying issues – possibly connected with the use of AZERTY keyboard? (probable fix)
0.9.26PreRel45 (2015-03-10)
  • New: Popup Editor: Now WYSIWYG, including easy insertion of icons ! Right-click to have access to all editing commands
  • New: Grid: When editing, a new more specific context menu is available (includes Undo)
  • Fixed: Grid: Select All was not working
  • Fixed: Grid: Copy was not working correctly in some situations
  • Fixed: [FIXED] Upgraded from REL41 to REL43 - Lost Links to All Pics
  • Fixed: Popup editor was shown at the wrong position
  • Fixed: Copy Special menu was not visible
0.9.26PreRel44 (2015-03-02)
  • New: HTML pane: When saving content, a confirmation is now required when most of the content was deleted (because one is never too careful)
  • New: Grid: Can now select multiple columns / rows using Shift + Cursor keys !
  • Fixed: Grid: Read-only fields were not being selected when using cursor keys
  • Fixed: Fields: Limit to list was not effective when using items from SQL Select lists
  • Fixed: Grid: Pop-up editors could appear to hang the UI if the user clicks elsewhere when they are shown. They are now modal. Press Esc to dismiss
  • Fixed: Grid: In Edit > Copy, the dialog was shown even when not necessary (i.e. when a single column is selected)
  • Fixed: Grid: Copy a range of cells and paste in Excel did not work correctly (unless in Excel Edit > Paste Special > Unformatted Text was used)
  • Fixed: Grid: Right-click on a cell could sometimes show a second context menu
  • Fixed: Calendar: In scrolling list mode, the day captions could vertically scroll and come out of view. They are now locked at the top
  • Fixed: <FIXED> HTML Pane <--> Grid focus bug
  • Small UI tweaks
0.9.26PreRel43 (2015-02-20)
  • Lots of UI fine tuning
  • Better handling on high-DPI displays
  • Removed Tablet mode as it was not working well.
  • Removed Search toolbar. The Omnibox is now shown directly on the main menu. Users should delete their Search toolbar
  • Removed Grid Auto-Edit as it did not support scrolling with the cursor keys and was causing issues with the cursor (Blinking Text Cursor Rarely Appears)
  • Fixed: HTML Pane: Fixed an issue where the pane would steal the focus from the grid
  • Fixed: Grid: WYSIWYG editing: Fixed an issue where the text changes were not saved correctly
  • Fixed: Grid: WYSIWYG editing: Edit > Cut did not worked
  • Fixed: Grid: Changing the tree column would incorrectly show outline labels next to the tree, even if this option was not selected
  • Fixed: Grid were sometimes empty (Keep losing Layout)
0.9.26PreRel42 (2015-02-17)
  • New: Omnibox can be placed on the main menu if desired.
  • New: Pop-up list now supports Filter-on-type. Either click on the header of hit Ctrl+F to activate it (See Auto-complete on SQL-derived field)
  • Fixed: Major cleanup / update of the Customize dialog content. Lots of commands were missing or in the wrong place
  • Fixed: Pressing the Omnibox keyboard shortcut could lock IQ
  • Fixed: Omnibox command list text did not always perfectly match the menu items
  • Fixed: Cannot make changes to the Omnibox in the Customize dialog (see Some UI inconsistencies in 41)
  • Change: Omnibox default keyboard shortcut has changed to Ctrl+F as it does search too. The original shortcut was also incompatible with AZERTY keyboards. User should reset their custom shortcuts or manually change it.
  • Change: Grid: Paste now pastes as plain text by default. Use Paste Special > Paste as HTML if you want to preserve rich text formatting
0.9.26PreRel41 (2015-02-13)
  • Preview: IQ Omnibox: Handy way to open grids, calendar, execute command and do search.
  • Fixed: Split Item not working for me - prerel40
0.9.26PreRel40 (2015-02-06)
  • Improved: More efficient grid updates (see Performance problems (yes))
  • Change: Minor rearranging of menu items, hopefully more intuitive to users
  • Upgrade UI components to ensure compatibility with evolving operating systems (including some UI cosmetic change to improve clarity)
  • Fixed: In live-search, the properties pane was not being updated as the user clicks on search results items
  • Fixed: Copy paste bug
  • Fixed: Backup path keeps being deleted and autobackup keeps being checked.
  • Fixed: Grid: When editing, paste was broken
  • Fixed: Options dialog: Focus sometimes jumped around
  • Removed: Tools > Themes. IQ now supports a single visual theme. Managing colors while supporting multiple themes was unnecessary work
0.9.26PreRel39 (2015-01-28)
  • Fixed: VB Script editor: System code is now read-only
  • Fixed: Grid: Improved focus handling
0.9.26PreRel38 (2015-01-26)
  • New: Set formatting for numeric fields in the field properties. Options are Standard, Currency or user-defined. The first two are taken from the Control Panel Regional Settings
  • New: HTML pane: use of relative files for images to provide better for support for Dropbox et al
  • New: Grid: Show Pictures: If the file is not found, will try to resolve it
  • Fixed: Timeline: Display set to 1899 on loading. Now scrolls to first visible item
  • Fixed: Gantt and Timeline: Improved scrolling behavior for the << and >> buttons
  • Fixed: Grid WYSIWYG editor: Carriage returns were lost when pasting from plain text
  • Fixed: Properties pane: The FileName select dialog did not default to the correct folder
  • Fixed: Grid: Sometimes the Source textbox has the focus even though the source bar is not visible
  • Fixed: Grid: When the source bar is shown, the tab key no longer tabs into the grid, but remains in the source bar
0.9.26PreRel37 (2015-01-16)
  • Preview: New Timeline view. Shows Gantt project information, but in a much more compact display.
  • New: Gantt: Added "Is Summary Bar" to the item context menu when right clicking on a Gantt bar
  • Fixed: Adding a TLI in a hoisted grid did not update the hoist item list
  • Fixed: Grid Properties: Changes to the Bar Caption Field was not saved. Can now show any field next to the bar. A useful one is the item field of course !
  • Fixed: Ctrl+Space to check Boolean fields in properties pane used to work and it doesn't anymore
  • Fixed: Improved keyboard support for the source bar (tab key to move focus) and fixed: Showing/hiding the source bar : focus doesn't go back to the grid (or properties pane)
  • Fixed: Floating "edit text box" (shift+F2) doesn't work in properties pane : it appears but what's typed there is lost
  • Fixed Focus issues related to using the pop-up text editor in the properties pane
  • Fixed: HTML pane tab says "empty" when HTML pane contains images (exclusively)
  • Fixed: Field Properties dialog: UI fixes for some systems fields (see System fields not updated and user-defined function not executed)
0.9.26PreRel36 (2015-01-07)
  • New: HTML Pane: Edit cursor position (caret) is now saved.
    Editing large documents is now easier as moving from an item to another will bring you back to your last edit point
  • Fixed: Grid WYSIWYG editing: Font was sometimes incorrectly set
  • Fixed: Grid WYSIWYG editing: Content was sometimes not save correctly
  • Fixed: Grid WYSIWYG editing: Font and images were not handled correctly
  • Fixed: enhanced visuals in v35 : makes click + drag & drop less responsive
  • Fixed: When more than 1 item was selected, on drag-drop, it was possible to drop on a selected item
0.9.26PreRel35 (2014-12-24)
  • New: Grid Improved visuals when adding fields onto a grid using drag-drop and when moving columns in the grid header
  • New: WYSIWYG Print Preview: Option to save as a file in PDF, JPG, PNG or EMF format
  • New: New "tablet" mode. Windows 8.1 tablets are becoming more and more affordable and popular. This is great news for IQ !
  • Improved performance when computing complex equations / auto-assigns
  • Improved: Field Properties: Merged Equations and Inheritance sections into one. Improved UI to better show that Column equations and Inheritance are mutually exclusive (Enabling one disables the other)
  • Changed: Manage Grids: Inbox, Search and Scratch grid cannot be deleted as they are required.
  • Fixed: Grid: For some date formats the date dialog did not work correctly
  • Fixed: EmailToIQ: If the item text was empty, the #ItemID flag did not work.
  • Fixed: EmailToIQ: For plain text email messages, carriage returns were lost when converted to HTML
  • Fixed: Grid: Source fields are not assigned when Sort > Grouping is enabled
  • Fixed: Properties Pane: Show Field Values could silently fail if the Scratchpad grid was deleted
  • Fixed: IQ loops/freezes on field defined using SQL SELECT
0.9.26PreRel34 (2014-10-27)
  • New: EmailToIQ: Send content to items.
    You can now send content to a project item, a task, a specific contact, a calendar event, to meeting minutes, etc
    Can send to multiple items too ! Documentation can be found here: 2. Send To InfoQube using EmailToIQ
    Two syntaxes:
    • If the email subject line contains #1234, the content will appear as a subitem of item ID 1234.
    • If the email subject line contains #Some item text, the content will appear as a subitem of item "Some item text".
      If more than one item have this text, will send it to the one in your favorites (if not in your favorites, to the most recent item)
  • Fixed: HTML Pane: Table row and column sizing was difficult to do on systems with IE 10 and up
  • Fixed: Changing the grid font did not update the grid, a close and re-open was necessary
  • Fixed: WYSIWYG Grid editor: Hyperlinks can now be added, edited, and removed
  • Fixed: WYSIWYG Grid editor: Enter key and cursor keys behavior is now fixed. Insert Date / Time is also fixed
  • Fixed: WYSIWYG Grid editor: Typing starts editing and appends
  • Fixed: Selecting large icons did not work (right-click on a toolbar > Customize > Options > Large icons). (Useful on high DPI displays)
  • Fixed: On high DPI displays, item height in the property pane and the search window were too small.
0.9.26PreRel33 (2014-09-28)
  • Preview: WYSIWYG editing for the grid ! Finally ... Right click on the column header to enable it.
  • New: Grid: Added Item Text Color to the context menu
  • New: New keyboard shortcuts to create items: Ctrl+F7: Add item, Ctrl+F8: Add sub-item. Works in grids and in the HTML pane.
    Combined with F7 / F8 for navigation, it is now possible to create content while keeping the focus on the HTML pane.
  • New: HTML Pane: New Keyboard shortcuts for Heading 1...6 (CTRL+1... 6), Normal (CTRL+N), Bullet List (CTRL+L) and Number List (SHIFT+CTRL+L)
  • New: Calendar: Pressing Insert add a new event at the date/time given by the mouse pointer
  • New: Calendar: Hovering the mini-calendar now shows day events summary on the status bar
  • Fixed: Calendar: Changing dates using the Date toolbar of the mini-calendar was changing the current zoom level
  • Fixed: Calendar: When zooming, the day header may not be visible. The status bar now shows the current date / time to help identify event dates
  • Fixed: Calendar: New event: Enter did not close the dialog.
  • Fixed: HTML Pane: Foreground color and Background color menu items did not work from the main menu
  • Fixed: HTML Pane: After a toolbar reset, the color selector menus were empty
  • Fixed: HTML Pane: Font attributes controls (Style, Face, Size) were not updated
  • Fixed: HTML Pane: Changing the Item Text textbox did not update the item
0.9.26PreRel32 (2014-08-22)
  • New: Google Connect dialog to connect to your Google Account. Use Tools > Options > This Database > Google Sync. Enter address and password and click Test to test the connection and to retrieve information on your calendars.
  • Fixed: Grid: Changing the font does not update the properties pane
  • Fixed: Grid: When wordwrap was disabled, the item height was not calculated correctly (see Grid sizing in HD - ATT Pierre)
  • Fixed: FireFox Clipper: Web Clipping Problems
  • Possible fix for Delete not working in HTML pane (sometimes)
0.9.26PreRel31 (2014-08-08)
  • New: Google Connect dialog to connect to your Google Account. Use Tools > Options > This Database > Google Sync. Connection test did not make it into this release unfortunately
  • New: Gantt: Can now start adding bars without first creating items. Just draw bars and IQ will create items !
  • Fixed: Grid: While editing, clicking in another column of another item could sometimes overwrite the cell content
  • Fixed: Gantt: Task links context menu was not working correctly
  • Fixed: Gantt: On initial setup, Gantt scale was centered on 1957. Now centered on today
  • Fixed: Gantt: Duration field is not updated when bar is created by adding dates in the grid (see TaskDuration not working here)
  • Fixed: Gantt: Duration field did not take account of non working days. Now, shows the number of working days.
  • Fixed: Grid: Minor focus problem in grid
  • Change: Gantt: On initial setup, Task Links are now visible
0.9.26PreRel30 (2014-08-01)
  • New: Gantt: Task links context menu
  • New: Gantt: New task dependencies: SS, FF, SF.
    Can use context menu or use the following syntax for the NextTaskID field: NextID1|XY, NextID2|XY|DL1,
    where XY is one of FS (default), SS, FF, or SF.
    Optional DL1 parameter adds a fixed delay between tasks and overrides the NextTaskDelay field value
  • New: Grid and Gantt: Added system field NextTaskDelay to specify the delay between tasks
  • New: Grid: Next Task Actions supports field values.
  • New: Setting to specify the table cell resizing hot spot : Tools > Options > Program Settings > Other > HTML Pane Table resizing hot spot size (pixels)
  • Fixed: Properties Pane: Editing values in the All Fields section no longer causes the pane to scroll to the top (see Properties pane)
  • Fixed: Database > Repair should not require 2 clicks to close dialog (see Database repair)
  • Fixed: Grid: Click on the lower half of the item did not start editing
  • Fixed: Grid: [Bug] Manually adding file link deletes cell text
  • Fixed: Restore previous layout broken here in pre-rel 29/a
  • Fixed: Fast Search: Showing Favorites or Tagged items could cause IQ to go in an endless loop
  • Removed HTML Pane: View > Zoom (In, Out, Reset) when editing. This feature was too buggy on some IE versions
0.9.26PreRel29 (2014-07-21)
  • New: Grids: If multiple items are selected, opening the editor (F2 or Shift+F2) will update all items (before, only the focused item was updated, to act on multiple items, one had to use the property pane)
  • New: Grids: When clicking on an email field, if multiple emails are found, users can select which email(s) to send to
  • New: Gantt: 3 Task link modes: None (Visual cue only), Use Task Dependencies and Locked Relationships. Currently, the only supported dependency is "Finish to Start". Others will be added soon.
  • New: Gantt: Can now toggle the visibility of links
  • New: Field Properties: Auto-assign rules can now be on separate lines (no need to use the '|' separator). Hit Enter to enter a new line. This makes it easier to read
  • Fixed: [FIXED] Manuel Refresh Alters Grid Source Setting (smth to do with sorting on custom field?)
  • Fixed: Grid: "Show Done Check Mark" could replace the item text with 0 or 1(Newbie problem with Field Item and Checkbox for Done)
  • Fixed: Installation package had a 1 custom keyboard shortcut. This was erased.
0.9.26PreRel28 (2014-06-30)
  • New: Calendar: Print-Preview now supports "Print to Fit" and "Copy to Clipboard"
  • New: MapView: Print-Preview now supports user-specified scaling and "Print to X by Y pages". In a near future, these will be added to the calendar and grids !
  • New: Gantt: Press CTRL when on a bar end shows a zoom window. Editing in the zoom window is possible.
  • Improved Print-Preview toolbar
  • Fixed: HTML: Caption was not updated when pane is in auto-hide mode
  • Fixed: Pivot tables and charts for grids with names containing a space did not work
  • Fixed: Gantt: Gantt : items displayed in flat view have dates completely messed up
  • Fixed: Gantt: Insize zoom unit was always set to hours which was incorrect for most gantt scales. Better choice of insize zoom units
  • Fixed: Calendar: Sometimes the day header was badly chosen and not very useful (see The New Calendar )
0.9.26PreRel27 (2014-06-18)
  • New: OML/OPML Import: Support "_note=" de-facto standard for additional text content (will be put in the HTML pane) (used by OmniOutliner, iThoughts and others)
  • Fixed: Restore Layout on startup does not work when Tab Workspace is not enabled (Tools > General > Use Workspace Tabs)
  • Fixed: Opened grids are not always shown as such in menus
  • Fixed: HTML Pane: Changing the text of a hyperlink using the hyperlink dialog did not update the document
  • Fixed: Grid: Editing hyperlinks did not always select the correct text
  • Fixed: Gantt: Editing bar dates did not always update bars. Move/resize bars did not always update related date fields in the grid
  • Fixed: Adding / Deleting fields did not always trigger events to update grids
  • Fixed: A few gantt related bugs
  • Fixed: HTML pane does not display correct notes
  • Fixed: E-mail to IQ : crash
  • Change: Layout is saved on Grid > Save and before doing an auto-backup. That way, if the program stops, users will be able to restart and resume where they were.
  • Change: No longer show hand pointer on certain occasions, hoping to fix the rare issue reported here: Missing cursor when editing items
  • Change: Grid: Zoom now named Hide Panes to avoid confusion with Zoom In / Zoom Out
0.9.26PreRel26 (2014-05-14)
  • New: Grid: Copy / Paste Outlook items directly in a grid. Creates a link to the Outlook items (Appointments, emails, Contacts, notes, etc.)
  • New: Grid: Drag / Drop Outlook items directly in a grid. Creates a link to the Outlook items (Appointments, emails, Contacts, notes, etc.)
    Before, to create a link to an Outlook item, one had to open the hyperlink dialog and drag-drop an Outlook item.
  • New: EmailToIQ: Added button to test the email connection parameters.
  • New: EmailToIQ: Back color on the status bar turns yellow if the connection fails
  • New: Properties Pane: Added a button on the FileName and FilePath fields to browse to a new file / path
  • Fixed: Date/Time popup dialog was incorrectly sized when then short date format was too long
  • Fixed: Grid: Can now create a hyperlink even if the item is empty. Link will be shown as "(Link)"
  • Fixed: Grid: Remove hyperlink failed sometimes
  • Fixed: Grid: Item sort order was changed after a Hoist -> un-Hoist
  • Fixed: A "Window" menu was incorrectly displayed on the main menu
  • Fixed: HTML Export: Inserted images were not shown
  • Changed: Pivot Table and Charts: Source now defaults to "Use Items displayed in the grid" (initially and after a Reset configuration). This is less confusing as the previous setting which was to use items from the grid source
0.9.26PreRel24 / 25 (2014-05-01)
  • New: Grid: New Column menu (same as Ecco) to collect all column related commands. It includes the new Alignment commands.
    This should improve the UI (and removes clutter on the Grid menu too !)
  • New: Grid: Improved column selection (supports CTRL and SHIFT)
  • New: Grid: Easy setting of column alignment
  • New: Grid: Paste clipboard images directly. A image file will be silently created and placed in the YourIQBase.sndb.files folder
  • New: HTML Pane: Paste clipboard images directly. A image file will be silently created and placed in the YourIQBase.sndb.files folder
  • New: HTML Pane: Foreground and Background color menu now shows a list of stock colors
  • Change: Grid: Gone is the Select Mode option. Multi-column select mode is always enabled.
  • Change: Grid: Edit > Copy : Always shows dialog if the tree column is selected. Added Select Item (in tab-delimited). Items in the dialog are numbered so users can simply type the corresponding number to select
  • Change: Grid: While waiting for a UI to choose outlining labels, return to the previous style (i.e. 1.3.2.5.2.7)
  • Fixed: Tools > Options > General> 2-D Grid list menu was not applied to the "Recent Grids" menu
  • Fixed: HTML Pane: Foreground and Background color commands are now enabled
  • Fixed: Grid: For IQBases with a large number of grids, opening a grid could change the item back color
0.9.26PreRel22 / 23 (2014-04-16)
  • New: Grids: Outline Labels. Initial release of this much requested feature. Use Grid > Show Outline Labels to turn ON/OFF.
    In future releases, we'll add named lists of outline labels allowing customisations (à la Ecco Pro)
    One can see numeric and alpha labels, cumulative or not (cumulative in the first 3 levels)

0.9.26Pre-Rel20 (2014-04-09)

  • New: Gantt Chart: Can zoom in/out by dragging the header column separators
  • Improved: Search: Option to disable search-as-you-type. Some UI clean up
  • Fixed: Grids: Context parent display level setting was disabled if context parents were off
  • Fixed: Grids: Activating a column filter for a date field could cause a freeze
  • Fixed: Pivot table/chart: Refresh button did not work
  • Fixed: Pivot table/chart: Date and Alpha toolbars were not hidden
  • Fixed: Ctrl-Tab did not navigate correctly for Fast Search windows

0.9.26Pre-Rel19 (2014-03-24)

  • New: Grids: Can specify the number of context parents to show (previously, only the immediate parent was shown)
  • New: Grids: Simplified hierarchy display. Show hierarchy ON/OFF.
    If OFF, a flat list of items is shown (use "Grid Properties > View > Show expand buttons in flat view" to show/hide expand buttons)
  • New: Calendar: If an event is selected, left/right arrow keys select the previous/next event
  • New: Calendar: Copy/Paste events
  • Removed: Grids: Save Item state no longer exists.
  • Fixed: HTML Export sometimes fails to export correctly (HTML style bullets will bullets for all levels)

0.9.26Pre-Rel18 (2014-03-18)

  • New: Calendar: Show/hide date filter toolbar added. Setting is saved. This way, users can use exclusively the mini-calendar pane if desired.
  • New: Calendar: Option to show the Today button (Tools > Options > This Database > Calendar)
  • New: Calendar: Option to show the year scroll bar (Tools > Options > This Database > Calendar)
  • New: Calendar: Option to specify the maximum number of months in the mini-calendar pane (Tools > Options > This Database > Calendar)
  • Fixed: Calendar: Changing the recurrence type is not saved
  • Fixed: Calendar: Closing the Calendar does not hide the date filter toolbar if no other window is open

0.9.26Pre-Rel17 (2014-03-17)

  • New: Calendar: Use cursor keys to navigate in the calendar. Left-Right moves 1 day. Up-Down moves 1 week. Press Ctrl key to move by 1 week / month respectively
  • Improved: Calendar: Only load visible events
  • Fixed: When copying items, the checkbox "Only copy user values" state was not saved in user settings.
  • Fixed: Calendar: Mouse wheel is now enabled in the mini-calendar. We're still working on getting it to work on the main calendar area...
  • Fixed: Calendar: Zoom in/out toolbar button now enables zoom in/out of the calendar
  • Fixed: Calendar: Date filter toolbar button is now enabled
  • Fixed: Calendar: Numerous other bug fixes

0.9.26Pre-Rel16 (2014-02-28)

  • New: Calendar: Drag-drop items from a grid to the Calendar to create events. The event text is "Appt for ItemName" and is added as a sub-item
  • New: Calendar: Show Time Scale toggle. When set to off, events are shown as a single line. Similar to other calendars "Month view"
  • New: Calendar: Changing the Time Scale width show/hides the Time Scale
  • New: Calendar: Click on the Time Scale alternates between 4 display modes
  • New: Calendar: Events outside the current day view are shown in the top section, with all-day events. This way, events are always visible in the calendar.
  • New: Calendar: Press CTRL key while moving / sizing an event to disable snap to time grid (currently set to 15min increments)
  • New: Calendar options are now integrated into Tool > Options
  • New: Calendar: Current time marker now shown (similar to Google Calendar)
  • New: Show in Calendar / Remove from Calendar. Select one or more items. If selecting dates from a date field, will use that field. E.g. Can quickly add DueDates to the calendar
  • New: Grids: More options to control the display of tree lines
  • New: PivotTable/Charts: Option to select if pivot computes based on displayed items or items meeting the grid source. Right-click on blank area to select
  • Improved: Options: Changing grid line settings updates all opened grids. No re-open necessary
  • Fixed: Grids: Click Exclude on column filter of a numeric column hangs application
  • Fixed: Events created from a date field of an item that has no time (i.e. just a date) were not set to be all-day events
  • Fixed: If a date-value of an item is shown in the Calendar, the Edit Event did not open
  • Fixed: Windows shortcut files (.lnk) now open correctly when Tools > Options > Program Settings > Other > "Show Open With... when launching links" is checked. User CTRL key to force display of Open With dialog
  • Fixed: PivotTable/Charts: If Grid > Properties > Other > Grid Visible to other Application is not checked, pivot did not show proper data

0.9.26Pre-Rel15 (2014-02-07)

  1. New: Items can show up at multiple places in the Calendar.
    Ecco Pro users have long enjoyed this feature, whereby an item can show up in the Calendar for each of its date values. For example, a task could show for its StartDate AND its EndDate. Another example is a contact showing up for his/her birthday and wedding anniversary.
    This feature is now available in IQ !
  2. New: Grid > Show Columns (Alt+C) to show / hide all columns except the tree column
  3. New: Fully working Calendar
  4. New: Option to dismiss the Restore Layout dialog on startup
  5. Change: IQ no longer prompts to perform the daily recalc. If required, Recalc will start 30 seconds after opening the file. Double-click on the status bar to postpone it for 1 hour.

0.9.26Pre-Rel14 (2014-01-24)

  • New: Properties Pane: F7 and F8 moves the focus to the previous/next item in the grid (same as in the HTML Pane).
  • New: Fast Search Refresh button
  • New: When an item has multiple parents and the user changes the main parent, the grids will update and show the new main parent (if Show context parents are enabled)
  • New: Main items can now be moved up / down in a grid (when sorting is disabled of course)
  • New: Grid now updates when a parent-child relationship is broken (this can be done in the properties pane)
  • New: Auto-Recalc is only started after 30 seconds after opening the file
  • New: A dialog to postpone the Auto-Recalc for 1 hour
  • New: When background Auto-Recalc is running, double-click on the status bar will prompt to postpone it for 1 hour
  • New: New Calendar: Can now add / modify / delete events
  • New: New Calendar: Can have multiple instances of the calendar with different views (day, week, month, etc.)
  • New: Mark as Done (Ctrl+M) is now enabled for the following views: Calendar, MapView and Fast Search (and of course all grids !)
  • New: Could items hyperlinks open items in their "homegrid" instead of the scratch grid ?
  • New: Easy multi-column filtering. Simply hit Ctrl-G and enter filter. Filter will search all grid columns. To limit the filter to specific columns, select 2 or more columns before filtering. Filter prompt at the bottom of the grid supports "Filter as you type".
  • New: Grid summary now shown at the top of the grid. Grid summary gives information regarding items displayed in the grid, including filtering and sorting
  • Fixed: Fast Search was not updated if an item is erased
  • Fixed: Fast Search did not support changes to multiple items using the property pane
  • Fixed: Workspace selected tab was not shown in bold
  • Fixed: Removing a child item was not triggering parent item recalc
  • Fixed: Properties Pane: Pressing the space bar on a read-only field could change its value
  • Fixed: Grids: Removing Hoist left the source and filter text boxes disabled. A refresh was necessary to re-enable them
  • Fixed: HTML: Caption was not updated on startup when pane in auto-hide mode
  • Fixed: Deleting items sometimes did not delete associated events in the Calendar
  • Fixed: Hoisted scratch grid prevents new data to be seen
  • Other: Faster startup
  • Other: Faster / smarter update of the properties pane
  • Other: Faster IQBase repair
  • Other: Faster loading of grids (in particular grids with many columns)
  • Other: By default, grids will no longer be visible by other programs, to improve performance. A new grid property "Visible to other applications" can be used to make it visible
  • Other: Improved grid column filters
  • Other: Filter as you type now only applied to text and numeric columns

0.9.26Pre-Rel13 (2013-11-07)

A few new features and important bug fixes. All users of invited to upgrade !
  • New: WYSIWYG Grid Printing: Fit to Page feature: Sizes printing so it fits on a single page
  • New: Import Tab-Indended files
  • New: Database Repair will now automatically delete cached copy of linked HTML and MHT files if
    "Options > Data Storage > Save a copy of the HTML/MHT file in the database" is not checked (recommended)
  • Fixed: Grids: Removing a column causes erratic cursor movements
  • Fixed: On opening, the Properties pane is sometimes not showing the currently focused item
  • Fixed: Closing the Properties pane while it is updating could cause a fatal error
  • Fixed: Grids: Pressing any of the following character starts editing but does not insert the character : { } + % ^ ( ) ~
  • Fixed: Choosing item font through the common dialog removes underline and strike-through settings
  • Fixed: Auto-backup sometimes fails
  • Fixed: For complex grids, deep hierarchies and / or fields with complex equations, creating items can be slow. Improved

0.9.26Pre-Rel12 (2013-10-30)

  1. New: Demo of the new Calendar (see New Calendar component ...)
  2. New: Multiple HTML editing panes.
  3. Change: Improved performance when adding items
  4. Fixed: Hyperlink dialog: Removing the link destination will remove the hyperlink

0.9.26Pre-Rel11 (2013-07-04)

Version 0.9.26Pre-Rel11 is now available !

  • Modified: Add New Item: Some simplification to the UI
  • Fixed: Add New Item: Clipping web pages to html format did not capture images
  • Fixed: All day / untimed events
  • Fixed: Auto edit bug?
  • Fixed: date issues - Sorting & Format
  • Fixed: Properties pane: Right-click > Set as main Parent is now disabled if parent is already the main parent
  • New: Properties pane: Right-click > Remove All Other Parent Links. When an item has multiple parents, will remove all links except the selected parent
  • Fixed: Lineage display (status bar) while browsing the "Find" special grid slow down operations to a crawl
  • Change: Gantt: Easier bar move and linking: Press Shift to link bars
  • Fixed: Gantt: Improved zoom scaling and positioning
  • New: Commenting filters seems to work -- OUPS, no it doesn't

0.9.26Pre-Rel10 (2013-05-26)

Version 0.9.26Pre-Rel10 is now available !
  • New: Mapview: The Insert key (Ins) creates a new item under the current focus item
  • New: Mapview: Drag-drop to move items from one parent to another
  • New: Mapview: Ctrl+up/down increases/decreases the node maximum node width. Width is grid specific
  • Fixed: Mapview: Display orientation is not saved (left-right vs up/down)
  • Fixed: Mapview: Ctrl+= an Ctrl+- keyboard shortcut, to expand / collapse items, do not work
  • Fixed: Mapview: Icons are not shown correctly
  • Fixed: Mapview: Print Preview was broken in the previous version
  • Fixed: Mapview: Hyperlinks were no longer working
  • Fixed: Mapview: Item text is not updated when changes are made in other grids
  • Fixed: Mapview: Items are not deleted when deleted in other grids
  • Fixed: Ctrl+Tab to switch tab sometimes opens the Manage grid dialog
  • Fixed: Hyperlinks to grids : broken
  • Fixed: Pressing Shift immediately after Enter could open the pop-up editor
  • Fixed: When many grids were opened, GDI usage was too high
  • Change: To improve performance, pressing Enter creates a new item but no longer automatically enter Edit mode. Simply start typing to begin Edit.
  • Fixed: Clipping window can sometimes take a long time to open. Occurs if the Wikitag field has >10000 items.
  • Fixed: Keyboard navigation between tabs/panes bug
  • Workaround: In Win 8, the universal clipper does not work correctly, presumably due to some security restrictions. Users now have a workaround: Simply hit Ctrl+C before hitting the clipper hotkey.

0.9.26Pre-Rel9 (2013-05-01)

Version 0.9.26Pre-Rel9 is now available !
  • New: Restore Previous Layout: When opening a file, user is prompted to restore the last layout
  • Fixed: HTML Pane: Edit with MS Word no longer worked when the content is not in MHT format. Now asks if user wants to convert it to this format. (See HTML pane - can't edit in MSWord, write, insert table nothing)
  • Fixed: HTML Pane: Insert Table no longer worked (see HTML pane - can't edit in MSWord, write, insert table nothing)

0.9.26Pre-Rel8A (2013-03-13 14:10 )

Version 0.9.26Pre-Rel8 is now available ! <UPDATED>

  • Fixed: EmailToIQ not setting Item text correctly when no field tags are on the email subject line

0.9.26Pre-Rel8 (2013-03-13)

Version 0.9.26Pre-Rel8 is now available ! <UPDATED>

  • New: Grid > Save As to create a copy of a grid
  • New: Fast Search: Option to show results in the search grid using an SQL string (normally, it shows a list of items). Combined with the new Grid > Save As, this allows fast creation of smart grids
  • Fixed: Grid sometimes opens completely empty
  • Fixed: IE10 compatibility fixed. See HTML Pane not working in Win 8
  • Fixed: pressing Enter to start sibling item
  • Fixed: EmailToIQ: Item text parsing included the first field (e.g. ItemText #Inbox instead of just ItemText)
  • Fixed: Win+hotkey sometimes shows a message box containing the URL of the captured page
  • Fixed: Partially visible column to the left of the current focused column may incorrectly be selected
  • Changed: Behaviour on linking 2 or more files with same name: : The .lnk file will now have "_[xxx] appended to the file name

0.9.26PreRel7 (2012-12-23)

Version 0.9.26Pre-Rel7 is now available !

  • Fixed: Grid column list was sometimes not saved
  • Changed: Small request - Rename EXE ProductName to just InfoQube
  • New: EMailToIQ feature. Imports into an IQBase emails sent to an email address. Simply create a dedicated mailbox and use it to dump info into IQ. Setup is done in Tools > Options. Details to come
  • Deleted: POP Email checker. Too limited as it stood and not used by users.

0.9.26PreRel6 (2012-12-04)

Version 0.9.26Pre-Rel6 is now available !

  • Fixed: More robust method to save grid column list (see Disappearing columns are still with us. v9.26 pre-release4&5&6 ** VERY ANNOYING ** PLEASE FIX THIS !!! )
  • Fixed: Field formatting (such as custom date formats) was broken in the previous version (see <format> not working ??)
  • Fixed: Split item and Join items menu items were always enabled. Now, they are only enabled when applicable
  • New: New dialog when joining items. Option to merge the HTML content. Option to keep only the joined item. Merging HTML is particular useful when grabbing Web content. Multiple grabs can then be combined into a single item

0.9.26PreRel5 (2012-11-23)

Version 0.9.26Pre-Rel5 is now available !

  • Fixed: More robust method to save grid column list (see Disappearing columns are still with us. v9.26 pre-release4&5&6 ** VERY ANNOYING ** PLEASE FIX THIS !!! )
  • Fixed: When checkmarks are shown, pressing the space bar would incorrectly toggle the check box state. Use Ctrl+M (Mark as Done) to toggle.
  • Fixed: When an MHT (or other) file was not explicitely found, IQ searches elsewhere for it. If it finds it, a popup is shown, suggesting user to save this new path information. However, the Menu>>File>>Save menu item was not enabled. Fixed.

0.9.26PreRel4 (2012-11-08)

Version 0.9.26Pre-Rel4 is now available !

  • Improvements to the Event UI (including a summary for repeating events)
  • Find and Replace in the HTML pane
  • Fixed: Picking a particular day in New Event dialog causes crash
  • Fixed: MHT files not always indexed, hence not found in searches
  • Fixed/Change: In Fast Search, pressing the Enter key now forces the update of the search results list. Pressing Enter again shows the list in the SearchResults grid. Before, users had to wait 1-2 seconds to see the results list update. Pressing Enter would incorrectly show the previous result list in the SearchResults grid.
  • New: Grid display option to show a check-mark next to the item. Shows whether an item is marked done or not.

0.9.26PreRel3

More TBD...

0.9.25

More TBD...

0.9.25PreRel15

Version 0.9.25PreRel15 is now released !

0.9.25PreRel14

Version 0.9.25PreRel14 is now released !

0.9.25PreRel12

0.9.25PreRel10 (2009-12-22)

Version 0.9.25PreRel10 is now available !
Fixed:
  • Field name and properties appears duplicated in "manage fields" dialog, even if not the case
  • HTML export related issue
  • Quick Search problem
  • search column height needs auto adjustment
  • HTML pane caption not updating when collapsed
New:
  • Quick search has 2 new features
    • Google-like search: Now uses the same syntax as Google:
      • cal the : will find anything that has both "cal" and "the" (so this will find the string "The Calendar")
      • calendar or outlook : either "calendar" or "outlook"
      • "the calendar": the string "the calendar"
      • It even supports ( ), so complex ones like: "the calendar" or (info and pivot) will work!
    • Show results in one of 3 views
      • Search Grid
      • New Search Grid
      • Current grid as Hoisted items
        (This one is really neat ! )
  • Save and Load Keyboard shortcuts (only main menu for now, not those of the HTML pane)
  • Hoist up 1 level


Troubleshooting

Troubleshooting

1. Read the Manual

In recent months, great efforts have been made to complete the User Manual.
If it isn't quite complete yet, it does include lots and lots of very useful information. Please read / search it to see if it answers your questions
InfoQube Documentation: Main Page
  • InfoQube User Manual
  • Detailed Table of Content.

2. Get help on the Forum

Users helping users is the basis of this community !

3. Sending a file for analysis

Sometimes, the issue can be most effectively resolved by looking at the file itself. InfoQube has many display modes and features so it can be hard to pin-point the cause of an issue.
To mask personal data and send the file for analysis:
  • Use Windows Explorer to make a copy of the IQBase
  • Load the copy in InfoQube
  • Tools > Manage Database > Other
  • Click on the Mask tab
  • Click Mask All Text Fields. You'll be prompted to confirm the process twice
  • Once masked, do a Compact: Tools > Manage Database > Compact
  • Close InfoQube
  • Back in Windows Explorer, right-click on the IQBase and select Send To > Compressed Folder
  • Send the .zip file by email to support@infoqubeim.com or attach to a forum post

4. Set-up related issues

  1. Doc pane scrolling using some touchpads (2-finger scrolling) is slow with constant beeps: (Ref)
    1. Open RegEdit in admin mode
    2. Open this path: Computer\HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\Beep
    3. Open the 'Start' value
    4. Change the value from 1 to 4
    5. Restart your computer


Hands-on videos

Hands-on videos

InfoQube hands-on videos are not yet available...
But the professionally made Ecco Pro videos were recently put on Youtube. As IQ and Ecco Pro share many similar concepts, these can be extremely useful to learn how to use InfoQube:
This public FaceBook page list the videos currently available.
Of particular interest :
  • Under the hood
Direct links to all YouTube videos :
Work Management Part 1 : http://www.youtube.com/watch?v=kVe5QOekXC8
Work Management Part 2 : http://www.youtube.com/watch?v=TlZIB2IyJLk
Work Management Part 3 : http://www.youtube.com/watch?v=jBK...S105D8DY
Work Management Part 4 : http://www.youtube.com/watch?v=F2mAF3VgDWY
Integrating Information : http://www.youtube.com/watch?v=Gl0OPrx2ccQ
Under the hood : http://www.youtube.com/watch?v=zgJLIYhSwmI


Introduction to the default grids

This section describes the default grids found in the sample data base.
These grids are very useful to learn how to use InfoQube and they can certainly be used "as is" without changing them much.
However, it's important to note that:
1- these grids aren't sacred (they can be either deleted, renamed, transformed as one sees fit)
2- other grids can be created
3- ... and to repeat what has already been stated in
Nonexistent node nid: 860.
: an item doesn't "belong" to a grid; a grid shows any item that meets certain filter criteria (which are defined in the source bar, an "advanced" feature: Grid > Show Source bar (or Alt-S) )


Journal Grid

Journal Grid

The journal grid is handy to easily show ALL the items in the database, as well as showing items over a period of time via the datefilter toolbar
Reference Date Filter toolbar
The Journal Grid is a simple grid with no source, i.e. source = (All items). (#1 in the picture). Without the DateFilter Toolbar turned on (#2 not depressed), all 165 items in the sample show.
The DateFilter Toolbar (#3) is activated (via #2) and has the ItemCreated (and/or ItemModified) field selected. Time settings are then adjusted to filter the time period you want to show.
Any date field can be used, so you can use it to show due dates, items modified, etc.


Scratch Grid

Scratch Grid

describe the scratch grid
from the dc forum:
What is the Scratch Pad for and does it function any differently from any other grid?

This is how I use the scratch pad :

1- I use it for preliminary data gathering.

2- But, mostly, when I want to have an quick idea of "which field is populated with what data", or "what data is populating this particular field", I open the property pane, double click on a field, and the scratchpad automatically updates itself and shows what item contains data pertaining to that field.


Search Grid

Search Grid

Describe the search grid


Tips & Tricks

.


1. Working with Icons

Working with Icons

Icons can be used in many contexts within InfoQube:
  • Anywhere inside the item text. These will display in just about all InfoQube UIs (Grids, Properties pane, Calendar, Surface, TimeLine, Map View)
  • Anywhere in other text fields (Grids, Properties pane)
  • In Field names (Grids, Properties pane)
  • As part of Outline labels (Grids)
  • In Links (Surface)

1. What Icons are available

  • Icons are loaded from the \Icons folder when InfoQube starts
  • The default setup has 88 icons. There are quite a few free icon sets that can be downloaded. Do not hesitate to be create !
  • To add icons, add image files to that folder. Images must be 16x16 gif files (8-bit color depth or less)
  • The icon file name is what is used everywhere within InfoQube, so be careful if renaming image files

2. Manually Adding Icons inside Text Fields

All text fields support icons. Typical uses are:
  • Item text
  • Field showing the item's type or types (contact, task, event, etc)
  • Field showing the item's status (To do, In progress, Late, Done)
To add icons, do one of:
  • In a grid, use the formatting toolbar and select an icon from the dropdown command button
  • Insert the html code for the item. It is <img>IconName</img>. If the icon name is not correct (bad spelling, deleted), a place holder is shown
  • Edit the text using the Popup Editor. Right-click and select an icon from the list
  • The icon name is the file name, in lower case, without the .gif extension
  • The icon name is case sensitive in some UI and not in others, so it is best to simply always use lower case

3. Icons in Field Names

It can be really useful to display icons in grid's column header, as visual cue and when the field name is rather long (such as Date_Of_Preliminary_Report)
  • Grids: Right-click on the column header > Column Header > Caption. The Popup editor will show where you can change the displayed name, font, and add icon(s)

  • Properties pane: Right-click on the field > Caption

4. Icons in Outline Labels

See 2. Outline Labels

5. Icons in Surface Links

See 3. IQ Surface

6. Automatic Icons

It is possible to automatically add icons, as items are added, field values checked, etc. Typically, this uses field Auto-Assign rules.

Example 1: Item Type column

  1. Create a text field and name it ItemType
  2. In the AddressBook field properties > Equations > Auto-Assign Rules, add: A:ItemType="<img>users</img>" | E:ItemType=
  3. Similarly, the TaskDate could be used to show a task icon when a date is set: A:ItemType="<img>pen</img>" | E:ItemType=
  4. When a task is done, the icon can change with the rule: A:ItemType="<img>check</img>" | E:ItemType=
  5. Save and close the Field properties dialog

Example 2: Multiple Icons

It is even possible to automatically show multiple icons using VBScript. There are System supplied functions to do just that
  • AddKeyword (...)
  • RemoveKeyword (...)
Use the following rules for AddressBook: A:ItemType=AddKeyword(ItemType, "<img>users</img>") | E:ItemType=RemoveKeyword(ItemType, "<img>users</img>")

List of Default Icons

Click here to view online page with discussion and ability to update


2. Task Dependencies

Task Dependencies in InfoQube

In InfoQube, you can set dependencies between items, typically items which represent tasks. This is done using 3 fields:
  1. TaskID (System Field #97)
  2. NextTaskID (System Field #98)
  3. NextTaskDelay (System Field #93)
These are used in 2 contexts:
  1. Gantt chart, to show links between items, optionally defining the exact dependency (Finish to Start for example)
  2. Task management through the Next Task Actions settings

1. Gantt Chart Task Links and Dependencies

See Gantt Charts and Project Management for details

2. Next Task Actions

The purpose of this feature is to perform some operations on dependent items when an item is marked as done. Examples of operations are:
  • Set a due date
  • Change the item color
  • Have it shown in a To-Do's grid for immediate action
  • Repeating Tasks

1.1 Example 1

Consider the following scenario where we have a series of tasks as seen on a fictitious June 30th. Task 1 is due the next day so the item has turned blue.
One can use the TaskID, NextTaskID and optionally NextTaskDelay to define dependencies:
TaskID field:
  • By default items don't have any TaskIDs. This is by design as not all items are tasks and of those tasks, not all have dependencies.
  • The TaskID field is auto-generated. To set it, simply double-click on the cell and InfoQube will find the next available number.
NextTaskID field:
  • Once you've assigned TaskIDs, you can start entering NextTaskIDs.
  • Notice that you can enter a comma separated list of TaskIDs in the NextTaskID (see item 1.1 above)
  • Notes: NextTaskID may map to the item hierarchy but do not need to. In fact, you can have items from totally different hierarchies and/or different grids, etc and still create dependencies this way. In this example, these mostly follow the hierarchy, except the last one. The next task of item 1.1.2 (Task 4) is 1.2 (Task 5)
NextTaskDelay field:
  • Enter here the delay (in days) before the next task is due
  • If left blank, 0 is assumed
Next Task Actions settings:
  • Use Tools > Options > This file > General > Next task actions to define what operations should be applied to dependent items when an item is marked as done.
  • In this example, this setting is: AM:[DueDate] = [done] + [NextTaskDelay] | E:DueDate=.
    • This means that when you mark an item as done, dependent one(s) will have the field DueDate set to X days after completing the task (where X=NextTaskDelay)
    • If the done field is erased, the DueDate will be removed.
    • In the sample database, setting the DueDate also sets the item back color through the Urgency field
      (See the DueDate and Urgency Fields)
    • Starting v0.9.26PreRel54, you can also reference field values of the dependant items. To do so, enclose those field is curly brackets ( {Field1} )
      For example, you can have AM:[DueDate] = [done] + [NextTaskDelay] + {AdditionalDelay} (where the field AdditionalDelay is a field value of the dependant task.)
Once set up, let's see what happens as tasks are completed.
  1. Let say that Task 1 is completed 1 day ahead of scheduled, on June 30th.
    Task 2 is the next task, it will have a new DueDate equal to when Task 1 was done + 5 days (NextTaskDelay is equal to 5 for Task 1).
    Notice that the item color is set to yellow, to indicate that the item's deadline is not too far away:

  2. A week later on July 7th, Task 2 has turned Purple to indicate that the task is now late (as Urgency is now up to 2)

    It is finally completed and both dependent tasks (Task 3 and Task 4) will have a new DueDate of July 9th (Done date of Task 2 + 2 days):

    (notice how Task 2 looses its ItemColor as it is marked as done)
  3. Finally, Task 4 is marked as done, say on-time on July 9th.

    Now, notice that Task 4 has a dependent task (Task A) which is totally unrelated. Regardless, it then becomes the focus of attention.

    The To-Do's grid shows items which require attention. It will therefore now highlight Task A:

1.2 Example 2

As a second example, consider the task of watering plants. One can use an Event recurrence for this, but it is not really suitable.

That is, say you want to water the plants every 2 week, on Mondays. If one week, you forget and only water them the following Monday, a regular recurrence would warn you a week later, when really, it would be more suitable to do it 2 weeks later. This type of recurrence is known as "Interval-Since-Completion Recurring Task".

Setting this up is really easy in InfoQube:

  1. Set the NextTaskID equal to the TaskID and set the NextTaskDelay to 14 (days):

  2. As soon as you mark the item as done, a new DueDate will be set, 14 days later.
    If done on July 8th, the next DueDate will be July 22nd:

  3. If the next time you water the plants late, say on July 26th, the next date will be automatically set to 14 days later, on August 9th:


10.09 Backup your database, Encryption

1) How Information is Saved in IQ
Summary:
Your main IQ file (also known as an IQBase) has an .SNDB extension e.g. YourIQBase.sndb
There is an associated folder YourIQBase.sndb.files which stores web clippings, MHT content (from the HTML pane), etc
Information viewed in IQ can be from 4 sources:
  • YourIQBase.sndb:- Grids, Calendar, embedded HTML content
  • YourIQBase.sndb.files folder:- Embedded HTML and captured content (universal clipper, browser extensions, etc) saved as MHT or as an HTML file *
  • A link to a file anywhere on your computer (or a link to an item in a file, such as an Outlook item link)
  • A URL from the web (web-pages viewed with the HTML pane in browse mode)
To back these up:
  • See #2 below for IQ options to backup the SNDB file
  • See #3 below for suggestions on backing up the YourIQBase.sndb.files folder
  • Linked items (e.g files stored elsewhere on your computer and linked to IQ) and web pages browsed are not backed up
* Keep the following in mind:
  • Images from clipped web content saved as HTML are currently NOT saved locally. If you aren't online, you will not be able to see these images.
  • If you want / need to see images offline, save in MHT format.
2) IQ's backup options:
Menu: Tools >Options:
Options from 2.2 onwards are related to current file - these options are only visible when a file is open.
  • Important Notes :

    • When backing up your database file (IQBase), using the settings shown in Options, only the *.SNDB file will be backed up.
    • The folder IQ creates to contain all the separate HTML/MHT files (*\YourIQBase.SNDB.Files\ ) is by default located in the same folder where the Database is initially created. It is not backed up using the integrated backup option (see #3 below for tips on backing up this folder). Text copies of the HTML Pane content are stored in the database SNDB file
  • The Backup options :

    • # 2.2.1 - Backups created on program close (# 2.2.1) use rotating numbers .SNBK0, .SNBK1 and .SNBK2 e.g TestFile.SNBK1 (where .SNBK0 is the current backup, .SNDB1 is 1 day old and .SNDB2 is 2 days old). This is NOT enabled by default.
    • # 2.2.2 - By default, Auto-Backup (# 2.2.2) is set to every 10 minutes. These backups are currently saved in the same folder as the file itself. After 10 minutes the backup files are replaced if changes have been made to the file. These backups have .SNBKA extensions.
    • # 2.2.3 - If you enable the Timestamp option (# 2.2.3) each backup creates a new file, with the date/time in the file name, e.g. TestFile.20090818-1848.SNBKA. Format is always: Filename.yyyymmdd-HhNn.SNDBA (where Hh is hour in 24hr format, and Nn is minutes). Otherwise backups are replaced by the most recent backup.
    • # 2.2.4 - Limit the number of backups created:
      This option deletes all but the last timestamped auto-backup of each day that are at least n days old.
      Delete is performed once per day, on the first occasion after midnight.
    • # 2.2.5 - Select the folder where the backup is to be created. If this is left blank, the backup is created in the same folder as the IQ file. If this is your only backup it is recommended to add a different backup location here, ideally on a separate partition, or even better, on a different hard-drive (click in option # 2.2.5 and browse to new location).
      ~
      If you are using IQ on a USB stick it will probably have different paths on different computers. In order to backup the database on the USB stick use a relative path for the backup folder path:
      Tools > Options > 2.2.5 Backup folder: instead of g:\somepath\somesubpath, simply enter "somesubpath" (assuming the IQBase is in the folder "somepath" (make sure that "somesubpath" exits!)

      See Link to Files, Folders and URLs for more info about relative paths. See also Backin Up to discuss relative paths.
- Manual backups:
are done on demand:- Menu: Tools > Database Management > Backup. Manual backups have an .SNBKM extension.
3) Tips for more complete backup:
A good option would be to use some online backup system - either to backup your backups, or, to copy the database file itself .A service like Dropbox will backup your file and make a revision each time you close the file. Dropbox is unable to backup your file while it is in use. (Note: revisions are only made for the last 30 days in the free version). If IQ creates a backup in the same folder, there is the advantage that Dropbox can back that up while the IQ database is open. You would then have the following in the Dropbox folder:
  • the IQ Database file e.g. YourIQBase.SNDB
  • the folder *\YourIQBase.SNDB.Files
  • the auto-backup created by (don't use the timestamp option here: this isn't necessary with Dropbox as it keeps multiple versions).
This is a good backup solution if you have an internet connection. To be extra safe it's good to consider doing a local backup as well, using backup software.
See forum thread Backup - Backing up IQbase to discuss Dropbox backup
4) Encryption:
You can also encrypt and password protect your database:
  • Encryption Security is based on 2 points (required since IQ used JET as storage and any ODBC app can open JET files)

    • 1) Encryption: This prevents access to information by bypassing the JET ODBC driver (notepad, hex viewer, etc) by encrypting the content. JET will encrypt/decrypt on the fly, so normal users don't see a difference (except for 15% reduction of speed). When you entcrypt your file it creates a new file FileName.Entcrypt.SNDB. After encrypting (and closing down IQ/InfoQube) you should:
      - Backup your original file somewhere safe, then:
      - Rename your encrypted file to the old name (recommended)
    • 2) Password: This limits file access to users that know the password. All apps requesting access to the information (e.g. IQ but also Word, Excel, etc) will prompt for the password
    • - You can use 1 or 2, but only the combination of the two provides full protection. If using 1+2, then remember to encrypt before setting the password

    • Both settings are available under Menu: Tools >Database Management>

    • MHT content is stored in a folder in the same location as the IQ file - it can be encrypted using Windows folder encryption (which is totally distinct from IQ encryption) - though this hasn't been tested.
See also You do not have access to view this node
Index terms: Backup, encryption
node 987


10.10 Comparison with EccoPro

Feature comparison chart: Ecco, Ecco + Ext and InfoQube

 | Item | Category | Ecco | Ecco+Ext | Ecco Notes | InfoQube | Notes
1 | Built-in Pivot table for data analysis | Analysis | - | - |  | Yes |
2 | Charts: full-features, configuration saved in the database | Analysis | - | - |  | Yes | In 0.9.16
3 | Group-by: similar to Outlook's group by bar | Analysis | - | - |  | Yes |
4 | Has full calendar functions... including an actual weekly/monthly calendar | Calendar | Yes | Yes |  | - |
5 | 4 field data types | Data | Yes | Yes |  | Yes |
6 | Advanced notepad source (Folder1 AND Folder2="this text" | Data | Yes | - | But supports multiple folders in a view | Yes |
7 | Auto-backup, backup on file close | Data | Yes | Yes |  | Yes | Uses separate backup file names
8 | Database management (compact, repair) | Data | Yes | Yes |  | Yes |
9 | Default field values : user settable | Data | - | - |  | Yes | Can even be an equation
10 | Items can have multiple parents | Data | - | - |  | Yes |
11 | Manual backup | Data | - | - | Saves creates a backup. However it overwrites previous backups. | Yes | Uses separate backup file names from auto-backup, to ensure no overwrite
12 | Private items | Data | Yes | Yes |  | - |
13 | Unlimited number of items | Data | - | - | 65000 | Yes |
14 | Advanced phone number recognition | Dialer | - | - |  | Yes | Uses regexp
15 | Finds phone numbers in parents | Dialer | - | - |  | Yes | Searches the parents tree and displays a complete list of all found phone numbers, number can even be in the item text
16 | Phone dialer | Dialer | Yes | Yes |  | Yes | Uses TAPI for quick change in configuration (work, home, travel)
17 | Phone dialer with logger | Dialer | Yes | Yes |  | - | Planned for 0.9.27
18 | POP E-mail checker | E-Mail | - | - |  | Yes |
19 | Column equations (hierarchy equations) | Equations | - | Yes | Depends on Ecco's auto-assign mechanism | Yes | Built-in
20 | Database calculated fields (uses no storage space) | Equations | - | - |  | Yes |
21 | Row equations | Equations | - | Yes | Depends on Ecco's auto-assign mechanism | Yes | Built-in
22 | Scripting | Equations | - | Yes | LUA and many other languages | Yes | VBScript. Eventually will use LUA also
23 | Auto-form: dynamically shows current grid columns | Forms | - | - |  | Yes |
24 | Forms with default values | Forms | Yes | Yes |  | Yes |
25 | Forms with default values: default values can be equations | Forms | - | - |  | Yes |
26 | Forms: Add item by form | Forms | Yes | Yes |  | Yes |
27 | Forms: Add sub-items by form | Forms | - | - |  | Yes |
28 | Forms: Apply form to items | Forms | Yes | Yes |  | Yes |
29 | GTD: Specialized in-box form with system-wide shortcut key CTRL-SHIFT-N (for item, field values and HTML content) | Forms | - | - |  | YesYes | To implement GTD methodology
30 | Can use MSWord as external editor. Retains all Word advanced formatting | HTML | - | - |  | Yes |
31 | HTML Editor/browser built-in | HTML | - | - |  | Yes |
32 | Html editor: advanced with fonts, bullets, links, tables, embedded tables | HTML | - | - |  | Yes |
33 | HTML Editor: can open local files (HTM, MHT, PDF) and web pages | HTML | - | - |  | Yes |
34 | HTML Editor: support drag-drop from web pages | HTML | - | - |  | Yes | Collect web clippings. Switch to browse mode to have a live web page
35 | Built in Off-Line multi-file syncing | I/O | Yes | Yes |  | - | planned for 0.9.24
36 | Cut and Paste multi-items as standard outline/text | I/O | - | Yes |  | Yes |
37 | DDE interface for add-on tools | I/O | Yes | Yes |  | - | API and ActiveX planned
38 | Direct Palm Sync | I/O | Yes | Yes |  | - | Planned through Outlook or other Web Calendars
39 | Export to Excel (1 click) | I/O | - | - |  | Yes |
40 | Export to HTML | I/O | - | - |  | Yes |
41 | Export to HTML with advanced options and expandable outline | I/O | - | - |  | Yes |
42 | Import Ecco files | I/O | - | - |  | Yes |
43 | Mail-merge, HTML based, multi-column output, template based | I/O | - | - |  | Yes |
44 | Multi-column selection, copy/paste | I/O | - | Yes | All or none, cannot select just some columns | Yes |
45 | Office application can read live database data | I/O | - | - |  | Yes | Each view is accessible to Office applications
46 | Open database format | I/O | - | - |  | Yes | Uses JET, could use other DB engines (SQL Server planned for 0.9.24)
47 | Sync with external database, local or web (SQL Server, MySQL) | I/O | - | - |  | Yes |
48 | Users without the software can view data | I/O | - | - |  | Yes | Excel or other ODBC spreadsheet can view the data you choose to make public
49 | In-cell hyperlinks to another item or to a group of items | Links | - | - |  | Yes |
50 | In-cell hyperlinks to documents, web pages | Links | - | - |  | Yes |
51 | Links to documents and web pages | Links | Yes | Yes |  | Yes |
52 | Wiki-type hyperlinks | Links | - | - |  | Yes |
53 | Multi-user | Network | Yes | Yes |  | Yes |
54 | Multi-user with centralized storage and no local data | Network | - | - |  | Yes | Ensures security of the information, since it stays in the office, not available off-line
55 | Auto-assignment to folders with LUA scripts and REGEX expressions. | Scripting | Yes | Yes |  | - | Planned
56 | User-defined code and functions | Scripting | - | Yes | LUA | Yes | VBScript
57 | User-defined code can be used in forms and field | Scripting | - | - |  | Yes |
58 | Advanced find | Search | Yes | Yes |  | Yes |
59 | Advanced find with logical operators (AND, OR, NOT, NULL, etc) | Search | - | - |  | Yes |
60 | Alpha-numeric filter toolbar | Search | Yes | Yes | in Phonebook only | Yes | For all grids. Can choose which fields are used
61 | Auto-search (incremental search) | Search | - | - |  | Yes | Just start typing to find contact items
62 | Filter by date using the DateFilter toolbar | Search | - | - | Calendar can be used for this, in a more limited way | Yes | Can be used in all grids
63 | Journal feature: view items by date (created, modified) using the DateFilter toolbar | Search | - | - |  | Yes |
64 | Live-search: search whole database with live dynamic results grid | Search | - | - |  | Yes |
65 | Search result can be displayed in any notepad, not just the search notepad | Search | - | - |  | Yes |
66 | Database encrypt, set password | Security | Yes | Yes | Cannot encrypt | Yes |
67 | 1-click column sort | Sorting | - | - |  | Yes | Click on column header
68 | Item sort applied to new items | Sorting | - | - | Must manually perform sort | Yes |
69 | Multi-key sort, sort columns do not need to be displayed in notepad | Sorting | - | - |  | Yes |
70 | Notepad sort bar for easy multi-column sorting | Sorting | - | - |  | Yes |
71 | Sub-item sorting | Sorting | - | Yes |  | Yes |
72 | Dependancies: define relationships between tasks and only relevant ones show up | Tasks | - | Yes | No visual display | Yes | Gantt charts show dependancies, auto-generation by drag-drop
73 | Gantt charts | Tasks | - | - | Limited display | Yes |
74 | Mark as done actions: what happens when an item is marked DONE | Tasks | - | Yes | Through auto-assign | Yes | Integrated
75 | Add/remove parents | Tree |  | - |  | Yes |
76 | Add-on Tools via a "Launch Tool" menu | UI | Yes | Yes |  | - | Planned
77 | Advanced sub-item display/sort criteria | UI | - | - |  | Yes | To limit sub-items to those related to the current notepad, to show relational data
78 | Alternate row colors, to highlight items | UI | - | - |  | Yes | User settable colors
79 | Built in Shooter / Right Click Send-To | UI | Yes | Yes |  | - |
80 | Can control item text color via Folder Contents | UI | - | Yes |  | Yes |
81 | Combined views (many notepads in a view) | UI | Yes | Yes |  | - | Planned
82 | Detailed item information (ID, date created, modified, by who, etc) | UI | - | - | ID available with Ext | Yes |
83 | Dockable panes | UI | - | - |  | Yes |
84 | Drag & drop to move items | UI | Yes | Yes |  | Yes | SN will maintain tree structure after a drag-drop. Hence may require to move items left-right
85 | Find and replace | UI | Yes | Yes |  | - | Planned, but currently can use the properties pane to make changes to multiple items
86 | Floating/dockable toolbars | UI | - | - |  | Yes |
87 | Image viewer. Multiple instances. Will cycle through instances. Great to view photos | UI | - | - |  | Yes |
88 | Input masks | UI | - | - |  | Yes |
89 | Insert OLE objects in outline | UI | Yes | Yes |  | - | Not recommended anyway
90 | Insert pictures in outline | UI | Yes | Yes |  | Yes |
91 | Insert pictures in outline: Picture can overlap column area | UI | - | - |  | Yes |
92 | Integrated Properties pane | UI | - | - |  | Yes |
93 | Item back color | UI | - | - |  | Yes | Can be set by an equation to automatically highlight when an item is due, for example
94 | Item fonts | UI | Yes | Yes |  | Yes |
95 | Item fonts: Can select that font applies to which column | UI | - | - |  | Yes |
96 | Item tagging | UI | - | - |  | Yes | Operations can be performed on tagged items, instead of selected items. Tagged items can be from different notepads
97 | Items column can be positioned anywhere | UI | - | - | Item column is always the first column | Yes |
98 | Large editing window for text columns | UI | - | - | With EditNote add-on | Yes |
99 | Locked columns, user settable | UI | - | - | Items column is always locked, other cannot | Yes |
100 | Mark item as done | UI | Yes | Yes |  | Yes |
101 | Move items up/down/left/right | UI | Yes | Yes |  | Yes |
102 | Multi-language UI | UI | - | - |  | Yes |
103 | Multi-level column headers | UI | - | - |  | Yes |
104 | Named Filters | UI | Yes | Yes |  | -- | Planned for 0.9.23.4
105 | Navigation buttons (previous, next, next page, last, etc) | UI | - | - |  | Yes |
106 | Non-modal dialog boxes | UI | - | - |  | Yes |
107 | Notepad shortcut ALT+# | UI | Yes | Yes |  | Yes |
108 | Outline fonts | UI | Yes | Yes |  | - | Default grid font can be set
109 | Outline number shows up right next to the text | UI | Yes | Yes |  | - | HTML Exporting can have outline number next to the text
110 | Pop-up editor | UI | - | - | Add-on can do this | Yes |
111 | Pop-up lists | UI | Yes | Yes |  | Yes |
112 | Pop-up lists: autogenerated, limit to list, coming from an external database, multi-column | UI | - | - |  | Yes |
113 | Quick column filters | UI | - | - |  | Yes | Click on column arrow to filter items
114 | Show/hide context parents | UI | - | - |  | Yes |
115 | Show/hide hierarchy | UI | - | - |  | Yes | If item and sub-items meet the filter, should they be displayed in hierarchy or as TLI
116 | Split and join items | UI | Yes | Yes |  | Yes |
117 | Text column word-wrap | UI | - | - |  | Yes | Word-wrap in all text columns, not just the item
118 | Toggle text case with 4 states (the house>The house>The House>THE HOUSE) | UI | - | - |  | Yes |
119 | Tree can be shown on any column | UI | - | - |  | Yes |
120 | Visual themes, msstyles support | UI | - | - |  | Yes |


10.20 Example : Generating Invoices

Case: You need to generate invoices for your consulting activities (could as well be products with only minor differences)
Solution: Use InfoQube and the built-in HTML merge feature

In this tutorial, you'll lean how to:
  • Use the grid and the HTML Editing pane as data for an invoice
  • Create a template file for InfoQube built-in template merge
  • Generate the invoice using template merge

Using this grid and/or the form on the right, you enter the details for each invoice. An ID, Date, worked start and end date, the nb of hours worked. The description of the work done is entered in the HTML Editing pane to ease formatting (bold, bullets, etc)
The rest is automatically calculated by the field equations (rate, sub total, taxes and total)

As seen in 10.30 Example : Time Tracking, the pivot table could be used to compute totals per client or per year.

Here, we are interested in generating invoices.
  1. We start by opening MSWord or some other suitable word processor or HTML editor. We could use InfoQube own built-in HTML editor. We chose to use MSWord because it is easier to apply formatting.
  2. Since this file will be used as a merge file, field names (enclosed by [ ] ) are inserted
  3. Can insert fields from the parent using this syntax [parent].[fieldname]
  4. The file is then saved as HTML (important: save as HTML filtered to filter out MS Word specific tags). See below ("InvoiceEx.htm"). The InvoiceEx.htm file is available in the standard InfoQube distribution in the AppfFiles folder.

Generating an invoice is done through the HTML Export using the above file as a template (Grid>Export to a web page):

The InvoiceEx.htm example file looks like this:
The resulting page looks like this:

It can be emailed, drag-dropped in an email or printed/faxed.

Once the template is made, generating the invoice is done in the following 4 steps:
  1. Create a new invoice item. You can use the buttons on the invoice form for this.
  2. Enter the invoice basic information. Totals are calculated automatically
  3. Click the HTML Export button on the toolbar
  4. Select the template, output file name (if desired) and click Save
If need be, combine this invoice with the details seen in 10.30 Example : Time Tracking. Detailed work done example is available here (link dead as of 5/31/2010)
The InfoQube File>New template has been updated to include the above setup.


10.30 Example : Time Tracking

Case: You are a consultant and have a handful of customers, and you get paid by the hour. Your customers also may want detailed report of the work done
Solution: Use InfoQube to enter the work done, calculate total hours and provide detailed report.

In this grid:
  • the duration is calculated based on start-end times. If EndTime covers more than a day, it assumes 8 hours per day (this is a user setting, see item 1.2 which lasts 17 hours over 3 days). This is done using a user-defined equation (Duration = WorkTime( StartDate , EndDate , 8) - ( NonBillable ))
  • Since task items are created under a parent (Project Lear or Somiro), it will inherit the Project field automatically (Field Management > Inheritance is checked).
  • NonBillable hours (i.e. lunch) are automatically substracted.
  • This detail can be exported as an HTML page with the columns you select. You can include that page as an attatchement to the actual bill. Example available here.
  • You could also add work notes as sub-items under each Task entry (or in the HTML Editing Pane)
  • If you want to hide already billed hours from the grid, activate the filter.
  • Actual bill to be printed/PDF/e-mailed could also be generated by InfoQube (will be the subject of another post here)
  • Worked information can be entered in this grid or in a user-defined form.

Putting the task as a sub-item of the project allows: expand/collapse, automatic project field assignment, and gives you great viewing flexibility:
  • View work done by project as show above (grouped together) (Grid > Context parents checked)
  • View work done chronologically (context parents unchecked) to see your whole week/month

The pivot table on the lower part of the screenshot gives the totals hours, per project and per month that need to be billed. Change BillingNo in the pivot table to see specific bills if desired or to see total work done last year, etc.

So when customers call, you can quickly tell them how many hours have been done and left on the budget!

BTW, this is not some theoretical billing solution, I've actually been using this for the last 2 years for my consulting activities, so it is a well tested solution!
The InfoQube default template (File>New) has been updated to include this sample.
Next step is 10.20 Example : Generating Invoices


10.40 Example-Basketball Stats

Case: You have informal basketball games at lunch and want to keep track of the wins and losses of each player. You want to be able to quickly see which player(s) has better stats.
Solution: Use InfoQube and have each player enter their score after lunch.

In this example, we'll learn how to:
  • Create fields to store players and results, including pop-up text list, dates and number fields. Default field values, inheritance and equations will be used
  • Create a grid to add/view the game results
  • Create a pivot table to summarize the results and determine players with the best won ratios per month
  • Set it up to allow multi-user access

There can many ways to go about this, all with advantages and disadvantages. We'll describe one method which shows many of the built-in features of InfoQube.

The first step is to create some fields to store the information:
  1. View > Field management.
  2. Create a field PlayerName to hold the name of each player. Check Auto-list. Click Save
  3. Create a field NbWon. Set the datatype as number. You may set the alignment to right. Click Save
  4. Create a field NbLost. Set the datatype as number. You may set the alignment to right. Click Save
  5. Create a field GameDiff.
    1. Set the datatype as number.
    2. Set the equation: = nbWon - nbLost.
    3. Check Read Only.
    4. You may set the alignment to right. Click Save
  6. Create a field GameDate.
    1. Set the datatype to Date.
    2. Set the default value = int(now). This will default the game date to today
    3. Set Alignment to centered
    4. Check Value-->sub-items. This will allow us to use the pivot table to calculate the stats, since the player's score (i.e. the sub-item) will inherit the date.

Now that we have created the fields to store the information, we'll create a grid to show/enter the data.
  1. Do View > Grids > New Grid. Set the grid name to GameDate (select from the list). Click OK

A new grid is created. The last thing we need to do is to display some columns.
  1. Do Grid > Displayed columns. Check GameDate, GameDiff, NbWon, NbLost, PlayerName. Click OK
  2. The Item column is not needed in this application, so right-click on the column heading > Hide Column
  3. We'll set the tree column to the GameDate: right-click on the GameDate column header > Set Tree Column
  4. Finally, you need to do Grid > Hierarchy to tell the grid to enforce parent-child display
  5. If you want to rename the grid, to BasketBall Stats for example, do Grid > Properties and change the name

At this stage you should see something like this:

You are now ready to start entering results. For 2 days of data, it might look like this:

The GameDate is entered only one (for the game) and is automatically transfered to each player's score (this is optional and only there to allow us to calculate stats over a given period of time. This may not be a requirement.).
Also, the PlayerName is entered once. Subsequent days, the player can pick from a drop-down list.

The data is entered by only one person or by many. InfoQube is based on a multi-user database, so many users can be working on the same database, at the same time.
To share the database, simply put the InfoQube file (*.SNDB) on the LAN. That's it!

The final step is to create the pivot table to calculate the statistics. This requires MS-Office 2000 and up installed
  1. Do Grid > Pivot Table. All steps now use the toolbar which is just above the pivot table
  2. Click on the Fields button.
  3. Drag the PlayerName to the "Drop Row Fields Here" area on the pivot
  4. Drag the NbWon to the "Drop Totals or Detail Fields Here" area on the pivot
  5. Repeat for the NbLost, and GameDiff field
  6. For each of these, right-click on the heading and set AutoCalc to Sum
  7. Click on the Sum of NbWon heading to select it and the Hide Details button on the toolbar
  8. Click on the drop-down arrow to the right of PlayerName and uncheck (blank)
At this stage you should have this:

This shows that Bob and Henry have the best score, followed Mary. As for Joe, well, he's got some catching up to do...
The Pivot table properties window can be used to customize the pivot table. The final BasketBall stat application could look like this:

The default template has been updated to include this sample.

Using an alternative application structure, the following could also be done in InfoQube
:

This organization is more compact, does not require the use of the pivot table to calculate the best player. However it requires a field per player and some user-defined code to determine the best players.


10.50 Example-Finances

Case: You want to better manage your personal finances
Solution: Use InfoQube to enter revenues and spendings. Use InfoQube or Excel to calculate balances and perform analysis

To manage your personal finances with InfoQube, 2 approaches are possible: Full InfoQube or hybrid InfoQube + Excel:

Either way :
  • Create a number field: Amount. +ve numbers would be Credit and -ve numbers would be debit. (or invert it as you prefer)
  • Create a number field Actual$ with equation = ZN(- [Amount] * [Paid]). (Paid=true is equal to -1). So the Actual$ would be the amount paid/received.
  • Organize it under parent heading (Account 1, Invoices, Rent, Cash, etc ) if you wish.
  • You can use the DateFilter toolbar to easily filter on a specific date range (change the source to amount for this)
    .
1- Full InfoQube:
  • Set-up Account 1 as parent item. You can have grouping items too if you wish (Rent, Revenues, etc)
  • I recommend a category field (Revenues, Car, Home, Food, etc) since this will allow the pivot table to group spendings by category. You can set Value --> sub-items for this field to have the category automatically filled
  • Set the Actual$ field Parent = SUM(Children)
  • Create a number field: Initial$ with Null=0 Unchecked. This will ensure that the balance is calculated for the Account item only. (An alternative would be to simply add a sub-item to your account with the starting balance)
  • Create a number field Balance with equation = Initial$ + Actual$
  • For the Paid field, set auto-assign rule: A:Done=int(now) | E:Done= . This will today's date in the done field when you check Paid (Optional)
  • Create a form with all relevant fields: Item, FinCategory, Amount, Paid, Date, Actual$, Done, Initial$, Balance, Notes
    .
2- Hybrid InfoQube - Excel:
  • Set the source of your grid to Amount. This will display all items that have an amount. Since InfoQube can only display the immediate parent (this will be improved), Either display the ItemParent field or keep the outline to just 2 levels: Account -> transactions
  • Create an ODBC Source for your InfoQube file. Use the MS Access database driver (Help available if needed)
  • In a blank Excel file, Cell B10 (approx), Do Data > External Data > New Database Query
  • Select the ODBC connection you just created.
  • You'll be presented with a list of queries, an InfoQube grid is actually a query. So select your current grid name from the list. Expand the + and copy all fields to the right pane (to select those fields)
  • Hit OK until you get back to Excel
  • You'll then see your InfoQube grid data in Excel. This is not a copy but a live link.
  • Above your data block in Excel, you can enter equations and initial values to compute your balance. To the right of the data, you can also enter equations to calculate running totals (i.e. daily balance). Make sure that your grid is set to sort on Date or your balance will not be calculated correctly
  • To refresh your data in Excel, right-click > Refresh Data
    .
Both approches have +'s and -'s.

external image Finances.png


10.70 How to bypass the automatic opening of the previous file

InfoQube has an option to open the last file on startup (Tools > Options > Program Settings > Modes)
While this is sometimes useful, at times it may not be desired. There are 2 ways to bypass this:
  1. Start the program with a /file command like argument. Typically, a batch file is used for this. Details to come
  2. Press and hold the Shift key while starting the program. Simple and effective


10.80 KatMouse: Configuring to use with IQ

KatMouse is a great little utility to maximize the use of the mouse wheel:

Quote:
KatMouse web site:
The prime purpose of the KatMouse utility is to enhance the functionality of mice with a scroll wheel, offering 'universal' scrolling: moving the mouse wheel will scroll the window directly beneath the mouse cursor (not the one with the keyboard focus, which is default on Windows OSes). This is a major increase in the usefullness of the mouse wheel.

To make KatMouse work with InfoQube, simply:
  1. Start InfoQube with a grid open
  2. Open KatMouse settings
  3. Click the tab Classes
  4. Drag the icon left of the Remove button to the grid (not the main window)
  5. You should see a new entry in the list: Exontrol.G2antt.WindowList
  6. With the Gantt chart showing (i.e. can use the sample IQBase Project grid), drag the icon left of the Remove button to the Gantt (not the main window)
  7. You should see a new entry in the list: Exontrol.G2antt.Chart
  8. Open the Calendar
  9. Drag the icon left of the Remove button to the Calendar
  10. You should see a new entry in the list: Exontrol.Schedule
  11. Click OK
Now, no need to bring the focus to the current window to scroll:

* Scroll the mouse wheel to move the grid up and down
* Hold the Shift key to move the grid or Gantt left and right
* Hold the Ctrl key to zoom in/out the grid or Gantt


10.85 Showing item in multiple grids

Reference discussion in Showing item in multiple grids
This is one way to show item in multiple grids: I made a "Most_used" form, and put the 10 or so fields I use most in it. So then I go to the Inbox, for example, and can uncheck from this form Inbox, and check IQ, pc, research, whatever.


10.90 Tips for EverNote (2.x) users

Transition for EverNote 2.x users

EverNote feature set is a subset of what InfoQube can do. This page has 2 purposes:
  1. How-to information: How to do EverNote-type tasks in InfoQube
  2. How to go forward in using the other features of InfoQube

Moving from Evernote 2.x to InfoQube
Create an Evernote 2.x export file (*.enx), then import it via the menu: File>Import>Evernote Export File
  • Categories -> Fields of type Yes/No. To add a field, go to Field Management > New.
  • Category icon: add <img>IconName</img>CategoryName in Field Management > Caption (in Properties) (A UI is coming)
  • Category hierarchy: Use the Parent ID property in Field Management (Drag-drop will be implemented)

Using the InfoQube specific features

1. How to highlight text.

Highlighting, a much-requested Evernote feature, is available in InfoQube

To "highlight" in InfoQube, select the text, and use the "background color" function of the HTML pane.

  • On the standard HTML toolbar: menu, format, background color

  • On the formatting HTML toolbar: enable the "background color" icon

  • On the edit context HTML toolbar: enable the "background color". (Then you will be also able to right-click in the HTML pane and pick the "background color" icon.

To highlight, select the text, choose the icon or menu for "background color", choose the (highlighting) color, and OK.


3. Inserting and Viewing Images

Inserting and Viewing Images

Images can be inserted in many UIs and in a number of different ways:
  1. In Grids, by dragging an image / picture from File Explorer or from the HTML pane (folder mode)
  2. In Grids and the HTML pane with Copy / Paste: an image file will be created and stored in the .Files folder (ItemIDXXXX.jpg)

Viewing Images

  1. In grids: Grid > View Pictures
  2. View > Image Viewer
    1. Select an item to show the linked image file in the viewer (all UIs)
    2. When the HTML pane is showing a folder: select any file in the file list


Changing field values in bulk

The Properties pane can be used to modify / add field values of many items in one step (i.e. in bulk)
To do so:
  1. In any view (grid, Calendar, Surface, etc), select 1 or more items
  2. Enter the value in the Properties pane. A Taskbar popup is shown confirming the operation. Click Edit > Undo (Ctrl + Z) to undo
Example:
You have created a grid called 'ProjectSomiro' . All the items in it (at top level) have the field 'ProjectSomiro' set to true. As the number of project is increasing, you realize that you prefer to use a single text field, instead of a multitude of yes/no fields. To perform the switch, you can:
  1. Double-click on the field ProjectSomiro
  2. Ensure the display is set Source Items (Flat list) and that context parents are off
  3. Refresh
  4. You should now see all items that have ProjectSomiro checked (and nothing else)
  5. Select all items
  6. In the properties pane, Enter "Somiro" in the field Project
  7. Check that all was done
  8. Before deleting your ProjectSomiro field, open your grids and modify them if needed to reflect the field change
The Properties pane supports equations:
  • Number Fields: Type + - / * operators to trigger calculation mode (i.e. +13.2 will add 13.2 to the selected field of all selected items)
  • Date Fields: Type + - operators to add days or hours to a date
  • Text Fields: Start the text with = and enter an expression.
    For example for the Notes field, =Left([Item],20) will extract the 20 first characters of the item field and put it in the Notes field (for all selected items)
    Whether parsing is done automatically or manually is set, per field, in the Field Properties > General. To trigger manual parsing, enter the equation and right click > Parse Equation


Creating a grid of grids

Creating a grid of grids

Grids are always shown a flat list. To arrange these in a hierarchy, create a hierarchy of items, each being a hyperlink to a grid
To do so:
  1. Open the Manage Grids dialog
  2. Select one or more grid
  3. Right-click and select Copy
  4. In a grid (perhaps an empty one), do Edit > Paste Special > IQ View
  5. An item will be created for each grid
  6. Create grouping items and move "grid" items under appropriate group
  7. Hold the Ctrl key when moving an item to place the item under more than one group
  8. Add formatting (font size, color, back color) to help locate each grid
  9. The grid is then detached and docked to the side of the main IQ UI
  10. Turn Auto-Search on to locate grid by simply typing a few characters


Drag-and-drop and other common UI operations

See Item Copy & Paste - Selection - Drag & Drop for more info about Copy / Paste / Selection / Drag and Drop.
All kinds of drag-and-drop operations are possible in IQ.
Here is a table comparing IQ with Windows Explorer
Mouse Operations : comparisons with Windows Explorer
ACTIONS | Mouse operations | Explorer vs InfoQube summary | Detailed explanations
Move items Click + drag & drop Same
To move items you must click in an editable area of any selected item and drag - any selected items will move with the item you drag.
You can also move items in IQ by clicking on a number in the # column or by clicking on an item bullet and dragging. This is similar to MS Word in "Outline mode"
Select multiple items Click + drag Same
For "multiple select" using click & drag in Explorer or in IQ, just click anywhere in a non editable areas (between text-number-date fields, etc.) and drag the mouse to make a selection box.

Note that in Explorer --Windows XP-- that means that you can click anywhere except the filename column since only the file name column is editable.
[as above] | Shift + Click | Same | To multiple select contiguous items using shift + click in explorer or in IQ, just click anywhere in an editable area (on text/number/date), hold shift, and click elsewhere. All intervening items will be selected.
Select multiple non-contiguous items Ctrl + Click Similar
In IQ:
keeping the Control key pressed - click on the number in the # column of each item you want to select.
In Explorer you have to click on the file name column, keeping Control key pressed.
IQ : Show items in different contexts (create multiple parent links, etc.)

Explorer : Copy items 		Ctrl + Click + Drag & Drop Different
CTRL + click + drag & drop is used to show items in a different context. This is not the same as copying. The item(s) shown in different grids/contexts is still the same item.
(Full copying - to produce a replica item but with a different ID number - is managed with the item context menu or the usual keyboard shortcuts.)
Create shortcuts (hyperlinks) | Alt + Click + Drag & Drop | In IQ:- Not yet implemented using mouse actions | IQ does do this, but (currently) only using the item context menu, not with mouse actions.
Some of the most frequent issues while dragging and dropping an item are:
Automatic scrolling up/down in the grid, following mouse movement
Common problem: IQ does not scroll when mouse cursor hovers at bottom or on the scroll bar, or at the top of the grid.
It actually scrolls but you need to find the right spot where it starts scrolling: just a bit over the horizontal scrollbar, just a bit below the grids columns/fields title bar.
Automatic expansion of the hierarchy where the item must be dropped
Common problem: If an item's hierarchy is collapsed, IQ doesn't 'open' the item when mouse cursor hovers over the collapsed item
The item's hierarchy will actually open, but you have to hover your mouse over the [+] or [-] or whatever is the expand/collapse symbol in your case.
Automatic creation of sub-item upon dragging and dropping an item over an other one
Common problem: dragging-and-dropping an item over another item creates a sibling, not a sub-item.
In order to create a sub-item one needs to drag the item (by clicking on text and dragging) & hover above the destination item, until you see this arrow (a line also shows under the item)
it will automatically create a sub-item.
One can also drag & drop as a child (sub-item) of a parent item by hovering the mouse over the "expand/collapse" symbol and then continue dragging the item exactly where you want it among the sub-items. A black line will appear, indicating where the item will be dropped.


Forums: Great Threads

The following list link to forum threads that were particularly instructive:


InfoQube's automatic (behind the scene) field treatment

[To be completed. Just a sketch with some ideas.]
IQ manages fields in the background and there are a few cases where IQ will add data to a field or remove it automatically, depending on certain item manipulation.
These automatic field data modification can be classified into 2 categories : 1) those which are hard coded into the system, 2) and those which are specified by the user.
1- IQ's "hard coded" automatic field data modification
The idea here would be to explain what IQ automatically does to fields when :
1- an item is added to a grid,
2- an item is moved from one grid to another
3- a subitem is created
4- a subitem is promoted to top level or a TLI is demoted to a lower level
All that in relationshion to
1- simple sources
2- complex sources using the AND operator
3- complex sources using the OR operator
4- complex sources using a mix of operators

etc.
[NOTE : All these should be explained in details so that it's easier for the users to make database design choices in relation to filtering needs. E.g. : should a user use inheritance or not ? A complex source or a simple one ?]
2. IQ's "user specified" automatic field data modification
Fields can be automatically updated, modified, etc. through certain choices of configuration :
  • Field inheritance -- set through the Field management dialog (
    Nonexistent node nid: 1072.
    and ... )
  • "auto assign the following fields" -- set through the "Manage Grids" dialog's (
    Nonexistent node nid: 896.
    and [node:])
  • "auto assignment rules" equations -- set through the Field management dialog ((
    Nonexistent node nid: 1071.
    and Field Management Dialog)
  • SQL requests (and other scripts ?) -- written in the options section of the Field management dialog (Smart Fields and Field Management Dialog)
  • VB scripts written in the VB editor (View -> Visual Basic editor)


IQ User Manual in CHM Format

IQ User Manual in CHM Format

Jibz came up with an automated way to create a quite useable (CHM) HTML Help version of the onine manual.
He periodically updates runs his (perl) script, and posts the file to his dropbox account, and announces new versions in HTML Help (CHM) version of User Manual - Updated May 16th 2016
Discussion is in HTML Help version of the manual?
4/3/2011 Jibz' exact steps, in order for others to be able to create the chm manual:
Make sure you have Perl and the HTML Help Workshop installed.
Perl:
http://www.activestate.com/activeperl/downloads
Microsoft HTML Help Workshop
Create a folder and put the dump2chm perl script into it.
Open the printer friendly version of the top level page of the IQ User manual in Internet Explorer,
https://infoqubeim.com/drupal5/index.php?q=book/export/html/2043

Wait till the entire page has loaded with all graphics.

Choose File->Save As... and select "Webpage, complete", and "Unicode (UTF-8)", and save to the folder
you put the script in.
Open a command prompt, and run the script with the name of the saved html page as argument
dump2chm InfoQube.htm
This splits the htm file into a file for each node of the manual, and generates the index files required to
compile the chm.
Open index.hhc in your favorite text editor and move the line that links to node2043.html down one line and
change node2043.html to index.html and value="1" to value="11", i.e. in the current version, change
<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN">
<HTML><HEAD></HEAD><BODY>
<OBJECT type="text/site properties">
<param name="FrameName" value="right">
</OBJECT>
<LI><OBJECT type="text/sitemap"><param name="Name" value="InfoQube User Manual (node 2043)"><param name="Local" value="node2043.html"><param name="ImageNumber" value="1"></OBJECT>
<UL>
<LI><OBJECT type="text/sitemap"><param name="Name" value="1. Introduction (node 33)"><param name="Local" value="node33.html"><param name="ImageNumber" value="11"></OBJECT>
to
<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN">
<HTML><HEAD></HEAD><BODY>
<OBJECT type="text/site properties">
<param name="FrameName" value="right">
</OBJECT>
<UL>
<LI><OBJECT type="text/sitemap"><param name="Name" value="InfoQube User Manual"><param name="Local" value="index.html"><param name="ImageNumber" value="11"></OBJECT>
<LI><OBJECT type="text/sitemap"><param name="Name" value="1. Introduction (node 33)"><param name="Local" value="node33.html"><param name="ImageNumber" value="11"></OBJECT>
Now run the chm compiler on the project file,
hhc index.hhp
And you should have a shiny new InfoQube.chm


Perl script for generating the CHM manual

11/25/2010 the perl script Jibz uses to create the CHM file.
#!/usr/local/bin/perl -w

# Convert dumped printer friendly version of the online drupal user manual
# to a chm compilable state.
#
# Pass filename as arg.

use strict;
use open IO => ":utf8"; # all files are assumed to be utf8

# get filename from command line
my $filename = shift || die "syntax: dump2chm.pl <html file>";

# open html dump file
open FH, "<$filename" or die "couldn't open $filename";

# open files used by the chm compiler
open my $pfile, ">index.hhp" or die "couldn't open index.hhp";
open my $cfile, ">index.hhc" or die "couldn't open index.hhc";
open my $kfile, ">index.hhk" or die "couldn't open index.hhk";
open my $ifile, ">index.html" or die "couldn't open index.html";

# get date (snip from the internets)
my ($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst) = localtime(time);
$year += 1900; ## $year contains no. of years since 1900, to add 1900 to make Y2K compliant
my @mabbr = qw( Jan Feb Mar Apr May Jun Jul Aug Sep Oct Nov Dec );

my $curnode = -1;
my $curnesting = 1;

# this will be the current node file when we open one
my $nfile;

# this hash will be used to store info about internal nodes
my %nodes;

# print headers
print $pfile <<EOT;
[OPTIONS]
Auto Index=Yes
Compiled file=InfoQube.chm
Compatibility=1.1
Full-text search=Yes
Contents file=index.hhc
Default Window=main
Default topic=index.html
Index file=index.hhk
Language=0x409 English (United States)
Title=InfoQube User Manual

[WINDOWS]
main="InfoQube Information Manager","index.hhc","index.hhk","index.html","index.html",,,,,0x23520,,0x387e,,,,,,,,0

[FILES]
index.html
EOT

print $cfile <<EOT;
<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN">
<HTML><HEAD></HEAD><BODY>
<OBJECT type="text/site properties">
<param name="FrameName" value="right">
</OBJECT>
EOT

print $kfile <<EOT;
<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN">
<HTML><HEAD></HEAD><BODY>
<OBJECT type="text/site properties">
<param name="FrameName" value="right">
</OBJECT>
<UL>
EOT

print $ifile <<EOT;
<!DOCTYPE HTML PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xml:lang="en" xmlns="http://www.w3.org/1999/xhtml" lang="en"><head>
<title>InfoQube User Manual</title></head><body>

<h1>InfoQube User Manual</h1>

<p>This manual has been automagically generated by <tt>dump2chm.pl</tt> on $mabbr[$mon] $mday $year.</p>

<p>It is a (rough) conversion of the online <a href="https://infoqubeim.com/drupal5/index.php?q=node/48">InfoQube User Manual</a>
and may contain some bad links, you've been warned.</p>

</body></html>
EOT

# scan file and collect used node numbers
while (<FH>)
{
# new drupal node
# format is <div id="node-61" class="section-2">
if (my ($node, $nesting) = /^<div id="?node-(\d+)"? class="?section-(\d+)"?>$/i) {
$nodes{$node} = $nesting;
}
}

# reset file
seek FH, 0, 0;

# loop through the html dump and write to appropriate files
while (<FH>)
{
# new drupal node
# format is <div id="node-61" class="section-2">
# ie uses capitals and no quotes, hence the optional quotes and ignore case option
if (my ($node, $nesting) = /^<div id="?node-(\d+)"? class="?section-(\d+)"?>$/i) {

$curnode = $node;

# print end of html to last node file if any
$nfile and print $nfile "</body></html>\n";

# open new file based on node number
open $nfile, ">node$node.html" or die "couldn't open node$node.html";

# print node header to new node file
print $nfile qq#<!DOCTYPE HTML PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">\n#;
print $nfile qq#<html xml:lang="en" xmlns="http://www.w3.org/1999/xhtml" lang="en"><head>\n#;

# add filename to index.hhp
print $pfile "node$node.html\n";

# finish last item in index.hhc setting the icon to book for nodes with children
if ($nesting > 1) {
if ($curnesting < $nesting) {
print $cfile qq#<param name="ImageNumber" value="1"></OBJECT>\n#;
} else {
print $cfile qq#<param name="ImageNumber" value="11"></OBJECT>\n#;
}
}

# add list start or end tags to index.hhc based on the new nesting depth
while ($curnesting > $nesting) {
print $cfile "</UL>\n";
--$curnesting;
}

while ($curnesting < $nesting) {
print $cfile "<UL>\n";
++$curnesting;
}

next;
}

# new section
# format is <h1 class="book-heading">3. InfoQube User Interface</h1>
# note: there can be line breaks in the titles! (e.g. 3.2.10)
if (my ($title) = /^<h1 class="?book-heading"?>(.+)$/i) {

chomp $title;

# append next line while we cannot remove the end tag
while ($title !~ s/<\/h1>$//i) {
$title .= <FH>;
chomp $title;
}

# make sure title is printed correctly to current node file
$_ = qq#<h1 class="book-heading">$title</h1>\n#;

# finish node file header and start body
print $nfile "<title>$title</title></head><body>\n";

# add title to index.hhc
print $cfile qq#<LI><OBJECT type="text/sitemap"><param name="Name" value="$title"><param name="Local" value="node$curnode.html">#;

# remove any section number and add to index.hhk
$title =~ s/^\d+(?:\.\d+)*\.?\s+//;
print $kfile qq#<LI><OBJECT type="text/sitemap"><param name="Name" value="$title"><param name="Local" value="node$curnode.html"></OBJECT>\n#;
}

# Fix local urls that got messed up in the dump
s#"https://infoqubeim\.com/index\.php\?q=#"https://infoqubeim.com/drupal5/index.php?q=#;

# fix internal links
# format is <a href="https://infoqubeim.com/drupal5/index.php?q=node/864" class="link-node">5.3 Sorting</a>
# the g option makes the match in the while condition continue, effectively looping over all occurences in the string
# note: can be wrapped across multiple lines
my $temp = $_;
while ($temp =~ m#"https://infoquebim\.com/drupal5/index\.php\?q=node\/(\d+)"#g) {
my $node = $1;
if (exists $nodes{$node}) {
s#"https://infoqubeim\.com/drupal5/index\.php\?q=node\/$node"#"node$node.html"#g;
}
}

# warn about input tags, since they are sometimes used in place of img tags
if (/<input /i) {
print "<input> tag warning in node$curnode.html\n";
}

# replace unicode characters with html entities
# there has to be a 'nicer' way of doing this
s/([\x80-\x{10ffff}])/"&#" . ord($1) . ";"/ge;

# print to node file if any
$nfile and print $nfile $_;
}

# finish up
print $cfile qq#<param name="ImageNumber" value="11"></OBJECT>\n#;
print $cfile "</UL>\n";

print $kfile "</UL>\n";


Item Copy & Paste - Selection - Drag & Drop

Contents:
  1. Selecting
  2. Copy and Paste
    • a) Copying the content of a range of cells
    • b) Copying a full items or portions of items, etc.
    • c) Pasting an item (or items) in a grid
    • Selecting an Item and moving it using Drag & Drop
  3. Item Selection and moving via Drag & Drop
1.0 Selecting Text and Items
  • Range of cells: click on any non editable area (mouse cursor changes to Arrow)... and drag if necessary (for multiple selection)
  • Items: Click on the # column (left-most column) and drag if necessary (for multiple selection). As usual, Shift-click to extend, Ctrl-click to include / exclude specific items. Again, you must use the # column if Grid >> Select Mode is Multi-Column (if select mode is Full Line, you can use other columns)
  • Columns:
    • If the SortBar is not visible, you can click on a column header to select a column (or use the context menu). Ctrl-click to include / exclude a column.
    • If the SortBar is visible, you must use Ctrl-click (or use the context menu), else you'll sort the items
2.0 Copy and Paste
Like most Windows Applications, all copying actions are performed by :
  1. Selecting something with the mouse,
  2. Ctrl+C OR mouse right-click -> Copy :
Pasting is done by :
  1. Selecting a position (or a zone) with the mouse,
  2. Ctrl+V OR mouse right-click -> Paste :
a) Copying the content of a range of cells
When the "tree" column is not part of the selected cell range, copying works like it would in a spreadsheet like Excel: It will instantly copy the contents of the selected cell. It's then ready to be pasted anywhere.
(the tree column is the one showing the outline, and shows an expand/collapse button)
b) Copying items
When selecting items (either the whole item or at least the "tree" column), you'll always be presented with the dialog below.
Numbers 1 & 2 are intended for other applications; 3 & 4 are for pasting within IQ
1) "Only the tree column will be copied" the tree column (the one with the bullets) is normally the Item field (this can be manually changed via the grid-column-header's context menu)
The result of this copy will be a bulleted list which is indented for sub-items, also suitable for other outliners.
2) Copies items in tab-delimited format : the content of the selected rows and colums and their headings.
3) Copying in XML format copies all the filled fields & properties of the selected items - i.e. will make an identical copy.
Note that If you select an item and its subitems, IQ will preserve the hierarchical information.

4) Same as #3 - but makes copies of all the selected items' sub-items, whether they appear in the grid or not.
Note: if you don't want all sub-items to be copied, use option #3, and hand pick the sub-items you want to copy.
Pasting an item (or items) in a grid(when item has been copied using XML format -- see numbers 3 & 4 above)
Items will be pasted at the same level as the item that currently has focus
1- If a top-level item has focus you will normally ** see this dialog:
~ first option being to create a new item which will have exactly the same fields filled as the original item, but it will be a separate item (having a different Item ID number)
~ second option involves showing the 'copied' item in this new location - i.e it will actually be the same item as the one you copied - it will be displayed here as well as in it's original location(s) -- if you update this item in it's new location, it will be updated wherever else it is displayed.
Technically speaking: what the second option actually does here is to fill this grid's current source field for the item you have copied (presuming it is a simple source, i.e. just one field)
** (as of 2010 03 11) this paste dialog currently appears only if the grid has a simple source (i.e. : the source has only one field in it, or fields linked with the AND operator). Why ? Simply because IQ cannot guess for the user what field should be filled for the pasted items to meet the current complex source and be show in the grid. Eventually, a workaround will fix that issue.
2- If a sub-item has focus you will see this dialog:
again:
~ first option being to create a new item which will have exactly the same fields filled as the original item, but it will be a separate item (having a different Item ID number)
~ second option involves showing the 'copied' item in this new location - i.e it will actually be the same item as the one you copied - it will be displayed here as well as in it's original location(s) -- if you update this item in it's new location, it will be updated wherever else it is displayed.
Technically speaking: what the second option actually does here is to give the item a new parent (items can have as many parents as you like)

Item Selection and moving via Drag & Drop

For simple mouse actions, there are three simple principles to remember :

1) to drag & drop : click on any editable area and drag. In editable areas the mouse pointer changes to caret (text-cursor)

2) for simple or multiple contiguous (adjacent) cell selection: click on any non editable area (mouse cursor changes to Arrow)... and drag if necessary (for multiple selection)

3) selecting a full item (all cells at once) can be done by clicking on the # column or using the left arrow key
Note: Full Item Selection is only necessary if you want to delete or copy the item (deletion can also be done via Crtl+E when the item has focus, the full item row does not need to be selected)
With only one cell in an item selected, you can move the item (with mouse or with keyboard shortcuts)
See Drag-and-drop and other common UI operations for Tips and tricks on Drag & Drop
______________________________________________
Related forum threads:
Request re moving item using # column
help with 4.40.30 Item Copy & Paste
And from the manual:
Grid/Items keyboard shortcuts
Nonexistent node nid: 1125.
Nonexistent node nid: 278.
Drag-and-drop and other common UI operations


Managing Projects using InfoQube. Mark's draft - under active development, March 2015

Managing projects using InfoQube

NB: This documentation is based on Mantis entries:

0053 | Gantt Chart (first version)
0331 | Task Dependencies
0574 | Gantt chart enhancements (hours view, better date header display)
0594 | Gantt: Switching between tasks and milestones
0642 | Gantt: Add option to set non working days
0705 | Gantt: Scale not saved
0768 | Add overload capabilities to the Gantt
0803 | Gantt enhancements
0873 | Gantt charts - Show overview and histogram checkbox
1004 | Gantt chart: No need to set the End Date and Duration fields
1036 | Grid: Item color: add option to select which columns are shown in that color
1037 | Gantt chart: add option to set bar colors

It also incorporates material from the Wikipedia articles on project management and on work breakdown structure.

What is Project Management anyway?

InfoQube is often used in the planning and monitoring of activities made up of constituent individual actions. An example of an activity is a simple one-off task, such as "sell car". The activity is fairly clear in scope, and any associated planning is probably quite simple. A typical way of doing this in InfoQube is to create an item called "Sell car", and to create child items – individual actions – in a hierarchy below that item, such as "Service car", "Advertise car", etc.

Sometimes activities, made up of interdependent actions, are sufficiently complicated to merit being treated as:

  1. Either ongoing processes or operations - these are activities which are frequently repeated following a more-or-less well-defined process design or template. Thus if you collect cars and sell lots of them, it might be worthwhile to define an InfoQube form as a template for the repeated activity.
  2. Or as a one-off but perhaps complicated project.

As a working definition of a project, Wikipedia suggests:

"

A project is a temporary endeavour, having a defined beginning and end (usually constrained by date, although it can be by funding or deliverables), undertaken to meet unique goals and objectives, usually to bring about beneficial change or added value. The temporary nature of projects stands in contrast to business as usual (or operations), which are repetitive, permanent or semi-permanent functional work to produce products or services. In practice, the management of these two systems is often found to be quite different, and as such requires the development of distinct technical skills and the adoption of separate management.

The primary challenge of project management is to achieve all of the project goals and objectives while honoring the preconceived project constraints. Typical constraints are scope, time, and budget. The secondary—and more ambitious—challenge is to optimize the allocation and integration of inputs necessary to meet pre-defined objectives.

"

Wikipedia discusses project management in general terms. The scope of a project which can effectively be managed using InfoQube is restricted to projects carried out only by a small number of people - usually one. Furthermore, IQ provides no explicit support for PERT or CPM approaches.

The diagram illustrates the main stages in managing a project:

Source: Wikipedia Commons http://en.wikipedia.org/wiki/File:Project_Management_%28phases%29.png

Planning and designing projects

The management of any project should be planned in two stages. These are:

  1. Identify the Work Breakdown Structure – in essence, what are the outputs, the deliverables, required from the project.

  2. Plan the Project Schedule – how and when the various actions required to create the outputs will be carried out.

The Work Breakdown Structure (WBS)

The first stage in the planning of a project should be the identification of its work breakdown structure (WBS). The Work Breakdown Structure is a tree structure, which shows a subdivision of the outputs required to achieve an objective; for example a program, project, or contract. The WBS tells us WHAT elements ("deliverables") are necessary to plan, execute, control and close a project, while the (subsequent) project schedule will tell us HOW we plan on creating each of those deliverables. In this context, the WBS should always represent exactly 100% of the approved scope (deliverables) of any project.

It is important to understand that the WBS shows only WHAT the deliverables are. It does not (or should not) show the structure of the deliverables, that is HOW they are individually constructed. It makes perfect sense to do that too using IQ, but the WBS should not be confused with that product structure. Nor should the initial creation of the WBS be confused with the subsequent stage of project scheduling, which identifies the schedule of tasks and their interdependencies – the WHEN. It is considered poor practice to construct a project schedule before designing a proper WBS. So the WBS is neither a project plan, nor a schedule, nor a chronological listing.

In a project or contract, the WBS is developed by starting with the end objective and successively subdividing it into manageable components in terms of size, duration, and responsibility (e.g., systems, subsystems, components, tasks, subtasks, and work packages). Thus it includes all deliverables necessary to achieve the objective. This may take the form of a tree structure.

The most obvious way in which to model a tree structure in InfoQube is of course as a hierarchical outline. However, this is not actually necessary in order to plan a project nor – subsequently - to represent it as a Gantt chart.

The Work Breakdown Structure provides a common framework for the natural development of the overall planning and control of a project or contract and is the basis for dividing work into definable increments from which the statement of work can be developed and technical, schedule, cost, and labour hour reporting can be established.

A work breakdown structure permits summing of subordinate costs for tasks, materials, etc., into their successively higher level “parent” tasks, materials, etc.

For each element of the work breakdown structure, a description of the task to be performed is generated. This technique is used to define and organize the total scope of a project.

The WBS should initially be organised around the primary products of the project (or planned outcomes) instead of the work needed to produce the products (planned actions). Since the planned outcomes are the desired ends of the project, they form a relatively stable set of categories in which the costs of the planned actions needed to achieve them can be collected.

The Project Schedule

An outcome determines a so-called terminal element of the project, that is, an activity which delivers that outcome. A well-designed WBS makes it easier to assign each project activity to one and only one terminal element of the WBS, which is desirable in phased projects which deliver multiple outcomes and for which – for example – separate costings / billing items are required or desirable as part of the process of accounting for project costs.

A Gantt chart is a type of bar chart that illustrates a project schedule. InfoQube has a Gantt view, which includes a Gantt chart.

Gantt charts illustrate the start and finish dates of the terminal elements and summary elements (intermediate elements) of a project. Terminal elements and summary elements derive from the work breakdown structure of the project. Gantt charts can also show the dependency (i.e. precedence network) relationships between activities. Gantt charts can be used to show current schedule status using percent-complete shadings. Gantt charts have become a common technique for representing the phases and activities of a project which carries out a work breakdown structure (WBS), so they can be understood by an audience which is wider than the person who is planning the work.

Assumptions and Limitations

InfoQube cannot pretend to the advanced project management capabilities present in dedicated project management software such as Microsoft Project. However, IQ does include powerful work management capabilities which, crucially, can easily be integrated with the other information management needs of individuals. This documentation assumes that InfoQube is being used to manage the activities associated with one person carrying out a complete project. The size of an action is measured in person-days of effort (although the Gantt view supports all of hours, days, weeks and months). Normally, its duration is determined by its start date and its end date; however, it is no longer required to set the Gantt chart End Date and Duration field. An action which takes zero time is called in IQ a milestone; it is represented not as a line in Gantt view, but as a lozenge.

In a project schedule, dependencies between actions are identified. Where one action cannot start until one or other earlier actions have been completed, the action has a dependency upon those actions.

Projects in InfoQube

The implementation of projects in IQ usually involves a combination of specific IQ features. These are:

  1. Gantt View. This can be enabled for any grid, although typically it is used with a Projects grid. To toggle Gantt view on or off for a given grid, used Grid / View Gantt. To set the Gantt-related properties for a grid, use Grid / Properties and open the Gantt Chart properties for that grid.
  2. A set of system fields.
These are together used intended to represent Projects.

The system fields include:
Field N°. | Field name | Type | Caption in grids | Notes on field behaviour
90 | TaskActStart | Date | TaskActStart |
91 | TaskActEnd | Date | TaskActEnd |
93 | NextTaskDelay | Number |  |
94 | TaskDuration | Number | Nb Days |
95 | Task%Complete | Number | % Done |
96 | TaskEffort | Number | TaskEffort |
97 | TaskID | Number | TaskID |
98 | NextTaskID | Text | NextTaskID |
99 | TaskBarColor | Text |  |
100 | TaskIsSummary | Yes/No |  |
101 | TaskBarCaption | Text |  |

Part of the flexibility of IQ is that it is not necessary to stick to a strictly hierarchical breakdown of work. Thus an element of one project may equally be used as an element of a second project.

One thing which is essential to effective project planning in IQ is grouping together tasks which together constitute a project. It might therefore be sensible to represent the project as a tree structure of hierarchically-linked tasks and their sub- and sub-sub- tasks. However, this is not in fact the way in which IQ shows how tasks are related. Instead, IQ permits task dependencies to be represented and stored explicitly. One task can depend on more than one other task, and one task can precede more than one subsequent, dependent, tasks. Thus, it is only by convention that tasks and sub-tasks are represented as a hierarchy, and IQ ignores the tree structure when considering dependencies. Instead, it relies upon the use of the two system fields TaskID and NextTaskID to show how each task relates to others.

Traditionally in project management, project tasks are labelled using letters. However, IQ uses the numerical system field TaskID to identify individual tasks which participate in dependencies and the system field NextTaskID to store dependencies. In fact, the NextTaskID field can be used to identify several “next” (dependent) tasks since it takes the form of a comma separated list. It should be noted that when a dependency is established, completely new values are created for TaskID and NextTaskID - they have nothing to do with the IDItem field associated with all IQ information items.

An example of an IQ project

The standard sample database contains a project called Somiro. The screenshot which follows is taken from such a sample database.

In the screenshot we can see the following elements:

  1. A TLI (top level item) ‘Project Somiro’ and its constituent tasks, here labelled 1.1 to 1.11; this grid shows the principal fields needed to implement a Gantt chart in IQ; these fields are discussed below.
  2. Above the grid is shown the project overview – this extends over the whole length of the project, which is here all of May and most of June 2008; it is shown if the Gantt Chart property Show Overview is set; the scale of the display can be set to one of Min, Hr, Day, Wk, Mo (minutes, hours, days, weeks, months).
  3. To the right of the main grid is shown the magnified detail Gantt view of the tasks which are active in a particular seventeen day period; the part of the project which is currently displayed is indicated by orange shading in the project overview described in the previous element.
  4. Below the detail Gantt view is the resource utilisation histogram; it is shown if the Gantt Chart property Show Histogram is set.

Right-clicking the date line at the top of the Gantt view displays a menu which permits the Show Overview, Show Histogram and Zoom parameters to be changed; Gantt properties are also accessible from this menu.

Using Gantt View in IQ

Gantt charts are good for project management, but they can also be used for other things, since:

1. The amount of scaling is under user control.

2. The current time is shown as a green vertical bar in the minute, hour and day scales.

3. If you double-click on the header, the chart is centred to the current date/time.

4. If you double-click on the chart on an item line, the chart is centred on that item bar.

5. Using the mouse-wheel when over the Gantt scrolls the chart
left-right if Ctrl is held simultaneously
zoom in-out if shift is held simultaneously;
the page scroll buttons makes larger up and down movements.

If you are using a tablet, when over the Gantt scrolls the chart
left-right if Ctrl is held simultaneously
zoom in-out if shift is held simultaneously;
the page scroll buttons makes larger up and down movements.

6. As the user moves the mouse (just below the date headers), a Date Ticker is shown.

Manipulating items in Gantt views

Moving items: To move items, you must be very careful to select the bar in the middle and move left or right, etc...

Linking items: In order to link one item to another so that it becomes a precessor, you press the Shift when you first click on a bar:

  1. Press Shift

  2. Click on the first bar

  3. Let go Shift (if you hold the Shift key too long, it stops linking)

  4. Drag to the second bar

Formatting items in Gantt views

Grid: Item colour: an option has been added to select which columns are shown in that colour.

Currently, the item back colour is set to all columns. This is sometimes not desired (in particular with the new Gantt chart bar colour). The new option permits setting the list of fields which show the color; it should be left blank to color the whole item:

Grid>>Properties>>Options>>Item color applies to fields:

Additionally, in a Gantt chart: an option has been added to set Gantt item bar colours. The steps necessary are these:

1. Grid>>Properties>>Gantt Chart>>Bar color field : set it to field containing the color (by default, the ItemColor field is used)

2. Set the values for the bar colours (using ItemColor field is easy because IQ has context menus to set this field)

The bars will be coloured.
Setting Grid Properties

These are set using Grid / Properties, then opening the Gantt Chart properties, which are:

Field | Default values | Notes
Start Date Field | TaskActStart |
End Date Field | TaskActEnd |
Duration Field | TaskDuration |
Percent Done Field | Task%Complete |
Bar caption field | TaskBarCaption |
Effort (in days) Field | TaskEffort |
Bar color field | TaskBarColor |
Bar default color | &H00FB9492& | Light gray-blue
Show Overview | Yes | Determines whether the Overview element of Gantt view is displayed
Show Overview zoom buttons | Yes | Determines whether zoom buttons (displacement left, earlier; or right, later) are displayed; this option is only available if Show Overview is set
Show Histogram | Yes | Determines whether the Histogram element of Gantt view is displayed. The Histogram shows the extent to which the individual whose work is being planned is committed; if the figure exceeds 100%, it indicates that, for example, it will be necessary to work overtime
Non Working Days |  | Used to select days of the week which are not worked (e.g. Saturday and Sunday)
Non Working Hours |  | Used to select hours of the day which are not worked (e.g. 12AM to 08AM, implying that the working day starts at 09:00)

If you set your grid source to your Gantt Start date field (normally TaskActStart), the DateFilter toolbar can then be used to limit the items displayed. This is useful to view just what you want, to reduce crowding in the overview area and it also helps when printing.

How to use InfoQube to Plan, Schedule and Monitor a Project
Section to follow!


Using InfoQube without a keyboard

Using InfoQube without a keyboard

Information management systems, and InfoQube in particular, are keyboard-centric applications. That is one reason why IQ has a wide range of keyboard shortcuts, most of which are user customizable.
However, with the advent of touch-based operating systems, PCs are evolving and their form-factors are changing.
Convertible, detachable and 2-in-1 devices (such as the Microsoft Surface Pro) are more and more popular and sometimes used as tablets (i.e. without their keyboard).
InfoQube provides a number of features to ease information management on devices without a full, always connected, keyboard:
  • Customizable toolbars (list of commands, larger buttons)
  • Scrolling by touch (most UIs)
  • Handwriting input panel (Popup Editor)
  • Handwriting using Ink documents (HTML pane)
  • Function keys toolbar ( + Shift / Ctrl / Alt modifier keys)
  • Windows built-in Touch keyboard
  • Command to show the On-Screen keyboard
Tips:
  • Having an active pen is an excellent accessory to have, as alternative input method
    There are currently a few incompatible standards, N-trig, Wacom, Synaptic, but the coming Universal Stylus Initiative will help clean this up
  • The Touch keyboard and the On-Screen keyboard are not the same thing...
    • The Touch keyboard is shown by tapping on the keyboard icon of the taskbar.
    • It is not re-sizable but has a few layouts and supports a handwriting input panel with predictive word suggestions.
    • Also, activating the Touch keyboard will resize the IQ window so it fits just above the touch keyboard
      (the IQ main window must not be maximized, and the Touch keyboard must be in Dock mode)
    • Closing the Touch keyboard restores the IQ window to its previous size. Quite handy
    • The On-Screen keyboard is also a virtual keyboard, but re-sizable and with a more complete set of keys.
      Some users prefer it to the Touch keyboard. Also worth noting, it can show a small panel above the keys with predictive word suggestions.
  • Some notebook PCs either have no function keys, or have function keys, but these are assigned to system function (such as raise / lower volume) and to use these as "legacy" function keys, one my simultaneous press a Fn modifier key. It can require quite the finger gymnastic to use some keyboard shortcuts.
    The Function keys toolbar can be useful for those PCs.


Using IQ with Scrapbook

You can use the FireFox extension Scrapbook with IQ. This is really convenient to grab pages behind logins (such as GMail). To do so:
Initial Setup:
  1. Scrapbook > Tools > Options > Organize > Enable multi-scrapbook: checked
  2. Scrapbook > Multi-Scrapbook > Manage > Add: Add your IQBase .SNDB..files folder. Name it
  3. Scrapbook > Multi-Scrapbook > Switch to the Named Scrapbook
Grabbing content:
  1. Capture content using Scrapbook
  2. In IQ, create a new item, give it a description (item field)
  3. In the HTML pane, File > Open and navigate to the .SNDB.Files\data\CurrentDateID\index.html (CurrentDateID is the Current date / time)
  4. In the HTML pane, File > Save (required to index the content)
  5. The same can be done by drag-drop, as described in Link to Files, Folders and URLs
This process creates a link between the two applications (Scrapbook and IQ). Any change in one will be reflected in the other. (i.e. you can edit your scrapbook clipping with IQ!)
p.s. For GMail, ensure you capture the Printer friendly version of your email


Wikitags

WikiTag Hyperlinks

What are they ?
A WikiTag is basically a name, a category that helps creating a reference, a hyperlink
to an other item. Each item can have several WikiTags (have several categories), and each item can
have links to other items' WikiTags (more about that later).
WikiTags can be used as replacements for yes/no fields. The advantage is that there is no need to create the field before using it. Also, all the tags are displayed in a single cell. The disadvantage is that they are more difficult to use, filter for, etc. A better UI is planned.
Where are they?
In InfoQube, WikiTags are put into a specific column/field.
If you can't see the WikiTag column/field in your grid you can either..
1- Add the column to the grid : right click on the columns heading and choose -> display column. Tick
the WikiTag field. (Alternatively you can also drag and drop the WikiTag field from the properties pane
(F4 or view -> properties) to where you want it in your currently opened grid)
OR
2- Just use the properties pane (F4 or view -> properties) : find the currently selected item(s)’ WikiTag
field in the available fields section (in the properties pane, you could create a form including the WikiTags field.
How do I use WikiTags?
1- Enter terms in the item’s WikiTag's column/field — the terms must be bracketed
(with curly brackets) : {example1} {example2}.
(Note that you can have one or many WikiTags in the same field cell)
This means that the WikiTagged item can now be reached/hyperlinked through its {example} tag.
2- Create a link to your WikiTagged item (similar process for many types of links):
a. Right click on an other item and select the hyperlink icon (the icon looks like a "chain link")
b. In the Hyperlink window : 1- enter the text you want to see in your item field ("My new WikiTag link"), 2- in the “file, grid…” text box, enter the {example1} or {example2} tag (with the curly brackets please -- and note that you can only reference to one WikiTag at a time).
c. select OK... That’s it.
If you click on the newly created hyperlink, and the Wikitagged item(s) is (are) not in the current grid,
you’ll be brought to the Scratch Grid, where all items that have the {example} WikiTag will be shown.
Try it... (Alternatively, you could use html syntax directly in the items field : <a {example}>My new wikitag link</a>
Index terms: Wikitag


Working with Grids and Tabs

Grids can be opened using the Grids sub-menu inside the View menu (which can also be placed as a toolbar, with a button for each grid, shown vertically in the figure below.). The Grids menu can also be shown using the ctrl-shift-O shortcut and the user can navigate through the grids by typing the first letter of the wanted grid, or even using arrows) and pressing enter when the right one is reached.
Opened grids are organized in tab groups (shown horizontally in the figure bellow : Welcome, ,Inbox, etc.).
(More explanations below the drawing.)

  • Tab groups allow you to display windows side-by-side OR one above the other
  • They are called tab groups because each group can contain multiple tabs. i.e. if you have 5 grids open, you can have 2 in one group and 3 in the other.
    You can now compare the information in the visible grids, or drag and drop items from one grid into the other - along the lines of a dual-pane file manager.
  • Another great strength of this is that you can open two instances of the same grid and move/copy items around within the same grid.
    To do this: Right click grid tab > Select "New Window" (or Shift-click on a specific grid toolbar button) - opens a second copy of the grid
    Right click grid tab of either copy of grid and as shown in screenshot select either Vertical or Horizontal "Tab Groups"
    You now have two copies of one grid side by side or one above the other - use to view different areas of the same grid, etc.
  • You can also drag tabs from one group to the other, or you can right-click a tab to move its window from one group to another (select "Move to next/previous tab group")

Also See

  • Nonexistent node nid: 809.
  • 6. Manage Grids Dialog


5. General explanations (multiple instances of IQ running, etc.)

Is it possible to open 2 or more instances of InfoQube to work on the same IQBase file?
(i.e. You see 2 or more "InfoQube.exe" in the task manager)
The short answer is : YES.
More details :
  1. IQ uses JET** as its database engine which is fully multi-user. Also, each field value is a separate database record, hence reducing the data corruption risk. So the bottom line is that you won't run the risk of corrupting your data by working on your database with 2 or more IQ instances. The only possible situation is that the second instance gets an inconsistent / outdated set of field-values. Nothing that a refresh would not solve...
  2. Note that all grid changes are saved on a refresh, so the other IQ instance grids will behave exactly as when you have the same grid opened more than once : that last refreshed/saved one "wins".
  3. Concerning the VB scripts : The user code is loaded on startup (system, user) or when opening file (DB specific), so changes in one IQ instance is not updated in the other.
(See also that related thread from the user forum Can opening 2 instances of IQ loading the same DB eventually increase the risk of Data corruption ? )
** Note, however, that IQ isn't dependent on its Database engine. It could use an other one, if implemented.
Technically, how is InfoQube User Interface (UI) divided
Technically, InfoQube User Interface is divided in the following forms:
  • MDI forms (appear as tabs if tab-workspace is enabled, as a window in the Windows menu otherwise)
    • Grid
    • Calendar
    • Pivot table
    • Pivot chart
    • Map view
    • User code (VB script)
    • Ecco Import
  • Panes
    • Properties
    • HTML
    • Form manager
    • Advanced search
    • Notifications
  • All others are regular forms (some modal, some not)
(From : F11 is hard to grasp. )


Auto item text based on content

Auto item text based on content

Often, one wants the item text to reflect the first line of a document. MSWord does that to determine the proposed file name. InfoQube does the same:
Iff the item text is empty (and only if), then on the first time that the user hits the enter key in the Doc Pane and the Add new item form, the item text will be set to the first line of text.

1. Using the enter key in the Add new item form:

Some text has been added to the Add New Item dialogue. Note the "Item Text" is empty. Now hit the ENTER key:
The first line fills the "Item Text" area:

1. Using the enter key in the Doc pane:

Click here to view online page with discussion and ability to update


Selective HTML export

Selective HTML export

When doing an HTML Export (Table with Columns and Bullet List), it is possible to specify HTML tags that should be excluded from the HTML export, i.e. {private}
To mark sections of text, first select the text you wish to "hide" from the HTML export, then use the Doc pane function Menu > Edit > Enclose text with (Ctrl + Shift + T)
Alternately, you may manually enter the tags, for example {private} before the text block, and {/private} after the text block
You will be prompted for a tag:
The selected text will then be enclosed with this tag (yellow highlight was added)
When doing an HTML Export, enter the HTML tags to hide:
Notes:
  • This works with HTML text only, not MHT


Pane manipulation in IQ

Pane manipulation in IQ:

Panes are windows which can be moved around, grouped, float or docked to a side:
  • Resize a docked or floating pane
  • Undock a pane to make it float
  • Dock a pane to the left or right
  • Dock a pane to the top or bottom
  • Dock a pane under or above
  • Group windows under the same pane (as a tab)
  • Auto-hide a docked pane
  • Auto-hide a floating pane
In general, you first select the pane you wish to manipulate, and start a drag operation.
As shown, the HTML pane is being dragged, and a cross-shaped cursor appears, as well as the various docking boxes.
This dragged pane can be dropped to either floating, or to one of the docking boxes. Once dropped, it can be resized.


1) Pane Movement -- Undocking a pane

Undocking a pane

There are 2 ways to undock a docked pane (i.e. detach, float):
  1. Double-click on the pane caption
  2. Do View > Layout > Floating Pane (Shift + F11)
  3. Use Drag-drop
To Drag-drop, select the docked pane you wish to undock. In this case, the HTML pane will be moved from a docked position to a floating position:
The arrow cursor indicates this pane may be dragged in any direction:
Drag the HTML pane out to a "floating" position, by not dragging it over any of the movement boxes:
Drop the pane, and it will be in a floating position (not docked).
Once undocked, it can be resized by dragging one of the 4 corners. The new window size will be saved so the next time the pane is detached, it will have this size.
The floating pane still has a "pin" in the top-right corner of the window.
Pressing the "pin" puts the pane in auto-hide (a floating auto-hide pane) showing only the pane caption. Move the mouse over the caption to show the pane content
To reattach (i.e. dock) a pane, you can
  • Press Shift + F11 or double-click the caption to return it to its previous position or,
  • Use drag-drop (See 3) Pane Movement - dock a pane (node 1920)) to dock it anywhere


3) Pane Movement - dock a pane (node 1920)

Move a pane into a docked position:

In this example, a pane presently docked to the right-hand side will be docked at the bottom.
This could similarly be done with a pane that is floating.
--
Select the HTML pane:
-
--
Drag the pane towards the bottom box as shown:
--
--
Hold the pane over the "box" and notice the shadow preview of where the pane is about to dock.
--
--
Drop the window (let up on the mouse): The pane docks into place at the bottom. Similarly it could be moved to the top, or right side, or left side. Since there is only one pane open, the middle group of boxes work like the outer group of boxes.
The middle group of boxes will be covered later--they are applicable when there is more than one pane open.
--
--


4) Pane movement- dock under or above (node 1923)

With the Properties pane shown (and fairly wide), Dock-bottom to Dock-under the Properties pane
Here we have a second pane, the properties pane, open and docked to the right. (View>Properties to open it).
We will dock it "under" the HTML pane
--
--
Select the pane and start dragging towards the middle of the HTML pane:
--
---
The group of 4 boxes appears in the HTML pane area. Drag the pane until the cursor is over the lower box (the "under") position. Note that the highlighting this time is the lower area of the HTML pane, and not the overall window. You could similarly drag it the top, left or right of the HTML pane.
--
--
Drop the window, and note that the Properties pane is not docked "under" the HTML pane.
--
--
Notice the difference if you had docked to the bottom--the Properties pane would span across the bottom of the overall InfoQube window as shown:
--
--


5) Pane movement - Dock to a tab (node 1924)

Dock to tab:

--
Now drag the Properties pane to the center section of the group of boxes as shown, and note the highlighting encompasses the entire HTML pane:
--
--
Notice the Properties pane fills the HTML pane area, and is the currently shown pane. If you click the HTML: (ID=1656), the HTML pane becomes the active pane.
--
--
You may now drag either of these panes out to a floating position, by dragging as shown:
--
--


6) Pane Autohide (node 1915)

Autohide Panes

You can auto-hide panes using the 'Pin' icon in the titlebar of the pane.
These panes can be shown again by using the mouse or the relevant shortcuts: F4 key for the Properties pane; F12 key for the HTML pane.
Circled here are the autohide icons on the HTML and Properties panes.
Clicking on the pin icon will autohide the pane on the right-hand-side of the IQ window.
In the following screenshot I have 'autohidden' or 'pinned' the Properties pane:
Below - I have clicked on the Properties pane's tab on the right hand side in order to show the pane - just holding the mouse over it's tab will
also show the pane (but without focus). When the pane shows itself here it actually overlies the HTML pane.
It stays visible until the focus is moved elsewhere - it then autohides again.
Below I have pinned both panes:
Summary:
To hide the pane:
  • click the pin icon in panes titlebar to autohide the pane
To show the pane:
  • hover mouse over the tab on the right-hand-side of the IQ window to temporarily show the pane
  • click the mouse over the tab on the right-hand-side of the IQ window to show the pane (until it loses focus)
  • use the relevant shortcut to restore the pane - F4 key for the Properties pane; F12 key for the HTML pane. Press same key again to get focus back to the grid
To restore the pane to a permanent display
  • Show the pane, then click on the pin icon again - the pane will no longer autohide.


InfoQube User Manual

Click here to view online page with discussion and ability to update